"use strict";
(self["webpackChunkln_jupyter_extra"] = self["webpackChunkln_jupyter_extra"] || []).push([["vendors-node_modules_microsoft_fast-foundation_dist_esm_index_js"],{

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/accordion-item.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/accordion-item.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccordionItem: () => (/* binding */ AccordionItem)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");





/**
 * An individual item in an {@link @microsoft/fast-foundation#(Accordion:class) }.
 *
 * @slot start - Content which can be provided between the heading and the icon
 * @slot end - Content which can be provided between the start slot and icon
 * @slot heading - Content which serves as the accordion item heading and text of the expand button
 * @slot - The default slot for accordion item content
 * @slot expanded-icon - The expanded icon
 * @slot collapsed-icon - The collapsed icon
 * @fires change - Fires a custom 'change' event when the button is invoked
 * @csspart heading - Wraps the button
 * @csspart button - The button which serves to invoke the item
 * @csspart heading-content - Wraps the slot for the heading content within the button
 * @csspart icon - The icon container
 * @csspart expanded-icon - The expanded icon slot
 * @csspart collapsed-icon - The collapsed icon
 * @csspart region - The wrapper for the accordion item content
 *
 * @public
 */
class AccordionItem extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Configures the {@link https://www.w3.org/TR/wai-aria-1.1/#aria-level | level} of the
         * heading element.
         *
         * @defaultValue 2
         * @public
         * @remarks
         * HTML attribute: heading-level
         */
        this.headinglevel = 2;
        /**
         * Expands or collapses the item.
         *
         * @public
         * @remarks
         * HTML attribute: expanded
         */
        this.expanded = false;
        /**
         * @internal
         */
        this.clickHandler = (e) => {
            this.expanded = !this.expanded;
            this.change();
        };
        this.change = () => {
            this.$emit("change");
        };
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({
        attribute: "heading-level",
        mode: "fromView",
        converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter,
    })
], AccordionItem.prototype, "headinglevel", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], AccordionItem.prototype, "expanded", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], AccordionItem.prototype, "id", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(AccordionItem, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_4__.StartEnd);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/accordion-item.template.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/accordion-item.template.js ***!
  \****************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   accordionItemTemplate: () => (/* binding */ accordionItemTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(AccordionItem:class)} component.
 * @public
 */
const accordionItemTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template class="${x => (x.expanded ? "expanded" : "")}">
        <div
            class="heading"
            part="heading"
            role="heading"
            aria-level="${x => x.headinglevel}"
        >
            <button
                class="button"
                part="button"
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("expandbutton")}
                aria-expanded="${x => x.expanded}"
                aria-controls="${x => x.id}-panel"
                id="${x => x.id}"
                @click="${(x, c) => x.clickHandler(c.event)}"
            >
                <span class="heading-content" part="heading-content">
                    <slot name="heading"></slot>
                </span>
            </button>
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
            <span class="icon" part="icon" aria-hidden="true">
                <slot name="expanded-icon" part="expanded-icon">
                    ${definition.expandedIcon || ""}
                </slot>
                <slot name="collapsed-icon" part="collapsed-icon">
                    ${definition.collapsedIcon || ""}
                </slot>
            <span>
        </div>
        <div
            class="region"
            part="region"
            id="${x => x.id}-panel"
            role="region"
            aria-labelledby="${x => x.id}"
        >
            <slot></slot>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/index.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/index.js ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AccordionItem: () => (/* reexport safe */ _accordion_item_js__WEBPACK_IMPORTED_MODULE_1__.AccordionItem),
/* harmony export */   accordionItemTemplate: () => (/* reexport safe */ _accordion_item_template_js__WEBPACK_IMPORTED_MODULE_0__.accordionItemTemplate)
/* harmony export */ });
/* harmony import */ var _accordion_item_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./accordion-item.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/accordion-item.template.js");
/* harmony import */ var _accordion_item_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./accordion-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/accordion-item.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion/accordion.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/accordion/accordion.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Accordion: () => (/* binding */ Accordion),
/* harmony export */   AccordionExpandMode: () => (/* binding */ AccordionExpandMode)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/numbers.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _accordion_item_accordion_item_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../accordion-item/accordion-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/accordion-item.js");





/**
 * Expand mode for {@link Accordion}
 * @public
 */
const AccordionExpandMode = {
    /**
     * Designates only a single {@link @microsoft/fast-foundation#(AccordionItem:class) } can be open a time.
     */
    single: "single",
    /**
     * Designates multiple {@link @microsoft/fast-foundation#(AccordionItem:class) | AccordionItems} can be open simultaneously.
     */
    multi: "multi",
};
/**
 * An Accordion Custom HTML Element
 * Implements {@link https://www.w3.org/TR/wai-aria-practices-1.1/#accordion | ARIA Accordion}.
 *
 * @fires change - Fires a custom 'change' event when the active item changes
 * @csspart item - The slot for the accordion items
 * @public
 *
 * @remarks
 * Designed to be used with {@link @microsoft/fast-foundation#accordionTemplate} and {@link @microsoft/fast-foundation#(AccordionItem:class)}.
 */
class Accordion extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Controls the expand mode of the Accordion, either allowing
         * single or multiple item expansion.
         * @public
         *
         * @remarks
         * HTML attribute: expand-mode
         */
        this.expandmode = AccordionExpandMode.multi;
        this.activeItemIndex = 0;
        this.change = () => {
            this.$emit("change", this.activeid);
        };
        this.setItems = () => {
            var _a;
            if (this.accordionItems.length === 0) {
                return;
            }
            this.accordionIds = this.getItemIds();
            this.accordionItems.forEach((item, index) => {
                if (item instanceof _accordion_item_accordion_item_js__WEBPACK_IMPORTED_MODULE_2__.AccordionItem) {
                    item.addEventListener("change", this.activeItemChange);
                    if (this.isSingleExpandMode()) {
                        this.activeItemIndex !== index
                            ? (item.expanded = false)
                            : (item.expanded = true);
                    }
                }
                const itemId = this.accordionIds[index];
                item.setAttribute("id", typeof itemId !== "string" ? `accordion-${index + 1}` : itemId);
                this.activeid = this.accordionIds[this.activeItemIndex];
                item.addEventListener("keydown", this.handleItemKeyDown);
                item.addEventListener("focus", this.handleItemFocus);
            });
            if (this.isSingleExpandMode()) {
                const expandedItem = (_a = this.findExpandedItem()) !== null && _a !== void 0 ? _a : this.accordionItems[0];
                expandedItem.setAttribute("aria-disabled", "true");
            }
        };
        this.removeItemListeners = (oldValue) => {
            oldValue.forEach((item, index) => {
                item.removeEventListener("change", this.activeItemChange);
                item.removeEventListener("keydown", this.handleItemKeyDown);
                item.removeEventListener("focus", this.handleItemFocus);
            });
        };
        this.activeItemChange = (event) => {
            if (event.defaultPrevented || event.target !== event.currentTarget) {
                return;
            }
            event.preventDefault();
            const selectedItem = event.target;
            this.activeid = selectedItem.getAttribute("id");
            if (this.isSingleExpandMode()) {
                this.resetItems();
                selectedItem.expanded = true;
                selectedItem.setAttribute("aria-disabled", "true");
                this.accordionItems.forEach((item) => {
                    if (!item.hasAttribute("disabled") && item.id !== this.activeid) {
                        item.removeAttribute("aria-disabled");
                    }
                });
            }
            this.activeItemIndex = Array.from(this.accordionItems).indexOf(selectedItem);
            this.change();
        };
        this.handleItemKeyDown = (event) => {
            // only handle the keydown if the event target is the accordion item
            // prevents arrow keys from moving focus to accordion headers when focus is on accordion item panel content
            if (event.target !== event.currentTarget) {
                return;
            }
            this.accordionIds = this.getItemIds();
            switch (event.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowUp:
                    event.preventDefault();
                    this.adjust(-1);
                    break;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowDown:
                    event.preventDefault();
                    this.adjust(1);
                    break;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyHome:
                    this.activeItemIndex = 0;
                    this.focusItem();
                    break;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyEnd:
                    this.activeItemIndex = this.accordionItems.length - 1;
                    this.focusItem();
                    break;
            }
        };
        this.handleItemFocus = (event) => {
            // update the active item index if the focus moves to an accordion item via a different method other than the up and down arrow key actions
            // only do so if the focus is actually on the accordion item and not on any of its children
            if (event.target === event.currentTarget) {
                const focusedItem = event.target;
                const focusedIndex = (this.activeItemIndex = Array.from(this.accordionItems).indexOf(focusedItem));
                if (this.activeItemIndex !== focusedIndex && focusedIndex !== -1) {
                    this.activeItemIndex = focusedIndex;
                    this.activeid = this.accordionIds[this.activeItemIndex];
                }
            }
        };
    }
    /**
     * @internal
     */
    accordionItemsChanged(oldValue, newValue) {
        if (this.$fastController.isConnected) {
            this.removeItemListeners(oldValue);
            this.setItems();
        }
    }
    findExpandedItem() {
        for (let item = 0; item < this.accordionItems.length; item++) {
            if (this.accordionItems[item].getAttribute("expanded") === "true") {
                return this.accordionItems[item];
            }
        }
        return null;
    }
    resetItems() {
        this.accordionItems.forEach((item, index) => {
            item.expanded = false;
        });
    }
    getItemIds() {
        return this.accordionItems.map((accordionItem) => {
            return accordionItem.getAttribute("id");
        });
    }
    isSingleExpandMode() {
        return this.expandmode === AccordionExpandMode.single;
    }
    adjust(adjustment) {
        this.activeItemIndex = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.wrapInBounds)(0, this.accordionItems.length - 1, this.activeItemIndex + adjustment);
        this.focusItem();
    }
    focusItem() {
        const element = this.accordionItems[this.activeItemIndex];
        if (element instanceof _accordion_item_accordion_item_js__WEBPACK_IMPORTED_MODULE_2__.AccordionItem) {
            element.expandbutton.focus();
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "expand-mode" })
], Accordion.prototype, "expandmode", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Accordion.prototype, "accordionItems", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion/accordion.template.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/accordion/accordion.template.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   accordionTemplate: () => (/* binding */ accordionTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Accordion} component.
 * @public
 */
const accordionTemplate = (context, definition) => /* TODO: deprecate slot name `item` to only support default slot https://github.com/microsoft/fast/issues/5515 */ (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template>
        <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({ property: "accordionItems", filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)() })}></slot>
        <slot name="item" part="item" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("accordionItems")}></slot>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/accordion/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Accordion: () => (/* reexport safe */ _accordion_js__WEBPACK_IMPORTED_MODULE_1__.Accordion),
/* harmony export */   AccordionExpandMode: () => (/* reexport safe */ _accordion_js__WEBPACK_IMPORTED_MODULE_1__.AccordionExpandMode),
/* harmony export */   accordionTemplate: () => (/* reexport safe */ _accordion_template_js__WEBPACK_IMPORTED_MODULE_0__.accordionTemplate)
/* harmony export */ });
/* harmony import */ var _accordion_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./accordion.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion/accordion.template.js");
/* harmony import */ var _accordion_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./accordion.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion/accordion.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Anchor: () => (/* binding */ Anchor),
/* harmony export */   DelegatesARIALink: () => (/* binding */ DelegatesARIALink)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");





/**
 * An Anchor Custom HTML Element.
 * Based largely on the {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/a | <a> element }.
 *
 * @slot start - Content which can be provided before the anchor content
 * @slot end - Content which can be provided after the anchor content
 * @slot - The default slot for anchor content
 * @csspart control - The anchor element
 * @csspart content - The element wrapping anchor content
 *
 * @public
 */
class Anchor extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Overrides the focus call for where delegatesFocus is unsupported.
         * This check works for Chrome, Edge Chromium, FireFox, and Safari
         * Relevant PR on the Firefox browser: https://phabricator.services.mozilla.com/D123858
         */
        this.handleUnsupportedDelegatesFocus = () => {
            var _a;
            // Check to see if delegatesFocus is supported
            if (window.ShadowRoot &&
                !window.ShadowRoot.prototype.hasOwnProperty("delegatesFocus") &&
                ((_a = this.$fastController.definition.shadowOptions) === null || _a === void 0 ? void 0 : _a.delegatesFocus)) {
                this.focus = () => {
                    var _a;
                    (_a = this.control) === null || _a === void 0 ? void 0 : _a.focus();
                };
            }
        };
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.handleUnsupportedDelegatesFocus();
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "download", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "href", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "hreflang", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "ping", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "referrerpolicy", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "rel", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "target", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Anchor.prototype, "type", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Anchor.prototype, "defaultSlottedContent", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA link role
 *
 * @public
 */
class DelegatesARIALink {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-expanded" })
], DelegatesARIALink.prototype, "ariaExpanded", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(DelegatesARIALink, _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__.ARIAGlobalStatesAndProperties);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(Anchor, _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__.StartEnd, DelegatesARIALink);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   anchorTemplate: () => (/* binding */ anchorTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(Anchor:class)} component.
 * @public
 */
const anchorTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <a
        class="control"
        part="control"
        download="${x => x.download}"
        href="${x => x.href}"
        hreflang="${x => x.hreflang}"
        ping="${x => x.ping}"
        referrerpolicy="${x => x.referrerpolicy}"
        rel="${x => x.rel}"
        target="${x => x.target}"
        type="${x => x.type}"
        aria-atomic="${x => x.ariaAtomic}"
        aria-busy="${x => x.ariaBusy}"
        aria-controls="${x => x.ariaControls}"
        aria-current="${x => x.ariaCurrent}"
        aria-describedby="${x => x.ariaDescribedby}"
        aria-details="${x => x.ariaDetails}"
        aria-disabled="${x => x.ariaDisabled}"
        aria-errormessage="${x => x.ariaErrormessage}"
        aria-expanded="${x => x.ariaExpanded}"
        aria-flowto="${x => x.ariaFlowto}"
        aria-haspopup="${x => x.ariaHaspopup}"
        aria-hidden="${x => x.ariaHidden}"
        aria-invalid="${x => x.ariaInvalid}"
        aria-keyshortcuts="${x => x.ariaKeyshortcuts}"
        aria-label="${x => x.ariaLabel}"
        aria-labelledby="${x => x.ariaLabelledby}"
        aria-live="${x => x.ariaLive}"
        aria-owns="${x => x.ariaOwns}"
        aria-relevant="${x => x.ariaRelevant}"
        aria-roledescription="${x => x.ariaRoledescription}"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
    >
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
        <span class="content" part="content">
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("defaultSlottedContent")}></slot>
        </span>
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
    </a>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/anchor/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Anchor: () => (/* reexport safe */ _anchor_js__WEBPACK_IMPORTED_MODULE_1__.Anchor),
/* harmony export */   DelegatesARIALink: () => (/* reexport safe */ _anchor_js__WEBPACK_IMPORTED_MODULE_1__.DelegatesARIALink),
/* harmony export */   anchorTemplate: () => (/* reexport safe */ _anchor_template_js__WEBPACK_IMPORTED_MODULE_0__.anchorTemplate)
/* harmony export */ });
/* harmony import */ var _anchor_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./anchor.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.template.js");
/* harmony import */ var _anchor_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./anchor.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region-config.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region-config.js ***!
  \****************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FlyoutPosBottom: () => (/* binding */ FlyoutPosBottom),
/* harmony export */   FlyoutPosBottomFill: () => (/* binding */ FlyoutPosBottomFill),
/* harmony export */   FlyoutPosTallest: () => (/* binding */ FlyoutPosTallest),
/* harmony export */   FlyoutPosTallestFill: () => (/* binding */ FlyoutPosTallestFill),
/* harmony export */   FlyoutPosTop: () => (/* binding */ FlyoutPosTop),
/* harmony export */   FlyoutPosTopFill: () => (/* binding */ FlyoutPosTopFill)
/* harmony export */ });
/**
 * Building blocks - partial configs
 */
/**
 * A region that matches the size and position of the anchor horizontally
 */
const horizontalAnchorOverlay = {
    horizontalDefaultPosition: "center",
    horizontalPositioningMode: "locktodefault",
    horizontalInset: false,
    horizontalScaling: "anchor",
};
/**
 * Exported configs
 */
/**
 * A region that always places itself above the anchor, has
 * a width to match the anchor, and is sized vertically by content
 *
 * @public
 */
const FlyoutPosTop = Object.assign(Object.assign({}, horizontalAnchorOverlay), { verticalDefaultPosition: "top", verticalPositioningMode: "locktodefault", verticalInset: false, verticalScaling: "content" });
/**
 * A region that always places itself below the anchor, has
 * a width to match the anchor, and is sized vertically by content
 *
 * @public
 */
const FlyoutPosBottom = Object.assign(Object.assign({}, horizontalAnchorOverlay), { verticalDefaultPosition: "bottom", verticalPositioningMode: "locktodefault", verticalInset: false, verticalScaling: "content" });
/**
 * A region that places itself above or below the anchor
 * based on available space, has a width to match the anchor,
 * and is sized vertically by content
 *
 * @public
 */
const FlyoutPosTallest = Object.assign(Object.assign({}, horizontalAnchorOverlay), { verticalPositioningMode: "dynamic", verticalInset: false, verticalScaling: "content" });
/**
 * A region that always places itself above the anchor, has
 * a width to match the anchor, and is sized vertically by available space
 *
 * @public
 */
const FlyoutPosTopFill = Object.assign(Object.assign({}, FlyoutPosTop), { verticalScaling: "fill" });
/**
 * A region that always places itself below the anchor, has
 * a width to match the anchor, and is sized vertically by available space
 *
 * @public
 */
const FlyoutPosBottomFill = Object.assign(Object.assign({}, FlyoutPosBottom), { verticalScaling: "fill" });
/**
 * A region that places itself above or below the anchor
 * based on available space, has a width to match the anchor,
 * and is sized vertically by available space
 *
 * @public
 */
const FlyoutPosTallestFill = Object.assign(Object.assign({}, FlyoutPosTallest), { verticalScaling: "fill" });


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.js":
/*!*********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.js ***!
  \*********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AnchoredRegion: () => (/* binding */ AnchoredRegion)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/events.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _utilities_direction_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utilities/direction.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js");
/* harmony import */ var _utilities_intersection_service_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utilities/intersection-service.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/intersection-service.js");






/**
 * An anchored region Custom HTML Element.
 *
 * @slot - The default slot for the content
 * @fires loaded - Fires a custom 'loaded' event when the region is loaded and visible
 * @fires positionchange - Fires a custom 'positionchange' event when the position has changed
 *
 * @public
 */
class AnchoredRegion extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The HTML ID of the anchor element this region is positioned relative to
         *
         * @public
         * @remarks
         * HTML Attribute: anchor
         */
        this.anchor = "";
        /**
         * The HTML ID of the viewport element this region is positioned relative to
         *
         * @public
         * @remarks
         * HTML Attribute: anchor
         */
        this.viewport = "";
        /**
         * Sets what logic the component uses to determine horizontal placement.
         * 'locktodefault' forces the default position
         * 'dynamic' decides placement based on available space
         * 'uncontrolled' does not control placement on the horizontal axis
         *
         * @public
         * @remarks
         * HTML Attribute: horizontal-positioning-mode
         */
        this.horizontalPositioningMode = "uncontrolled";
        /**
         * The default horizontal position of the region relative to the anchor element
         *
         * @public
         * @remarks
         * HTML Attribute: horizontal-default-position
         */
        this.horizontalDefaultPosition = "unset";
        /**
         * Whether the region remains in the viewport (ie. detaches from the anchor) on the horizontal axis
         *
         * @public
         * @remarks
         * HTML Attribute: horizontal-viewport-lock
         */
        this.horizontalViewportLock = false;
        /**
         * Whether the region overlaps the anchor on the horizontal axis
         *
         * @public
         * @remarks
         * HTML Attribute: horizontal-inset
         */
        this.horizontalInset = false;
        /**
         * Defines how the width of the region is calculated
         *
         * @public
         * @remarks
         * HTML Attribute: horizontal-scaling
         */
        this.horizontalScaling = "content";
        /**
         * Sets what logic the component uses to determine vertical placement.
         * 'locktodefault' forces the default position
         * 'dynamic' decides placement based on available space
         * 'uncontrolled' does not control placement on the vertical axis
         *
         * @public
         * @remarks
         * HTML Attribute: vertical-positioning-mode
         */
        this.verticalPositioningMode = "uncontrolled";
        /**
         * The default vertical position of the region relative to the anchor element
         *
         * @public
         * @remarks
         * HTML Attribute: vertical-default-position
         */
        this.verticalDefaultPosition = "unset";
        /**
         * Whether the region remains in the viewport (ie. detaches from the anchor) on the vertical axis
         *
         * @public
         * @remarks
         * HTML Attribute: vertical-viewport-lock
         */
        this.verticalViewportLock = false;
        /**
         * Whether the region overlaps the anchor on the vertical axis
         *
         * @public
         * @remarks
         * HTML Attribute: vertical-inset
         */
        this.verticalInset = false;
        /**
         * Defines how the height of the region is calculated
         *
         * @public
         * @remarks
         * HTML Attribute: vertical-scaling
         */
        this.verticalScaling = "content";
        /**
         * Whether the region is positioned using css "position: fixed".
         * Otherwise the region uses "position: absolute".
         * Fixed placement allows the region to break out of parent containers,
         *
         * @public
         * @remarks
         * HTML Attribute: fixed-placement
         */
        this.fixedPlacement = false;
        /**
         * Defines what triggers the anchored region to revaluate positioning
         *
         * @public
         * @remarks
         * HTML Attribute: auto-update-mode
         */
        this.autoUpdateMode = "anchor";
        /**
         * The HTML element being used as the anchor
         *
         * @public
         */
        this.anchorElement = null;
        /**
         * The HTML element being used as the viewport
         *
         * @public
         */
        this.viewportElement = null;
        /**
         * indicates that an initial positioning pass on layout has completed
         *
         * @internal
         */
        this.initialLayoutComplete = false;
        this.resizeDetector = null;
        /**
         * base offsets between the positioner's base position and the anchor's
         */
        this.baseHorizontalOffset = 0;
        this.baseVerticalOffset = 0;
        this.pendingPositioningUpdate = false;
        this.pendingReset = false;
        this.currentDirection = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Direction.ltr;
        this.regionVisible = false;
        // indicates that a layout update should occur even if geometry has not changed
        // used to ensure some attribute changes are applied
        this.forceUpdate = false;
        // defines how big a difference in pixels there must be between states to
        // justify a layout update that affects the dom (prevents repeated sub-pixel corrections)
        this.updateThreshold = 0.5;
        /**
         * update position
         */
        this.update = () => {
            if (!this.pendingPositioningUpdate) {
                this.requestPositionUpdates();
            }
        };
        /**
         * starts observers
         */
        this.startObservers = () => {
            this.stopObservers();
            if (this.anchorElement === null) {
                return;
            }
            this.requestPositionUpdates();
            if (this.resizeDetector !== null) {
                this.resizeDetector.observe(this.anchorElement);
                this.resizeDetector.observe(this);
            }
        };
        /**
         * get position updates
         */
        this.requestPositionUpdates = () => {
            if (this.anchorElement === null || this.pendingPositioningUpdate) {
                return;
            }
            AnchoredRegion.intersectionService.requestPosition(this, this.handleIntersection);
            AnchoredRegion.intersectionService.requestPosition(this.anchorElement, this.handleIntersection);
            if (this.viewportElement !== null) {
                AnchoredRegion.intersectionService.requestPosition(this.viewportElement, this.handleIntersection);
            }
            this.pendingPositioningUpdate = true;
        };
        /**
         * stops observers
         */
        this.stopObservers = () => {
            if (this.pendingPositioningUpdate) {
                this.pendingPositioningUpdate = false;
                AnchoredRegion.intersectionService.cancelRequestPosition(this, this.handleIntersection);
                if (this.anchorElement !== null) {
                    AnchoredRegion.intersectionService.cancelRequestPosition(this.anchorElement, this.handleIntersection);
                }
                if (this.viewportElement !== null) {
                    AnchoredRegion.intersectionService.cancelRequestPosition(this.viewportElement, this.handleIntersection);
                }
            }
            if (this.resizeDetector !== null) {
                this.resizeDetector.disconnect();
            }
        };
        /**
         * Gets the viewport element by id, or defaults to document root
         */
        this.getViewport = () => {
            if (typeof this.viewport !== "string" || this.viewport === "") {
                return document.documentElement;
            }
            return document.getElementById(this.viewport);
        };
        /**
         *  Gets the anchor element by id
         */
        this.getAnchor = () => {
            return document.getElementById(this.anchor);
        };
        /**
         *  Handle intersections
         */
        this.handleIntersection = (entries) => {
            if (!this.pendingPositioningUpdate) {
                return;
            }
            this.pendingPositioningUpdate = false;
            if (!this.applyIntersectionEntries(entries)) {
                return;
            }
            this.updateLayout();
        };
        /**
         *  iterate through intersection entries and apply data
         */
        this.applyIntersectionEntries = (entries) => {
            const regionEntry = entries.find(x => x.target === this);
            const anchorEntry = entries.find(x => x.target === this.anchorElement);
            const viewportEntry = entries.find(x => x.target === this.viewportElement);
            if (regionEntry === undefined ||
                viewportEntry === undefined ||
                anchorEntry === undefined) {
                return false;
            }
            // don't update the dom unless there is a significant difference in rect positions
            if (!this.regionVisible ||
                this.forceUpdate ||
                this.regionRect === undefined ||
                this.anchorRect === undefined ||
                this.viewportRect === undefined ||
                this.isRectDifferent(this.anchorRect, anchorEntry.boundingClientRect) ||
                this.isRectDifferent(this.viewportRect, viewportEntry.boundingClientRect) ||
                this.isRectDifferent(this.regionRect, regionEntry.boundingClientRect)) {
                this.regionRect = regionEntry.boundingClientRect;
                this.anchorRect = anchorEntry.boundingClientRect;
                if (this.viewportElement === document.documentElement) {
                    this.viewportRect = new DOMRectReadOnly(viewportEntry.boundingClientRect.x +
                        document.documentElement.scrollLeft, viewportEntry.boundingClientRect.y +
                        document.documentElement.scrollTop, viewportEntry.boundingClientRect.width, viewportEntry.boundingClientRect.height);
                }
                else {
                    this.viewportRect = viewportEntry.boundingClientRect;
                }
                this.updateRegionOffset();
                this.forceUpdate = false;
                return true;
            }
            return false;
        };
        /**
         *  Update the offset values
         */
        this.updateRegionOffset = () => {
            if (this.anchorRect && this.regionRect) {
                this.baseHorizontalOffset =
                    this.baseHorizontalOffset +
                        (this.anchorRect.left - this.regionRect.left) +
                        (this.translateX - this.baseHorizontalOffset);
                this.baseVerticalOffset =
                    this.baseVerticalOffset +
                        (this.anchorRect.top - this.regionRect.top) +
                        (this.translateY - this.baseVerticalOffset);
            }
        };
        /**
         *  compare rects to see if there is enough change to justify a DOM update
         */
        this.isRectDifferent = (rectA, rectB) => {
            if (Math.abs(rectA.top - rectB.top) > this.updateThreshold ||
                Math.abs(rectA.right - rectB.right) > this.updateThreshold ||
                Math.abs(rectA.bottom - rectB.bottom) > this.updateThreshold ||
                Math.abs(rectA.left - rectB.left) > this.updateThreshold) {
                return true;
            }
            return false;
        };
        /**
         *  Handle resize events
         */
        this.handleResize = (entries) => {
            this.update();
        };
        /**
         * resets the component
         */
        this.reset = () => {
            if (!this.pendingReset) {
                return;
            }
            this.pendingReset = false;
            if (this.anchorElement === null) {
                this.anchorElement = this.getAnchor();
            }
            if (this.viewportElement === null) {
                this.viewportElement = this.getViewport();
            }
            this.currentDirection = (0,_utilities_direction_js__WEBPACK_IMPORTED_MODULE_3__.getDirection)(this);
            this.startObservers();
        };
        /**
         *  Recalculate layout related state values
         */
        this.updateLayout = () => {
            let desiredVerticalPosition = undefined;
            let desiredHorizontalPosition = undefined;
            if (this.horizontalPositioningMode !== "uncontrolled") {
                const horizontalOptions = this.getPositioningOptions(this.horizontalInset);
                if (this.horizontalDefaultPosition === "center") {
                    desiredHorizontalPosition = "center";
                }
                else if (this.horizontalDefaultPosition !== "unset") {
                    let dirCorrectedHorizontalDefaultPosition = this
                        .horizontalDefaultPosition;
                    if (dirCorrectedHorizontalDefaultPosition === "start" ||
                        dirCorrectedHorizontalDefaultPosition === "end") {
                        // if direction changes we reset the layout
                        const newDirection = (0,_utilities_direction_js__WEBPACK_IMPORTED_MODULE_3__.getDirection)(this);
                        if (newDirection !== this.currentDirection) {
                            this.currentDirection = newDirection;
                            this.initialize();
                            return;
                        }
                        if (this.currentDirection === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Direction.ltr) {
                            dirCorrectedHorizontalDefaultPosition =
                                dirCorrectedHorizontalDefaultPosition === "start"
                                    ? "left"
                                    : "right";
                        }
                        else {
                            dirCorrectedHorizontalDefaultPosition =
                                dirCorrectedHorizontalDefaultPosition === "start"
                                    ? "right"
                                    : "left";
                        }
                    }
                    switch (dirCorrectedHorizontalDefaultPosition) {
                        case "left":
                            desiredHorizontalPosition = this.horizontalInset
                                ? "insetStart"
                                : "start";
                            break;
                        case "right":
                            desiredHorizontalPosition = this.horizontalInset
                                ? "insetEnd"
                                : "end";
                            break;
                    }
                }
                const horizontalThreshold = this.horizontalThreshold !== undefined
                    ? this.horizontalThreshold
                    : this.regionRect !== undefined
                        ? this.regionRect.width
                        : 0;
                const anchorLeft = this.anchorRect !== undefined ? this.anchorRect.left : 0;
                const anchorRight = this.anchorRect !== undefined ? this.anchorRect.right : 0;
                const anchorWidth = this.anchorRect !== undefined ? this.anchorRect.width : 0;
                const viewportLeft = this.viewportRect !== undefined ? this.viewportRect.left : 0;
                const viewportRight = this.viewportRect !== undefined ? this.viewportRect.right : 0;
                if (desiredHorizontalPosition === undefined ||
                    (!(this.horizontalPositioningMode === "locktodefault") &&
                        this.getAvailableSpace(desiredHorizontalPosition, anchorLeft, anchorRight, anchorWidth, viewportLeft, viewportRight) < horizontalThreshold)) {
                    desiredHorizontalPosition =
                        this.getAvailableSpace(horizontalOptions[0], anchorLeft, anchorRight, anchorWidth, viewportLeft, viewportRight) >
                            this.getAvailableSpace(horizontalOptions[1], anchorLeft, anchorRight, anchorWidth, viewportLeft, viewportRight)
                            ? horizontalOptions[0]
                            : horizontalOptions[1];
                }
            }
            if (this.verticalPositioningMode !== "uncontrolled") {
                const verticalOptions = this.getPositioningOptions(this.verticalInset);
                if (this.verticalDefaultPosition === "center") {
                    desiredVerticalPosition = "center";
                }
                else if (this.verticalDefaultPosition !== "unset") {
                    switch (this.verticalDefaultPosition) {
                        case "top":
                            desiredVerticalPosition = this.verticalInset
                                ? "insetStart"
                                : "start";
                            break;
                        case "bottom":
                            desiredVerticalPosition = this.verticalInset ? "insetEnd" : "end";
                            break;
                    }
                }
                const verticalThreshold = this.verticalThreshold !== undefined
                    ? this.verticalThreshold
                    : this.regionRect !== undefined
                        ? this.regionRect.height
                        : 0;
                const anchorTop = this.anchorRect !== undefined ? this.anchorRect.top : 0;
                const anchorBottom = this.anchorRect !== undefined ? this.anchorRect.bottom : 0;
                const anchorHeight = this.anchorRect !== undefined ? this.anchorRect.height : 0;
                const viewportTop = this.viewportRect !== undefined ? this.viewportRect.top : 0;
                const viewportBottom = this.viewportRect !== undefined ? this.viewportRect.bottom : 0;
                if (desiredVerticalPosition === undefined ||
                    (!(this.verticalPositioningMode === "locktodefault") &&
                        this.getAvailableSpace(desiredVerticalPosition, anchorTop, anchorBottom, anchorHeight, viewportTop, viewportBottom) < verticalThreshold)) {
                    desiredVerticalPosition =
                        this.getAvailableSpace(verticalOptions[0], anchorTop, anchorBottom, anchorHeight, viewportTop, viewportBottom) >
                            this.getAvailableSpace(verticalOptions[1], anchorTop, anchorBottom, anchorHeight, viewportTop, viewportBottom)
                            ? verticalOptions[0]
                            : verticalOptions[1];
                }
            }
            const nextPositionerDimension = this.getNextRegionDimension(desiredHorizontalPosition, desiredVerticalPosition);
            const positionChanged = this.horizontalPosition !== desiredHorizontalPosition ||
                this.verticalPosition !== desiredVerticalPosition;
            this.setHorizontalPosition(desiredHorizontalPosition, nextPositionerDimension);
            this.setVerticalPosition(desiredVerticalPosition, nextPositionerDimension);
            this.updateRegionStyle();
            if (!this.initialLayoutComplete) {
                this.initialLayoutComplete = true;
                this.requestPositionUpdates();
                return;
            }
            if (!this.regionVisible) {
                this.regionVisible = true;
                this.style.removeProperty("pointer-events");
                this.style.removeProperty("opacity");
                this.classList.toggle("loaded", true);
                this.$emit("loaded", this, { bubbles: false });
            }
            this.updatePositionClasses();
            if (positionChanged) {
                // emit change event
                this.$emit("positionchange", this, { bubbles: false });
            }
        };
        /**
         *  Updates the style string applied to the region element as well as the css classes attached
         *  to the root element
         */
        this.updateRegionStyle = () => {
            this.style.width = this.regionWidth;
            this.style.height = this.regionHeight;
            this.style.transform = `translate(${this.translateX}px, ${this.translateY}px)`;
        };
        /**
         *  Updates the css classes that reflect the current position of the element
         */
        this.updatePositionClasses = () => {
            this.classList.toggle("top", this.verticalPosition === "start");
            this.classList.toggle("bottom", this.verticalPosition === "end");
            this.classList.toggle("inset-top", this.verticalPosition === "insetStart");
            this.classList.toggle("inset-bottom", this.verticalPosition === "insetEnd");
            this.classList.toggle("vertical-center", this.verticalPosition === "center");
            this.classList.toggle("left", this.horizontalPosition === "start");
            this.classList.toggle("right", this.horizontalPosition === "end");
            this.classList.toggle("inset-left", this.horizontalPosition === "insetStart");
            this.classList.toggle("inset-right", this.horizontalPosition === "insetEnd");
            this.classList.toggle("horizontal-center", this.horizontalPosition === "center");
        };
        /**
         * Get horizontal positioning state based on desired position
         */
        this.setHorizontalPosition = (desiredHorizontalPosition, nextPositionerDimension) => {
            if (desiredHorizontalPosition === undefined ||
                this.regionRect === undefined ||
                this.anchorRect === undefined ||
                this.viewportRect === undefined) {
                return;
            }
            let nextRegionWidth = 0;
            switch (this.horizontalScaling) {
                case "anchor":
                case "fill":
                    nextRegionWidth = this.horizontalViewportLock
                        ? this.viewportRect.width
                        : nextPositionerDimension.width;
                    this.regionWidth = `${nextRegionWidth}px`;
                    break;
                case "content":
                    nextRegionWidth = this.regionRect.width;
                    this.regionWidth = "unset";
                    break;
            }
            let sizeDelta = 0;
            switch (desiredHorizontalPosition) {
                case "start":
                    this.translateX = this.baseHorizontalOffset - nextRegionWidth;
                    if (this.horizontalViewportLock &&
                        this.anchorRect.left > this.viewportRect.right) {
                        this.translateX =
                            this.translateX -
                                (this.anchorRect.left - this.viewportRect.right);
                    }
                    break;
                case "insetStart":
                    this.translateX =
                        this.baseHorizontalOffset - nextRegionWidth + this.anchorRect.width;
                    if (this.horizontalViewportLock &&
                        this.anchorRect.right > this.viewportRect.right) {
                        this.translateX =
                            this.translateX -
                                (this.anchorRect.right - this.viewportRect.right);
                    }
                    break;
                case "insetEnd":
                    this.translateX = this.baseHorizontalOffset;
                    if (this.horizontalViewportLock &&
                        this.anchorRect.left < this.viewportRect.left) {
                        this.translateX =
                            this.translateX - (this.anchorRect.left - this.viewportRect.left);
                    }
                    break;
                case "end":
                    this.translateX = this.baseHorizontalOffset + this.anchorRect.width;
                    if (this.horizontalViewportLock &&
                        this.anchorRect.right < this.viewportRect.left) {
                        this.translateX =
                            this.translateX -
                                (this.anchorRect.right - this.viewportRect.left);
                    }
                    break;
                case "center":
                    sizeDelta = (this.anchorRect.width - nextRegionWidth) / 2;
                    this.translateX = this.baseHorizontalOffset + sizeDelta;
                    if (this.horizontalViewportLock) {
                        const regionLeft = this.anchorRect.left + sizeDelta;
                        const regionRight = this.anchorRect.right - sizeDelta;
                        if (regionLeft < this.viewportRect.left &&
                            !(regionRight > this.viewportRect.right)) {
                            this.translateX =
                                this.translateX - (regionLeft - this.viewportRect.left);
                        }
                        else if (regionRight > this.viewportRect.right &&
                            !(regionLeft < this.viewportRect.left)) {
                            this.translateX =
                                this.translateX - (regionRight - this.viewportRect.right);
                        }
                    }
                    break;
            }
            this.horizontalPosition = desiredHorizontalPosition;
        };
        /**
         * Set vertical positioning state based on desired position
         */
        this.setVerticalPosition = (desiredVerticalPosition, nextPositionerDimension) => {
            if (desiredVerticalPosition === undefined ||
                this.regionRect === undefined ||
                this.anchorRect === undefined ||
                this.viewportRect === undefined) {
                return;
            }
            let nextRegionHeight = 0;
            switch (this.verticalScaling) {
                case "anchor":
                case "fill":
                    nextRegionHeight = this.verticalViewportLock
                        ? this.viewportRect.height
                        : nextPositionerDimension.height;
                    this.regionHeight = `${nextRegionHeight}px`;
                    break;
                case "content":
                    nextRegionHeight = this.regionRect.height;
                    this.regionHeight = "unset";
                    break;
            }
            let sizeDelta = 0;
            switch (desiredVerticalPosition) {
                case "start":
                    this.translateY = this.baseVerticalOffset - nextRegionHeight;
                    if (this.verticalViewportLock &&
                        this.anchorRect.top > this.viewportRect.bottom) {
                        this.translateY =
                            this.translateY -
                                (this.anchorRect.top - this.viewportRect.bottom);
                    }
                    break;
                case "insetStart":
                    this.translateY =
                        this.baseVerticalOffset - nextRegionHeight + this.anchorRect.height;
                    if (this.verticalViewportLock &&
                        this.anchorRect.bottom > this.viewportRect.bottom) {
                        this.translateY =
                            this.translateY -
                                (this.anchorRect.bottom - this.viewportRect.bottom);
                    }
                    break;
                case "insetEnd":
                    this.translateY = this.baseVerticalOffset;
                    if (this.verticalViewportLock &&
                        this.anchorRect.top < this.viewportRect.top) {
                        this.translateY =
                            this.translateY - (this.anchorRect.top - this.viewportRect.top);
                    }
                    break;
                case "end":
                    this.translateY = this.baseVerticalOffset + this.anchorRect.height;
                    if (this.verticalViewportLock &&
                        this.anchorRect.bottom < this.viewportRect.top) {
                        this.translateY =
                            this.translateY -
                                (this.anchorRect.bottom - this.viewportRect.top);
                    }
                    break;
                case "center":
                    sizeDelta = (this.anchorRect.height - nextRegionHeight) / 2;
                    this.translateY = this.baseVerticalOffset + sizeDelta;
                    if (this.verticalViewportLock) {
                        const regionTop = this.anchorRect.top + sizeDelta;
                        const regionBottom = this.anchorRect.bottom - sizeDelta;
                        if (regionTop < this.viewportRect.top &&
                            !(regionBottom > this.viewportRect.bottom)) {
                            this.translateY =
                                this.translateY - (regionTop - this.viewportRect.top);
                        }
                        else if (regionBottom > this.viewportRect.bottom &&
                            !(regionTop < this.viewportRect.top)) {
                            this.translateY =
                                this.translateY - (regionBottom - this.viewportRect.bottom);
                        }
                    }
            }
            this.verticalPosition = desiredVerticalPosition;
        };
        /**
         *  Get available positions based on positioning mode
         */
        this.getPositioningOptions = (inset) => {
            if (inset) {
                return ["insetStart", "insetEnd"];
            }
            return ["start", "end"];
        };
        /**
         *  Get the space available for a particular relative position
         */
        this.getAvailableSpace = (positionOption, anchorStart, anchorEnd, anchorSpan, viewportStart, viewportEnd) => {
            const spaceStart = anchorStart - viewportStart;
            const spaceEnd = viewportEnd - (anchorStart + anchorSpan);
            switch (positionOption) {
                case "start":
                    return spaceStart;
                case "insetStart":
                    return spaceStart + anchorSpan;
                case "insetEnd":
                    return spaceEnd + anchorSpan;
                case "end":
                    return spaceEnd;
                case "center":
                    return Math.min(spaceStart, spaceEnd) * 2 + anchorSpan;
            }
        };
        /**
         * Get region dimensions
         */
        this.getNextRegionDimension = (desiredHorizontalPosition, desiredVerticalPosition) => {
            const newRegionDimension = {
                height: this.regionRect !== undefined ? this.regionRect.height : 0,
                width: this.regionRect !== undefined ? this.regionRect.width : 0,
            };
            if (desiredHorizontalPosition !== undefined &&
                this.horizontalScaling === "fill") {
                newRegionDimension.width = this.getAvailableSpace(desiredHorizontalPosition, this.anchorRect !== undefined ? this.anchorRect.left : 0, this.anchorRect !== undefined ? this.anchorRect.right : 0, this.anchorRect !== undefined ? this.anchorRect.width : 0, this.viewportRect !== undefined ? this.viewportRect.left : 0, this.viewportRect !== undefined ? this.viewportRect.right : 0);
            }
            else if (this.horizontalScaling === "anchor") {
                newRegionDimension.width =
                    this.anchorRect !== undefined ? this.anchorRect.width : 0;
            }
            if (desiredVerticalPosition !== undefined && this.verticalScaling === "fill") {
                newRegionDimension.height = this.getAvailableSpace(desiredVerticalPosition, this.anchorRect !== undefined ? this.anchorRect.top : 0, this.anchorRect !== undefined ? this.anchorRect.bottom : 0, this.anchorRect !== undefined ? this.anchorRect.height : 0, this.viewportRect !== undefined ? this.viewportRect.top : 0, this.viewportRect !== undefined ? this.viewportRect.bottom : 0);
            }
            else if (this.verticalScaling === "anchor") {
                newRegionDimension.height =
                    this.anchorRect !== undefined ? this.anchorRect.height : 0;
            }
            return newRegionDimension;
        };
        /**
         * starts event listeners that can trigger auto updating
         */
        this.startAutoUpdateEventListeners = () => {
            window.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.eventResize, this.update, { passive: true });
            window.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.eventScroll, this.update, {
                passive: true,
                capture: true,
            });
            if (this.resizeDetector !== null && this.viewportElement !== null) {
                this.resizeDetector.observe(this.viewportElement);
            }
        };
        /**
         * stops event listeners that can trigger auto updating
         */
        this.stopAutoUpdateEventListeners = () => {
            window.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.eventResize, this.update);
            window.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.eventScroll, this.update);
            if (this.resizeDetector !== null && this.viewportElement !== null) {
                this.resizeDetector.unobserve(this.viewportElement);
            }
        };
    }
    anchorChanged() {
        if (this.initialLayoutComplete) {
            this.anchorElement = this.getAnchor();
        }
    }
    viewportChanged() {
        if (this.initialLayoutComplete) {
            this.viewportElement = this.getViewport();
        }
    }
    horizontalPositioningModeChanged() {
        this.requestReset();
    }
    horizontalDefaultPositionChanged() {
        this.updateForAttributeChange();
    }
    horizontalViewportLockChanged() {
        this.updateForAttributeChange();
    }
    horizontalInsetChanged() {
        this.updateForAttributeChange();
    }
    horizontalThresholdChanged() {
        this.updateForAttributeChange();
    }
    horizontalScalingChanged() {
        this.updateForAttributeChange();
    }
    verticalPositioningModeChanged() {
        this.requestReset();
    }
    verticalDefaultPositionChanged() {
        this.updateForAttributeChange();
    }
    verticalViewportLockChanged() {
        this.updateForAttributeChange();
    }
    verticalInsetChanged() {
        this.updateForAttributeChange();
    }
    verticalThresholdChanged() {
        this.updateForAttributeChange();
    }
    verticalScalingChanged() {
        this.updateForAttributeChange();
    }
    fixedPlacementChanged() {
        if (this.$fastController.isConnected &&
            this.initialLayoutComplete) {
            this.initialize();
        }
    }
    autoUpdateModeChanged(prevMode, newMode) {
        if (this.$fastController.isConnected &&
            this.initialLayoutComplete) {
            if (prevMode === "auto") {
                this.stopAutoUpdateEventListeners();
            }
            if (newMode === "auto") {
                this.startAutoUpdateEventListeners();
            }
        }
    }
    anchorElementChanged() {
        this.requestReset();
    }
    viewportElementChanged() {
        if (this.$fastController.isConnected &&
            this.initialLayoutComplete) {
            this.initialize();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        if (this.autoUpdateMode === "auto") {
            this.startAutoUpdateEventListeners();
        }
        this.initialize();
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        if (this.autoUpdateMode === "auto") {
            this.stopAutoUpdateEventListeners();
        }
        this.stopObservers();
        this.disconnectResizeDetector();
    }
    /**
     * @internal
     */
    adoptedCallback() {
        this.initialize();
    }
    /**
     * destroys the instance's resize observer
     */
    disconnectResizeDetector() {
        if (this.resizeDetector !== null) {
            this.resizeDetector.disconnect();
            this.resizeDetector = null;
        }
    }
    /**
     * initializes the instance's resize observer
     */
    initializeResizeDetector() {
        this.disconnectResizeDetector();
        this.resizeDetector = new window.ResizeObserver(this.handleResize);
    }
    /**
     * react to attribute changes that don't require a reset
     */
    updateForAttributeChange() {
        if (this.$fastController.isConnected &&
            this.initialLayoutComplete) {
            this.forceUpdate = true;
            this.update();
        }
    }
    /**
     * fully initializes the component
     */
    initialize() {
        this.initializeResizeDetector();
        if (this.anchorElement === null) {
            this.anchorElement = this.getAnchor();
        }
        this.requestReset();
    }
    /**
     * Request a reset if there are currently no open requests
     */
    requestReset() {
        if (this.$fastController.isConnected &&
            this.pendingReset === false) {
            this.setInitialState();
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.reset());
            this.pendingReset = true;
        }
    }
    /**
     * sets the starting configuration for component internal values
     */
    setInitialState() {
        this.initialLayoutComplete = false;
        this.regionVisible = false;
        this.translateX = 0;
        this.translateY = 0;
        this.baseHorizontalOffset = 0;
        this.baseVerticalOffset = 0;
        this.viewportRect = undefined;
        this.regionRect = undefined;
        this.anchorRect = undefined;
        this.verticalPosition = undefined;
        this.horizontalPosition = undefined;
        this.style.opacity = "0";
        this.style.pointerEvents = "none";
        this.forceUpdate = false;
        this.style.position = this.fixedPlacement ? "fixed" : "absolute";
        this.updatePositionClasses();
        this.updateRegionStyle();
    }
}
AnchoredRegion.intersectionService = new _utilities_intersection_service_js__WEBPACK_IMPORTED_MODULE_5__.IntersectionService();
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], AnchoredRegion.prototype, "anchor", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], AnchoredRegion.prototype, "viewport", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "horizontal-positioning-mode" })
], AnchoredRegion.prototype, "horizontalPositioningMode", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "horizontal-default-position" })
], AnchoredRegion.prototype, "horizontalDefaultPosition", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "horizontal-viewport-lock", mode: "boolean" })
], AnchoredRegion.prototype, "horizontalViewportLock", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "horizontal-inset", mode: "boolean" })
], AnchoredRegion.prototype, "horizontalInset", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "horizontal-threshold" })
], AnchoredRegion.prototype, "horizontalThreshold", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "horizontal-scaling" })
], AnchoredRegion.prototype, "horizontalScaling", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "vertical-positioning-mode" })
], AnchoredRegion.prototype, "verticalPositioningMode", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "vertical-default-position" })
], AnchoredRegion.prototype, "verticalDefaultPosition", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "vertical-viewport-lock", mode: "boolean" })
], AnchoredRegion.prototype, "verticalViewportLock", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "vertical-inset", mode: "boolean" })
], AnchoredRegion.prototype, "verticalInset", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "vertical-threshold" })
], AnchoredRegion.prototype, "verticalThreshold", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "vertical-scaling" })
], AnchoredRegion.prototype, "verticalScaling", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "fixed-placement", mode: "boolean" })
], AnchoredRegion.prototype, "fixedPlacement", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "auto-update-mode" })
], AnchoredRegion.prototype, "autoUpdateMode", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], AnchoredRegion.prototype, "anchorElement", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], AnchoredRegion.prototype, "viewportElement", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], AnchoredRegion.prototype, "initialLayoutComplete", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.template.js":
/*!******************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.template.js ***!
  \******************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   anchoredRegionTemplate: () => (/* binding */ anchoredRegionTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#(AnchoredRegion:class)} component.
 * @public
 */
const anchoredRegionTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template class="${x => (x.initialLayoutComplete ? "loaded" : "")}">
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.initialLayoutComplete, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <slot></slot>
            `)}
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/index.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/index.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AnchoredRegion: () => (/* reexport safe */ _anchored_region_js__WEBPACK_IMPORTED_MODULE_1__.AnchoredRegion),
/* harmony export */   FlyoutPosBottom: () => (/* reexport safe */ _anchored_region_config_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosBottom),
/* harmony export */   FlyoutPosBottomFill: () => (/* reexport safe */ _anchored_region_config_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosBottomFill),
/* harmony export */   FlyoutPosTallest: () => (/* reexport safe */ _anchored_region_config_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTallest),
/* harmony export */   FlyoutPosTallestFill: () => (/* reexport safe */ _anchored_region_config_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTallestFill),
/* harmony export */   FlyoutPosTop: () => (/* reexport safe */ _anchored_region_config_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTop),
/* harmony export */   FlyoutPosTopFill: () => (/* reexport safe */ _anchored_region_config_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTopFill),
/* harmony export */   anchoredRegionTemplate: () => (/* reexport safe */ _anchored_region_template_js__WEBPACK_IMPORTED_MODULE_0__.anchoredRegionTemplate)
/* harmony export */ });
/* harmony import */ var _anchored_region_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./anchored-region.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.template.js");
/* harmony import */ var _anchored_region_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./anchored-region.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.js");
/* harmony import */ var _anchored_region_config_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./anchored-region-config.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region-config.js");





/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/avatar/avatar.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/avatar/avatar.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Avatar: () => (/* binding */ Avatar)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/**
 * An Avatar Custom HTML Element
 *
 * @slot media - Used for media such as an image
 * @slot - The default slot for avatar text, commonly a name or initials
 * @slot badge - Used to provide a badge, such as a status badge
 * @csspart backplate - The wrapping container for the avatar
 * @csspart link - The avatar link
 * @csspart media - The media slot
 * @csspart content - The default slot
 *
 * @public
 */
class Avatar extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    /**
     * Internal
     */
    connectedCallback() {
        super.connectedCallback();
        if (!this.shape) {
            this.shape = "circle";
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Avatar.prototype, "fill", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Avatar.prototype, "color", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Avatar.prototype, "link", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Avatar.prototype, "shape", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/avatar/avatar.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/avatar/avatar.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   avatarTemplate: () => (/* binding */ avatarTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for {@link @microsoft/fast-foundation#Avatar} component.
 * @public
 */
const avatarTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <div
        class="backplate ${x => x.shape}"
        part="backplate"
        style="${x => x.fill ? `background-color: var(--avatar-fill-${x.fill});` : void 0}"
    >
        <a
            class="link"
            part="link"
            href="${x => (x.link ? x.link : void 0)}"
            style="${x => (x.color ? `color: var(--avatar-color-${x.color});` : void 0)}"
        >
            <slot name="media" part="media">${definition.media || ""}</slot>
            <slot class="content" part="content"><slot>
        </a>
    </div>
    <slot name="badge" part="badge"></slot>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/avatar/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/avatar/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Avatar: () => (/* reexport safe */ _avatar_js__WEBPACK_IMPORTED_MODULE_1__.Avatar),
/* harmony export */   avatarTemplate: () => (/* reexport safe */ _avatar_template_js__WEBPACK_IMPORTED_MODULE_0__.avatarTemplate)
/* harmony export */ });
/* harmony import */ var _avatar_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./avatar.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/avatar/avatar.template.js");
/* harmony import */ var _avatar_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./avatar.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/avatar/avatar.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/badge/badge.js":
/*!*************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/badge/badge.js ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Badge: () => (/* binding */ Badge)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/**
 * A Badge Custom HTML Element.
 * @slot - The default slot for the badge
 * @csspart control - The element representing the badge, which wraps the default slot
 *
 * @public
 */
class Badge extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        this.generateBadgeStyle = () => {
            if (!this.fill && !this.color) {
                return;
            }
            const fill = `background-color: var(--badge-fill-${this.fill});`;
            const color = `color: var(--badge-color-${this.color});`;
            if (this.fill && !this.color) {
                return fill;
            }
            else if (this.color && !this.fill) {
                return color;
            }
            else {
                return `${color} ${fill}`;
            }
        };
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "fill" })
], Badge.prototype, "fill", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "color" })
], Badge.prototype, "color", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Badge.prototype, "circular", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/badge/badge.template.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/badge/badge.template.js ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   badgeTemplate: () => (/* binding */ badgeTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Badge} component.
 * @public
 */
const badgeTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template class="${x => (x.circular ? "circular" : "")}">
        <div class="control" part="control" style="${x => x.generateBadgeStyle()}">
            <slot></slot>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/badge/index.js":
/*!*************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/badge/index.js ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Badge: () => (/* reexport safe */ _badge_js__WEBPACK_IMPORTED_MODULE_1__.Badge),
/* harmony export */   badgeTemplate: () => (/* reexport safe */ _badge_template_js__WEBPACK_IMPORTED_MODULE_0__.badgeTemplate)
/* harmony export */ });
/* harmony import */ var _badge_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./badge.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/badge/badge.template.js");
/* harmony import */ var _badge_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./badge.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/badge/badge.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/breadcrumb-item.js":
/*!*********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/breadcrumb-item.js ***!
  \*********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbItem: () => (/* binding */ BreadcrumbItem)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _anchor_anchor_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../anchor/anchor.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.js");
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");





/**
 * A Breadcrumb Item Custom HTML Element.
 *
 * @public
 */
class BreadcrumbItem extends _anchor_anchor_js__WEBPACK_IMPORTED_MODULE_1__.Anchor {
    constructor() {
        super(...arguments);
        /**
         * @internal
         */
        this.separator = true;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], BreadcrumbItem.prototype, "separator", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(BreadcrumbItem, _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__.StartEnd, _anchor_anchor_js__WEBPACK_IMPORTED_MODULE_1__.DelegatesARIALink);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/breadcrumb-item.template.js":
/*!******************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/breadcrumb-item.template.js ***!
  \******************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   breadcrumbItemTemplate: () => (/* binding */ breadcrumbItemTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _anchor_anchor_template_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../anchor/anchor.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/anchor.template.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");



/**
 * The template for the {@link @microsoft/fast-foundation#(BreadcrumbItem:class)} component.
 * @public
 */
const breadcrumbItemTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <div role="listitem" class="listitem" part="listitem">
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.href && x.href.length > 0, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                ${(0,_anchor_anchor_template_js__WEBPACK_IMPORTED_MODULE_1__.anchorTemplate)(context, definition)}
            `)}
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => !x.href, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.startSlotTemplate)(context, definition)}
                <slot></slot>
                ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.endSlotTemplate)(context, definition)}
            `)}
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.separator, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <span class="separator" part="separator" aria-hidden="true">
                    <slot name="separator">${definition.separator || ""}</slot>
                </span>
            `)}
    </div>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/index.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/index.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BreadcrumbItem: () => (/* reexport safe */ _breadcrumb_item_js__WEBPACK_IMPORTED_MODULE_1__.BreadcrumbItem),
/* harmony export */   breadcrumbItemTemplate: () => (/* reexport safe */ _breadcrumb_item_template_js__WEBPACK_IMPORTED_MODULE_0__.breadcrumbItemTemplate)
/* harmony export */ });
/* harmony import */ var _breadcrumb_item_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./breadcrumb-item.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/breadcrumb-item.template.js");
/* harmony import */ var _breadcrumb_item_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./breadcrumb-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/breadcrumb-item.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/breadcrumb.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/breadcrumb.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Breadcrumb: () => (/* binding */ Breadcrumb)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _breadcrumb_item_breadcrumb_item_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../breadcrumb-item/breadcrumb-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/breadcrumb-item.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");




/**
 * A Breadcrumb Custom HTML Element.
 * @slot - The default slot for the breadcrumb items
 * @csspart list - The element wrapping the slotted items
 *
 * @public
 */
class Breadcrumb extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    slottedBreadcrumbItemsChanged() {
        if (this.$fastController.isConnected) {
            if (this.slottedBreadcrumbItems === undefined ||
                this.slottedBreadcrumbItems.length === 0) {
                return;
            }
            const lastNode = this.slottedBreadcrumbItems[this.slottedBreadcrumbItems.length - 1];
            this.slottedBreadcrumbItems.forEach((item) => {
                const itemIsLastNode = item === lastNode;
                this.setItemSeparator(item, itemIsLastNode);
                this.setAriaCurrent(item, itemIsLastNode);
            });
        }
    }
    setItemSeparator(item, isLastNode) {
        if (item instanceof _breadcrumb_item_breadcrumb_item_js__WEBPACK_IMPORTED_MODULE_2__.BreadcrumbItem) {
            item.separator = !isLastNode;
        }
    }
    /**
     * Finds href on childnodes in the light DOM or shadow DOM.
     * We look in the shadow DOM because we insert an anchor when breadcrumb-item has an href.
     */
    findChildWithHref(node) {
        var _a, _b;
        if (node.childElementCount > 0) {
            return node.querySelector("a[href]");
        }
        else if ((_a = node.shadowRoot) === null || _a === void 0 ? void 0 : _a.childElementCount) {
            return (_b = node.shadowRoot) === null || _b === void 0 ? void 0 : _b.querySelector("a[href]");
        }
        else
            return null;
    }
    /**
     *  Sets ARIA Current for the current node
     * If child node with an anchor tag and with href is found then set aria-current to correct value for the child node,
     * otherwise apply aria-current to the host element, with an href
     */
    setAriaCurrent(item, isLastNode) {
        const childNodeWithHref = this.findChildWithHref(item);
        if (childNodeWithHref === null &&
            item.hasAttribute("href") &&
            item instanceof _breadcrumb_item_breadcrumb_item_js__WEBPACK_IMPORTED_MODULE_2__.BreadcrumbItem) {
            isLastNode
                ? item.setAttribute("aria-current", "page")
                : item.removeAttribute("aria-current");
        }
        else if (childNodeWithHref !== null) {
            isLastNode
                ? childNodeWithHref.setAttribute("aria-current", "page")
                : childNodeWithHref.removeAttribute("aria-current");
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Breadcrumb.prototype, "slottedBreadcrumbItems", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/breadcrumb.template.js":
/*!********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/breadcrumb.template.js ***!
  \********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   breadcrumbTemplate: () => (/* binding */ breadcrumbTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Breadcrumb} component.
 * @public
 */
const breadcrumbTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template role="navigation">
        <div role="list" class="list" part="list">
            <slot
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({ property: "slottedBreadcrumbItems", filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)() })}
            ></slot>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/index.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/index.js ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Breadcrumb: () => (/* reexport safe */ _breadcrumb_js__WEBPACK_IMPORTED_MODULE_1__.Breadcrumb),
/* harmony export */   breadcrumbTemplate: () => (/* reexport safe */ _breadcrumb_template_js__WEBPACK_IMPORTED_MODULE_0__.breadcrumbTemplate)
/* harmony export */ });
/* harmony import */ var _breadcrumb_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./breadcrumb.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/breadcrumb.template.js");
/* harmony import */ var _breadcrumb_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./breadcrumb.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/breadcrumb.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/button/button.form-associated.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/button/button.form-associated.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedButton: () => (/* binding */ FormAssociatedButton)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _Button extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Button:class)} component.
 *
 * @internal
 */
class FormAssociatedButton extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_Button) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/button/button.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/button/button.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Button: () => (/* binding */ Button),
/* harmony export */   DelegatesARIAButton: () => (/* binding */ DelegatesARIAButton)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _button_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./button.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/button/button.form-associated.js");





/**
 * A Button Custom HTML Element.
 * Based largely on the {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/button | <button> element }.
 *
 * @slot start - Content which can be provided before the button content
 * @slot end - Content which can be provided after the button content
 * @slot - The default slot for button content
 * @csspart control - The button element
 * @csspart content - The element wrapping button content
 *
 * @public
 */
class Button extends _button_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedButton {
    constructor() {
        super(...arguments);
        /**
         * Prevent events to propagate if disabled and has no slotted content wrapped in HTML elements
         * @internal
         */
        this.handleClick = (e) => {
            var _a;
            if (this.disabled && ((_a = this.defaultSlottedContent) === null || _a === void 0 ? void 0 : _a.length) <= 1) {
                e.stopPropagation();
            }
        };
        /**
         * Submits the parent form
         */
        this.handleSubmission = () => {
            if (!this.form) {
                return;
            }
            const attached = this.proxy.isConnected;
            if (!attached) {
                this.attachProxy();
            }
            // Browser support for requestSubmit is not comprehensive
            // so click the proxy if it isn't supported
            typeof this.form.requestSubmit === "function"
                ? this.form.requestSubmit(this.proxy)
                : this.proxy.click();
            if (!attached) {
                this.detachProxy();
            }
        };
        /**
         * Resets the parent form
         */
        this.handleFormReset = () => {
            var _a;
            (_a = this.form) === null || _a === void 0 ? void 0 : _a.reset();
        };
        /**
         * Overrides the focus call for where delegatesFocus is unsupported.
         * This check works for Chrome, Edge Chromium, FireFox, and Safari
         * Relevant PR on the Firefox browser: https://phabricator.services.mozilla.com/D123858
         */
        this.handleUnsupportedDelegatesFocus = () => {
            var _a;
            // Check to see if delegatesFocus is supported
            if (window.ShadowRoot &&
                !window.ShadowRoot.prototype.hasOwnProperty("delegatesFocus") &&
                ((_a = this.$fastController.definition.shadowOptions) === null || _a === void 0 ? void 0 : _a.delegatesFocus)) {
                this.focus = () => {
                    this.control.focus();
                };
            }
        };
    }
    formactionChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.formAction = this.formaction;
        }
    }
    formenctypeChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.formEnctype = this.formenctype;
        }
    }
    formmethodChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.formMethod = this.formmethod;
        }
    }
    formnovalidateChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.formNoValidate = this.formnovalidate;
        }
    }
    formtargetChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.formTarget = this.formtarget;
        }
    }
    typeChanged(previous, next) {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.type = this.type;
        }
        next === "submit" && this.addEventListener("click", this.handleSubmission);
        previous === "submit" && this.removeEventListener("click", this.handleSubmission);
        next === "reset" && this.addEventListener("click", this.handleFormReset);
        previous === "reset" && this.removeEventListener("click", this.handleFormReset);
    }
    /** {@inheritDoc (FormAssociated:interface).validate} */
    validate() {
        super.validate(this.control);
    }
    /**
     * @internal
     */
    connectedCallback() {
        var _a;
        super.connectedCallback();
        this.proxy.setAttribute("type", this.type);
        this.handleUnsupportedDelegatesFocus();
        const elements = Array.from((_a = this.control) === null || _a === void 0 ? void 0 : _a.children);
        if (elements) {
            elements.forEach((span) => {
                span.addEventListener("click", this.handleClick);
            });
        }
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        var _a;
        super.disconnectedCallback();
        const elements = Array.from((_a = this.control) === null || _a === void 0 ? void 0 : _a.children);
        if (elements) {
            elements.forEach((span) => {
                span.removeEventListener("click", this.handleClick);
            });
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Button.prototype, "autofocus", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "form" })
], Button.prototype, "formId", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Button.prototype, "formaction", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Button.prototype, "formenctype", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Button.prototype, "formmethod", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Button.prototype, "formnovalidate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Button.prototype, "formtarget", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Button.prototype, "type", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Button.prototype, "defaultSlottedContent", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA button role
 *
 * @public
 */
class DelegatesARIAButton {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-expanded" })
], DelegatesARIAButton.prototype, "ariaExpanded", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-pressed" })
], DelegatesARIAButton.prototype, "ariaPressed", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(DelegatesARIAButton, _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__.ARIAGlobalStatesAndProperties);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(Button, _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__.StartEnd, DelegatesARIAButton);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/button/button.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/button/button.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   buttonTemplate: () => (/* binding */ buttonTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(Button:class)} component.
 * @public
 */
const buttonTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <button
        class="control"
        part="control"
        ?autofocus="${x => x.autofocus}"
        ?disabled="${x => x.disabled}"
        form="${x => x.formId}"
        formaction="${x => x.formaction}"
        formenctype="${x => x.formenctype}"
        formmethod="${x => x.formmethod}"
        formnovalidate="${x => x.formnovalidate}"
        formtarget="${x => x.formtarget}"
        name="${x => x.name}"
        type="${x => x.type}"
        value="${x => x.value}"
        aria-atomic="${x => x.ariaAtomic}"
        aria-busy="${x => x.ariaBusy}"
        aria-controls="${x => x.ariaControls}"
        aria-current="${x => x.ariaCurrent}"
        aria-describedby="${x => x.ariaDescribedby}"
        aria-details="${x => x.ariaDetails}"
        aria-disabled="${x => x.ariaDisabled}"
        aria-errormessage="${x => x.ariaErrormessage}"
        aria-expanded="${x => x.ariaExpanded}"
        aria-flowto="${x => x.ariaFlowto}"
        aria-haspopup="${x => x.ariaHaspopup}"
        aria-hidden="${x => x.ariaHidden}"
        aria-invalid="${x => x.ariaInvalid}"
        aria-keyshortcuts="${x => x.ariaKeyshortcuts}"
        aria-label="${x => x.ariaLabel}"
        aria-labelledby="${x => x.ariaLabelledby}"
        aria-live="${x => x.ariaLive}"
        aria-owns="${x => x.ariaOwns}"
        aria-pressed="${x => x.ariaPressed}"
        aria-relevant="${x => x.ariaRelevant}"
        aria-roledescription="${x => x.ariaRoledescription}"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
    >
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
        <span class="content" part="content">
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("defaultSlottedContent")}></slot>
        </span>
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
    </button>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/button/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/button/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Button: () => (/* reexport safe */ _button_js__WEBPACK_IMPORTED_MODULE_1__.Button),
/* harmony export */   DelegatesARIAButton: () => (/* reexport safe */ _button_js__WEBPACK_IMPORTED_MODULE_1__.DelegatesARIAButton),
/* harmony export */   buttonTemplate: () => (/* reexport safe */ _button_template_js__WEBPACK_IMPORTED_MODULE_0__.buttonTemplate)
/* harmony export */ });
/* harmony import */ var _button_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./button.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/button/button.template.js");
/* harmony import */ var _button_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./button.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/button/button.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/calendar.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/calendar/calendar.js ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Calendar: () => (/* binding */ Calendar)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _date_formatter_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./date-formatter.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/date-formatter.js");





/**
 * Calendar component
 *
 * @slot - The default slot for calendar content
 * @fires dateselected - Fires a custom 'dateselected' event when Enter is invoked via keyboard on a date
 *
 * @public
 */
class Calendar extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * date formatter utitlity for getting localized strings
         * @public
         */
        this.dateFormatter = new _date_formatter_js__WEBPACK_IMPORTED_MODULE_2__.DateFormatter();
        /**
         * Readonly attribute for turning off data-grid
         * @public
         */
        this.readonly = false;
        /**
         * String repesentation of the full locale including market, calendar type and numbering system
         * @public
         */
        this.locale = "en-US";
        /**
         * Month to display
         * @public
         */
        this.month = new Date().getMonth() + 1;
        /**
         * Year of the month to display
         * @public
         */
        this.year = new Date().getFullYear();
        /**
         * Format style for the day
         * @public
         */
        this.dayFormat = "numeric";
        /**
         * Format style for the week day labels
         * @public
         */
        this.weekdayFormat = "short";
        /**
         * Format style for the month label
         * @public
         */
        this.monthFormat = "long";
        /**
         * Format style for the year used in the title
         * @public
         */
        this.yearFormat = "numeric";
        /**
         * Minimum number of weeks to show for the month
         * This can be used to normalize the calendar view
         *  when changing or across multiple calendars
         * @public
         */
        this.minWeeks = 0;
        /**
         * A list of dates that should be shown as disabled
         * @public
         */
        this.disabledDates = "";
        /**
         * A list of dates that should be shown as highlighted
         * @public
         */
        this.selectedDates = "";
        /**
         * The number of miliseconds in a day
         * @internal
         */
        this.oneDayInMs = 86400000;
    }
    localeChanged() {
        this.dateFormatter.locale = this.locale;
    }
    dayFormatChanged() {
        this.dateFormatter.dayFormat = this.dayFormat;
    }
    weekdayFormatChanged() {
        this.dateFormatter.weekdayFormat = this.weekdayFormat;
    }
    monthFormatChanged() {
        this.dateFormatter.monthFormat = this.monthFormat;
    }
    yearFormatChanged() {
        this.dateFormatter.yearFormat = this.yearFormat;
    }
    /**
     * Gets data needed to render about a calendar month as well as the previous and next months
     * @param year - year of the calendar
     * @param month - month of the calendar
     * @returns - an object with data about the current and 2 surrounding months
     * @public
     */
    getMonthInfo(month = this.month, year = this.year) {
        const getFirstDay = (date) => new Date(date.getFullYear(), date.getMonth(), 1).getDay();
        const getLength = (date) => {
            const nextMonth = new Date(date.getFullYear(), date.getMonth() + 1, 1);
            return new Date(nextMonth.getTime() - this.oneDayInMs).getDate();
        };
        const thisMonth = new Date(year, month - 1);
        const nextMonth = new Date(year, month);
        const previousMonth = new Date(year, month - 2);
        return {
            length: getLength(thisMonth),
            month,
            start: getFirstDay(thisMonth),
            year,
            previous: {
                length: getLength(previousMonth),
                month: previousMonth.getMonth() + 1,
                start: getFirstDay(previousMonth),
                year: previousMonth.getFullYear(),
            },
            next: {
                length: getLength(nextMonth),
                month: nextMonth.getMonth() + 1,
                start: getFirstDay(nextMonth),
                year: nextMonth.getFullYear(),
            },
        };
    }
    /**
     * A list of calendar days
     * @param info - an object containing the information needed to render a calendar month
     * @param minWeeks - minimum number of weeks to show
     * @returns a list of days in a calendar month
     * @public
     */
    getDays(info = this.getMonthInfo(), minWeeks = this.minWeeks) {
        minWeeks = minWeeks > 10 ? 10 : minWeeks;
        const { start, length, previous, next } = info;
        const days = [];
        let dayCount = 1 - start;
        while (dayCount < length + 1 ||
            days.length < minWeeks ||
            days[days.length - 1].length % 7 !== 0) {
            const { month, year } = dayCount < 1 ? previous : dayCount > length ? next : info;
            const day = dayCount < 1
                ? previous.length + dayCount
                : dayCount > length
                    ? dayCount - length
                    : dayCount;
            const dateString = `${month}-${day}-${year}`;
            const disabled = this.dateInString(dateString, this.disabledDates);
            const selected = this.dateInString(dateString, this.selectedDates);
            const date = {
                day,
                month,
                year,
                disabled,
                selected,
            };
            const target = days[days.length - 1];
            if (days.length === 0 || target.length % 7 === 0) {
                days.push([date]);
            }
            else {
                target.push(date);
            }
            dayCount++;
        }
        return days;
    }
    /**
     * A helper function that checks if a date exists in a list of dates
     * @param date - A date objec that includes the day, month and year
     * @param datesString - a comma separated list of dates
     * @returns - Returns true if it found the date in the list of dates
     * @public
     */
    dateInString(date, datesString) {
        const dates = datesString.split(",").map(str => str.trim());
        date =
            typeof date === "string"
                ? date
                : `${date.getMonth() + 1}-${date.getDate()}-${date.getFullYear()}`;
        return dates.some(d => d === date);
    }
    /**
     * Creates a class string for the day container
     * @param date - date of the calendar cell
     * @returns - string of class names
     * @public
     */
    getDayClassNames(date, todayString) {
        const { day, month, year, disabled, selected } = date;
        const today = todayString === `${month}-${day}-${year}`;
        const inactive = this.month !== month;
        return [
            "day",
            today && "today",
            inactive && "inactive",
            disabled && "disabled",
            selected && "selected",
        ]
            .filter(Boolean)
            .join(" ");
    }
    /**
     * Returns a list of weekday labels
     * @returns An array of weekday text and full text if abbreviated
     * @public
     */
    getWeekdayText() {
        const weekdayText = this.dateFormatter.getWeekdays().map(text => ({ text }));
        if (this.weekdayFormat !== "long") {
            const longText = this.dateFormatter.getWeekdays("long");
            weekdayText.forEach((weekday, index) => {
                weekday.abbr = longText[index];
            });
        }
        return weekdayText;
    }
    /**
     * Emits the "date-select" event with the day, month and year.
     * @param date - Date cell
     * @public
     */
    handleDateSelect(event, day) {
        event.preventDefault;
        this.$emit("dateselected", day);
    }
    /**
     * Handles keyboard events on a cell
     * @param event - Keyboard event
     * @param date - Date of the cell selected
     */
    handleKeydown(event, date) {
        if (event.key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyEnter) {
            this.handleDateSelect(event, date);
        }
        return true;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Calendar.prototype, "readonly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Calendar.prototype, "locale", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Calendar.prototype, "month", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Calendar.prototype, "year", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "day-format", mode: "fromView" })
], Calendar.prototype, "dayFormat", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "weekday-format", mode: "fromView" })
], Calendar.prototype, "weekdayFormat", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "month-format", mode: "fromView" })
], Calendar.prototype, "monthFormat", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "year-format", mode: "fromView" })
], Calendar.prototype, "yearFormat", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "min-weeks", converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Calendar.prototype, "minWeeks", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "disabled-dates" })
], Calendar.prototype, "disabledDates", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "selected-dates" })
], Calendar.prototype, "selectedDates", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/calendar.template.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/calendar/calendar.template.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CalendarTitleTemplate: () => (/* binding */ CalendarTitleTemplate),
/* harmony export */   calendarCellTemplate: () => (/* binding */ calendarCellTemplate),
/* harmony export */   calendarRowTemplate: () => (/* binding */ calendarRowTemplate),
/* harmony export */   calendarTemplate: () => (/* binding */ calendarTemplate),
/* harmony export */   calendarWeekdayTemplate: () => (/* binding */ calendarWeekdayTemplate),
/* harmony export */   interactiveCalendarGridTemplate: () => (/* binding */ interactiveCalendarGridTemplate),
/* harmony export */   noninteractiveCalendarTemplate: () => (/* binding */ noninteractiveCalendarTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _data_grid_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../data-grid/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.js");
/* harmony import */ var _data_grid_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../data-grid/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.js");
/* harmony import */ var _data_grid_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../data-grid/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.js");



/**
 * A basic Calendar title template that includes the month and year
 * @returns - A calendar title template
 * @public
 */
const CalendarTitleTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <div
        class="title"
        part="title"
        aria-label="${(x) => x.dateFormatter.getDate(`${x.month}-2-${x.year}`, {
    month: "long",
    year: "numeric",
})}"
    >
        <span part="month">
            ${(x) => x.dateFormatter.getMonth(x.month)}
        </span>
        <span part="year">${(x) => x.dateFormatter.getYear(x.year)}</span>
    </div>
`;
/**
 * Calendar weekday label template
 * @returns - The weekday labels template
 * @public
 */
const calendarWeekdayTemplate = context => {
    const cellTag = context.tagFor(_data_grid_index_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCell);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <${cellTag}
            class="week-day"
            part="week-day"
            tabindex="-1"
            grid-column="${(x, c) => c.index + 1}"
            abbr="${x => x.abbr}"
        >
            ${x => x.text}
        </${cellTag}>
    `;
};
/**
 * A calendar day template
 * @param context - Element definition context for getting the cell tag for calendar-cell
 * @param todayString - A string representation for todays date
 * @returns - A calendar cell template for a given date
 * @public
 */
const calendarCellTemplate = (context, todayString) => {
    const cellTag = context.tagFor(_data_grid_index_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCell);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <${cellTag}
            class="${(x, c) => c.parentContext.parent.getDayClassNames(x, todayString)}"
            part="day"
            tabindex="-1"
            role="gridcell"
            grid-column="${(x, c) => c.index + 1}"
            @click="${(x, c) => c.parentContext.parent.handleDateSelect(c.event, x)}"
            @keydown="${(x, c) => c.parentContext.parent.handleKeydown(c.event, x)}"
            aria-label="${(x, c) => c.parentContext.parent.dateFormatter.getDate(`${x.month}-${x.day}-${x.year}`, { month: "long", day: "numeric" })}"
        >
            <div
                class="date"
                part="${x => todayString === `${x.month}-${x.day}-${x.year}` ? "today" : "date"}"
            >
                ${(x, c) => c.parentContext.parent.dateFormatter.getDay(x.day)}
            </div>
            <slot name="${x => x.month}-${x => x.day}-${x => x.year}"></slot>
        </${cellTag}>
    `;
};
/**
 *
 * @param context - Element definition context for getting the cell tag for calendar-cell
 * @param todayString - A string representation for todays date
 * @returns - A template for a week of days
 * @public
 */
const calendarRowTemplate = (context, todayString) => {
    const rowTag = context.tagFor(_data_grid_index_js__WEBPACK_IMPORTED_MODULE_2__.DataGridRow);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <${rowTag}
            class="week"
            part="week"
            role="row"
            role-type="default"
            grid-template-columns="1fr 1fr 1fr 1fr 1fr 1fr 1fr"
        >
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.repeat)(x => x, calendarCellTemplate(context, todayString), {
        positioning: true,
    })}
        </${rowTag}>
    `;
};
/**
 * Interactive template using DataGrid
 * @param context - The templates context
 * @param todayString - string representation of todays date
 * @returns - interactive calendar template
 *
 * @internal
 */
const interactiveCalendarGridTemplate = (context, todayString) => {
    const gridTag = context.tagFor(_data_grid_index_js__WEBPACK_IMPORTED_MODULE_3__.DataGrid);
    const rowTag = context.tagFor(_data_grid_index_js__WEBPACK_IMPORTED_MODULE_2__.DataGridRow);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <${gridTag} class="days interact" part="days" generate-header="none">
        <${rowTag}
            class="week-days"
            part="week-days"
            role="row"
            row-type="header"
            grid-template-columns="1fr 1fr 1fr 1fr 1fr 1fr 1fr"
        >
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.repeat)(x => x.getWeekdayText(), calendarWeekdayTemplate(context), {
        positioning: true,
    })}
        </${rowTag}>
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.repeat)(x => x.getDays(), calendarRowTemplate(context, todayString))}
    </${gridTag}>
`;
};
/**
 * Non-interactive calendar template used for a readonly calendar
 * @param todayString - string representation of todays date
 * @returns - non-interactive calendar template
 *
 * @internal
 */
const noninteractiveCalendarTemplate = (todayString) => {
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <div class="days" part="days">
            <div class="week-days" part="week-days">
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.repeat)(x => x.getWeekdayText(), (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                        <div class="week-day" part="week-day" abbr="${x => x.abbr}">
                            ${x => x.text}
                        </div>
                    `)}
            </div>
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.repeat)(x => x.getDays(), (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                    <div class="week">
                        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.repeat)(x => x, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                                <div
                                    class="${(x, c) => c.parentContext.parent.getDayClassNames(x, todayString)}"
                                    part="day"
                                    aria-label="${(x, c) => c.parentContext.parent.dateFormatter.getDate(`${x.month}-${x.day}-${x.year}`, { month: "long", day: "numeric" })}"
                                >
                                    <div
                                        class="date"
                                        part="${x => todayString ===
        `${x.month}-${x.day}-${x.year}`
        ? "today"
        : "date"}"
                                    >
                                        ${(x, c) => c.parentContext.parent.dateFormatter.getDay(x.day)}
                                    </div>
                                    <slot
                                        name="${x => x.month}-${x => x.day}-${x => x.year}"
                                    ></slot>
                                </div>
                            `)}
                    </div>
                `)}
        </div>
    `;
};
/**
 * The template for the {@link @microsoft/fast-foundation#(Calendar:class)} component.
 *
 * @param context - Element definition context for getting the cell tag for calendar-cell
 * @param definition - Foundation element definition
 * @returns - a template for a calendar month
 * @public
 */
const calendarTemplate = (context, definition) => {
    var _a;
    const today = new Date();
    const todayString = `${today.getMonth() + 1}-${today.getDate()}-${today.getFullYear()}`;
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template>
            ${_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_4__.startTemplate}
            ${definition.title instanceof Function
        ? definition.title(context, definition)
        : (_a = definition.title) !== null && _a !== void 0 ? _a : ""}
            <slot></slot>
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.readonly, noninteractiveCalendarTemplate(todayString), interactiveCalendarGridTemplate(context, todayString))}
            ${_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_4__.endTemplate}
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/date-formatter.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/calendar/date-formatter.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DateFormatter: () => (/* binding */ DateFormatter)
/* harmony export */ });
/**
 * Date formatting utility
 * @public
 */
class DateFormatter {
    constructor(config) {
        /**
         * Formatting for the day
         * @public
         */
        this.dayFormat = "numeric";
        /**
         * Formatting for the weekday labels
         * @public
         */
        this.weekdayFormat = "long";
        /**
         * Formatting for the month
         * @public
         */
        this.monthFormat = "long";
        /**
         * Formatting for the year
         * @public
         */
        this.yearFormat = "numeric";
        /**
         * Date used for formatting
         */
        this.date = new Date();
        /**
         * Add properties on construction
         */
        if (config) {
            for (const key in config) {
                const value = config[key];
                if (key === "date") {
                    this.date = this.getDateObject(value);
                }
                else {
                    this[key] = value;
                }
            }
        }
    }
    /**
     * Helper function to make sure that the DateFormatter is working with an instance of Date
     * @param date - The date as an object, string or Date insance
     * @returns - A Date instance
     * @public
     */
    getDateObject(date) {
        if (typeof date === "string") {
            const dates = date.split(/[/-]/);
            if (dates.length < 3) {
                return new Date();
            }
            return new Date(parseInt(dates[2], 10), parseInt(dates[0], 10) - 1, parseInt(dates[1], 10));
        }
        else if ("day" in date && "month" in date && "year" in date) {
            const { day, month, year } = date;
            return new Date(year, month - 1, day);
        }
        return date;
    }
    /**
     *
     * @param date - a valide date as either a Date, string, objec or a DateFormatter
     * @param format - The formatting for the string
     * @param locale - locale data used for formatting
     * @returns A localized string of the date provided
     * @public
     */
    getDate(date = this.date, format = {
        weekday: this.weekdayFormat,
        month: this.monthFormat,
        day: this.dayFormat,
        year: this.yearFormat,
    }, locale = this.locale) {
        const dateObj = this.getDateObject(date);
        if (!dateObj.getTime()) {
            return "";
        }
        const optionsWithTimeZone = Object.assign({ timeZone: Intl.DateTimeFormat().resolvedOptions().timeZone }, format);
        return new Intl.DateTimeFormat(locale, optionsWithTimeZone).format(dateObj);
    }
    /**
     *
     * @param day - Day to localize
     * @param format - The formatting for the day
     * @param locale - The locale data used for formatting
     * @returns - A localized number for the day
     * @public
     */
    getDay(day = this.date.getDate(), format = this.dayFormat, locale = this.locale) {
        return this.getDate({ month: 1, day, year: 2020 }, { day: format }, locale);
    }
    /**
     *
     * @param month - The month to localize
     * @param format - The formatting for the month
     * @param locale - The locale data used for formatting
     * @returns - A localized name of the month
     * @public
     */
    getMonth(month = this.date.getMonth() + 1, format = this.monthFormat, locale = this.locale) {
        return this.getDate({ month, day: 2, year: 2020 }, { month: format }, locale);
    }
    /**
     *
     * @param year - The year to localize
     * @param format - The formatting for the year
     * @param locale - The locale data used for formatting
     * @returns - A localized string for the year
     * @public
     */
    getYear(year = this.date.getFullYear(), format = this.yearFormat, locale = this.locale) {
        return this.getDate({ month: 2, day: 2, year }, { year: format }, locale);
    }
    /**
     *
     * @param weekday - The number of the weekday, defaults to Sunday
     * @param format - The formatting for the weekday label
     * @param locale - The locale data used for formatting
     * @returns - A formatted weekday label
     * @public
     */
    getWeekday(weekday = 0, format = this.weekdayFormat, locale = this.locale) {
        const date = `1-${weekday + 1}-2017`;
        return this.getDate(date, { weekday: format }, locale);
    }
    /**
     *
     * @param format - The formatting for the weekdays
     * @param locale - The locale data used for formatting
     * @returns - An array of the weekday labels
     * @public
     */
    getWeekdays(format = this.weekdayFormat, locale = this.locale) {
        return Array(7)
            .fill(null)
            .map((_, day) => this.getWeekday(day, format, locale));
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/index.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/calendar/index.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Calendar: () => (/* reexport safe */ _calendar_js__WEBPACK_IMPORTED_MODULE_0__.Calendar),
/* harmony export */   CalendarTitleTemplate: () => (/* reexport safe */ _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__.CalendarTitleTemplate),
/* harmony export */   DateFormatter: () => (/* reexport safe */ _date_formatter_js__WEBPACK_IMPORTED_MODULE_2__.DateFormatter),
/* harmony export */   calendarCellTemplate: () => (/* reexport safe */ _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__.calendarCellTemplate),
/* harmony export */   calendarRowTemplate: () => (/* reexport safe */ _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__.calendarRowTemplate),
/* harmony export */   calendarTemplate: () => (/* reexport safe */ _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__.calendarTemplate),
/* harmony export */   calendarWeekdayTemplate: () => (/* reexport safe */ _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__.calendarWeekdayTemplate),
/* harmony export */   interactiveCalendarGridTemplate: () => (/* reexport safe */ _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__.interactiveCalendarGridTemplate),
/* harmony export */   noninteractiveCalendarTemplate: () => (/* reexport safe */ _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__.noninteractiveCalendarTemplate)
/* harmony export */ });
/* harmony import */ var _calendar_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./calendar.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/calendar.js");
/* harmony import */ var _calendar_template_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./calendar.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/calendar.template.js");
/* harmony import */ var _date_formatter_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./date-formatter.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/date-formatter.js");





/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/card/card.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/card/card.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Card: () => (/* binding */ Card)
/* harmony export */ });
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");

/**
 * An Card Custom HTML Element.
 *
 * @slot - The default slot for the card content
 *
 * @public
 */
class Card extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/card/card.template.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/card/card.template.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   cardTemplate: () => (/* binding */ cardTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Card} component.
 * @public
 */
const cardTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <slot></slot>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/card/index.js":
/*!************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/card/index.js ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Card: () => (/* reexport safe */ _card_js__WEBPACK_IMPORTED_MODULE_1__.Card),
/* harmony export */   cardTemplate: () => (/* reexport safe */ _card_template_js__WEBPACK_IMPORTED_MODULE_0__.cardTemplate)
/* harmony export */ });
/* harmony import */ var _card_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./card.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/card/card.template.js");
/* harmony import */ var _card_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./card.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/card/card.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.form-associated.js":
/*!***********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.form-associated.js ***!
  \***********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedCheckbox: () => (/* binding */ FormAssociatedCheckbox)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _Checkbox extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Checkbox:class)} component.
 *
 * @internal
 */
class FormAssociatedCheckbox extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.CheckableFormAssociated)(_Checkbox) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.js ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Checkbox: () => (/* binding */ Checkbox)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _checkbox_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./checkbox.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.form-associated.js");




/**
 * A Checkbox Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#checkbox | ARIA checkbox }.
 *
 * @slot checked-indicator - The checked indicator
 * @slot indeterminate-indicator - The indeterminate indicator
 * @slot - The default slot for the label
 * @csspart control - The element representing the visual checkbox control
 * @csspart label - The label
 * @fires change - Emits a custom change event when the checked state changes
 *
 * @public
 */
class Checkbox extends _checkbox_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedCheckbox {
    constructor() {
        super();
        /**
         * The element's value to be included in form submission when checked.
         * Default to "on" to reach parity with input[type="checkbox"]
         *
         * @internal
         */
        this.initialValue = "on";
        /**
         * The indeterminate state of the control
         */
        this.indeterminate = false;
        /**
         * @internal
         */
        this.keypressHandler = (e) => {
            if (this.readOnly) {
                return;
            }
            switch (e.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keySpace:
                    if (this.indeterminate) {
                        this.indeterminate = false;
                    }
                    this.checked = !this.checked;
                    break;
            }
        };
        /**
         * @internal
         */
        this.clickHandler = (e) => {
            if (!this.disabled && !this.readOnly) {
                if (this.indeterminate) {
                    this.indeterminate = false;
                }
                this.checked = !this.checked;
            }
        };
        this.proxy.setAttribute("type", "checkbox");
    }
    readOnlyChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.readOnly = this.readOnly;
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], Checkbox.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Checkbox.prototype, "defaultSlottedNodes", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Checkbox.prototype, "indeterminate", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.template.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.template.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   checkboxTemplate: () => (/* binding */ checkboxTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#(Checkbox:class)} component.
 * @public
 */
const checkboxTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="checkbox"
        aria-checked="${x => x.checked}"
        aria-required="${x => x.required}"
        aria-disabled="${x => x.disabled}"
        aria-readonly="${x => x.readOnly}"
        tabindex="${x => (x.disabled ? null : 0)}"
        @keypress="${(x, c) => x.keypressHandler(c.event)}"
        @click="${(x, c) => x.clickHandler(c.event)}"
        class="${x => (x.readOnly ? "readonly" : "")} ${x => x.checked ? "checked" : ""} ${x => (x.indeterminate ? "indeterminate" : "")}"
    >
        <div part="control" class="control">
            <slot name="checked-indicator">
                ${definition.checkedIndicator || ""}
            </slot>
            <slot name="indeterminate-indicator">
                ${definition.indeterminateIndicator || ""}
            </slot>
        </div>
        <label
            part="label"
            class="${x => x.defaultSlottedNodes && x.defaultSlottedNodes.length
    ? "label"
    : "label label__hidden"}"
        >
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("defaultSlottedNodes")}></slot>
        </label>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/index.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/index.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Checkbox: () => (/* reexport safe */ _checkbox_js__WEBPACK_IMPORTED_MODULE_1__.Checkbox),
/* harmony export */   checkboxTemplate: () => (/* reexport safe */ _checkbox_template_js__WEBPACK_IMPORTED_MODULE_0__.checkboxTemplate)
/* harmony export */ });
/* harmony import */ var _checkbox_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./checkbox.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.template.js");
/* harmony import */ var _checkbox_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./checkbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/checkbox.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.form-associated.js":
/*!***********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.form-associated.js ***!
  \***********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedCombobox: () => (/* binding */ FormAssociatedCombobox)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../listbox/listbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js");


class _Combobox extends _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_0__.Listbox {
}
/**
 * A form-associated base class for the {@link (Combobox:class)} component.
 *
 * @internal
 */
class FormAssociatedCombobox extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_Combobox) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.js ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Combobox: () => (/* binding */ Combobox),
/* harmony export */   DelegatesARIACombobox: () => (/* binding */ DelegatesARIACombobox)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/strings.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/numbers.js");
/* harmony import */ var _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../listbox/listbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _select_select_options_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../select/select.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.options.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _combobox_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./combobox.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.form-associated.js");
/* harmony import */ var _combobox_options_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./combobox.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.options.js");









/**
 * A Combobox Custom HTML Element.
 * Implements the {@link https://w3c.github.io/aria-practices/#combobox | ARIA combobox }.
 *
 * @slot start - Content which can be provided before the input
 * @slot end - Content which can be provided after the input
 * @slot control - Used to replace the input element representing the combobox
 * @slot indicator - The visual indicator representing the expanded state
 * @slot - The default slot for the options
 * @csspart control - The wrapper element containing the input area, including start and end
 * @csspart selected-value - The input element representing the selected value
 * @csspart indicator - The element wrapping the indicator slot
 * @csspart listbox - The wrapper for the listbox slotted options
 * @fires change - Fires a custom 'change' event when the value updates
 *
 * @public
 */
class Combobox extends _combobox_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedCombobox {
    constructor() {
        super(...arguments);
        /**
         * The internal value property.
         *
         * @internal
         */
        this._value = "";
        /**
         * The collection of currently filtered options.
         *
         * @public
         */
        this.filteredOptions = [];
        /**
         * The current filter value.
         *
         * @internal
         */
        this.filter = "";
        /**
         * The initial state of the position attribute.
         *
         * @internal
         */
        this.forcedPosition = false;
        /**
         * The unique id for the internal listbox element.
         *
         * @internal
         */
        this.listboxId = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.uniqueId)("listbox-");
        /**
         * The max height for the listbox when opened.
         *
         * @internal
         */
        this.maxHeight = 0;
        /**
         * The open attribute.
         *
         * @public
         * @remarks
         * HTML Attribute: open
         */
        this.open = false;
    }
    /**
     * Reset the element to its first selectable option when its parent form is reset.
     *
     * @internal
     */
    formResetCallback() {
        super.formResetCallback();
        this.setDefaultSelectedOption();
        this.updateValue();
    }
    /** {@inheritDoc (FormAssociated:interface).validate} */
    validate() {
        super.validate(this.control);
    }
    get isAutocompleteInline() {
        return (this.autocomplete === _combobox_options_js__WEBPACK_IMPORTED_MODULE_3__.ComboboxAutocomplete.inline || this.isAutocompleteBoth);
    }
    get isAutocompleteList() {
        return this.autocomplete === _combobox_options_js__WEBPACK_IMPORTED_MODULE_3__.ComboboxAutocomplete.list || this.isAutocompleteBoth;
    }
    get isAutocompleteBoth() {
        return this.autocomplete === _combobox_options_js__WEBPACK_IMPORTED_MODULE_3__.ComboboxAutocomplete.both;
    }
    /**
     * Sets focus and synchronize ARIA attributes when the open property changes.
     *
     * @param prev - the previous open value
     * @param next - the current open value
     *
     * @internal
     */
    openChanged() {
        if (this.open) {
            this.ariaControls = this.listboxId;
            this.ariaExpanded = "true";
            this.setPositioning();
            this.focusAndScrollOptionIntoView();
            // focus is directed to the element when `open` is changed programmatically
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.focus());
            return;
        }
        this.ariaControls = "";
        this.ariaExpanded = "false";
    }
    /**
     * The list of options.
     *
     * @public
     * @remarks
     * Overrides `Listbox.options`.
     */
    get options() {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, "options");
        return this.filteredOptions.length ? this.filteredOptions : this._options;
    }
    set options(value) {
        this._options = value;
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.notify(this, "options");
    }
    /**
     * Updates the placeholder on the proxy element.
     * @internal
     */
    placeholderChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.placeholder = this.placeholder;
        }
    }
    positionChanged(prev, next) {
        this.positionAttribute = next;
        this.setPositioning();
    }
    /**
     * The value property.
     *
     * @public
     */
    get value() {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, "value");
        return this._value;
    }
    set value(next) {
        var _a, _b, _c;
        const prev = `${this._value}`;
        if (this.$fastController.isConnected && this.options) {
            const selectedIndex = this.options.findIndex(el => el.text.toLowerCase() === next.toLowerCase());
            const prevSelectedValue = (_a = this.options[this.selectedIndex]) === null || _a === void 0 ? void 0 : _a.text;
            const nextSelectedValue = (_b = this.options[selectedIndex]) === null || _b === void 0 ? void 0 : _b.text;
            this.selectedIndex =
                prevSelectedValue !== nextSelectedValue
                    ? selectedIndex
                    : this.selectedIndex;
            next = ((_c = this.firstSelectedOption) === null || _c === void 0 ? void 0 : _c.text) || next;
        }
        if (prev !== next) {
            this._value = next;
            super.valueChanged(prev, next);
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.notify(this, "value");
        }
    }
    /**
     * Handle opening and closing the listbox when the combobox is clicked.
     *
     * @param e - the mouse event
     * @internal
     */
    clickHandler(e) {
        const captured = e.target.closest(`option,[role=option]`);
        if (this.disabled || (captured === null || captured === void 0 ? void 0 : captured.disabled)) {
            return;
        }
        if (this.open) {
            if (e.composedPath()[0] === this.control) {
                return;
            }
            if (captured) {
                this.selectedOptions = [captured];
                this.control.value = captured.text;
                this.clearSelectionRange();
                this.updateValue(true);
            }
        }
        this.open = !this.open;
        if (this.open) {
            this.control.focus();
        }
        return true;
    }
    connectedCallback() {
        super.connectedCallback();
        this.forcedPosition = !!this.positionAttribute;
        if (this.value) {
            this.initialValue = this.value;
        }
    }
    /**
     * Synchronize the `aria-disabled` property when the `disabled` property changes.
     *
     * @param prev - The previous disabled value
     * @param next - The next disabled value
     *
     * @internal
     */
    disabledChanged(prev, next) {
        if (super.disabledChanged) {
            super.disabledChanged(prev, next);
        }
        this.ariaDisabled = this.disabled ? "true" : "false";
    }
    /**
     * Filter available options by text value.
     *
     * @public
     */
    filterOptions() {
        if (!this.autocomplete || this.autocomplete === _combobox_options_js__WEBPACK_IMPORTED_MODULE_3__.ComboboxAutocomplete.none) {
            this.filter = "";
        }
        const filter = this.filter.toLowerCase();
        this.filteredOptions = this._options.filter(o => o.text.toLowerCase().startsWith(this.filter.toLowerCase()));
        if (this.isAutocompleteList) {
            if (!this.filteredOptions.length && !filter) {
                this.filteredOptions = this._options;
            }
            this._options.forEach(o => {
                o.hidden = !this.filteredOptions.includes(o);
            });
        }
    }
    /**
     * Focus the control and scroll the first selected option into view.
     *
     * @internal
     * @remarks
     * Overrides: `Listbox.focusAndScrollOptionIntoView`
     */
    focusAndScrollOptionIntoView() {
        if (this.contains(document.activeElement)) {
            this.control.focus();
            if (this.firstSelectedOption) {
                requestAnimationFrame(() => {
                    var _a;
                    (_a = this.firstSelectedOption) === null || _a === void 0 ? void 0 : _a.scrollIntoView({ block: "nearest" });
                });
            }
        }
    }
    /**
     * Handle focus state when the element or its children lose focus.
     *
     * @param e - The focus event
     * @internal
     */
    focusoutHandler(e) {
        this.syncValue();
        if (!this.open) {
            return true;
        }
        const focusTarget = e.relatedTarget;
        if (this.isSameNode(focusTarget)) {
            this.focus();
            return;
        }
        if (!this.options || !this.options.includes(focusTarget)) {
            this.open = false;
        }
    }
    /**
     * Handle content changes on the control input.
     *
     * @param e - the input event
     * @internal
     */
    inputHandler(e) {
        this.filter = this.control.value;
        this.filterOptions();
        if (!this.isAutocompleteInline) {
            this.selectedIndex = this.options
                .map(option => option.text)
                .indexOf(this.control.value);
        }
        if (e.inputType.includes("deleteContent") || !this.filter.length) {
            return true;
        }
        if (this.isAutocompleteList && !this.open) {
            this.open = true;
        }
        if (this.isAutocompleteInline) {
            if (this.filteredOptions.length) {
                this.selectedOptions = [this.filteredOptions[0]];
                this.selectedIndex = this.options.indexOf(this.firstSelectedOption);
                this.setInlineSelection();
            }
            else {
                this.selectedIndex = -1;
            }
        }
        return;
    }
    /**
     * Handle keydown actions for listbox navigation.
     *
     * @param e - the keyboard event
     * @internal
     */
    keydownHandler(e) {
        const key = e.key;
        if (e.ctrlKey || e.shiftKey) {
            return true;
        }
        switch (key) {
            case "Enter": {
                this.syncValue();
                if (this.isAutocompleteInline) {
                    this.filter = this.value;
                }
                this.open = false;
                this.clearSelectionRange();
                break;
            }
            case "Escape": {
                if (!this.isAutocompleteInline) {
                    this.selectedIndex = -1;
                }
                if (this.open) {
                    this.open = false;
                    break;
                }
                this.value = "";
                this.control.value = "";
                this.filter = "";
                this.filterOptions();
                break;
            }
            case "Tab": {
                this.setInputToSelection();
                if (!this.open) {
                    return true;
                }
                e.preventDefault();
                this.open = false;
                break;
            }
            case "ArrowUp":
            case "ArrowDown": {
                this.filterOptions();
                if (!this.open) {
                    this.open = true;
                    break;
                }
                if (this.filteredOptions.length > 0) {
                    super.keydownHandler(e);
                }
                if (this.isAutocompleteInline) {
                    this.setInlineSelection();
                }
                break;
            }
            default: {
                return true;
            }
        }
    }
    /**
     * Handle keyup actions for value input and text field manipulations.
     *
     * @param e - the keyboard event
     * @internal
     */
    keyupHandler(e) {
        const key = e.key;
        switch (key) {
            case "ArrowLeft":
            case "ArrowRight":
            case "Backspace":
            case "Delete":
            case "Home":
            case "End": {
                this.filter = this.control.value;
                this.selectedIndex = -1;
                this.filterOptions();
                break;
            }
        }
    }
    /**
     * Ensure that the selectedIndex is within the current allowable filtered range.
     *
     * @param prev - the previous selected index value
     * @param next - the current selected index value
     *
     * @internal
     */
    selectedIndexChanged(prev, next) {
        if (this.$fastController.isConnected) {
            next = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.limit)(-1, this.options.length - 1, next);
            // we only want to call the super method when the selectedIndex is in range
            if (next !== this.selectedIndex) {
                this.selectedIndex = next;
                return;
            }
            super.selectedIndexChanged(prev, next);
        }
    }
    /**
     * Move focus to the previous selectable option.
     *
     * @internal
     * @remarks
     * Overrides `Listbox.selectPreviousOption`
     */
    selectPreviousOption() {
        if (!this.disabled && this.selectedIndex >= 0) {
            this.selectedIndex = this.selectedIndex - 1;
        }
    }
    /**
     * Set the default selected options at initialization or reset.
     *
     * @internal
     * @remarks
     * Overrides `Listbox.setDefaultSelectedOption`
     */
    setDefaultSelectedOption() {
        if (this.$fastController.isConnected && this.options) {
            const selectedIndex = this.options.findIndex(el => el.getAttribute("selected") !== null || el.selected);
            this.selectedIndex = selectedIndex;
            if (!this.dirtyValue && this.firstSelectedOption) {
                this.value = this.firstSelectedOption.text;
            }
            this.setSelectedOptions();
        }
    }
    /**
     * Focus and set the content of the control based on the first selected option.
     *
     * @internal
     */
    setInputToSelection() {
        if (this.firstSelectedOption) {
            this.control.value = this.firstSelectedOption.text;
            this.control.focus();
        }
    }
    /**
     * Focus, set and select the content of the control based on the first selected option.
     *
     * @internal
     */
    setInlineSelection() {
        if (this.firstSelectedOption) {
            this.setInputToSelection();
            this.control.setSelectionRange(this.filter.length, this.control.value.length, "backward");
        }
    }
    /**
     * Determines if a value update should involve emitting a change event, then updates the value.
     *
     * @internal
     */
    syncValue() {
        var _a;
        const newValue = this.selectedIndex > -1 ? (_a = this.firstSelectedOption) === null || _a === void 0 ? void 0 : _a.text : this.control.value;
        this.updateValue(this.value !== newValue);
    }
    /**
     * Calculate and apply listbox positioning based on available viewport space.
     *
     * @param force - direction to force the listbox to display
     * @public
     */
    setPositioning() {
        const currentBox = this.getBoundingClientRect();
        const viewportHeight = window.innerHeight;
        const availableBottom = viewportHeight - currentBox.bottom;
        this.position = this.forcedPosition
            ? this.positionAttribute
            : currentBox.top > availableBottom
                ? _select_select_options_js__WEBPACK_IMPORTED_MODULE_5__.SelectPosition.above
                : _select_select_options_js__WEBPACK_IMPORTED_MODULE_5__.SelectPosition.below;
        this.positionAttribute = this.forcedPosition
            ? this.positionAttribute
            : this.position;
        this.maxHeight =
            this.position === _select_select_options_js__WEBPACK_IMPORTED_MODULE_5__.SelectPosition.above ? ~~currentBox.top : ~~availableBottom;
    }
    /**
     * Ensure that the entire list of options is used when setting the selected property.
     *
     * @param prev - the previous list of selected options
     * @param next - the current list of selected options
     *
     * @internal
     * @remarks
     * Overrides: `Listbox.selectedOptionsChanged`
     */
    selectedOptionsChanged(prev, next) {
        if (this.$fastController.isConnected) {
            this._options.forEach(o => {
                o.selected = next.includes(o);
            });
        }
    }
    /**
     * Synchronize the form-associated proxy and update the value property of the element.
     *
     * @param prev - the previous collection of slotted option elements
     * @param next - the next collection of slotted option elements
     *
     * @internal
     */
    slottedOptionsChanged(prev, next) {
        super.slottedOptionsChanged(prev, next);
        this.updateValue();
    }
    /**
     * Sets the value and to match the first selected option.
     *
     * @param shouldEmit - if true, the change event will be emitted
     *
     * @internal
     */
    updateValue(shouldEmit) {
        var _a;
        if (this.$fastController.isConnected) {
            this.value = ((_a = this.firstSelectedOption) === null || _a === void 0 ? void 0 : _a.text) || this.control.value;
            this.control.value = this.value;
        }
        if (shouldEmit) {
            this.$emit("change");
        }
    }
    /**
     * @internal
     */
    clearSelectionRange() {
        const controlValueLength = this.control.value.length;
        this.control.setSelectionRange(controlValueLength, controlValueLength);
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "autocomplete", mode: "fromView" })
], Combobox.prototype, "autocomplete", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Combobox.prototype, "maxHeight", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "open", mode: "boolean" })
], Combobox.prototype, "open", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Combobox.prototype, "placeholder", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "position" })
], Combobox.prototype, "positionAttribute", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Combobox.prototype, "position", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA combobox role.
 *
 * @public
 */
class DelegatesARIACombobox {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIACombobox.prototype, "ariaAutoComplete", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIACombobox.prototype, "ariaControls", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__.applyMixins)(DelegatesARIACombobox, _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_8__.DelegatesARIAListbox);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__.applyMixins)(Combobox, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_9__.StartEnd, DelegatesARIACombobox);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.options.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.options.js ***!
  \***************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ComboboxAutocomplete: () => (/* binding */ ComboboxAutocomplete)
/* harmony export */ });
/**
 * Autocomplete values for combobox.
 * @public
 */
const ComboboxAutocomplete = {
    inline: "inline",
    list: "list",
    both: "both",
    none: "none",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.template.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.template.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   comboboxTemplate: () => (/* binding */ comboboxTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../listbox/listbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");



/**
 * The template for the {@link @microsoft/fast-foundation#(Combobox:class)} component.
 * @public
 */
const comboboxTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        aria-disabled="${x => x.ariaDisabled}"
        autocomplete="${x => x.autocomplete}"
        class="${x => (x.open ? "open" : "")} ${x => x.disabled ? "disabled" : ""} ${x => x.position}"
        ?open="${x => x.open}"
        tabindex="${x => (!x.disabled ? "0" : null)}"
        @click="${(x, c) => x.clickHandler(c.event)}"
        @focusout="${(x, c) => x.focusoutHandler(c.event)}"
        @keydown="${(x, c) => x.keydownHandler(c.event)}"
    >
        <div class="control" part="control">
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
            <slot name="control">
                <input
                    aria-activedescendant="${x => x.open ? x.ariaActiveDescendant : null}"
                    aria-autocomplete="${x => x.ariaAutoComplete}"
                    aria-controls="${x => x.ariaControls}"
                    aria-disabled="${x => x.ariaDisabled}"
                    aria-expanded="${x => x.ariaExpanded}"
                    aria-haspopup="listbox"
                    class="selected-value"
                    part="selected-value"
                    placeholder="${x => x.placeholder}"
                    role="combobox"
                    type="text"
                    ?disabled="${x => x.disabled}"
                    :value="${x => x.value}"
                    @input="${(x, c) => x.inputHandler(c.event)}"
                    @keyup="${(x, c) => x.keyupHandler(c.event)}"
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
                />
                <div class="indicator" part="indicator" aria-hidden="true">
                    <slot name="indicator">
                        ${definition.indicator || ""}
                    </slot>
                </div>
            </slot>
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
        </div>
        <div
            class="listbox"
            id="${x => x.listboxId}"
            part="listbox"
            role="listbox"
            ?disabled="${x => x.disabled}"
            ?hidden="${x => !x.open}"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("listbox")}
        >
            <slot
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({
    filter: _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_2__.Listbox.slottedOptionFilter,
    flatten: true,
    property: "slottedOptions",
})}
            ></slot>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/index.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/combobox/index.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Combobox: () => (/* reexport safe */ _combobox_js__WEBPACK_IMPORTED_MODULE_0__.Combobox),
/* harmony export */   ComboboxAutocomplete: () => (/* reexport safe */ _combobox_options_js__WEBPACK_IMPORTED_MODULE_1__.ComboboxAutocomplete),
/* harmony export */   DelegatesARIACombobox: () => (/* reexport safe */ _combobox_js__WEBPACK_IMPORTED_MODULE_0__.DelegatesARIACombobox),
/* harmony export */   comboboxTemplate: () => (/* reexport safe */ _combobox_template_js__WEBPACK_IMPORTED_MODULE_2__.comboboxTemplate)
/* harmony export */ });
/* harmony import */ var _combobox_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./combobox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.js");
/* harmony import */ var _combobox_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./combobox.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.options.js");
/* harmony import */ var _combobox_template_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./combobox.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/combobox.template.js");





/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DataGridCell: () => (/* binding */ DataGridCell),
/* harmony export */   DataGridCellTypes: () => (/* reexport safe */ _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/events.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./data-grid.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.options.js");






const defaultCellContentsTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template>
        ${x => x.rowData === null ||
    x.columnDefinition === null ||
    x.columnDefinition.columnDataKey === null
    ? null
    : x.rowData[x.columnDefinition.columnDataKey]}
    </template>
`;
const defaultHeaderCellContentsTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template>
        ${x => x.columnDefinition === null
    ? null
    : x.columnDefinition.title === undefined
        ? x.columnDefinition.columnDataKey
        : x.columnDefinition.title}
    </template>
`;
/**
 * A Data Grid Cell Custom HTML Element.
 *
 * @fires cell-focused - Fires a custom 'cell-focused' event when focus is on the cell or its contents
 * @slot - The default slot for cell contents.  The "cell contents template" renders here.
 * @public
 */
class DataGridCell extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The type of cell
         *
         * @public
         * @remarks
         * HTML Attribute: cell-type
         */
        this.cellType = _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.default;
        /**
         * The base data for the parent row
         *
         * @public
         */
        this.rowData = null;
        /**
         * The base data for the column
         *
         * @public
         */
        this.columnDefinition = null;
        this.isActiveCell = false;
        this.customCellView = null;
        this.updateCellStyle = () => {
            this.style.gridColumn = this.gridColumn;
        };
    }
    cellTypeChanged() {
        if (this.$fastController.isConnected) {
            this.updateCellView();
        }
    }
    gridColumnChanged() {
        if (this.$fastController.isConnected) {
            this.updateCellStyle();
        }
    }
    columnDefinitionChanged(oldValue, newValue) {
        if (this.$fastController.isConnected) {
            this.updateCellView();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        var _a;
        super.connectedCallback();
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusIn, this.handleFocusin);
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusOut, this.handleFocusout);
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventKeyDown, this.handleKeydown);
        this.style.gridColumn = `${((_a = this.columnDefinition) === null || _a === void 0 ? void 0 : _a.gridColumn) === undefined
            ? 0
            : this.columnDefinition.gridColumn}`;
        this.updateCellView();
        this.updateCellStyle();
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusIn, this.handleFocusin);
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusOut, this.handleFocusout);
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventKeyDown, this.handleKeydown);
        this.disconnectCellView();
    }
    handleFocusin(e) {
        if (this.isActiveCell) {
            return;
        }
        this.isActiveCell = true;
        switch (this.cellType) {
            case _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.columnHeader:
                if (this.columnDefinition !== null &&
                    this.columnDefinition.headerCellInternalFocusQueue !== true &&
                    typeof this.columnDefinition.headerCellFocusTargetCallback ===
                        "function") {
                    // move focus to the focus target
                    const focusTarget = this.columnDefinition.headerCellFocusTargetCallback(this);
                    if (focusTarget !== null) {
                        focusTarget.focus();
                    }
                }
                break;
            default:
                if (this.columnDefinition !== null &&
                    this.columnDefinition.cellInternalFocusQueue !== true &&
                    typeof this.columnDefinition.cellFocusTargetCallback === "function") {
                    // move focus to the focus target
                    const focusTarget = this.columnDefinition.cellFocusTargetCallback(this);
                    if (focusTarget !== null) {
                        focusTarget.focus();
                    }
                }
                break;
        }
        this.$emit("cell-focused", this);
    }
    handleFocusout(e) {
        if (this !== document.activeElement && !this.contains(document.activeElement)) {
            this.isActiveCell = false;
        }
    }
    handleKeydown(e) {
        if (e.defaultPrevented ||
            this.columnDefinition === null ||
            (this.cellType === _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.default &&
                this.columnDefinition.cellInternalFocusQueue !== true) ||
            (this.cellType === _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.columnHeader &&
                this.columnDefinition.headerCellInternalFocusQueue !== true)) {
            return;
        }
        switch (e.key) {
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEnter:
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyFunction2:
                if (this.contains(document.activeElement) &&
                    document.activeElement !== this) {
                    return;
                }
                switch (this.cellType) {
                    case _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.columnHeader:
                        if (this.columnDefinition.headerCellFocusTargetCallback !==
                            undefined) {
                            const focusTarget = this.columnDefinition.headerCellFocusTargetCallback(this);
                            if (focusTarget !== null) {
                                focusTarget.focus();
                            }
                            e.preventDefault();
                        }
                        break;
                    default:
                        if (this.columnDefinition.cellFocusTargetCallback !== undefined) {
                            const focusTarget = this.columnDefinition.cellFocusTargetCallback(this);
                            if (focusTarget !== null) {
                                focusTarget.focus();
                            }
                            e.preventDefault();
                        }
                        break;
                }
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEscape:
                if (this.contains(document.activeElement) &&
                    document.activeElement !== this) {
                    this.focus();
                    e.preventDefault();
                }
                break;
        }
    }
    updateCellView() {
        this.disconnectCellView();
        if (this.columnDefinition === null) {
            return;
        }
        switch (this.cellType) {
            case _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.columnHeader:
                if (this.columnDefinition.headerCellTemplate !== undefined) {
                    this.customCellView = this.columnDefinition.headerCellTemplate.render(this, this);
                }
                else {
                    this.customCellView = defaultHeaderCellContentsTemplate.render(this, this);
                }
                break;
            case undefined:
            case _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.rowHeader:
            case _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCellTypes.default:
                if (this.columnDefinition.cellTemplate !== undefined) {
                    this.customCellView = this.columnDefinition.cellTemplate.render(this, this);
                }
                else {
                    this.customCellView = defaultCellContentsTemplate.render(this, this);
                }
                break;
        }
    }
    disconnectCellView() {
        if (this.customCellView !== null) {
            this.customCellView.dispose();
            this.customCellView = null;
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "cell-type" })
], DataGridCell.prototype, "cellType", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "grid-column" })
], DataGridCell.prototype, "gridColumn", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridCell.prototype, "rowData", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridCell.prototype, "columnDefinition", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.template.js":
/*!***********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.template.js ***!
  \***********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dataGridCellTemplate: () => (/* binding */ dataGridCellTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * Generates a template for the {@link @microsoft/fast-foundation#DataGridCell} component using
 * the provided prefix.
 * @public
 */
const dataGridCellTemplate = (context, definition) => {
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template
            tabindex="-1"
            role="${x => !x.cellType || x.cellType === "default" ? "gridcell" : x.cellType}"
            class="
            ${x => x.cellType === "columnheader"
        ? "column-header"
        : x.cellType === "rowheader"
            ? "row-header"
            : ""}
            "
        >
            <slot></slot>
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DataGridRow: () => (/* binding */ DataGridRow)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/events.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _data_grid_options_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./data-grid.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.options.js");





/**
 * A Data Grid Row Custom HTML Element.
 *
 * @fires row-focused - Fires a custom 'row-focused' event when focus is on an element (usually a cell or its contents) in the row
 * @slot - The default slot for custom cell elements
 * @public
 */
class DataGridRow extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The type of row
         *
         * @public
         * @remarks
         * HTML Attribute: row-type
         */
        this.rowType = _data_grid_options_js__WEBPACK_IMPORTED_MODULE_2__.DataGridRowTypes.default;
        /**
         * The base data for this row
         *
         * @public
         */
        this.rowData = null;
        /**
         * The column definitions of the row
         *
         * @public
         */
        this.columnDefinitions = null;
        /**
         * Whether focus is on/in a cell within this row.
         *
         * @internal
         */
        this.isActiveRow = false;
        this.cellsRepeatBehavior = null;
        this.cellsPlaceholder = null;
        /**
         * @internal
         */
        this.focusColumnIndex = 0;
        this.refocusOnLoad = false;
        this.updateRowStyle = () => {
            this.style.gridTemplateColumns = this.gridTemplateColumns;
        };
    }
    gridTemplateColumnsChanged() {
        if (this.$fastController.isConnected) {
            this.updateRowStyle();
        }
    }
    rowTypeChanged() {
        if (this.$fastController.isConnected) {
            this.updateItemTemplate();
        }
    }
    rowDataChanged() {
        if (this.rowData !== null && this.isActiveRow) {
            this.refocusOnLoad = true;
            return;
        }
    }
    cellItemTemplateChanged() {
        this.updateItemTemplate();
    }
    headerCellItemTemplateChanged() {
        this.updateItemTemplate();
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        // note that row elements can be reused with a different data object
        // as the parent grid's repeat behavior reacts to changes in the data set.
        if (this.cellsRepeatBehavior === null) {
            this.cellsPlaceholder = document.createComment("");
            this.appendChild(this.cellsPlaceholder);
            this.updateItemTemplate();
            this.cellsRepeatBehavior = new _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.RepeatDirective(x => x.columnDefinitions, x => x.activeCellItemTemplate, { positioning: true }).createBehavior(this.cellsPlaceholder);
            /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
            this.$fastController.addBehaviors([this.cellsRepeatBehavior]);
        }
        this.addEventListener("cell-focused", this.handleCellFocus);
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusOut, this.handleFocusout);
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventKeyDown, this.handleKeydown);
        this.updateRowStyle();
        if (this.refocusOnLoad) {
            // if focus was on the row when data changed try to refocus on same cell
            this.refocusOnLoad = false;
            if (this.cellElements.length > this.focusColumnIndex) {
                this.cellElements[this.focusColumnIndex].focus();
            }
        }
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.removeEventListener("cell-focused", this.handleCellFocus);
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusOut, this.handleFocusout);
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventKeyDown, this.handleKeydown);
    }
    handleFocusout(e) {
        if (!this.contains(e.target)) {
            this.isActiveRow = false;
            this.focusColumnIndex = 0;
        }
    }
    handleCellFocus(e) {
        this.isActiveRow = true;
        this.focusColumnIndex = this.cellElements.indexOf(e.target);
        this.$emit("row-focused", this);
    }
    handleKeydown(e) {
        if (e.defaultPrevented) {
            return;
        }
        let newFocusColumnIndex = 0;
        switch (e.key) {
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowLeft:
                // focus left one cell
                newFocusColumnIndex = Math.max(0, this.focusColumnIndex - 1);
                this.cellElements[newFocusColumnIndex].focus();
                e.preventDefault();
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowRight:
                // focus right one cell
                newFocusColumnIndex = Math.min(this.cellElements.length - 1, this.focusColumnIndex + 1);
                this.cellElements[newFocusColumnIndex].focus();
                e.preventDefault();
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyHome:
                if (!e.ctrlKey) {
                    this.cellElements[0].focus();
                    e.preventDefault();
                }
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEnd:
                if (!e.ctrlKey) {
                    // focus last cell of the row
                    this.cellElements[this.cellElements.length - 1].focus();
                    e.preventDefault();
                }
                break;
        }
    }
    updateItemTemplate() {
        this.activeCellItemTemplate =
            this.rowType === _data_grid_options_js__WEBPACK_IMPORTED_MODULE_2__.DataGridRowTypes.default &&
                this.cellItemTemplate !== undefined
                ? this.cellItemTemplate
                : this.rowType === _data_grid_options_js__WEBPACK_IMPORTED_MODULE_2__.DataGridRowTypes.default &&
                    this.cellItemTemplate === undefined
                    ? this.defaultCellItemTemplate
                    : this.headerCellItemTemplate !== undefined
                        ? this.headerCellItemTemplate
                        : this.defaultHeaderCellItemTemplate;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "grid-template-columns" })
], DataGridRow.prototype, "gridTemplateColumns", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "row-type" })
], DataGridRow.prototype, "rowType", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "rowData", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "columnDefinitions", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "cellItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "headerCellItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "rowIndex", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "isActiveRow", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "activeCellItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "defaultCellItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "defaultHeaderCellItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGridRow.prototype, "cellElements", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.template.js":
/*!**********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.template.js ***!
  \**********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dataGridRowTemplate: () => (/* binding */ dataGridRowTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_grid_cell_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./data-grid-cell.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.js");


function createCellItemTemplate(context) {
    const cellTag = context.tagFor(_data_grid_cell_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCell);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <${cellTag}
        cell-type="${x => (x.isRowHeader ? "rowheader" : undefined)}"
        grid-column="${(x, c) => c.index + 1}"
        :rowData="${(x, c) => c.parent.rowData}"
        :columnDefinition="${x => x}"
    ></${cellTag}>
`;
}
function createHeaderCellItemTemplate(context) {
    const cellTag = context.tagFor(_data_grid_cell_js__WEBPACK_IMPORTED_MODULE_1__.DataGridCell);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <${cellTag}
        cell-type="columnheader"
        grid-column="${(x, c) => c.index + 1}"
        :columnDefinition="${x => x}"
    ></${cellTag}>
`;
}
/**
 * Generates a template for the {@link @microsoft/fast-foundation#DataGridRow} component using
 * the provided prefix.
 *
 * @public
 */
const dataGridRowTemplate = (context, definition) => {
    const cellItemTemplate = createCellItemTemplate(context);
    const headerCellItemTemplate = createHeaderCellItemTemplate(context);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template
            role="row"
            class="${x => (x.rowType !== "default" ? x.rowType : "")}"
            :defaultCellItemTemplate="${cellItemTemplate}"
            :defaultHeaderCellItemTemplate="${headerCellItemTemplate}"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.children)({
        property: "cellElements",
        filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)('[role="cell"],[role="gridcell"],[role="columnheader"],[role="rowheader"]'),
    })}
        >
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("slottedCellElements")}></slot>
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DataGrid: () => (/* binding */ DataGrid),
/* harmony export */   DataGridRowTypes: () => (/* reexport safe */ _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridRowTypes),
/* harmony export */   GenerateHeaderOptions: () => (/* reexport safe */ _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.GenerateHeaderOptions)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/events.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./data-grid.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.options.js");






/**
 * A Data Grid Custom HTML Element.
 *
 * @slot - The default slot for custom row elements
 * @public
 */
class DataGrid extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor() {
        super();
        /**
         * When true the component will not add itself to the tab queue.
         * Default is false.
         *
         * @public
         * @remarks
         * HTML Attribute: no-tabbing
         */
        this.noTabbing = false;
        /**
         *  Whether the grid should automatically generate a header row and its type
         *
         * @public
         * @remarks
         * HTML Attribute: generate-header
         */
        this.generateHeader = _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.GenerateHeaderOptions.default;
        /**
         * The data being displayed in the grid
         *
         * @public
         */
        this.rowsData = [];
        /**
         * The column definitions of the grid
         *
         * @public
         */
        this.columnDefinitions = null;
        /**
         * The index of the row that will receive focus the next time the
         * grid is focused. This value changes as focus moves to different
         * rows within the grid.  Changing this value when focus is already
         * within the grid moves focus to the specified row.
         *
         * @public
         */
        this.focusRowIndex = 0;
        /**
         * The index of the column that will receive focus the next time the
         * grid is focused. This value changes as focus moves to different rows
         * within the grid.  Changing this value when focus is already within
         * the grid moves focus to the specified column.
         *
         * @public
         */
        this.focusColumnIndex = 0;
        this.rowsPlaceholder = null;
        this.generatedHeader = null;
        this.isUpdatingFocus = false;
        this.pendingFocusUpdate = false;
        this.rowindexUpdateQueued = false;
        this.columnDefinitionsStale = true;
        this.generatedGridTemplateColumns = "";
        this.focusOnCell = (rowIndex, columnIndex, scrollIntoView) => {
            if (this.rowElements.length === 0) {
                this.focusRowIndex = 0;
                this.focusColumnIndex = 0;
                return;
            }
            const focusRowIndex = Math.max(0, Math.min(this.rowElements.length - 1, rowIndex));
            const focusRow = this.rowElements[focusRowIndex];
            const cells = focusRow.querySelectorAll('[role="cell"], [role="gridcell"], [role="columnheader"], [role="rowheader"]');
            const focusColumnIndex = Math.max(0, Math.min(cells.length - 1, columnIndex));
            const focusTarget = cells[focusColumnIndex];
            if (scrollIntoView &&
                this.scrollHeight !== this.clientHeight &&
                ((focusRowIndex < this.focusRowIndex && this.scrollTop > 0) ||
                    (focusRowIndex > this.focusRowIndex &&
                        this.scrollTop < this.scrollHeight - this.clientHeight))) {
                focusTarget.scrollIntoView({ block: "center", inline: "center" });
            }
            focusTarget.focus();
        };
        this.onChildListChange = (mutations, 
        /* eslint-disable-next-line @typescript-eslint/no-unused-vars */
        observer) => {
            if (mutations && mutations.length) {
                mutations.forEach((mutation) => {
                    mutation.addedNodes.forEach((newNode) => {
                        if (newNode.nodeType === 1 &&
                            newNode.getAttribute("role") === "row") {
                            newNode.columnDefinitions = this.columnDefinitions;
                        }
                    });
                });
                this.queueRowIndexUpdate();
            }
        };
        this.queueRowIndexUpdate = () => {
            if (!this.rowindexUpdateQueued) {
                this.rowindexUpdateQueued = true;
                _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(this.updateRowIndexes);
            }
        };
        this.updateRowIndexes = () => {
            let newGridTemplateColumns = this.gridTemplateColumns;
            if (newGridTemplateColumns === undefined) {
                // try to generate columns based on manual rows
                if (this.generatedGridTemplateColumns === "" && this.rowElements.length > 0) {
                    const firstRow = this.rowElements[0];
                    this.generatedGridTemplateColumns = new Array(firstRow.cellElements.length)
                        .fill("1fr")
                        .join(" ");
                }
                newGridTemplateColumns = this.generatedGridTemplateColumns;
            }
            this.rowElements.forEach((element, index) => {
                const thisRow = element;
                thisRow.rowIndex = index;
                thisRow.gridTemplateColumns = newGridTemplateColumns;
                if (this.columnDefinitionsStale) {
                    thisRow.columnDefinitions = this.columnDefinitions;
                }
            });
            this.rowindexUpdateQueued = false;
            this.columnDefinitionsStale = false;
        };
    }
    /**
     *  generates a gridTemplateColumns based on columndata array
     */
    static generateTemplateColumns(columnDefinitions) {
        let templateColumns = "";
        columnDefinitions.forEach((column) => {
            templateColumns = `${templateColumns}${templateColumns === "" ? "" : " "}${"1fr"}`;
        });
        return templateColumns;
    }
    noTabbingChanged() {
        if (this.$fastController.isConnected) {
            if (this.noTabbing) {
                this.setAttribute("tabIndex", "-1");
            }
            else {
                this.setAttribute("tabIndex", this.contains(document.activeElement) ||
                    this === document.activeElement
                    ? "-1"
                    : "0");
            }
        }
    }
    generateHeaderChanged() {
        if (this.$fastController.isConnected) {
            this.toggleGeneratedHeader();
        }
    }
    gridTemplateColumnsChanged() {
        if (this.$fastController.isConnected) {
            this.updateRowIndexes();
        }
    }
    rowsDataChanged() {
        if (this.columnDefinitions === null && this.rowsData.length > 0) {
            this.columnDefinitions = DataGrid.generateColumns(this.rowsData[0]);
        }
        if (this.$fastController.isConnected) {
            this.toggleGeneratedHeader();
        }
    }
    columnDefinitionsChanged() {
        if (this.columnDefinitions === null) {
            this.generatedGridTemplateColumns = "";
            return;
        }
        this.generatedGridTemplateColumns = DataGrid.generateTemplateColumns(this.columnDefinitions);
        if (this.$fastController.isConnected) {
            this.columnDefinitionsStale = true;
            this.queueRowIndexUpdate();
        }
    }
    headerCellItemTemplateChanged() {
        if (this.$fastController.isConnected) {
            if (this.generatedHeader !== null) {
                this.generatedHeader.headerCellItemTemplate = this.headerCellItemTemplate;
            }
        }
    }
    focusRowIndexChanged() {
        if (this.$fastController.isConnected) {
            this.queueFocusUpdate();
        }
    }
    focusColumnIndexChanged() {
        if (this.$fastController.isConnected) {
            this.queueFocusUpdate();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        if (this.rowItemTemplate === undefined) {
            this.rowItemTemplate = this.defaultRowItemTemplate;
        }
        this.rowsPlaceholder = document.createComment("");
        this.appendChild(this.rowsPlaceholder);
        this.toggleGeneratedHeader();
        this.rowsRepeatBehavior = new _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.RepeatDirective(x => x.rowsData, x => x.rowItemTemplate, { positioning: true }).createBehavior(this.rowsPlaceholder);
        /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
        this.$fastController.addBehaviors([this.rowsRepeatBehavior]);
        this.addEventListener("row-focused", this.handleRowFocus);
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocus, this.handleFocus);
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventKeyDown, this.handleKeydown);
        this.addEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusOut, this.handleFocusOut);
        this.observer = new MutationObserver(this.onChildListChange);
        // only observe if nodes are added or removed
        this.observer.observe(this, { childList: true });
        if (this.noTabbing) {
            this.setAttribute("tabindex", "-1");
        }
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(this.queueRowIndexUpdate);
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.removeEventListener("row-focused", this.handleRowFocus);
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocus, this.handleFocus);
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventKeyDown, this.handleKeydown);
        this.removeEventListener(_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.eventFocusOut, this.handleFocusOut);
        // disconnect observer
        this.observer.disconnect();
        this.rowsPlaceholder = null;
        this.generatedHeader = null;
    }
    /**
     * @internal
     */
    handleRowFocus(e) {
        this.isUpdatingFocus = true;
        const focusRow = e.target;
        this.focusRowIndex = this.rowElements.indexOf(focusRow);
        this.focusColumnIndex = focusRow.focusColumnIndex;
        this.setAttribute("tabIndex", "-1");
        this.isUpdatingFocus = false;
    }
    /**
     * @internal
     */
    handleFocus(e) {
        this.focusOnCell(this.focusRowIndex, this.focusColumnIndex, true);
    }
    /**
     * @internal
     */
    handleFocusOut(e) {
        if (e.relatedTarget === null || !this.contains(e.relatedTarget)) {
            this.setAttribute("tabIndex", this.noTabbing ? "-1" : "0");
        }
    }
    /**
     * @internal
     */
    handleKeydown(e) {
        if (e.defaultPrevented) {
            return;
        }
        let newFocusRowIndex;
        const maxIndex = this.rowElements.length - 1;
        const currentGridBottom = this.offsetHeight + this.scrollTop;
        const lastRow = this.rowElements[maxIndex];
        switch (e.key) {
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowUp:
                e.preventDefault();
                // focus up one row
                this.focusOnCell(this.focusRowIndex - 1, this.focusColumnIndex, true);
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowDown:
                e.preventDefault();
                // focus down one row
                this.focusOnCell(this.focusRowIndex + 1, this.focusColumnIndex, true);
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyPageUp:
                e.preventDefault();
                if (this.rowElements.length === 0) {
                    this.focusOnCell(0, 0, false);
                    break;
                }
                if (this.focusRowIndex === 0) {
                    this.focusOnCell(0, this.focusColumnIndex, false);
                    return;
                }
                newFocusRowIndex = this.focusRowIndex - 1;
                for (newFocusRowIndex; newFocusRowIndex >= 0; newFocusRowIndex--) {
                    const thisRow = this.rowElements[newFocusRowIndex];
                    if (thisRow.offsetTop < this.scrollTop) {
                        this.scrollTop =
                            thisRow.offsetTop + thisRow.clientHeight - this.clientHeight;
                        break;
                    }
                }
                this.focusOnCell(newFocusRowIndex, this.focusColumnIndex, false);
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyPageDown:
                e.preventDefault();
                if (this.rowElements.length === 0) {
                    this.focusOnCell(0, 0, false);
                    break;
                }
                // focus down one "page"
                if (this.focusRowIndex >= maxIndex ||
                    lastRow.offsetTop + lastRow.offsetHeight <= currentGridBottom) {
                    this.focusOnCell(maxIndex, this.focusColumnIndex, false);
                    return;
                }
                newFocusRowIndex = this.focusRowIndex + 1;
                for (newFocusRowIndex; newFocusRowIndex <= maxIndex; newFocusRowIndex++) {
                    const thisRow = this.rowElements[newFocusRowIndex];
                    if (thisRow.offsetTop + thisRow.offsetHeight > currentGridBottom) {
                        let stickyHeaderOffset = 0;
                        if (this.generateHeader === _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.GenerateHeaderOptions.sticky &&
                            this.generatedHeader !== null) {
                            stickyHeaderOffset = this.generatedHeader.clientHeight;
                        }
                        this.scrollTop = thisRow.offsetTop - stickyHeaderOffset;
                        break;
                    }
                }
                this.focusOnCell(newFocusRowIndex, this.focusColumnIndex, false);
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyHome:
                if (e.ctrlKey) {
                    e.preventDefault();
                    // focus first cell of first row
                    this.focusOnCell(0, 0, true);
                }
                break;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEnd:
                if (e.ctrlKey && this.columnDefinitions !== null) {
                    e.preventDefault();
                    // focus last cell of last row
                    this.focusOnCell(this.rowElements.length - 1, this.columnDefinitions.length - 1, true);
                }
                break;
        }
    }
    queueFocusUpdate() {
        if (this.isUpdatingFocus &&
            (this.contains(document.activeElement) || this === document.activeElement)) {
            return;
        }
        if (this.pendingFocusUpdate === false) {
            this.pendingFocusUpdate = true;
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.updateFocus());
        }
    }
    updateFocus() {
        this.pendingFocusUpdate = false;
        this.focusOnCell(this.focusRowIndex, this.focusColumnIndex, true);
    }
    toggleGeneratedHeader() {
        if (this.generatedHeader !== null) {
            this.removeChild(this.generatedHeader);
            this.generatedHeader = null;
        }
        if (this.generateHeader !== _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.GenerateHeaderOptions.none &&
            this.rowsData.length > 0) {
            const generatedHeaderElement = document.createElement(this.rowElementTag);
            this.generatedHeader = generatedHeaderElement;
            this.generatedHeader.columnDefinitions = this.columnDefinitions;
            this.generatedHeader.gridTemplateColumns = this.gridTemplateColumns;
            this.generatedHeader.rowType =
                this.generateHeader === _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.GenerateHeaderOptions.sticky
                    ? _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridRowTypes.stickyHeader
                    : _data_grid_options_js__WEBPACK_IMPORTED_MODULE_1__.DataGridRowTypes.header;
            if (this.firstChild !== null || this.rowsPlaceholder !== null) {
                this.insertBefore(generatedHeaderElement, this.firstChild !== null ? this.firstChild : this.rowsPlaceholder);
            }
            return;
        }
    }
}
/**
 *  generates a basic column definition by examining sample row data
 */
DataGrid.generateColumns = (row) => {
    return Object.getOwnPropertyNames(row).map((property, index) => {
        return {
            columnDataKey: property,
            gridColumn: `${index}`,
        };
    });
};
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "no-tabbing", mode: "boolean" })
], DataGrid.prototype, "noTabbing", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "generate-header" })
], DataGrid.prototype, "generateHeader", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "grid-template-columns" })
], DataGrid.prototype, "gridTemplateColumns", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "rowsData", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "columnDefinitions", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "rowItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "cellItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "headerCellItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "focusRowIndex", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "focusColumnIndex", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "defaultRowItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "rowElementTag", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DataGrid.prototype, "rowElements", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.options.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.options.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DataGridCellTypes: () => (/* binding */ DataGridCellTypes),
/* harmony export */   DataGridRowTypes: () => (/* binding */ DataGridRowTypes),
/* harmony export */   GenerateHeaderOptions: () => (/* binding */ GenerateHeaderOptions)
/* harmony export */ });
/**
 * Enumerates the data grid auto generated header options
 * default option generates a non-sticky header row
 *
 * @public
 */
const GenerateHeaderOptions = {
    none: "none",
    default: "default",
    sticky: "sticky",
};
/**
 * Enumerates possible data grid cell types.
 *
 * @public
 */
const DataGridCellTypes = {
    default: "default",
    columnHeader: "columnheader",
    rowHeader: "rowheader",
};
/**
 * Enumerates possible data grid row types
 *
 * @public
 */
const DataGridRowTypes = {
    default: "default",
    header: "header",
    stickyHeader: "sticky-header",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.template.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.template.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dataGridTemplate: () => (/* binding */ dataGridTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _data_grid_row_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./data-grid-row.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.js");


function createRowItemTemplate(context) {
    const rowTag = context.tagFor(_data_grid_row_js__WEBPACK_IMPORTED_MODULE_1__.DataGridRow);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <${rowTag}
        :rowData="${x => x}"
        :cellItemTemplate="${(x, c) => c.parent.cellItemTemplate}"
        :headerCellItemTemplate="${(x, c) => c.parent.headerCellItemTemplate}"
    ></${rowTag}>
`;
}
/**
 * Generates a template for the {@link @microsoft/fast-foundation#DataGrid} component using
 * the provided prefix.
 *
 * @public
 */
const dataGridTemplate = (context, definition) => {
    const rowItemTemplate = createRowItemTemplate(context);
    const rowTag = context.tagFor(_data_grid_row_js__WEBPACK_IMPORTED_MODULE_1__.DataGridRow);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template
            role="grid"
            tabindex="0"
            :rowElementTag="${() => rowTag}"
            :defaultRowItemTemplate="${rowItemTemplate}"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.children)({
        property: "rowElements",
        filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)("[role=row]"),
    })}
        >
            <slot></slot>
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DataGrid: () => (/* reexport safe */ _data_grid_js__WEBPACK_IMPORTED_MODULE_1__.DataGrid),
/* harmony export */   DataGridCell: () => (/* reexport safe */ _data_grid_cell_js__WEBPACK_IMPORTED_MODULE_5__.DataGridCell),
/* harmony export */   DataGridCellTypes: () => (/* reexport safe */ _data_grid_cell_js__WEBPACK_IMPORTED_MODULE_5__.DataGridCellTypes),
/* harmony export */   DataGridRow: () => (/* reexport safe */ _data_grid_row_js__WEBPACK_IMPORTED_MODULE_3__.DataGridRow),
/* harmony export */   DataGridRowTypes: () => (/* reexport safe */ _data_grid_js__WEBPACK_IMPORTED_MODULE_1__.DataGridRowTypes),
/* harmony export */   GenerateHeaderOptions: () => (/* reexport safe */ _data_grid_js__WEBPACK_IMPORTED_MODULE_1__.GenerateHeaderOptions),
/* harmony export */   dataGridCellTemplate: () => (/* reexport safe */ _data_grid_cell_template_js__WEBPACK_IMPORTED_MODULE_4__.dataGridCellTemplate),
/* harmony export */   dataGridRowTemplate: () => (/* reexport safe */ _data_grid_row_template_js__WEBPACK_IMPORTED_MODULE_2__.dataGridRowTemplate),
/* harmony export */   dataGridTemplate: () => (/* reexport safe */ _data_grid_template_js__WEBPACK_IMPORTED_MODULE_0__.dataGridTemplate)
/* harmony export */ });
/* harmony import */ var _data_grid_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./data-grid.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.template.js");
/* harmony import */ var _data_grid_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./data-grid.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid.js");
/* harmony import */ var _data_grid_row_template_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./data-grid-row.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.template.js");
/* harmony import */ var _data_grid_row_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./data-grid-row.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-row.js");
/* harmony import */ var _data_grid_cell_template_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./data-grid-cell.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.template.js");
/* harmony import */ var _data_grid_cell_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./data-grid-cell.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/data-grid-cell.js");








/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/component-presentation.js":
/*!**************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/design-system/component-presentation.js ***!
  \**************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ComponentPresentation: () => (/* binding */ ComponentPresentation),
/* harmony export */   DefaultComponentPresentation: () => (/* binding */ DefaultComponentPresentation)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _di_di_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../di/di.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/di/di.js");


function presentationKeyFromTag(tagName) {
    return `${tagName.toLowerCase()}:presentation`;
}
const presentationRegistry = new Map();
/**
 * An API gateway to component presentation features.
 * @public
 */
const ComponentPresentation = Object.freeze({
    /**
     * Defines a component presentation for an element.
     * @param tagName - The element name to define the presentation for.
     * @param presentation - The presentation that will be applied to matching elements.
     * @param container - The dependency injection container to register the configuration in.
     * @public
     */
    define(tagName, presentation, container) {
        const key = presentationKeyFromTag(tagName);
        const existing = presentationRegistry.get(key);
        if (existing === void 0) {
            presentationRegistry.set(key, presentation);
        }
        else {
            // false indicates that we have more than one presentation
            // registered for a tagName and we must resolve through DI
            presentationRegistry.set(key, false);
        }
        container.register(_di_di_js__WEBPACK_IMPORTED_MODULE_1__.Registration.instance(key, presentation));
    },
    /**
     * Finds a component presentation for the specified element name,
     * searching the DOM hierarchy starting from the provided element.
     * @param tagName - The name of the element to locate the presentation for.
     * @param element - The element to begin the search from.
     * @returns The component presentation or null if none is found.
     * @public
     */
    forTag(tagName, element) {
        const key = presentationKeyFromTag(tagName);
        const existing = presentationRegistry.get(key);
        if (existing === false) {
            const container = _di_di_js__WEBPACK_IMPORTED_MODULE_1__.DI.findResponsibleContainer(element);
            return container.get(key);
        }
        return existing || null;
    },
});
/**
 * The default implementation of ComponentPresentation, used by FoundationElement.
 * @public
 */
class DefaultComponentPresentation {
    /**
     * Creates an instance of DefaultComponentPresentation.
     * @param template - The template to apply to the element.
     * @param styles - The styles to apply to the element.
     * @public
     */
    constructor(template, styles) {
        this.template = template || null;
        this.styles =
            styles === void 0
                ? null
                : Array.isArray(styles)
                    ? _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ElementStyles.create(styles)
                    : styles instanceof _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ElementStyles
                        ? styles
                        : _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ElementStyles.create([styles]);
    }
    /**
     * Applies the presentation details to the specified element.
     * @param element - The element to apply the presentation details to.
     * @public
     */
    applyTo(element) {
        const controller = element.$fastController;
        if (controller.template === null) {
            controller.template = this.template;
        }
        if (controller.styles === null) {
            controller.styles = this.styles;
        }
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/design-system.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/design-system/design-system.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesignSystem: () => (/* binding */ DesignSystem),
/* harmony export */   ElementDisambiguation: () => (/* binding */ ElementDisambiguation)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _di_di_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../di/di.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/di/di.js");
/* harmony import */ var _design_token_design_token_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../design-token/design-token.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-token/design-token.js");
/* harmony import */ var _component_presentation_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./component-presentation.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/component-presentation.js");





/* eslint-disable @typescript-eslint/no-non-null-assertion */
/**
 * Indicates what to do with an ambiguous (duplicate) element.
 * @public
 */
const ElementDisambiguation = Object.freeze({
    /**
     * Skip defining the element but still call the provided callback passed
     * to DesignSystemRegistrationContext.tryDefineElement
     */
    definitionCallbackOnly: null,
    /**
     * Ignore the duplicate element entirely.
     */
    ignoreDuplicate: Symbol(),
});
const elementTypesByTag = new Map();
const elementTagsByType = new Map();
let rootDesignSystem = null;
const designSystemKey = _di_di_js__WEBPACK_IMPORTED_MODULE_1__.DI.createInterface(x => x.cachedCallback(handler => {
    if (rootDesignSystem === null) {
        rootDesignSystem = new DefaultDesignSystem(null, handler);
    }
    return rootDesignSystem;
}));
/**
 * An API gateway to design system features.
 * @public
 */
const DesignSystem = Object.freeze({
    /**
     * Returns the HTML element name that the type is defined as.
     * @param type - The type to lookup.
     * @public
     */
    tagFor(type) {
        return elementTagsByType.get(type);
    },
    /**
     * Searches the DOM hierarchy for the design system that is responsible
     * for the provided element.
     * @param element - The element to locate the design system for.
     * @returns The located design system.
     * @public
     */
    responsibleFor(element) {
        const owned = element.$$designSystem$$;
        if (owned) {
            return owned;
        }
        const container = _di_di_js__WEBPACK_IMPORTED_MODULE_1__.DI.findResponsibleContainer(element);
        return container.get(designSystemKey);
    },
    /**
     * Gets the DesignSystem if one is explicitly defined on the provided element;
     * otherwise creates a design system defined directly on the element.
     * @param element - The element to get or create a design system for.
     * @returns The design system.
     * @public
     */
    getOrCreate(node) {
        if (!node) {
            if (rootDesignSystem === null) {
                rootDesignSystem = _di_di_js__WEBPACK_IMPORTED_MODULE_1__.DI.getOrCreateDOMContainer().get(designSystemKey);
            }
            return rootDesignSystem;
        }
        const owned = node.$$designSystem$$;
        if (owned) {
            return owned;
        }
        const container = _di_di_js__WEBPACK_IMPORTED_MODULE_1__.DI.getOrCreateDOMContainer(node);
        if (container.has(designSystemKey, false)) {
            return container.get(designSystemKey);
        }
        else {
            const system = new DefaultDesignSystem(node, container);
            container.register(_di_di_js__WEBPACK_IMPORTED_MODULE_1__.Registration.instance(designSystemKey, system));
            return system;
        }
    },
});
function extractTryDefineElementParams(params, elementDefinitionType, elementDefinitionCallback) {
    if (typeof params === "string") {
        return {
            name: params,
            type: elementDefinitionType,
            callback: elementDefinitionCallback,
        };
    }
    else {
        return params;
    }
}
class DefaultDesignSystem {
    constructor(owner, container) {
        this.owner = owner;
        this.container = container;
        this.designTokensInitialized = false;
        this.prefix = "fast";
        this.shadowRootMode = undefined;
        this.disambiguate = () => ElementDisambiguation.definitionCallbackOnly;
        if (owner !== null) {
            owner.$$designSystem$$ = this;
        }
    }
    withPrefix(prefix) {
        this.prefix = prefix;
        return this;
    }
    withShadowRootMode(mode) {
        this.shadowRootMode = mode;
        return this;
    }
    withElementDisambiguation(callback) {
        this.disambiguate = callback;
        return this;
    }
    withDesignTokenRoot(root) {
        this.designTokenRoot = root;
        return this;
    }
    register(...registrations) {
        const container = this.container;
        const elementDefinitionEntries = [];
        const disambiguate = this.disambiguate;
        const shadowRootMode = this.shadowRootMode;
        const context = {
            elementPrefix: this.prefix,
            tryDefineElement(params, elementDefinitionType, elementDefinitionCallback) {
                const extractedParams = extractTryDefineElementParams(params, elementDefinitionType, elementDefinitionCallback);
                const { name, callback, baseClass } = extractedParams;
                let { type } = extractedParams;
                let elementName = name;
                let typeFoundByName = elementTypesByTag.get(elementName);
                let needsDefine = true;
                while (typeFoundByName) {
                    const result = disambiguate(elementName, type, typeFoundByName);
                    switch (result) {
                        case ElementDisambiguation.ignoreDuplicate:
                            return;
                        case ElementDisambiguation.definitionCallbackOnly:
                            needsDefine = false;
                            typeFoundByName = void 0;
                            break;
                        default:
                            elementName = result;
                            typeFoundByName = elementTypesByTag.get(elementName);
                            break;
                    }
                }
                if (needsDefine) {
                    if (elementTagsByType.has(type) || type === _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement) {
                        type = class extends type {
                        };
                    }
                    elementTypesByTag.set(elementName, type);
                    elementTagsByType.set(type, elementName);
                    if (baseClass) {
                        elementTagsByType.set(baseClass, elementName);
                    }
                }
                elementDefinitionEntries.push(new ElementDefinitionEntry(container, elementName, type, shadowRootMode, callback, needsDefine));
            },
        };
        if (!this.designTokensInitialized) {
            this.designTokensInitialized = true;
            if (this.designTokenRoot !== null) {
                _design_token_design_token_js__WEBPACK_IMPORTED_MODULE_3__.DesignToken.registerRoot(this.designTokenRoot);
            }
        }
        container.registerWithContext(context, ...registrations);
        for (const entry of elementDefinitionEntries) {
            entry.callback(entry);
            if (entry.willDefine && entry.definition !== null) {
                entry.definition.define();
            }
        }
        return this;
    }
}
class ElementDefinitionEntry {
    constructor(container, name, type, shadowRootMode, callback, willDefine) {
        this.container = container;
        this.name = name;
        this.type = type;
        this.shadowRootMode = shadowRootMode;
        this.callback = callback;
        this.willDefine = willDefine;
        this.definition = null;
    }
    definePresentation(presentation) {
        _component_presentation_js__WEBPACK_IMPORTED_MODULE_4__.ComponentPresentation.define(this.name, presentation, this.container);
    }
    defineElement(definition) {
        this.definition = new _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.FASTElementDefinition(this.type, Object.assign(Object.assign({}, definition), { name: this.name }));
    }
    tagFor(type) {
        return DesignSystem.tagFor(type);
    }
}
/* eslint-enable @typescript-eslint/no-non-null-assertion */


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/index.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/design-system/index.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ComponentPresentation: () => (/* reexport safe */ _component_presentation_js__WEBPACK_IMPORTED_MODULE_1__.ComponentPresentation),
/* harmony export */   DefaultComponentPresentation: () => (/* reexport safe */ _component_presentation_js__WEBPACK_IMPORTED_MODULE_1__.DefaultComponentPresentation),
/* harmony export */   DesignSystem: () => (/* reexport safe */ _design_system_js__WEBPACK_IMPORTED_MODULE_0__.DesignSystem),
/* harmony export */   ElementDisambiguation: () => (/* reexport safe */ _design_system_js__WEBPACK_IMPORTED_MODULE_0__.ElementDisambiguation)
/* harmony export */ });
/* harmony import */ var _design_system_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./design-system.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/design-system.js");
/* harmony import */ var _component_presentation_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./component-presentation.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/component-presentation.js");





/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/design-token/custom-property-manager.js":
/*!**************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/design-token/custom-property-manager.js ***!
  \**************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PropertyTargetManager: () => (/* binding */ PropertyTargetManager),
/* harmony export */   RootStyleSheetTarget: () => (/* binding */ RootStyleSheetTarget),
/* harmony export */   defaultElement: () => (/* binding */ defaultElement)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);


const defaultElement = document.createElement("div");
function isFastElement(element) {
    return element instanceof _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.FASTElement;
}
class QueuedStyleSheetTarget {
    setProperty(name, value) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.target.setProperty(name, value));
    }
    removeProperty(name) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.target.removeProperty(name));
    }
}
/**
 * Handles setting properties for a FASTElement using Constructable Stylesheets
 */
class ConstructableStyleSheetTarget extends QueuedStyleSheetTarget {
    constructor(source) {
        super();
        const sheet = new CSSStyleSheet();
        sheet[_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.prependToAdoptedStyleSheetsSymbol] = true;
        this.target = sheet.cssRules[sheet.insertRule(":host{}")].style;
        source.$fastController.addStyles(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ElementStyles.create([sheet]));
    }
}
class DocumentStyleSheetTarget extends QueuedStyleSheetTarget {
    constructor() {
        super();
        const sheet = new CSSStyleSheet();
        this.target = sheet.cssRules[sheet.insertRule(":root{}")].style;
        document.adoptedStyleSheets = [
            ...document.adoptedStyleSheets,
            sheet,
        ];
    }
}
class HeadStyleElementStyleSheetTarget extends QueuedStyleSheetTarget {
    constructor() {
        super();
        this.style = document.createElement("style");
        document.head.appendChild(this.style);
        const { sheet } = this.style;
        // Because the HTMLStyleElement has been appended,
        // there shouldn't exist a case where `sheet` is null,
        // but if-check it just in case.
        if (sheet) {
            // https://github.com/jsdom/jsdom uses https://github.com/NV/CSSOM for it's CSSOM implementation,
            // which implements the DOM Level 2 spec for CSSStyleSheet where insertRule() requires an index argument.
            const index = sheet.insertRule(":root{}", sheet.cssRules.length);
            this.target = sheet.cssRules[index].style;
        }
    }
}
/**
 * Handles setting properties for a FASTElement using an HTMLStyleElement
 */
class StyleElementStyleSheetTarget {
    constructor(target) {
        this.store = new Map();
        this.target = null;
        const controller = target.$fastController;
        this.style = document.createElement("style");
        controller.addStyles(this.style);
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(controller).subscribe(this, "isConnected");
        this.handleChange(controller, "isConnected");
    }
    targetChanged() {
        if (this.target !== null) {
            for (const [key, value] of this.store.entries()) {
                this.target.setProperty(key, value);
            }
        }
    }
    setProperty(name, value) {
        this.store.set(name, value);
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
            if (this.target !== null) {
                this.target.setProperty(name, value);
            }
        });
    }
    removeProperty(name) {
        this.store.delete(name);
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
            if (this.target !== null) {
                this.target.removeProperty(name);
            }
        });
    }
    handleChange(source, key) {
        // HTMLStyleElement.sheet is null if the element isn't connected to the DOM,
        // so this method reacts to changes in DOM connection for the element hosting
        // the HTMLStyleElement.
        //
        // All rules applied via the CSSOM also get cleared when the element disconnects,
        // so we need to add a new rule each time and populate it with the stored properties
        const { sheet } = this.style;
        if (sheet) {
            // Safari will throw if we try to use the return result of insertRule()
            // to index the rule inline, so store as a const prior to indexing.
            // https://github.com/jsdom/jsdom uses https://github.com/NV/CSSOM for it's CSSOM implementation,
            // which implements the DOM Level 2 spec for CSSStyleSheet where insertRule() requires an index argument.
            const index = sheet.insertRule(":host{}", sheet.cssRules.length);
            this.target = sheet.cssRules[index].style;
        }
        else {
            this.target = null;
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], StyleElementStyleSheetTarget.prototype, "target", void 0);
/**
 * Handles setting properties for a normal HTMLElement
 */
class ElementStyleSheetTarget {
    constructor(source) {
        this.target = source.style;
    }
    setProperty(name, value) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.target.setProperty(name, value));
    }
    removeProperty(name) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.target.removeProperty(name));
    }
}
/**
 * Controls emission for default values. This control is capable
 * of emitting to multiple {@link PropertyTarget | PropertyTargets},
 * and only emits if it has at least one root.
 *
 * @internal
 */
class RootStyleSheetTarget {
    setProperty(name, value) {
        RootStyleSheetTarget.properties[name] = value;
        for (const target of RootStyleSheetTarget.roots.values()) {
            PropertyTargetManager.getOrCreate(RootStyleSheetTarget.normalizeRoot(target)).setProperty(name, value);
        }
    }
    removeProperty(name) {
        delete RootStyleSheetTarget.properties[name];
        for (const target of RootStyleSheetTarget.roots.values()) {
            PropertyTargetManager.getOrCreate(RootStyleSheetTarget.normalizeRoot(target)).removeProperty(name);
        }
    }
    static registerRoot(root) {
        const { roots } = RootStyleSheetTarget;
        if (!roots.has(root)) {
            roots.add(root);
            const target = PropertyTargetManager.getOrCreate(this.normalizeRoot(root));
            for (const key in RootStyleSheetTarget.properties) {
                target.setProperty(key, RootStyleSheetTarget.properties[key]);
            }
        }
    }
    static unregisterRoot(root) {
        const { roots } = RootStyleSheetTarget;
        if (roots.has(root)) {
            roots.delete(root);
            const target = PropertyTargetManager.getOrCreate(RootStyleSheetTarget.normalizeRoot(root));
            for (const key in RootStyleSheetTarget.properties) {
                target.removeProperty(key);
            }
        }
    }
    /**
     * Returns the document when provided the default element,
     * otherwise is a no-op
     * @param root - the root to normalize
     */
    static normalizeRoot(root) {
        return root === defaultElement ? document : root;
    }
}
RootStyleSheetTarget.roots = new Set();
RootStyleSheetTarget.properties = {};
// Caches PropertyTarget instances
const propertyTargetCache = new WeakMap();
// Use Constructable StyleSheets for FAST elements when supported, otherwise use
// HTMLStyleElement instances
const propertyTargetCtor = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.supportsAdoptedStyleSheets
    ? ConstructableStyleSheetTarget
    : StyleElementStyleSheetTarget;
/**
 * Manages creation and caching of PropertyTarget instances.
 *
 * @internal
 */
const PropertyTargetManager = Object.freeze({
    getOrCreate(source) {
        if (propertyTargetCache.has(source)) {
            /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
            return propertyTargetCache.get(source);
        }
        let target;
        if (source === defaultElement) {
            target = new RootStyleSheetTarget();
        }
        else if (source instanceof Document) {
            target = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.supportsAdoptedStyleSheets
                ? new DocumentStyleSheetTarget()
                : new HeadStyleElementStyleSheetTarget();
        }
        else if (isFastElement(source)) {
            target = new propertyTargetCtor(source);
        }
        else {
            target = new ElementStyleSheetTarget(source);
        }
        propertyTargetCache.set(source, target);
        return target;
    },
});


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/design-token/design-token.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/design-token/design-token.js ***!
  \***************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DesignToken: () => (/* binding */ DesignToken)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _utilities_composed_parent_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utilities/composed-parent.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-parent.js");
/* harmony import */ var _utilities_composed_contains_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utilities/composed-contains.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-contains.js");
/* harmony import */ var _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./custom-property-manager.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-token/custom-property-manager.js");






/**
 * Implementation of {@link (DesignToken:interface)}
 */
class DesignTokenImpl extends _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.CSSDirective {
    constructor(configuration) {
        super();
        this.subscribers = new WeakMap();
        this._appliedTo = new Set();
        this.name = configuration.name;
        if (configuration.cssCustomPropertyName !== null) {
            this.cssCustomProperty = `--${configuration.cssCustomPropertyName}`;
            this.cssVar = `var(${this.cssCustomProperty})`;
        }
        this.id = DesignTokenImpl.uniqueId();
        DesignTokenImpl.tokensById.set(this.id, this);
    }
    get appliedTo() {
        return [...this._appliedTo];
    }
    static from(nameOrConfig) {
        return new DesignTokenImpl({
            name: typeof nameOrConfig === "string" ? nameOrConfig : nameOrConfig.name,
            cssCustomPropertyName: typeof nameOrConfig === "string"
                ? nameOrConfig
                : nameOrConfig.cssCustomPropertyName === void 0
                    ? nameOrConfig.name
                    : nameOrConfig.cssCustomPropertyName,
        });
    }
    static isCSSDesignToken(token) {
        return typeof token.cssCustomProperty === "string";
    }
    static isDerivedDesignTokenValue(value) {
        return typeof value === "function";
    }
    /**
     * Gets a token by ID. Returns undefined if the token was not found.
     * @param id - The ID of the token
     * @returns
     */
    static getTokenById(id) {
        return DesignTokenImpl.tokensById.get(id);
    }
    getOrCreateSubscriberSet(target = this) {
        return (this.subscribers.get(target) ||
            (this.subscribers.set(target, new Set()) && this.subscribers.get(target)));
    }
    createCSS() {
        return this.cssVar || "";
    }
    getValueFor(element) {
        const value = DesignTokenNode.getOrCreate(element).get(this);
        if (value !== undefined) {
            return value;
        }
        throw new Error(`Value could not be retrieved for token named "${this.name}". Ensure the value is set for ${element} or an ancestor of ${element}.`);
    }
    setValueFor(element, value) {
        this._appliedTo.add(element);
        if (value instanceof DesignTokenImpl) {
            value = this.alias(value);
        }
        DesignTokenNode.getOrCreate(element).set(this, value);
        return this;
    }
    deleteValueFor(element) {
        this._appliedTo.delete(element);
        if (DesignTokenNode.existsFor(element)) {
            DesignTokenNode.getOrCreate(element).delete(this);
        }
        return this;
    }
    withDefault(value) {
        this.setValueFor(_custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.defaultElement, value);
        return this;
    }
    subscribe(subscriber, target) {
        const subscriberSet = this.getOrCreateSubscriberSet(target);
        if (target && !DesignTokenNode.existsFor(target)) {
            DesignTokenNode.getOrCreate(target);
        }
        if (!subscriberSet.has(subscriber)) {
            subscriberSet.add(subscriber);
        }
    }
    unsubscribe(subscriber, target) {
        const list = this.subscribers.get(target || this);
        if (list && list.has(subscriber)) {
            list.delete(subscriber);
        }
    }
    /**
     * Notifies subscribers that the value for an element has changed.
     * @param element - The element to emit a notification for
     */
    notify(element) {
        const record = Object.freeze({ token: this, target: element });
        if (this.subscribers.has(this)) {
            this.subscribers.get(this).forEach(sub => sub.handleChange(record));
        }
        if (this.subscribers.has(element)) {
            this.subscribers.get(element).forEach(sub => sub.handleChange(record));
        }
    }
    /**
     * Alias the token to the provided token.
     * @param token - the token to alias to
     */
    alias(token) {
        return ((target) => token.getValueFor(target));
    }
}
DesignTokenImpl.uniqueId = (() => {
    let id = 0;
    return () => {
        id++;
        return id.toString(16);
    };
})();
/**
 * Token storage by token ID
 */
DesignTokenImpl.tokensById = new Map();
class CustomPropertyReflector {
    startReflection(token, target) {
        token.subscribe(this, target);
        this.handleChange({ token, target });
    }
    stopReflection(token, target) {
        token.unsubscribe(this, target);
        this.remove(token, target);
    }
    handleChange(record) {
        const { token, target } = record;
        this.add(token, target);
    }
    add(token, target) {
        _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.PropertyTargetManager.getOrCreate(target).setProperty(token.cssCustomProperty, this.resolveCSSValue(DesignTokenNode.getOrCreate(target).get(token)));
    }
    remove(token, target) {
        _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.PropertyTargetManager.getOrCreate(target).removeProperty(token.cssCustomProperty);
    }
    resolveCSSValue(value) {
        return value && typeof value.createCSS === "function" ? value.createCSS() : value;
    }
}
/**
 * A light wrapper around BindingObserver to handle value caching and
 * token notification
 */
class DesignTokenBindingObserver {
    constructor(source, token, node) {
        this.source = source;
        this.token = token;
        this.node = node;
        this.dependencies = new Set();
        this.observer = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.binding(source, this, false);
        // This is a little bit hacky because it's using internal APIs of BindingObserverImpl.
        // BindingObserverImpl queues updates to batch it's notifications which doesn't work for this
        // scenario because the DesignToken.getValueFor API is not async. Without this, using DesignToken.getValueFor()
        // after DesignToken.setValueFor() when setting a dependency of the value being retrieved can return a stale
        // value. Assigning .handleChange to .call forces immediate invocation of this classes handleChange() method,
        // allowing resolution of values synchronously.
        // TODO: https://github.com/microsoft/fast/issues/5110
        this.observer.handleChange = this.observer.call;
        this.handleChange();
    }
    disconnect() {
        this.observer.disconnect();
    }
    /**
     * @internal
     */
    handleChange() {
        try {
            this.node.store.set(this.token, this.observer.observe(this.node.target, _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.defaultExecutionContext));
        }
        catch (e) {
            console.error(e);
        }
    }
}
/**
 * Stores resolved token/value pairs and notifies on changes
 */
class Store {
    constructor() {
        this.values = new Map();
    }
    set(token, value) {
        if (this.values.get(token) !== value) {
            this.values.set(token, value);
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(this).notify(token.id);
        }
    }
    get(token) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, token.id);
        return this.values.get(token);
    }
    delete(token) {
        this.values.delete(token);
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(this).notify(token.id);
    }
    all() {
        return this.values.entries();
    }
}
const nodeCache = new WeakMap();
const childToParent = new WeakMap();
/**
 * A node responsible for setting and getting token values,
 * emitting values to CSS custom properties, and maintaining
 * inheritance structures.
 */
class DesignTokenNode {
    constructor(target) {
        this.target = target;
        /**
         * Stores all resolved token values for a node
         */
        this.store = new Store();
        /**
         * All children assigned to the node
         */
        this.children = [];
        /**
         * All values explicitly assigned to the node in their raw form
         */
        this.assignedValues = new Map();
        /**
         * Tokens currently being reflected to CSS custom properties
         */
        this.reflecting = new Set();
        /**
         * Binding observers for assigned and inherited derived values.
         */
        this.bindingObservers = new Map();
        /**
         * Emits notifications to token when token values
         * change the DesignTokenNode
         */
        this.tokenValueChangeHandler = {
            handleChange: (source, arg) => {
                const token = DesignTokenImpl.getTokenById(arg);
                if (token) {
                    // Notify any token subscribers
                    token.notify(this.target);
                    this.updateCSSTokenReflection(source, token);
                }
            },
        };
        nodeCache.set(target, this);
        // Map store change notifications to token change notifications
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(this.store).subscribe(this.tokenValueChangeHandler);
        if (target instanceof _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.FASTElement) {
            target.$fastController.addBehaviors([this]);
        }
        else if (target.isConnected) {
            this.bind();
        }
    }
    /**
     * Returns a DesignTokenNode for an element.
     * Creates a new instance if one does not already exist for a node,
     * otherwise returns the cached instance
     *
     * @param target - The HTML element to retrieve a DesignTokenNode for
     */
    static getOrCreate(target) {
        return nodeCache.get(target) || new DesignTokenNode(target);
    }
    /**
     * Determines if a DesignTokenNode has been created for a target
     * @param target - The element to test
     */
    static existsFor(target) {
        return nodeCache.has(target);
    }
    /**
     * Searches for and return the nearest parent DesignTokenNode.
     * Null is returned if no node is found or the node provided is for a default element.
     */
    static findParent(node) {
        if (!(_custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.defaultElement === node.target)) {
            let parent = (0,_utilities_composed_parent_js__WEBPACK_IMPORTED_MODULE_2__.composedParent)(node.target);
            while (parent !== null) {
                if (nodeCache.has(parent)) {
                    return nodeCache.get(parent);
                }
                parent = (0,_utilities_composed_parent_js__WEBPACK_IMPORTED_MODULE_2__.composedParent)(parent);
            }
            return DesignTokenNode.getOrCreate(_custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.defaultElement);
        }
        return null;
    }
    /**
     * Finds the closest node with a value explicitly assigned for a token, otherwise null.
     * @param token - The token to look for
     * @param start - The node to start looking for value assignment
     * @returns
     */
    static findClosestAssignedNode(token, start) {
        let current = start;
        do {
            if (current.has(token)) {
                return current;
            }
            current = current.parent
                ? current.parent
                : current.target !== _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.defaultElement
                    ? DesignTokenNode.getOrCreate(_custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.defaultElement)
                    : null;
        } while (current !== null);
        return null;
    }
    /**
     * The parent DesignTokenNode, or null.
     */
    get parent() {
        return childToParent.get(this) || null;
    }
    updateCSSTokenReflection(source, token) {
        if (DesignTokenImpl.isCSSDesignToken(token)) {
            const parent = this.parent;
            const reflecting = this.isReflecting(token);
            if (parent) {
                const parentValue = parent.get(token);
                const sourceValue = source.get(token);
                if (parentValue !== sourceValue && !reflecting) {
                    this.reflectToCSS(token);
                }
                else if (parentValue === sourceValue && reflecting) {
                    this.stopReflectToCSS(token);
                }
            }
            else if (!reflecting) {
                this.reflectToCSS(token);
            }
        }
    }
    /**
     * Checks if a token has been assigned an explicit value the node.
     * @param token - the token to check.
     */
    has(token) {
        return this.assignedValues.has(token);
    }
    /**
     * Gets the value of a token for a node
     * @param token - The token to retrieve the value for
     * @returns
     */
    get(token) {
        const value = this.store.get(token);
        if (value !== undefined) {
            return value;
        }
        const raw = this.getRaw(token);
        if (raw !== undefined) {
            this.hydrate(token, raw);
            return this.get(token);
        }
    }
    /**
     * Retrieves the raw assigned value of a token from the nearest assigned node.
     * @param token - The token to retrieve a raw value for
     * @returns
     */
    getRaw(token) {
        var _a;
        if (this.assignedValues.has(token)) {
            return this.assignedValues.get(token);
        }
        return (_a = DesignTokenNode.findClosestAssignedNode(token, this)) === null || _a === void 0 ? void 0 : _a.getRaw(token);
    }
    /**
     * Sets a token to a value for a node
     * @param token - The token to set
     * @param value - The value to set the token to
     */
    set(token, value) {
        if (DesignTokenImpl.isDerivedDesignTokenValue(this.assignedValues.get(token))) {
            this.tearDownBindingObserver(token);
        }
        this.assignedValues.set(token, value);
        if (DesignTokenImpl.isDerivedDesignTokenValue(value)) {
            this.setupBindingObserver(token, value);
        }
        else {
            this.store.set(token, value);
        }
    }
    /**
     * Deletes a token value for the node.
     * @param token - The token to delete the value for
     */
    delete(token) {
        this.assignedValues.delete(token);
        this.tearDownBindingObserver(token);
        const upstream = this.getRaw(token);
        if (upstream) {
            this.hydrate(token, upstream);
        }
        else {
            this.store.delete(token);
        }
    }
    /**
     * Invoked when the DesignTokenNode.target is attached to the document
     */
    bind() {
        const parent = DesignTokenNode.findParent(this);
        if (parent) {
            parent.appendChild(this);
        }
        for (const key of this.assignedValues.keys()) {
            key.notify(this.target);
        }
    }
    /**
     * Invoked when the DesignTokenNode.target is detached from the document
     */
    unbind() {
        if (this.parent) {
            const parent = childToParent.get(this);
            parent.removeChild(this);
        }
        for (const token of this.bindingObservers.keys()) {
            this.tearDownBindingObserver(token);
        }
    }
    /**
     * Appends a child to a parent DesignTokenNode.
     * @param child - The child to append to the node
     */
    appendChild(child) {
        if (child.parent) {
            childToParent.get(child).removeChild(child);
        }
        const reParent = this.children.filter(x => child.contains(x));
        childToParent.set(child, this);
        this.children.push(child);
        reParent.forEach(x => child.appendChild(x));
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(this.store).subscribe(child);
        // How can we not notify *every* subscriber?
        for (const [token, value] of this.store.all()) {
            child.hydrate(token, this.bindingObservers.has(token) ? this.getRaw(token) : value);
            // Need to stop reflecting any tokens that can now be inherited
            child.updateCSSTokenReflection(child.store, token);
        }
    }
    /**
     * Removes a child from a node.
     * @param child - The child to remove.
     */
    removeChild(child) {
        const childIndex = this.children.indexOf(child);
        if (childIndex !== -1) {
            this.children.splice(childIndex, 1);
        }
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(this.store).unsubscribe(child);
        if (child.parent !== this) {
            return false;
        }
        const deleted = childToParent.delete(child);
        for (const [token] of this.store.all()) {
            child.hydrate(token, child.getRaw(token));
            // Need to start reflecting any assigned values that were previously inherited
            child.updateCSSTokenReflection(child.store, token);
        }
        return deleted;
    }
    /**
     * Tests whether a provided node is contained by
     * the calling node.
     * @param test - The node to test
     */
    contains(test) {
        return (0,_utilities_composed_contains_js__WEBPACK_IMPORTED_MODULE_3__.composedContains)(this.target, test.target);
    }
    /**
     * Instructs the node to reflect a design token for the provided token.
     * @param token - The design token to reflect
     */
    reflectToCSS(token) {
        if (!this.isReflecting(token)) {
            this.reflecting.add(token);
            DesignTokenNode.cssCustomPropertyReflector.startReflection(token, this.target);
        }
    }
    /**
     * Stops reflecting a DesignToken to CSS
     * @param token - The design token to stop reflecting
     */
    stopReflectToCSS(token) {
        if (this.isReflecting(token)) {
            this.reflecting.delete(token);
            DesignTokenNode.cssCustomPropertyReflector.stopReflection(token, this.target);
        }
    }
    /**
     * Determines if a token is being reflected to CSS for a node.
     * @param token - The token to check for reflection
     * @returns
     */
    isReflecting(token) {
        return this.reflecting.has(token);
    }
    /**
     * Handle changes to upstream tokens
     * @param source - The parent DesignTokenNode
     * @param property - The token ID that changed
     */
    handleChange(source, property) {
        const token = DesignTokenImpl.getTokenById(property);
        if (!token) {
            return;
        }
        this.hydrate(token, this.getRaw(token));
        this.updateCSSTokenReflection(this.store, token);
    }
    /**
     * Hydrates a token with a DesignTokenValue, making retrieval available.
     * @param token - The token to hydrate
     * @param value - The value to hydrate
     */
    hydrate(token, value) {
        if (!this.has(token)) {
            const observer = this.bindingObservers.get(token);
            if (DesignTokenImpl.isDerivedDesignTokenValue(value)) {
                if (observer) {
                    // If the binding source doesn't match, we need
                    // to update the binding
                    if (observer.source !== value) {
                        this.tearDownBindingObserver(token);
                        this.setupBindingObserver(token, value);
                    }
                }
                else {
                    this.setupBindingObserver(token, value);
                }
            }
            else {
                if (observer) {
                    this.tearDownBindingObserver(token);
                }
                this.store.set(token, value);
            }
        }
    }
    /**
     * Sets up a binding observer for a derived token value that notifies token
     * subscribers on change.
     *
     * @param token - The token to notify when the binding updates
     * @param source - The binding source
     */
    setupBindingObserver(token, source) {
        const binding = new DesignTokenBindingObserver(source, token, this);
        this.bindingObservers.set(token, binding);
        return binding;
    }
    /**
     * Tear down a binding observer for a token.
     */
    tearDownBindingObserver(token) {
        if (this.bindingObservers.has(token)) {
            this.bindingObservers.get(token).disconnect();
            this.bindingObservers.delete(token);
            return true;
        }
        return false;
    }
}
/**
 * Responsible for reflecting tokens to CSS custom properties
 */
DesignTokenNode.cssCustomPropertyReflector = new CustomPropertyReflector();
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DesignTokenNode.prototype, "children", void 0);
function create(nameOrConfig) {
    return DesignTokenImpl.from(nameOrConfig);
}
/* eslint-enable @typescript-eslint/no-unused-vars */
/**
 * Factory object for creating {@link (DesignToken:interface)} instances.
 * @public
 */
const DesignToken = Object.freeze({
    create,
    /**
     * Informs DesignToken that an HTMLElement for which tokens have
     * been set has been connected to the document.
     *
     * The browser does not provide a reliable mechanism to observe an HTMLElement's connectedness
     * in all scenarios, so invoking this method manually is necessary when:
     *
     * 1. Token values are set for an HTMLElement.
     * 2. The HTMLElement does not inherit from FASTElement.
     * 3. The HTMLElement is not connected to the document when token values are set.
     *
     * @param element - The element to notify
     * @returns - true if notification was successful, otherwise false.
     */
    notifyConnection(element) {
        if (!element.isConnected || !DesignTokenNode.existsFor(element)) {
            return false;
        }
        DesignTokenNode.getOrCreate(element).bind();
        return true;
    },
    /**
     * Informs DesignToken that an HTMLElement for which tokens have
     * been set has been disconnected to the document.
     *
     * The browser does not provide a reliable mechanism to observe an HTMLElement's connectedness
     * in all scenarios, so invoking this method manually is necessary when:
     *
     * 1. Token values are set for an HTMLElement.
     * 2. The HTMLElement does not inherit from FASTElement.
     *
     * @param element - The element to notify
     * @returns - true if notification was successful, otherwise false.
     */
    notifyDisconnection(element) {
        if (element.isConnected || !DesignTokenNode.existsFor(element)) {
            return false;
        }
        DesignTokenNode.getOrCreate(element).unbind();
        return true;
    },
    /**
     * Registers and element or document as a DesignToken root.
     * {@link CSSDesignToken | CSSDesignTokens} with default values assigned via
     * {@link (DesignToken:interface).withDefault} will emit CSS custom properties to all
     * registered roots.
     * @param target - The root to register
     */
    registerRoot(target = _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.defaultElement) {
        _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.RootStyleSheetTarget.registerRoot(target);
    },
    /**
     * Unregister an element or document as a DesignToken root.
     * @param target - The root to deregister
     */
    unregisterRoot(target = _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.defaultElement) {
        _custom_property_manager_js__WEBPACK_IMPORTED_MODULE_1__.RootStyleSheetTarget.unregisterRoot(target);
    },
});
/* eslint-enable @typescript-eslint/no-non-null-assertion */


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/di/di.js":
/*!*******************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/di/di.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Container: () => (/* binding */ Container),
/* harmony export */   ContainerConfiguration: () => (/* binding */ ContainerConfiguration),
/* harmony export */   ContainerImpl: () => (/* binding */ ContainerImpl),
/* harmony export */   DI: () => (/* binding */ DI),
/* harmony export */   DefaultResolver: () => (/* binding */ DefaultResolver),
/* harmony export */   FactoryImpl: () => (/* binding */ FactoryImpl),
/* harmony export */   Registration: () => (/* binding */ Registration),
/* harmony export */   ResolverBuilder: () => (/* binding */ ResolverBuilder),
/* harmony export */   ResolverImpl: () => (/* binding */ ResolverImpl),
/* harmony export */   ServiceLocator: () => (/* binding */ ServiceLocator),
/* harmony export */   all: () => (/* binding */ all),
/* harmony export */   ignore: () => (/* binding */ ignore),
/* harmony export */   inject: () => (/* binding */ inject),
/* harmony export */   lazy: () => (/* binding */ lazy),
/* harmony export */   newInstanceForScope: () => (/* binding */ newInstanceForScope),
/* harmony export */   newInstanceOf: () => (/* binding */ newInstanceOf),
/* harmony export */   optional: () => (/* binding */ optional),
/* harmony export */   singleton: () => (/* binding */ singleton),
/* harmony export */   transient: () => (/* binding */ transient),
/* harmony export */   validateKey: () => (/* binding */ validateKey)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/**
 * Big thanks to https://github.com/fkleuver and the https://github.com/aurelia/aurelia project
 * for the bulk of this code and many of the associated tests.
 */

// Tiny polyfill for TypeScript's Reflect metadata API.
const metadataByTarget = new Map();
if (!("metadata" in Reflect)) {
    Reflect.metadata = function (key, value) {
        return function (target) {
            Reflect.defineMetadata(key, value, target);
        };
    };
    Reflect.defineMetadata = function (key, value, target) {
        let metadata = metadataByTarget.get(target);
        if (metadata === void 0) {
            metadataByTarget.set(target, (metadata = new Map()));
        }
        metadata.set(key, value);
    };
    Reflect.getOwnMetadata = function (key, target) {
        const metadata = metadataByTarget.get(target);
        if (metadata !== void 0) {
            return metadata.get(key);
        }
        return void 0;
    };
}
/**
 * A utility class used that constructs and registers resolvers for a dependency
 * injection container. Supports a standard set of object lifetimes.
 * @public
 */
class ResolverBuilder {
    /**
     *
     * @param container - The container to create resolvers for.
     * @param key - The key to register resolvers under.
     */
    constructor(container, key) {
        this.container = container;
        this.key = key;
    }
    /**
     * Creates a resolver for an existing object instance.
     * @param value - The instance to resolve.
     * @returns The resolver.
     */
    instance(value) {
        return this.registerResolver(0 /* instance */, value);
    }
    /**
     * Creates a resolver that enforces a singleton lifetime.
     * @param value - The type to create and cache the singleton for.
     * @returns The resolver.
     */
    singleton(value) {
        return this.registerResolver(1 /* singleton */, value);
    }
    /**
     * Creates a resolver that creates a new instance for every dependency request.
     * @param value - The type to create instances of.
     * @returns - The resolver.
     */
    transient(value) {
        return this.registerResolver(2 /* transient */, value);
    }
    /**
     * Creates a resolver that invokes a callback function for every dependency resolution
     * request, allowing custom logic to return the dependency.
     * @param value - The callback to call during resolution.
     * @returns The resolver.
     */
    callback(value) {
        return this.registerResolver(3 /* callback */, value);
    }
    /**
     * Creates a resolver that invokes a callback function the first time that a dependency
     * resolution is requested. The returned value is then cached and provided for all
     * subsequent requests.
     * @param value - The callback to call during the first resolution.
     * @returns The resolver.
     */
    cachedCallback(value) {
        return this.registerResolver(3 /* callback */, cacheCallbackResult(value));
    }
    /**
     * Aliases the current key to a different key.
     * @param destinationKey - The key to point the alias to.
     * @returns The resolver.
     */
    aliasTo(destinationKey) {
        return this.registerResolver(5 /* alias */, destinationKey);
    }
    registerResolver(strategy, state) {
        const { container, key } = this;
        /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
        this.container = this.key = (void 0);
        return container.registerResolver(key, new ResolverImpl(key, strategy, state));
    }
}
function cloneArrayWithPossibleProps(source) {
    const clone = source.slice();
    const keys = Object.keys(source);
    const len = keys.length;
    let key;
    for (let i = 0; i < len; ++i) {
        key = keys[i];
        if (!isArrayIndex(key)) {
            clone[key] = source[key];
        }
    }
    return clone;
}
/**
 * A set of default resolvers useful in configuring a container.
 * @public
 */
const DefaultResolver = Object.freeze({
    /**
     * Disables auto-registration and throws for all un-registered dependencies.
     * @param key - The key to create the resolver for.
     */
    none(key) {
        throw Error(`${key.toString()} not registered, did you forget to add @singleton()?`);
    },
    /**
     * Provides default singleton resolution behavior during auto-registration.
     * @param key - The key to create the resolver for.
     * @returns The resolver.
     */
    singleton(key) {
        return new ResolverImpl(key, 1 /* singleton */, key);
    },
    /**
     * Provides default transient resolution behavior during auto-registration.
     * @param key - The key to create the resolver for.
     * @returns The resolver.
     */
    transient(key) {
        return new ResolverImpl(key, 2 /* transient */, key);
    },
});
/**
 * Configuration for a dependency injection container.
 * @public
 */
const ContainerConfiguration = Object.freeze({
    /**
     * The default configuration used when creating a DOM-disconnected container.
     * @remarks
     * The default creates a root container, with no parent container. It does not handle
     * owner requests and it uses singleton resolution behavior for auto-registration.
     */
    default: Object.freeze({
        parentLocator: () => null,
        responsibleForOwnerRequests: false,
        defaultResolver: DefaultResolver.singleton,
    }),
});
const dependencyLookup = new Map();
function getParamTypes(key) {
    return (Type) => {
        return Reflect.getOwnMetadata(key, Type);
    };
}
let rootDOMContainer = null;
/**
 * The gateway to dependency injection APIs.
 * @public
 */
const DI = Object.freeze({
    /**
     * Creates a new dependency injection container.
     * @param config - The configuration for the container.
     * @returns A newly created dependency injection container.
     */
    createContainer(config) {
        return new ContainerImpl(null, Object.assign({}, ContainerConfiguration.default, config));
    },
    /**
     * Finds the dependency injection container responsible for providing dependencies
     * to the specified node.
     * @param node - The node to find the responsible container for.
     * @returns The container responsible for providing dependencies to the node.
     * @remarks
     * This will be the same as the parent container if the specified node
     * does not itself host a container configured with responsibleForOwnerRequests.
     */
    findResponsibleContainer(node) {
        const owned = node.$$container$$;
        if (owned && owned.responsibleForOwnerRequests) {
            return owned;
        }
        return DI.findParentContainer(node);
    },
    /**
     * Find the dependency injection container up the DOM tree from this node.
     * @param node - The node to find the parent container for.
     * @returns The parent container of this node.
     * @remarks
     * This will be the same as the responsible container if the specified node
     * does not itself host a container configured with responsibleForOwnerRequests.
     */
    findParentContainer(node) {
        const event = new CustomEvent(DILocateParentEventType, {
            bubbles: true,
            composed: true,
            cancelable: true,
            detail: { container: void 0 },
        });
        node.dispatchEvent(event);
        return event.detail.container || DI.getOrCreateDOMContainer();
    },
    /**
     * Returns a dependency injection container if one is explicitly owned by the specified
     * node. If one is not owned, then a new container is created and assigned to the node.
     * @param node - The node to find or create the container for.
     * @param config - The configuration for the container if one needs to be created.
     * @returns The located or created container.
     * @remarks
     * This API does not search for a responsible or parent container. It looks only for a container
     * directly defined on the specified node and creates one at that location if one does not
     * already exist.
     */
    getOrCreateDOMContainer(node, config) {
        if (!node) {
            return (rootDOMContainer ||
                (rootDOMContainer = new ContainerImpl(null, Object.assign({}, ContainerConfiguration.default, config, {
                    parentLocator: () => null,
                }))));
        }
        return (node.$$container$$ ||
            new ContainerImpl(node, Object.assign({}, ContainerConfiguration.default, config, {
                parentLocator: DI.findParentContainer,
            })));
    },
    /**
     * Gets the "design:paramtypes" metadata for the specified type.
     * @param Type - The type to get the metadata for.
     * @returns The metadata array or undefined if no metadata is found.
     */
    getDesignParamtypes: getParamTypes("design:paramtypes"),
    /**
     * Gets the "di:paramtypes" metadata for the specified type.
     * @param Type - The type to get the metadata for.
     * @returns The metadata array or undefined if no metadata is found.
     */
    getAnnotationParamtypes: getParamTypes("di:paramtypes"),
    /**
     *
     * @param Type - Gets the "di:paramtypes" metadata for the specified type. If none is found,
     * an empty metadata array is created and added.
     * @returns The metadata array.
     */
    getOrCreateAnnotationParamTypes(Type) {
        let annotationParamtypes = this.getAnnotationParamtypes(Type);
        if (annotationParamtypes === void 0) {
            Reflect.defineMetadata("di:paramtypes", (annotationParamtypes = []), Type);
        }
        return annotationParamtypes;
    },
    /**
     * Gets the dependency keys representing what is needed to instantiate the specified type.
     * @param Type - The type to get the dependencies for.
     * @returns An array of dependency keys.
     */
    getDependencies(Type) {
        // Note: Every detail of this getDependencies method is pretty deliberate at the moment, and probably not yet 100% tested from every possible angle,
        // so be careful with making changes here as it can have a huge impact on complex end user apps.
        // Preferably, only make changes to the dependency resolution process via a RFC.
        let dependencies = dependencyLookup.get(Type);
        if (dependencies === void 0) {
            // Type.length is the number of constructor parameters. If this is 0, it could mean the class has an empty constructor
            // but it could also mean the class has no constructor at all (in which case it inherits the constructor from the prototype).
            // Non-zero constructor length + no paramtypes means emitDecoratorMetadata is off, or the class has no decorator.
            // We're not doing anything with the above right now, but it's good to keep in mind for any future issues.
            const inject = Type.inject;
            if (inject === void 0) {
                // design:paramtypes is set by tsc when emitDecoratorMetadata is enabled.
                const designParamtypes = DI.getDesignParamtypes(Type);
                // di:paramtypes is set by the parameter decorator from DI.createInterface or by @inject
                const annotationParamtypes = DI.getAnnotationParamtypes(Type);
                if (designParamtypes === void 0) {
                    if (annotationParamtypes === void 0) {
                        // Only go up the prototype if neither static inject nor any of the paramtypes is defined, as
                        // there is no sound way to merge a type's deps with its prototype's deps
                        const Proto = Object.getPrototypeOf(Type);
                        if (typeof Proto === "function" && Proto !== Function.prototype) {
                            dependencies = cloneArrayWithPossibleProps(DI.getDependencies(Proto));
                        }
                        else {
                            dependencies = [];
                        }
                    }
                    else {
                        // No design:paramtypes so just use the di:paramtypes
                        dependencies = cloneArrayWithPossibleProps(annotationParamtypes);
                    }
                }
                else if (annotationParamtypes === void 0) {
                    // No di:paramtypes so just use the design:paramtypes
                    dependencies = cloneArrayWithPossibleProps(designParamtypes);
                }
                else {
                    // We've got both, so merge them (in case of conflict on same index, di:paramtypes take precedence)
                    dependencies = cloneArrayWithPossibleProps(designParamtypes);
                    let len = annotationParamtypes.length;
                    let auAnnotationParamtype;
                    for (let i = 0; i < len; ++i) {
                        auAnnotationParamtype = annotationParamtypes[i];
                        if (auAnnotationParamtype !== void 0) {
                            dependencies[i] = auAnnotationParamtype;
                        }
                    }
                    const keys = Object.keys(annotationParamtypes);
                    len = keys.length;
                    let key;
                    for (let i = 0; i < len; ++i) {
                        key = keys[i];
                        if (!isArrayIndex(key)) {
                            dependencies[key] = annotationParamtypes[key];
                        }
                    }
                }
            }
            else {
                // Ignore paramtypes if we have static inject
                dependencies = cloneArrayWithPossibleProps(inject);
            }
            dependencyLookup.set(Type, dependencies);
        }
        return dependencies;
    },
    /**
     * Defines a property on a web component class. The value of this property will
     * be resolved from the dependency injection container responsible for the element
     * instance, based on where it is connected in the DOM.
     * @param target - The target to define the property on.
     * @param propertyName - The name of the property to define.
     * @param key - The dependency injection key.
     * @param respectConnection - Indicates whether or not to update the property value if the
     * hosting component is disconnected and then re-connected at a different location in the DOM.
     * @remarks
     * The respectConnection option is only applicable to elements that descend from FASTElement.
     */
    defineProperty(target, propertyName, key, respectConnection = false) {
        const diPropertyKey = `$di_${propertyName}`;
        Reflect.defineProperty(target, propertyName, {
            get: function () {
                let value = this[diPropertyKey];
                if (value === void 0) {
                    const container = this instanceof HTMLElement
                        ? DI.findResponsibleContainer(this)
                        : DI.getOrCreateDOMContainer();
                    value = container.get(key);
                    this[diPropertyKey] = value;
                    if (respectConnection && this instanceof _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.FASTElement) {
                        const notifier = this.$fastController;
                        const handleChange = () => {
                            const newContainer = DI.findResponsibleContainer(this);
                            const newValue = newContainer.get(key);
                            const oldValue = this[diPropertyKey];
                            if (newValue !== oldValue) {
                                this[diPropertyKey] = value;
                                notifier.notify(propertyName);
                            }
                        };
                        notifier.subscribe({ handleChange }, "isConnected");
                    }
                }
                return value;
            },
        });
    },
    /**
     * Creates a dependency injection key.
     * @param nameConfigOrCallback - A friendly name for the key or a lambda that configures a
     * default resolution for the dependency.
     * @param configuror - If a friendly name was provided for the first parameter, then an optional
     * lambda that configures a default resolution for the dependency can be provided second.
     * @returns The created key.
     * @remarks
     * The created key can be used as a property decorator or constructor parameter decorator,
     * in addition to its standard use in an inject array or through direct container APIs.
     */
    createInterface(nameConfigOrCallback, configuror) {
        const configure = typeof nameConfigOrCallback === "function"
            ? nameConfigOrCallback
            : configuror;
        const friendlyName = typeof nameConfigOrCallback === "string"
            ? nameConfigOrCallback
            : nameConfigOrCallback && "friendlyName" in nameConfigOrCallback
                ? nameConfigOrCallback.friendlyName || defaultFriendlyName
                : defaultFriendlyName;
        const respectConnection = typeof nameConfigOrCallback === "string"
            ? false
            : nameConfigOrCallback && "respectConnection" in nameConfigOrCallback
                ? nameConfigOrCallback.respectConnection || false
                : false;
        const Interface = function (target, property, index) {
            if (target == null || new.target !== undefined) {
                throw new Error(`No registration for interface: '${Interface.friendlyName}'`);
            }
            if (property) {
                DI.defineProperty(target, property, Interface, respectConnection);
            }
            else {
                const annotationParamtypes = DI.getOrCreateAnnotationParamTypes(target);
                annotationParamtypes[index] = Interface;
            }
        };
        Interface.$isInterface = true;
        Interface.friendlyName = friendlyName == null ? "(anonymous)" : friendlyName;
        if (configure != null) {
            Interface.register = function (container, key) {
                return configure(new ResolverBuilder(container, key !== null && key !== void 0 ? key : Interface));
            };
        }
        Interface.toString = function toString() {
            return `InterfaceSymbol<${Interface.friendlyName}>`;
        };
        return Interface;
    },
    /**
     * A decorator that specifies what to inject into its target.
     * @param dependencies - The dependencies to inject.
     * @returns The decorator to be applied to the target class.
     * @remarks
     * The decorator can be used to decorate a class, listing all of the classes dependencies.
     * Or it can be used to decorate a constructor paramter, indicating what to inject for that
     * parameter.
     * Or it can be used for a web component property, indicating what that property should resolve to.
     */
    inject(...dependencies) {
        return function (target, key, descriptor) {
            if (typeof descriptor === "number") {
                // It's a parameter decorator.
                const annotationParamtypes = DI.getOrCreateAnnotationParamTypes(target);
                const dep = dependencies[0];
                if (dep !== void 0) {
                    annotationParamtypes[descriptor] = dep;
                }
            }
            else if (key) {
                DI.defineProperty(target, key, dependencies[0]);
            }
            else {
                const annotationParamtypes = descriptor
                    ? DI.getOrCreateAnnotationParamTypes(descriptor.value)
                    : DI.getOrCreateAnnotationParamTypes(target);
                let dep;
                for (let i = 0; i < dependencies.length; ++i) {
                    dep = dependencies[i];
                    if (dep !== void 0) {
                        annotationParamtypes[i] = dep;
                    }
                }
            }
        };
    },
    /**
     * Registers the `target` class as a transient dependency; each time the dependency is resolved
     * a new instance will be created.
     *
     * @param target - The class / constructor function to register as transient.
     * @returns The same class, with a static `register` method that takes a container and returns the appropriate resolver.
     *
     * @example
     * On an existing class
     * ```ts
     * class Foo { }
     * DI.transient(Foo);
     * ```
     *
     * @example
     * Inline declaration
     *
     * ```ts
     * const Foo = DI.transient(class { });
     * // Foo is now strongly typed with register
     * Foo.register(container);
     * ```
     *
     * @public
     */
    transient(target) {
        target.register = function register(container) {
            const registration = Registration.transient(target, target);
            return registration.register(container);
        };
        target.registerInRequestor = false;
        return target;
    },
    /**
     * Registers the `target` class as a singleton dependency; the class will only be created once. Each
     * consecutive time the dependency is resolved, the same instance will be returned.
     *
     * @param target - The class / constructor function to register as a singleton.
     * @returns The same class, with a static `register` method that takes a container and returns the appropriate resolver.
     * @example
     * On an existing class
     * ```ts
     * class Foo { }
     * DI.singleton(Foo);
     * ```
     *
     * @example
     * Inline declaration
     * ```ts
     * const Foo = DI.singleton(class { });
     * // Foo is now strongly typed with register
     * Foo.register(container);
     * ```
     *
     * @public
     */
    singleton(target, options = defaultSingletonOptions) {
        target.register = function register(container) {
            const registration = Registration.singleton(target, target);
            return registration.register(container);
        };
        target.registerInRequestor = options.scoped;
        return target;
    },
});
/**
 * The interface key that resolves the dependency injection container itself.
 * @public
 */
const Container = DI.createInterface("Container");
/**
 * The interface key that resolves the service locator itself.
 * @public
 */
const ServiceLocator = Container;
function createResolver(getter) {
    return function (key) {
        const resolver = function (target, property, descriptor) {
            DI.inject(resolver)(target, property, descriptor);
        };
        resolver.$isResolver = true;
        resolver.resolve = function (handler, requestor) {
            return getter(key, handler, requestor);
        };
        return resolver;
    };
}
/**
 * A decorator that specifies what to inject into its target.
 * @param dependencies - The dependencies to inject.
 * @returns The decorator to be applied to the target class.
 * @remarks
 * The decorator can be used to decorate a class, listing all of the classes dependencies.
 * Or it can be used to decorate a constructor paramter, indicating what to inject for that
 * parameter.
 * Or it can be used for a web component property, indicating what that property should resolve to.
 *
 * @public
 */
const inject = DI.inject;
function transientDecorator(target) {
    return DI.transient(target);
}
function transient(target) {
    return target == null ? transientDecorator : transientDecorator(target);
}
const defaultSingletonOptions = { scoped: false };
function singletonDecorator(target) {
    return DI.singleton(target);
}
/**
 * @public
 */
function singleton(targetOrOptions) {
    if (typeof targetOrOptions === "function") {
        return DI.singleton(targetOrOptions);
    }
    return function ($target) {
        return DI.singleton($target, targetOrOptions);
    };
}
function createAllResolver(getter) {
    return function (key, searchAncestors) {
        searchAncestors = !!searchAncestors;
        const resolver = function (target, property, descriptor) {
            DI.inject(resolver)(target, property, descriptor);
        };
        resolver.$isResolver = true;
        resolver.resolve = function (handler, requestor) {
            /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
            return getter(key, handler, requestor, searchAncestors);
        };
        return resolver;
    };
}
/**
 * A decorator and DI resolver that will resolve an array of all dependencies
 * registered with the specified key.
 * @param key - The key to resolve all dependencies for.
 * @param searchAncestors - [optional] Indicates whether to search ancestor containers.
 * @public
 */
const all = createAllResolver((key, handler, requestor, searchAncestors) => requestor.getAll(key, searchAncestors));
/**
 * A decorator that lazily injects a dependency depending on whether the `Key` is present at the time of function call.
 *
 * @example
 * You need to make your argument a function that returns the type, for example
 * ```ts
 * class Foo {
 *   constructor( @lazy('random') public random: () => number )
 * }
 * const foo = container.get(Foo); // instanceof Foo
 * foo.random(); // throws
 * ```
 * would throw an exception because you haven't registered `'random'` before calling the method.
 * @example
 * This, would give you a new 'Math.random()' number each time.
 * ```ts
 * class Foo {
 *   constructor( @lazy('random') public random: () => random )
 * }
 * container.register(Registration.callback('random', Math.random ));
 * container.get(Foo).random(); // some random number
 * container.get(Foo).random(); // another random number
 * ```
 *
 * `@lazy` does not manage the lifecycle of the underlying key. If you want a singleton, you have to register as a
 * `singleton`, `transient` would also behave as you would expect, providing you a new instance each time.
 *
 * @param key - The key to lazily resolve.
 * see {@link DI.createInterface} on interactions with interfaces
 *
 * @public
 */
const lazy = createResolver((key, handler, requestor) => {
    return () => requestor.get(key);
});
/**
 * A decorator that allows you to optionally inject a dependency depending on whether the [[`Key`]] is present, for example:
 * @example
 * ```ts
 * class Foo {
 *   constructor( @inject('mystring') public str: string = 'somestring' )
 * }
 * container.get(Foo); // throws
 * ```
 * would fail
 *
 * @example
 * ```ts
 * class Foo {
 *   constructor( @optional('mystring') public str: string = 'somestring' )
 * }
 * container.get(Foo).str // somestring
 * ```
 * if you use it without a default it will inject `undefined`, so remember to mark your input type as
 * possibly `undefined`!
 *
 * @param key - The key to optionally resolve.
 * see {@link DI.createInterface} on interactions with interfaces
 *
 * @public
 */
const optional = createResolver((key, handler, requestor) => {
    if (requestor.has(key, true)) {
        return requestor.get(key);
    }
    else {
        return undefined;
    }
});
/**
 * A decorator that tells the container not to try to inject a dependency.
 *
 * @public
 */
function ignore(target, property, descriptor) {
    DI.inject(ignore)(target, property, descriptor);
}
// Hack: casting below used to prevent TS from generate a namespace which can't be commented
// and results in documentation validation errors.
ignore.$isResolver = true;
ignore.resolve = () => undefined;
/**
 * A decorator that indicates that a new instance should be injected scoped to the
 * container that requested the instance.
 * @param key - The dependency key for the new instance.
 * @remarks
 * This creates a resolver with an instance strategy pointing to the new instance, effectively
 * making this a singleton, scoped to the container or DOM's subtree.
 *
 * @public
 */
const newInstanceForScope = createResolver((key, handler, requestor) => {
    const instance = createNewInstance(key, handler);
    const resolver = new ResolverImpl(key, 0 /* instance */, instance);
    requestor.registerResolver(key, resolver);
    return instance;
});
/**
 * A decorator that indicates that a new instance should be injected.
 * @param key - The dependency key for the new instance.
 * @remarks
 * The instance is not internally cached with a resolver as newInstanceForScope does.
 *
 * @public
 */
const newInstanceOf = createResolver((key, handler, _requestor) => createNewInstance(key, handler));
function createNewInstance(key, handler) {
    /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
    return handler.getFactory(key).construct(handler);
}
/** @internal */
class ResolverImpl {
    constructor(key, strategy, state) {
        this.key = key;
        this.strategy = strategy;
        this.state = state;
        this.resolving = false;
    }
    get $isResolver() {
        return true;
    }
    register(container) {
        return container.registerResolver(this.key, this);
    }
    resolve(handler, requestor) {
        switch (this.strategy) {
            case 0 /* instance */:
                return this.state;
            case 1 /* singleton */: {
                if (this.resolving) {
                    throw new Error(`Cyclic dependency found: ${this.state.name}`);
                }
                this.resolving = true;
                this.state = handler
                    .getFactory(this.state)
                    .construct(requestor);
                this.strategy = 0 /* instance */;
                this.resolving = false;
                return this.state;
            }
            case 2 /* transient */: {
                // Always create transients from the requesting container
                const factory = handler.getFactory(this.state);
                if (factory === null) {
                    throw new Error(`Resolver for ${String(this.key)} returned a null factory`);
                }
                return factory.construct(requestor);
            }
            case 3 /* callback */:
                return this.state(handler, requestor, this);
            case 4 /* array */:
                return this.state[0].resolve(handler, requestor);
            case 5 /* alias */:
                return requestor.get(this.state);
            default:
                throw new Error(`Invalid resolver strategy specified: ${this.strategy}.`);
        }
    }
    getFactory(container) {
        var _a, _b, _c;
        switch (this.strategy) {
            case 1 /* singleton */:
            case 2 /* transient */:
                return container.getFactory(this.state);
            case 5 /* alias */:
                return (_c = (_b = (_a = container.getResolver(this.state)) === null || _a === void 0 ? void 0 : _a.getFactory) === null || _b === void 0 ? void 0 : _b.call(_a, container)) !== null && _c !== void 0 ? _c : null;
            default:
                return null;
        }
    }
}
function containerGetKey(d) {
    return this.get(d);
}
function transformInstance(inst, transform) {
    return transform(inst);
}
/** @internal */
class FactoryImpl {
    constructor(Type, dependencies) {
        this.Type = Type;
        this.dependencies = dependencies;
        this.transformers = null;
    }
    construct(container, dynamicDependencies) {
        let instance;
        if (dynamicDependencies === void 0) {
            instance = new this.Type(...this.dependencies.map(containerGetKey, container));
        }
        else {
            instance = new this.Type(...this.dependencies.map(containerGetKey, container), ...dynamicDependencies);
        }
        if (this.transformers == null) {
            return instance;
        }
        return this.transformers.reduce(transformInstance, instance);
    }
    registerTransformer(transformer) {
        (this.transformers || (this.transformers = [])).push(transformer);
    }
}
const containerResolver = {
    $isResolver: true,
    resolve(handler, requestor) {
        return requestor;
    },
};
function isRegistry(obj) {
    return typeof obj.register === "function";
}
function isSelfRegistry(obj) {
    return isRegistry(obj) && typeof obj.registerInRequestor === "boolean";
}
function isRegisterInRequester(obj) {
    return isSelfRegistry(obj) && obj.registerInRequestor;
}
function isClass(obj) {
    return obj.prototype !== void 0;
}
const InstrinsicTypeNames = new Set([
    "Array",
    "ArrayBuffer",
    "Boolean",
    "DataView",
    "Date",
    "Error",
    "EvalError",
    "Float32Array",
    "Float64Array",
    "Function",
    "Int8Array",
    "Int16Array",
    "Int32Array",
    "Map",
    "Number",
    "Object",
    "Promise",
    "RangeError",
    "ReferenceError",
    "RegExp",
    "Set",
    "SharedArrayBuffer",
    "String",
    "SyntaxError",
    "TypeError",
    "Uint8Array",
    "Uint8ClampedArray",
    "Uint16Array",
    "Uint32Array",
    "URIError",
    "WeakMap",
    "WeakSet",
]);
const DILocateParentEventType = "__DI_LOCATE_PARENT__";
const factories = new Map();
/**
 * @internal
 */
class ContainerImpl {
    constructor(owner, config) {
        this.owner = owner;
        this.config = config;
        this._parent = void 0;
        this.registerDepth = 0;
        this.context = null;
        if (owner !== null) {
            owner.$$container$$ = this;
        }
        this.resolvers = new Map();
        this.resolvers.set(Container, containerResolver);
        if (owner instanceof Node) {
            owner.addEventListener(DILocateParentEventType, (e) => {
                if (e.composedPath()[0] !== this.owner) {
                    e.detail.container = this;
                    e.stopImmediatePropagation();
                }
            });
        }
    }
    get parent() {
        if (this._parent === void 0) {
            this._parent = this.config.parentLocator(this.owner);
        }
        return this._parent;
    }
    get depth() {
        return this.parent === null ? 0 : this.parent.depth + 1;
    }
    get responsibleForOwnerRequests() {
        return this.config.responsibleForOwnerRequests;
    }
    registerWithContext(context, ...params) {
        this.context = context;
        this.register(...params);
        this.context = null;
        return this;
    }
    register(...params) {
        if (++this.registerDepth === 100) {
            throw new Error("Unable to autoregister dependency");
            // Most likely cause is trying to register a plain object that does not have a
            // register method and is not a class constructor
        }
        let current;
        let keys;
        let value;
        let j;
        let jj;
        const context = this.context;
        for (let i = 0, ii = params.length; i < ii; ++i) {
            current = params[i];
            if (!isObject(current)) {
                continue;
            }
            if (isRegistry(current)) {
                current.register(this, context);
            }
            else if (isClass(current)) {
                Registration.singleton(current, current).register(this);
            }
            else {
                keys = Object.keys(current);
                j = 0;
                jj = keys.length;
                for (; j < jj; ++j) {
                    value = current[keys[j]];
                    if (!isObject(value)) {
                        continue;
                    }
                    // note: we could remove this if-branch and call this.register directly
                    // - the extra check is just a perf tweak to create fewer unnecessary arrays by the spread operator
                    if (isRegistry(value)) {
                        value.register(this, context);
                    }
                    else {
                        this.register(value);
                    }
                }
            }
        }
        --this.registerDepth;
        return this;
    }
    registerResolver(key, resolver) {
        validateKey(key);
        const resolvers = this.resolvers;
        const result = resolvers.get(key);
        if (result == null) {
            resolvers.set(key, resolver);
        }
        else if (result instanceof ResolverImpl &&
            result.strategy === 4 /* array */) {
            result.state.push(resolver);
        }
        else {
            resolvers.set(key, new ResolverImpl(key, 4 /* array */, [result, resolver]));
        }
        return resolver;
    }
    registerTransformer(key, transformer) {
        const resolver = this.getResolver(key);
        if (resolver == null) {
            return false;
        }
        if (resolver.getFactory) {
            const factory = resolver.getFactory(this);
            if (factory == null) {
                return false;
            }
            // This type cast is a bit of a hacky one, necessary due to the duplicity of IResolverLike.
            // Problem is that that interface's type arg can be of type Key, but the getFactory method only works on
            // type Constructable. So the return type of that optional method has this additional constraint, which
            // seems to confuse the type checker.
            factory.registerTransformer(transformer);
            return true;
        }
        return false;
    }
    getResolver(key, autoRegister = true) {
        validateKey(key);
        if (key.resolve !== void 0) {
            return key;
        }
        /* eslint-disable-next-line @typescript-eslint/no-this-alias */
        let current = this;
        let resolver;
        while (current != null) {
            resolver = current.resolvers.get(key);
            if (resolver == null) {
                if (current.parent == null) {
                    const handler = isRegisterInRequester(key)
                        ? this
                        : current;
                    return autoRegister ? this.jitRegister(key, handler) : null;
                }
                current = current.parent;
            }
            else {
                return resolver;
            }
        }
        return null;
    }
    has(key, searchAncestors = false) {
        return this.resolvers.has(key)
            ? true
            : searchAncestors && this.parent != null
                ? this.parent.has(key, true)
                : false;
    }
    get(key) {
        validateKey(key);
        if (key.$isResolver) {
            return key.resolve(this, this);
        }
        /* eslint-disable-next-line @typescript-eslint/no-this-alias */
        let current = this;
        let resolver;
        while (current != null) {
            resolver = current.resolvers.get(key);
            if (resolver == null) {
                if (current.parent == null) {
                    const handler = isRegisterInRequester(key)
                        ? this
                        : current;
                    resolver = this.jitRegister(key, handler);
                    return resolver.resolve(current, this);
                }
                current = current.parent;
            }
            else {
                return resolver.resolve(current, this);
            }
        }
        throw new Error(`Unable to resolve key: ${String(key)}`);
    }
    getAll(key, searchAncestors = false) {
        validateKey(key);
        /* eslint-disable-next-line @typescript-eslint/no-this-alias */
        const requestor = this;
        let current = requestor;
        let resolver;
        if (searchAncestors) {
            let resolutions = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.emptyArray;
            while (current != null) {
                resolver = current.resolvers.get(key);
                if (resolver != null) {
                    resolutions = resolutions.concat(
                    /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
                    buildAllResponse(resolver, current, requestor));
                }
                current = current.parent;
            }
            return resolutions;
        }
        else {
            while (current != null) {
                resolver = current.resolvers.get(key);
                if (resolver == null) {
                    current = current.parent;
                    if (current == null) {
                        return _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.emptyArray;
                    }
                }
                else {
                    return buildAllResponse(resolver, current, requestor);
                }
            }
        }
        return _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.emptyArray;
    }
    getFactory(Type) {
        let factory = factories.get(Type);
        if (factory === void 0) {
            if (isNativeFunction(Type)) {
                throw new Error(`${Type.name} is a native function and therefore cannot be safely constructed by DI. If this is intentional, please use a callback or cachedCallback resolver.`);
            }
            factories.set(Type, (factory = new FactoryImpl(Type, DI.getDependencies(Type))));
        }
        return factory;
    }
    registerFactory(key, factory) {
        factories.set(key, factory);
    }
    createChild(config) {
        return new ContainerImpl(null, Object.assign({}, this.config, config, { parentLocator: () => this }));
    }
    jitRegister(keyAsValue, handler) {
        if (typeof keyAsValue !== "function") {
            throw new Error(`Attempted to jitRegister something that is not a constructor: '${keyAsValue}'. Did you forget to register this dependency?`);
        }
        if (InstrinsicTypeNames.has(keyAsValue.name)) {
            throw new Error(`Attempted to jitRegister an intrinsic type: ${keyAsValue.name}. Did you forget to add @inject(Key)`);
        }
        if (isRegistry(keyAsValue)) {
            const registrationResolver = keyAsValue.register(handler);
            if (!(registrationResolver instanceof Object) ||
                registrationResolver.resolve == null) {
                const newResolver = handler.resolvers.get(keyAsValue);
                if (newResolver != void 0) {
                    return newResolver;
                }
                throw new Error("A valid resolver was not returned from the static register method");
            }
            return registrationResolver;
        }
        else if (keyAsValue.$isInterface) {
            throw new Error(`Attempted to jitRegister an interface: ${keyAsValue.friendlyName}`);
        }
        else {
            const resolver = this.config.defaultResolver(keyAsValue, handler);
            handler.resolvers.set(keyAsValue, resolver);
            return resolver;
        }
    }
}
const cache = new WeakMap();
function cacheCallbackResult(fun) {
    return function (handler, requestor, resolver) {
        if (cache.has(resolver)) {
            return cache.get(resolver);
        }
        const t = fun(handler, requestor, resolver);
        cache.set(resolver, t);
        return t;
    };
}
/**
 * You can use the resulting Registration of any of the factory methods
 * to register with the container.
 *
 * @example
 * ```
 * class Foo {}
 * const container = DI.createContainer();
 * container.register(Registration.instance(Foo, new Foo()));
 * container.get(Foo);
 * ```
 *
 * @public
 */
const Registration = Object.freeze({
    /**
     * Allows you to pass an instance.
     * Every time you request this {@link Key} you will get this instance back.
     *
     * @example
     * ```
     * Registration.instance(Foo, new Foo()));
     * ```
     *
     * @param key - The key to register the instance under.
     * @param value - The instance to return when the key is requested.
     */
    instance(key, value) {
        return new ResolverImpl(key, 0 /* instance */, value);
    },
    /**
     * Creates an instance from the class.
     * Every time you request this {@link Key} you will get the same one back.
     *
     * @example
     * ```
     * Registration.singleton(Foo, Foo);
     * ```
     *
     * @param key - The key to register the singleton under.
     * @param value - The class to instantiate as a singleton when first requested.
     */
    singleton(key, value) {
        return new ResolverImpl(key, 1 /* singleton */, value);
    },
    /**
     * Creates an instance from a class.
     * Every time you request this {@link Key} you will get a new instance.
     *
     * @example
     * ```
     * Registration.instance(Foo, Foo);
     * ```
     *
     * @param key - The key to register the instance type under.
     * @param value - The class to instantiate each time the key is requested.
     */
    transient(key, value) {
        return new ResolverImpl(key, 2 /* transient */, value);
    },
    /**
     * Delegates to a callback function to provide the dependency.
     * Every time you request this {@link Key} the callback will be invoked to provide
     * the dependency.
     *
     * @example
     * ```
     * Registration.callback(Foo, () => new Foo());
     * Registration.callback(Bar, (c: Container) => new Bar(c.get(Foo)));
     * ```
     *
     * @param key - The key to register the callback for.
     * @param callback - The function that is expected to return the dependency.
     */
    callback(key, callback) {
        return new ResolverImpl(key, 3 /* callback */, callback);
    },
    /**
     * Delegates to a callback function to provide the dependency and then caches the
     * dependency for future requests.
     *
     * @example
     * ```
     * Registration.cachedCallback(Foo, () => new Foo());
     * Registration.cachedCallback(Bar, (c: Container) => new Bar(c.get(Foo)));
     * ```
     *
     * @param key - The key to register the callback for.
     * @param callback - The function that is expected to return the dependency.
     * @remarks
     * If you pass the same Registration to another container, the same cached value will be used.
     * Should all references to the resolver returned be removed, the cache will expire.
     */
    cachedCallback(key, callback) {
        return new ResolverImpl(key, 3 /* callback */, cacheCallbackResult(callback));
    },
    /**
     * Creates an alternate {@link Key} to retrieve an instance by.
     *
     * @example
     * ```
     * Register.singleton(Foo, Foo)
     * Register.aliasTo(Foo, MyFoos);
     *
     * container.getAll(MyFoos) // contains an instance of Foo
     * ```
     *
     * @param originalKey - The original key that has been registered.
     * @param aliasKey - The alias to the original key.
     */
    aliasTo(originalKey, aliasKey) {
        return new ResolverImpl(aliasKey, 5 /* alias */, originalKey);
    },
});
/** @internal */
function validateKey(key) {
    if (key === null || key === void 0) {
        throw new Error("key/value cannot be null or undefined. Are you trying to inject/register something that doesn't exist with DI?");
    }
}
function buildAllResponse(resolver, handler, requestor) {
    if (resolver instanceof ResolverImpl &&
        resolver.strategy === 4 /* array */) {
        const state = resolver.state;
        let i = state.length;
        const results = new Array(i);
        while (i--) {
            results[i] = state[i].resolve(handler, requestor);
        }
        return results;
    }
    return [resolver.resolve(handler, requestor)];
}
const defaultFriendlyName = "(anonymous)";
function isObject(value) {
    return (typeof value === "object" && value !== null) || typeof value === "function";
}
/**
 * Determine whether the value is a native function.
 *
 * @param fn - The function to check.
 * @returns `true` is the function is a native function, otherwise `false`
 */
const isNativeFunction = (function () {
    const lookup = new WeakMap();
    let isNative = false;
    let sourceText = "";
    let i = 0;
    return function (fn) {
        isNative = lookup.get(fn);
        if (isNative === void 0) {
            sourceText = fn.toString();
            i = sourceText.length;
            // http://www.ecma-international.org/ecma-262/#prod-NativeFunction
            isNative =
                // 29 is the length of 'function () { [native code] }' which is the smallest length of a native function string
                i >= 29 &&
                    // 100 seems to be a safe upper bound of the max length of a native function. In Chrome and FF it's 56, in Edge it's 61.
                    i <= 100 &&
                    // This whole heuristic *could* be tricked by a comment. Do we need to care about that?
                    sourceText.charCodeAt(i - 1) === 0x7d && // }
                    // TODO: the spec is a little vague about the precise constraints, so we do need to test this across various browsers to make sure just one whitespace is a safe assumption.
                    sourceText.charCodeAt(i - 2) <= 0x20 && // whitespace
                    sourceText.charCodeAt(i - 3) === 0x5d && // ]
                    sourceText.charCodeAt(i - 4) === 0x65 && // e
                    sourceText.charCodeAt(i - 5) === 0x64 && // d
                    sourceText.charCodeAt(i - 6) === 0x6f && // o
                    sourceText.charCodeAt(i - 7) === 0x63 && // c
                    sourceText.charCodeAt(i - 8) === 0x20 && //
                    sourceText.charCodeAt(i - 9) === 0x65 && // e
                    sourceText.charCodeAt(i - 10) === 0x76 && // v
                    sourceText.charCodeAt(i - 11) === 0x69 && // i
                    sourceText.charCodeAt(i - 12) === 0x74 && // t
                    sourceText.charCodeAt(i - 13) === 0x61 && // a
                    sourceText.charCodeAt(i - 14) === 0x6e && // n
                    sourceText.charCodeAt(i - 15) === 0x58; // [
            lookup.set(fn, isNative);
        }
        return isNative;
    };
})();
const isNumericLookup = {};
function isArrayIndex(value) {
    switch (typeof value) {
        case "number":
            return value >= 0 && (value | 0) === value;
        case "string": {
            const result = isNumericLookup[value];
            if (result !== void 0) {
                return result;
            }
            const length = value.length;
            if (length === 0) {
                return (isNumericLookup[value] = false);
            }
            let ch = 0;
            for (let i = 0; i < length; ++i) {
                ch = value.charCodeAt(i);
                if ((i === 0 && ch === 0x30 && length > 1) /* must not start with 0 */ ||
                    ch < 0x30 /* 0 */ ||
                    ch > 0x39 /* 9 */) {
                    return (isNumericLookup[value] = false);
                }
            }
            return (isNumericLookup[value] = true);
        }
        default:
            return false;
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/di/index.js":
/*!**********************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/di/index.js ***!
  \**********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Container: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.Container),
/* harmony export */   ContainerConfiguration: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.ContainerConfiguration),
/* harmony export */   ContainerImpl: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.ContainerImpl),
/* harmony export */   DI: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.DI),
/* harmony export */   DefaultResolver: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.DefaultResolver),
/* harmony export */   FactoryImpl: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.FactoryImpl),
/* harmony export */   Registration: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.Registration),
/* harmony export */   ResolverBuilder: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.ResolverBuilder),
/* harmony export */   ResolverImpl: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.ResolverImpl),
/* harmony export */   ServiceLocator: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.ServiceLocator),
/* harmony export */   all: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.all),
/* harmony export */   ignore: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.ignore),
/* harmony export */   inject: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.inject),
/* harmony export */   lazy: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.lazy),
/* harmony export */   newInstanceForScope: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.newInstanceForScope),
/* harmony export */   newInstanceOf: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.newInstanceOf),
/* harmony export */   optional: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.optional),
/* harmony export */   singleton: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.singleton),
/* harmony export */   transient: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.transient),
/* harmony export */   validateKey: () => (/* reexport safe */ _di_js__WEBPACK_IMPORTED_MODULE_0__.validateKey)
/* harmony export */ });
/* harmony import */ var _di_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./di.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/di/di.js");



/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/dialog/dialog.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/dialog/dialog.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Dialog: () => (/* binding */ Dialog)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var tabbable__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tabbable */ "./node_modules/tabbable/dist/index.esm.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");





/**
 * A Switch Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#dialog | ARIA dialog }.
 *
 * @slot - The default slot for the dialog content
 * @csspart positioning-region - A wrapping element used to center the dialog and position the modal overlay
 * @csspart overlay - The modal dialog overlay
 * @csspart control - The dialog element
 * @fires cancel - Fires a custom 'cancel' event when the modal overlay is clicked
 * @fires close - Fires a custom 'close' event when the dialog is hidden
 *
 * @public
 */
class Dialog extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Indicates the element is modal. When modal, user mouse interaction will be limited to the contents of the element by a modal
         * overlay.  Clicks on the overlay will cause the dialog to emit a "dismiss" event.
         * @public
         * @defaultValue - true
         * @remarks
         * HTML Attribute: modal
         */
        this.modal = true;
        /**
         * The hidden state of the element.
         *
         * @public
         * @defaultValue - false
         * @remarks
         * HTML Attribute: hidden
         */
        this.hidden = false;
        /**
         * Indicates that the dialog should trap focus.
         *
         * @public
         * @defaultValue - true
         * @remarks
         * HTML Attribute: trap-focus
         */
        this.trapFocus = true;
        this.trapFocusChanged = () => {
            if (this.$fastController.isConnected) {
                this.updateTrapFocus();
            }
        };
        /**
         * @internal
         */
        this.isTrappingFocus = false;
        this.handleDocumentKeydown = (e) => {
            if (!e.defaultPrevented && !this.hidden) {
                switch (e.key) {
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyEscape:
                        this.dismiss();
                        e.preventDefault();
                        break;
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyTab:
                        this.handleTabKeyDown(e);
                        break;
                }
            }
        };
        this.handleDocumentFocus = (e) => {
            if (!e.defaultPrevented && this.shouldForceFocus(e.target)) {
                this.focusFirstElement();
                e.preventDefault();
            }
        };
        this.handleTabKeyDown = (e) => {
            if (!this.trapFocus || this.hidden) {
                return;
            }
            const bounds = this.getTabQueueBounds();
            if (bounds.length === 0) {
                return;
            }
            if (bounds.length === 1) {
                // keep focus on single element
                bounds[0].focus();
                e.preventDefault();
                return;
            }
            if (e.shiftKey && e.target === bounds[0]) {
                bounds[bounds.length - 1].focus();
                e.preventDefault();
            }
            else if (!e.shiftKey && e.target === bounds[bounds.length - 1]) {
                bounds[0].focus();
                e.preventDefault();
            }
            return;
        };
        this.getTabQueueBounds = () => {
            const bounds = [];
            return Dialog.reduceTabbableItems(bounds, this);
        };
        /**
         * focus on first element of tab queue
         */
        this.focusFirstElement = () => {
            const bounds = this.getTabQueueBounds();
            if (bounds.length > 0) {
                bounds[0].focus();
            }
            else {
                if (this.dialog instanceof HTMLElement) {
                    this.dialog.focus();
                }
            }
        };
        /**
         * we should only focus if focus has not already been brought to the dialog
         */
        this.shouldForceFocus = (currentFocusElement) => {
            return this.isTrappingFocus && !this.contains(currentFocusElement);
        };
        /**
         * we should we be active trapping focus
         */
        this.shouldTrapFocus = () => {
            return this.trapFocus && !this.hidden;
        };
        /**
         *
         *
         * @internal
         */
        this.updateTrapFocus = (shouldTrapFocusOverride) => {
            const shouldTrapFocus = shouldTrapFocusOverride === undefined
                ? this.shouldTrapFocus()
                : shouldTrapFocusOverride;
            if (shouldTrapFocus && !this.isTrappingFocus) {
                this.isTrappingFocus = true;
                // Add an event listener for focusin events if we are trapping focus
                document.addEventListener("focusin", this.handleDocumentFocus);
                _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                    if (this.shouldForceFocus(document.activeElement)) {
                        this.focusFirstElement();
                    }
                });
            }
            else if (!shouldTrapFocus && this.isTrappingFocus) {
                this.isTrappingFocus = false;
                // remove event listener if we are not trapping focus
                document.removeEventListener("focusin", this.handleDocumentFocus);
            }
        };
    }
    /**
     * @internal
     */
    dismiss() {
        this.$emit("dismiss");
        // implement `<dialog>` interface
        this.$emit("cancel");
    }
    /**
     * The method to show the dialog.
     *
     * @public
     */
    show() {
        this.hidden = false;
    }
    /**
     * The method to hide the dialog.
     *
     * @public
     */
    hide() {
        this.hidden = true;
        // implement `<dialog>` interface
        this.$emit("close");
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        document.addEventListener("keydown", this.handleDocumentKeydown);
        this.notifier = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(this);
        this.notifier.subscribe(this, "hidden");
        this.updateTrapFocus();
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        // remove keydown event listener
        document.removeEventListener("keydown", this.handleDocumentKeydown);
        // if we are trapping focus remove the focusin listener
        this.updateTrapFocus(false);
        this.notifier.unsubscribe(this, "hidden");
    }
    /**
     * @internal
     */
    handleChange(source, propertyName) {
        switch (propertyName) {
            case "hidden":
                this.updateTrapFocus();
                break;
            default:
                break;
        }
    }
    /**
     * Reduce a collection to only its focusable elements.
     *
     * @param elements - Collection of elements to reduce
     * @param element - The current element
     *
     * @internal
     */
    static reduceTabbableItems(elements, element) {
        if (element.getAttribute("tabindex") === "-1") {
            return elements;
        }
        if ((0,tabbable__WEBPACK_IMPORTED_MODULE_3__.isTabbable)(element) ||
            (Dialog.isFocusableFastElement(element) && Dialog.hasTabbableShadow(element))) {
            elements.push(element);
            return elements;
        }
        if (element.childElementCount) {
            return elements.concat(Array.from(element.children).reduce(Dialog.reduceTabbableItems, []));
        }
        return elements;
    }
    /**
     * Test if element is focusable fast element
     *
     * @param element - The element to check
     *
     * @internal
     */
    static isFocusableFastElement(element) {
        var _a, _b;
        return !!((_b = (_a = element.$fastController) === null || _a === void 0 ? void 0 : _a.definition.shadowOptions) === null || _b === void 0 ? void 0 : _b.delegatesFocus);
    }
    /**
     * Test if the element has a focusable shadow
     *
     * @param element - The element to check
     *
     * @internal
     */
    static hasTabbableShadow(element) {
        var _a, _b;
        return Array.from((_b = (_a = element.shadowRoot) === null || _a === void 0 ? void 0 : _a.querySelectorAll("*")) !== null && _b !== void 0 ? _b : []).some(x => {
            return (0,tabbable__WEBPACK_IMPORTED_MODULE_3__.isTabbable)(x);
        });
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Dialog.prototype, "modal", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Dialog.prototype, "hidden", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "trap-focus", mode: "boolean" })
], Dialog.prototype, "trapFocus", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-describedby" })
], Dialog.prototype, "ariaDescribedby", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-labelledby" })
], Dialog.prototype, "ariaLabelledby", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-label" })
], Dialog.prototype, "ariaLabel", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/dialog/dialog.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/dialog/dialog.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dialogTemplate: () => (/* binding */ dialogTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Dialog} component.
 * @public
 */
const dialogTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <div class="positioning-region" part="positioning-region">
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.modal, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <div
                    class="overlay"
                    part="overlay"
                    role="presentation"
                    @click="${x => x.dismiss()}"
                ></div>
            `)}
        <div
            role="dialog"
            tabindex="-1"
            class="control"
            part="control"
            aria-modal="${x => x.modal}"
            aria-describedby="${x => x.ariaDescribedby}"
            aria-labelledby="${x => x.ariaLabelledby}"
            aria-label="${x => x.ariaLabel}"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("dialog")}
        >
            <slot></slot>
        </div>
    </div>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/dialog/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/dialog/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Dialog: () => (/* reexport safe */ _dialog_js__WEBPACK_IMPORTED_MODULE_1__.Dialog),
/* harmony export */   dialogTemplate: () => (/* reexport safe */ _dialog_template_js__WEBPACK_IMPORTED_MODULE_0__.dialogTemplate)
/* harmony export */ });
/* harmony import */ var _dialog_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./dialog.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/dialog/dialog.template.js");
/* harmony import */ var _dialog_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./dialog.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/dialog/dialog.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/directives/reflect-attributes.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/directives/reflect-attributes.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   reflectAttributes: () => (/* binding */ reflectAttributes)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

const observer = new MutationObserver((mutations) => {
    for (const mutation of mutations) {
        AttributeReflectionSubscriptionSet.getOrCreateFor(mutation.target).notify(mutation.attributeName);
    }
});
class AttributeReflectionSubscriptionSet extends _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.SubscriberSet {
    constructor(source) {
        super(source);
        this.watchedAttributes = new Set();
        AttributeReflectionSubscriptionSet.subscriberCache.set(source, this);
    }
    subscribe(subscriber) {
        super.subscribe(subscriber);
        if (!this.watchedAttributes.has(subscriber.attributes)) {
            this.watchedAttributes.add(subscriber.attributes);
            this.observe();
        }
    }
    unsubscribe(subscriber) {
        super.unsubscribe(subscriber);
        if (this.watchedAttributes.has(subscriber.attributes)) {
            this.watchedAttributes.delete(subscriber.attributes);
            this.observe();
        }
    }
    static getOrCreateFor(source) {
        return (this.subscriberCache.get(source) ||
            new AttributeReflectionSubscriptionSet(source));
    }
    observe() {
        const attributeFilter = [];
        for (const attributes of this.watchedAttributes.values()) {
            for (let i = 0; i < attributes.length; i++) {
                attributeFilter.push(attributes[i]);
            }
        }
        observer.observe(this.source, { attributeFilter });
    }
}
AttributeReflectionSubscriptionSet.subscriberCache = new WeakMap();
class ReflectAttrBehavior {
    constructor(target, attributes) {
        this.target = target;
        this.attributes = Object.freeze(attributes);
    }
    bind(source) {
        AttributeReflectionSubscriptionSet.getOrCreateFor(source).subscribe(this);
        // Reflect any existing attributes because MutationObserver will only
        // handle *changes* to attributes.
        if (source.hasAttributes()) {
            for (let i = 0; i < source.attributes.length; i++) {
                this.handleChange(source, source.attributes[i].name);
            }
        }
    }
    unbind(source) {
        AttributeReflectionSubscriptionSet.getOrCreateFor(source).unsubscribe(this);
    }
    handleChange(source, arg) {
        // In cases where two or more ReflectAttrBehavior instances are bound to the same element,
        // they will share a Subscriber implementation. In that case, this handle change can be invoked with
        // attributes an instances doesn't need to reflect. This guards against reflecting attrs
        // that shouldn't be reflected.
        if (this.attributes.includes(arg)) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.setAttribute(this.target, arg, source.getAttribute(arg));
        }
    }
}
/**
 * Reflects attributes from the host element to the target element of the directive.
 * @param attributes - The attributes to reflect
 *
 * @beta
 * @example
 * ```ts
 * const template = html`
 *     <button
 *         ${reflectAttributes("aria-label", "aria-describedby")}
 *     >
 *          hello world
 *     </button
 * `
 * ```
 */
function reflectAttributes(...attributes) {
    return new _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.AttachedBehaviorHTMLDirective("fast-reflect-attr", ReflectAttrBehavior, attributes);
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/disclosure.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/disclosure.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Disclosure: () => (/* binding */ Disclosure)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/**
 * A Disclosure Custom HTML Element.
 * Based largely on the {@link https://w3c.github.io/aria-practices/#disclosure | disclosure element }.
 *
 * @slot start - Content which can be provided before the summary content
 * @slot end - Content which can be provided after the summary content
 * @slot title - The summary content
 * @slot - The default slot for the disclosure content
 * @fires toggle - fires a toggle event when the summary is toggled
 *
 * @public
 */
class Disclosure extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.setup();
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.details.removeEventListener("toggle", this.onToggle);
    }
    /**
     * Show extra content.
     */
    show() {
        this.details.open = true;
    }
    /**
     * Hide extra content.
     */
    hide() {
        this.details.open = false;
    }
    /**
     * Toggle the current(expanded/collapsed) state.
     */
    toggle() {
        this.details.open = !this.details.open;
    }
    /**
     * Register listener and set default disclosure mode
     */
    setup() {
        this.onToggle = this.onToggle.bind(this);
        this.details.addEventListener("toggle", this.onToggle);
        if (this.expanded) {
            this.show();
        }
    }
    /**
     * Update the aria attr and fire `toggle` event
     */
    onToggle() {
        this.expanded = this.details.open;
        this.$emit("toggle");
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Disclosure.prototype, "expanded", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Disclosure.prototype, "title", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/disclosure.template.js":
/*!********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/disclosure.template.js ***!
  \********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   disclosureTemplate: () => (/* binding */ disclosureTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Disclosure} component.
 * @public
 */
const disclosureTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <details class="disclosure" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("details")}>
        <summary
            class="invoker"
            role="button"
            aria-controls="disclosure-content"
            aria-expanded="${x => x.expanded}"
        >
            <slot name="start"></slot>
            <slot name="title">${x => x.title}</slot>
            <slot name="end"></slot>
        </summary>
        <div id="disclosure-content"><slot></slot></div>
    </details>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/index.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/index.js ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Disclosure: () => (/* reexport safe */ _disclosure_js__WEBPACK_IMPORTED_MODULE_1__.Disclosure),
/* harmony export */   disclosureTemplate: () => (/* reexport safe */ _disclosure_template_js__WEBPACK_IMPORTED_MODULE_0__.disclosureTemplate)
/* harmony export */ });
/* harmony import */ var _disclosure_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./disclosure.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/disclosure.template.js");
/* harmony import */ var _disclosure_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./disclosure.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/disclosure.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Divider: () => (/* binding */ Divider),
/* harmony export */   DividerRole: () => (/* reexport safe */ _divider_options_js__WEBPACK_IMPORTED_MODULE_1__.DividerRole)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _divider_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./divider.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.options.js");






/**
 * A Divider Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#separator | ARIA separator } or {@link https://www.w3.org/TR/wai-aria-1.1/#presentation | ARIA presentation}.
 *
 * @public
 */
class Divider extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The role of the element.
         *
         * @public
         * @remarks
         * HTML Attribute: role
         */
        this.role = _divider_options_js__WEBPACK_IMPORTED_MODULE_1__.DividerRole.separator;
        /**
         * The orientation of the divider.
         *
         * @public
         * @remarks
         * HTML Attribute: orientation
         */
        this.orientation = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.horizontal;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Divider.prototype, "role", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Divider.prototype, "orientation", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.options.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.options.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DividerRole: () => (/* binding */ DividerRole)
/* harmony export */ });
/**
 * Divider roles
 * @public
 */
const DividerRole = {
    /**
     * The divider semantically separates content
     */
    separator: "separator",
    /**
     * The divider has no semantic value and is for visual presentation only.
     */
    presentation: "presentation",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.template.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.template.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   dividerTemplate: () => (/* binding */ dividerTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Divider} component.
 * @public
 */
const dividerTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template role="${x => x.role}" aria-orientation="${x => x.orientation}"></template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/index.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/divider/index.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Divider: () => (/* reexport safe */ _divider_js__WEBPACK_IMPORTED_MODULE_1__.Divider),
/* harmony export */   DividerRole: () => (/* reexport safe */ _divider_js__WEBPACK_IMPORTED_MODULE_1__.DividerRole),
/* harmony export */   dividerTemplate: () => (/* reexport safe */ _divider_template_js__WEBPACK_IMPORTED_MODULE_0__.dividerTemplate)
/* harmony export */ });
/* harmony import */ var _divider_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./divider.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.template.js");
/* harmony import */ var _divider_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./divider.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/divider.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Flipper: () => (/* binding */ Flipper),
/* harmony export */   FlipperDirection: () => (/* reexport safe */ _flipper_options_js__WEBPACK_IMPORTED_MODULE_1__.FlipperDirection)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _flipper_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./flipper.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.options.js");





/**
 * A Flipper Custom HTML Element.
 * Flippers are a form of button that implies directional content navigation, such as in a carousel.
 *
 * @slot next - The next flipper content
 * @slot previous - The previous flipper content
 * @csspart next - Wraps the next flipper content
 * @csspart previous - Wraps the previous flipper content
 * @fires click - Fires a custom 'click' event when Enter or Space is invoked via keyboard and the flipper is exposed to assistive technologies.
 *
 * @public
 */
class Flipper extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Indicates the flipper should be hidden from assistive technology. Because flippers are often supplementary navigation, they are often hidden from assistive technology.
         *
         * @public
         * @defaultValue - true
         * @remarks
         * HTML Attribute: aria-hidden
         */
        this.hiddenFromAT = true;
        /**
         * The direction that the flipper implies navigating.
         *
         * @public
         * @remarks
         * HTML Attribute: direction
         */
        this.direction = _flipper_options_js__WEBPACK_IMPORTED_MODULE_1__.FlipperDirection.next;
    }
    /**
     * Simulate a click event when the flipper has focus and the user hits enter or space keys
     * Blur focus if the user hits escape key
     * @param e - Keyboard event
     * @public
     */
    keyupHandler(e) {
        if (!this.hiddenFromAT) {
            const key = e.key;
            if (key === "Enter" || key === "Space") {
                this.$emit("click", e);
            }
            if (key === "Escape") {
                this.blur();
            }
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Flipper.prototype, "disabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-hidden", converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.booleanConverter })
], Flipper.prototype, "hiddenFromAT", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Flipper.prototype, "direction", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.options.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.options.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FlipperDirection: () => (/* binding */ FlipperDirection)
/* harmony export */ });
/**
 * The direction options for flipper.
 * @public
 */
const FlipperDirection = {
    next: "next",
    previous: "previous",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.template.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.template.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   flipperTemplate: () => (/* binding */ flipperTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _flipper_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./flipper.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.options.js");


/**
 * The template for the {@link @microsoft/fast-foundation#Flipper} component.
 * @public
 */
const flipperTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="button"
        aria-disabled="${x => (x.disabled ? true : void 0)}"
        tabindex="${x => (x.hiddenFromAT ? -1 : 0)}"
        class="${x => x.direction} ${x => (x.disabled ? "disabled" : "")}"
        @keyup="${(x, c) => x.keyupHandler(c.event)}"
    >
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.direction === _flipper_options_js__WEBPACK_IMPORTED_MODULE_1__.FlipperDirection.next, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <span part="next" class="next">
                    <slot name="next">
                        ${definition.next || ""}
                    </slot>
                </span>
            `)}
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.direction === _flipper_options_js__WEBPACK_IMPORTED_MODULE_1__.FlipperDirection.previous, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <span part="previous" class="previous">
                    <slot name="previous">
                        ${definition.previous || ""}
                    </slot>
                </span>
            `)}
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/index.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/flipper/index.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Flipper: () => (/* reexport safe */ _flipper_js__WEBPACK_IMPORTED_MODULE_1__.Flipper),
/* harmony export */   FlipperDirection: () => (/* reexport safe */ _flipper_js__WEBPACK_IMPORTED_MODULE_1__.FlipperDirection),
/* harmony export */   flipperTemplate: () => (/* reexport safe */ _flipper_template_js__WEBPACK_IMPORTED_MODULE_0__.flipperTemplate)
/* harmony export */ });
/* harmony import */ var _flipper_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./flipper.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.template.js");
/* harmony import */ var _flipper_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./flipper.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/flipper.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js":
/*!*********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js ***!
  \*********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CheckableFormAssociated: () => (/* binding */ CheckableFormAssociated),
/* harmony export */   FormAssociated: () => (/* binding */ FormAssociated),
/* harmony export */   supportsElementInternals: () => (/* binding */ supportsElementInternals)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");


const proxySlotName = "form-associated-proxy";
const ElementInternalsKey = "ElementInternals";
/**
 * @alpha
 */
const supportsElementInternals = ElementInternalsKey in window &&
    "setFormValue" in window[ElementInternalsKey].prototype;
const InternalsMap = new WeakMap();
/**
 * Base function for providing Custom Element Form Association.
 *
 * @alpha
 */
function FormAssociated(BaseCtor) {
    const C = class extends BaseCtor {
        constructor(...args) {
            super(...args);
            /**
             * Track whether the value has been changed from the initial value
             */
            this.dirtyValue = false;
            /**
             * Sets the element's disabled state. A disabled element will not be included during form submission.
             *
             * @remarks
             * HTML Attribute: disabled
             */
            this.disabled = false;
            /**
             * These are events that are still fired by the proxy
             * element based on user / programmatic interaction.
             *
             * The proxy implementation should be transparent to
             * the app author, so block these events from emitting.
             */
            this.proxyEventsToBlock = ["change", "click"];
            this.proxyInitialized = false;
            this.required = false;
            this.initialValue = this.initialValue || "";
            if (!this.elementInternals) {
                // When elementInternals is not supported, formResetCallback is
                // bound to an event listener, so ensure the handler's `this`
                // context is correct.
                this.formResetCallback = this.formResetCallback.bind(this);
            }
        }
        /**
         * Must evaluate to true to enable elementInternals.
         * Feature detects API support and resolve respectively
         *
         * @internal
         */
        static get formAssociated() {
            return supportsElementInternals;
        }
        /**
         * Returns the validity state of the element
         *
         * @alpha
         */
        get validity() {
            return this.elementInternals
                ? this.elementInternals.validity
                : this.proxy.validity;
        }
        /**
         * Retrieve a reference to the associated form.
         * Returns null if not associated to any form.
         *
         * @alpha
         */
        get form() {
            return this.elementInternals ? this.elementInternals.form : this.proxy.form;
        }
        /**
         * Retrieve the localized validation message,
         * or custom validation message if set.
         *
         * @alpha
         */
        get validationMessage() {
            return this.elementInternals
                ? this.elementInternals.validationMessage
                : this.proxy.validationMessage;
        }
        /**
         * Whether the element will be validated when the
         * form is submitted
         */
        get willValidate() {
            return this.elementInternals
                ? this.elementInternals.willValidate
                : this.proxy.willValidate;
        }
        /**
         * A reference to all associated label elements
         */
        get labels() {
            if (this.elementInternals) {
                return Object.freeze(Array.from(this.elementInternals.labels));
            }
            else if (this.proxy instanceof HTMLElement &&
                this.proxy.ownerDocument &&
                this.id) {
                // Labels associated by wrapping the element: <label><custom-element></custom-element></label>
                const parentLabels = this.proxy.labels;
                // Labels associated using the `for` attribute
                const forLabels = Array.from(this.proxy.getRootNode().querySelectorAll(`[for='${this.id}']`));
                const labels = parentLabels
                    ? forLabels.concat(Array.from(parentLabels))
                    : forLabels;
                return Object.freeze(labels);
            }
            else {
                return _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.emptyArray;
            }
        }
        /**
         * Invoked when the `value` property changes
         * @param previous - the previous value
         * @param next - the new value
         *
         * @remarks
         * If elements extending `FormAssociated` implement a `valueChanged` method
         * They must be sure to invoke `super.valueChanged(previous, next)` to ensure
         * proper functioning of `FormAssociated`
         */
        valueChanged(previous, next) {
            this.dirtyValue = true;
            if (this.proxy instanceof HTMLElement) {
                this.proxy.value = this.value;
            }
            this.currentValue = this.value;
            this.setFormValue(this.value);
            this.validate();
        }
        currentValueChanged() {
            this.value = this.currentValue;
        }
        /**
         * Invoked when the `initialValue` property changes
         *
         * @param previous - the previous value
         * @param next - the new value
         *
         * @remarks
         * If elements extending `FormAssociated` implement a `initialValueChanged` method
         * They must be sure to invoke `super.initialValueChanged(previous, next)` to ensure
         * proper functioning of `FormAssociated`
         */
        initialValueChanged(previous, next) {
            // If the value is clean and the component is connected to the DOM
            // then set value equal to the attribute value.
            if (!this.dirtyValue) {
                this.value = this.initialValue;
                this.dirtyValue = false;
            }
        }
        /**
         * Invoked when the `disabled` property changes
         *
         * @param previous - the previous value
         * @param next - the new value
         *
         * @remarks
         * If elements extending `FormAssociated` implement a `disabledChanged` method
         * They must be sure to invoke `super.disabledChanged(previous, next)` to ensure
         * proper functioning of `FormAssociated`
         */
        disabledChanged(previous, next) {
            if (this.proxy instanceof HTMLElement) {
                this.proxy.disabled = this.disabled;
            }
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.classList.toggle("disabled", this.disabled));
        }
        /**
         * Invoked when the `name` property changes
         *
         * @param previous - the previous value
         * @param next - the new value
         *
         * @remarks
         * If elements extending `FormAssociated` implement a `nameChanged` method
         * They must be sure to invoke `super.nameChanged(previous, next)` to ensure
         * proper functioning of `FormAssociated`
         */
        nameChanged(previous, next) {
            if (this.proxy instanceof HTMLElement) {
                this.proxy.name = this.name;
            }
        }
        /**
         * Invoked when the `required` property changes
         *
         * @param previous - the previous value
         * @param next - the new value
         *
         * @remarks
         * If elements extending `FormAssociated` implement a `requiredChanged` method
         * They must be sure to invoke `super.requiredChanged(previous, next)` to ensure
         * proper functioning of `FormAssociated`
         */
        requiredChanged(prev, next) {
            if (this.proxy instanceof HTMLElement) {
                this.proxy.required = this.required;
            }
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.classList.toggle("required", this.required));
            this.validate();
        }
        /**
         * The element internals object. Will only exist
         * in browsers supporting the attachInternals API
         */
        get elementInternals() {
            if (!supportsElementInternals) {
                return null;
            }
            let internals = InternalsMap.get(this);
            if (!internals) {
                internals = this.attachInternals();
                InternalsMap.set(this, internals);
            }
            return internals;
        }
        /**
         * @internal
         */
        connectedCallback() {
            super.connectedCallback();
            this.addEventListener("keypress", this._keypressHandler);
            if (!this.value) {
                this.value = this.initialValue;
                this.dirtyValue = false;
            }
            if (!this.elementInternals) {
                this.attachProxy();
                if (this.form) {
                    this.form.addEventListener("reset", this.formResetCallback);
                }
            }
        }
        /**
         * @internal
         */
        disconnectedCallback() {
            super.disconnectedCallback();
            this.proxyEventsToBlock.forEach(name => this.proxy.removeEventListener(name, this.stopPropagation));
            if (!this.elementInternals && this.form) {
                this.form.removeEventListener("reset", this.formResetCallback);
            }
        }
        /**
         * Return the current validity of the element.
         */
        checkValidity() {
            return this.elementInternals
                ? this.elementInternals.checkValidity()
                : this.proxy.checkValidity();
        }
        /**
         * Return the current validity of the element.
         * If false, fires an invalid event at the element.
         */
        reportValidity() {
            return this.elementInternals
                ? this.elementInternals.reportValidity()
                : this.proxy.reportValidity();
        }
        /**
         * Set the validity of the control. In cases when the elementInternals object is not
         * available (and the proxy element is used to report validity), this function will
         * do nothing unless a message is provided, at which point the setCustomValidity method
         * of the proxy element will be invoked with the provided message.
         * @param flags - Validity flags
         * @param message - Optional message to supply
         * @param anchor - Optional element used by UA to display an interactive validation UI
         */
        setValidity(flags, message, anchor) {
            if (this.elementInternals) {
                this.elementInternals.setValidity(flags, message, anchor);
            }
            else if (typeof message === "string") {
                this.proxy.setCustomValidity(message);
            }
        }
        /**
         * Invoked when a connected component's form or fieldset has its disabled
         * state changed.
         * @param disabled - the disabled value of the form / fieldset
         */
        formDisabledCallback(disabled) {
            this.disabled = disabled;
        }
        formResetCallback() {
            this.value = this.initialValue;
            this.dirtyValue = false;
        }
        /**
         * Attach the proxy element to the DOM
         */
        attachProxy() {
            var _a;
            if (!this.proxyInitialized) {
                this.proxyInitialized = true;
                this.proxy.style.display = "none";
                this.proxyEventsToBlock.forEach(name => this.proxy.addEventListener(name, this.stopPropagation));
                // These are typically mapped to the proxy during
                // property change callbacks, but during initialization
                // on the initial call of the callback, the proxy is
                // still undefined. We should find a better way to address this.
                this.proxy.disabled = this.disabled;
                this.proxy.required = this.required;
                if (typeof this.name === "string") {
                    this.proxy.name = this.name;
                }
                if (typeof this.value === "string") {
                    this.proxy.value = this.value;
                }
                this.proxy.setAttribute("slot", proxySlotName);
                this.proxySlot = document.createElement("slot");
                this.proxySlot.setAttribute("name", proxySlotName);
            }
            (_a = this.shadowRoot) === null || _a === void 0 ? void 0 : _a.appendChild(this.proxySlot);
            this.appendChild(this.proxy);
        }
        /**
         * Detach the proxy element from the DOM
         */
        detachProxy() {
            var _a;
            this.removeChild(this.proxy);
            (_a = this.shadowRoot) === null || _a === void 0 ? void 0 : _a.removeChild(this.proxySlot);
        }
        /** {@inheritDoc (FormAssociated:interface).validate} */
        validate(anchor) {
            if (this.proxy instanceof HTMLElement) {
                this.setValidity(this.proxy.validity, this.proxy.validationMessage, anchor);
            }
        }
        /**
         * Associates the provided value (and optional state) with the parent form.
         * @param value - The value to set
         * @param state - The state object provided to during session restores and when autofilling.
         */
        setFormValue(value, state) {
            if (this.elementInternals) {
                this.elementInternals.setFormValue(value, state || value);
            }
        }
        _keypressHandler(e) {
            switch (e.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.keyEnter:
                    if (this.form instanceof HTMLFormElement) {
                        // Implicit submission
                        const defaultButton = this.form.querySelector("[type=submit]");
                        defaultButton === null || defaultButton === void 0 ? void 0 : defaultButton.click();
                    }
                    break;
            }
        }
        /**
         * Used to stop propagation of proxy element events
         * @param e - Event object
         */
        stopPropagation(e) {
            e.stopPropagation();
        }
    };
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })(C.prototype, "disabled");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "fromView", attribute: "value" })(C.prototype, "initialValue");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "current-value" })(C.prototype, "currentValue");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)(C.prototype, "name");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })(C.prototype, "required");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable)(C.prototype, "value");
    return C;
}
/**
 * @alpha
 */
function CheckableFormAssociated(BaseCtor) {
    class C extends FormAssociated(BaseCtor) {
    }
    class D extends C {
        constructor(...args) {
            super(args);
            /**
             * Tracks whether the "checked" property has been changed.
             * This is necessary to provide consistent behavior with
             * normal input checkboxes
             */
            this.dirtyChecked = false;
            /**
             * Provides the default checkedness of the input element
             * Passed down to proxy
             *
             * @public
             * @remarks
             * HTML Attribute: checked
             */
            this.checkedAttribute = false;
            /**
             * The checked state of the control.
             *
             * @public
             */
            this.checked = false;
            // Re-initialize dirtyChecked because initialization of other values
            // causes it to become true
            this.dirtyChecked = false;
        }
        checkedAttributeChanged() {
            this.defaultChecked = this.checkedAttribute;
        }
        /**
         * @internal
         */
        defaultCheckedChanged() {
            if (!this.dirtyChecked) {
                // Setting this.checked will cause us to enter a dirty state,
                // but if we are clean when defaultChecked is changed, we want to stay
                // in a clean state, so reset this.dirtyChecked
                this.checked = this.defaultChecked;
                this.dirtyChecked = false;
            }
        }
        checkedChanged(prev, next) {
            if (!this.dirtyChecked) {
                this.dirtyChecked = true;
            }
            this.currentChecked = this.checked;
            this.updateForm();
            if (this.proxy instanceof HTMLInputElement) {
                this.proxy.checked = this.checked;
            }
            if (prev !== undefined) {
                this.$emit("change");
            }
            this.validate();
        }
        currentCheckedChanged(prev, next) {
            this.checked = this.currentChecked;
        }
        updateForm() {
            const value = this.checked ? this.value : null;
            this.setFormValue(value, value);
        }
        connectedCallback() {
            super.connectedCallback();
            this.updateForm();
        }
        formResetCallback() {
            super.formResetCallback();
            this.checked = !!this.checkedAttribute;
            this.dirtyChecked = false;
        }
    }
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "checked", mode: "boolean" })(D.prototype, "checkedAttribute");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "current-checked", converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.booleanConverter })(D.prototype, "currentChecked");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable)(D.prototype, "defaultChecked");
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable)(D.prototype, "checked");
    return D;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/index.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/index.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   CheckableFormAssociated: () => (/* reexport safe */ _form_associated_js__WEBPACK_IMPORTED_MODULE_0__.CheckableFormAssociated),
/* harmony export */   FormAssociated: () => (/* reexport safe */ _form_associated_js__WEBPACK_IMPORTED_MODULE_0__.FormAssociated),
/* harmony export */   supportsElementInternals: () => (/* reexport safe */ _form_associated_js__WEBPACK_IMPORTED_MODULE_0__.supportsElementInternals)
/* harmony export */ });
/* harmony import */ var _form_associated_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");



/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js":
/*!***************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js ***!
  \***************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FoundationElement: () => (/* binding */ FoundationElement),
/* harmony export */   FoundationElementRegistry: () => (/* binding */ FoundationElementRegistry)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _design_system_component_presentation_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../design-system/component-presentation.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/component-presentation.js");



/**
 * Defines a foundation element class that:
 * 1. Connects the element to its ComponentPresentation
 * 2. Allows resolving the element template from the instance or ComponentPresentation
 * 3. Allows resolving the element styles from the instance or ComponentPresentation
 *
 * @public
 */
class FoundationElement extends _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.FASTElement {
    constructor() {
        super(...arguments);
        this._presentation = void 0;
    }
    /**
     * A property which resolves the ComponentPresentation instance
     * for the current component.
     * @public
     */
    get $presentation() {
        if (this._presentation === void 0) {
            this._presentation = _design_system_component_presentation_js__WEBPACK_IMPORTED_MODULE_1__.ComponentPresentation.forTag(this.tagName, this);
        }
        return this._presentation;
    }
    templateChanged() {
        if (this.template !== undefined) {
            this.$fastController.template = this.template;
        }
    }
    stylesChanged() {
        if (this.styles !== undefined) {
            this.$fastController.styles = this.styles;
        }
    }
    /**
     * The connected callback for this FASTElement.
     * @remarks
     * This method is invoked by the platform whenever this FoundationElement
     * becomes connected to the document.
     * @public
     */
    connectedCallback() {
        if (this.$presentation !== null) {
            this.$presentation.applyTo(this);
        }
        super.connectedCallback();
    }
    /**
     * Defines an element registry function with a set of element definition defaults.
     * @param elementDefinition - The definition of the element to create the registry
     * function for.
     * @public
     */
    static compose(elementDefinition) {
        return (overrideDefinition = {}) => new FoundationElementRegistry(this === FoundationElement
            ? class extends FoundationElement {
            }
            : this, elementDefinition, overrideDefinition);
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], FoundationElement.prototype, "template", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], FoundationElement.prototype, "styles", void 0);
function resolveOption(option, context, definition) {
    if (typeof option === "function") {
        return option(context, definition);
    }
    return option;
}
/**
 * Registry capable of defining presentation properties for a DOM Container hierarchy.
 *
 * @internal
 */
/* eslint-disable @typescript-eslint/no-unused-vars */
class FoundationElementRegistry {
    constructor(type, elementDefinition, overrideDefinition) {
        this.type = type;
        this.elementDefinition = elementDefinition;
        this.overrideDefinition = overrideDefinition;
        this.definition = Object.assign(Object.assign({}, this.elementDefinition), this.overrideDefinition);
    }
    register(container, context) {
        const definition = this.definition;
        const overrideDefinition = this.overrideDefinition;
        const prefix = definition.prefix || context.elementPrefix;
        const name = `${prefix}-${definition.baseName}`;
        context.tryDefineElement({
            name,
            type: this.type,
            baseClass: this.elementDefinition.baseClass,
            callback: x => {
                const presentation = new _design_system_component_presentation_js__WEBPACK_IMPORTED_MODULE_1__.DefaultComponentPresentation(resolveOption(definition.template, x, definition), resolveOption(definition.styles, x, definition));
                x.definePresentation(presentation);
                let shadowOptions = resolveOption(definition.shadowOptions, x, definition);
                if (x.shadowRootMode) {
                    // If the design system has overridden the shadow root mode, we need special handling.
                    if (shadowOptions) {
                        // If there are shadow options present in the definition, then
                        // either the component itself has specified an option or the
                        // registry function has overridden it.
                        if (!overrideDefinition.shadowOptions) {
                            // There were shadow options provided by the component and not overridden by
                            // the registry.
                            shadowOptions.mode = x.shadowRootMode;
                        }
                    }
                    else if (shadowOptions !== null) {
                        // If the component author did not provide shadow options,
                        // and did not null them out (light dom opt-in) then they
                        // were relying on the FASTElement default. So, if the
                        // design system provides a mode, we need to create the options
                        // to override the default.
                        shadowOptions = { mode: x.shadowRootMode };
                    }
                }
                x.defineElement({
                    elementOptions: resolveOption(definition.elementOptions, x, definition),
                    shadowOptions,
                    attributes: resolveOption(definition.attributes, x, definition),
                });
            },
        });
    }
}
/* eslint-enable @typescript-eslint/no-unused-vars */


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/index.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/index.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FoundationElement: () => (/* reexport safe */ _foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement),
/* harmony export */   FoundationElementRegistry: () => (/* reexport safe */ _foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElementRegistry)
/* harmony export */ });
/* harmony import */ var _foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/horizontal-scroll.js":
/*!*************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/horizontal-scroll.js ***!
  \*************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HorizontalScroll: () => (/* binding */ HorizontalScroll)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/**
 * A HorizontalScroll Custom HTML Element
 *
 * @slot start - Content which can be provided before the scroll area
 * @slot end - Content which can be provided after the scroll area
 * @csspart scroll-area - Wraps the entire scrollable region
 * @csspart scroll-view - The visible scroll area
 * @csspart content-container - The container for the content
 * @csspart scroll-prev - The previous flipper container
 * @csspart scroll-action-previous - The element wrapping the previous flipper
 * @csspart scroll-next - The next flipper container
 * @csspart scroll-action-next - The element wrapping the next flipper
 * @fires scrollstart - Fires a custom 'scrollstart' event when scrolling
 * @fires scrollend - Fires a custom 'scrollend' event when scrolling stops
 *
 * @public
 */
class HorizontalScroll extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * @internal
         */
        this.framesPerSecond = 60;
        /**
         * Flag indicating that the items are being updated
         *
         * @internal
         */
        this.updatingItems = false;
        /**
         * Speed of scroll in pixels per second
         * @public
         */
        this.speed = 600;
        /**
         * Attribute used for easing, defaults to ease-in-out
         * @public
         */
        this.easing = "ease-in-out";
        /**
         * Attribute to hide flippers from assistive technology
         * @public
         */
        this.flippersHiddenFromAT = false;
        /**
         * Scrolling state
         * @internal
         */
        this.scrolling = false;
        /**
         * Detects if the component has been resized
         * @internal
         */
        this.resizeDetector = null;
    }
    /**
     * The calculated duration for a frame.
     *
     * @internal
     */
    get frameTime() {
        return 1000 / this.framesPerSecond;
    }
    /**
     * Firing scrollstart and scrollend events
     * @internal
     */
    scrollingChanged(prev, next) {
        if (this.scrollContainer) {
            const event = this.scrolling == true ? "scrollstart" : "scrollend";
            this.$emit(event, this.scrollContainer.scrollLeft);
        }
    }
    /**
     * In RTL mode
     * @internal
     */
    get isRtl() {
        return (this.scrollItems.length > 1 &&
            this.scrollItems[0].offsetLeft > this.scrollItems[1].offsetLeft);
    }
    connectedCallback() {
        super.connectedCallback();
        this.initializeResizeDetector();
    }
    disconnectedCallback() {
        this.disconnectResizeDetector();
        super.disconnectedCallback();
    }
    /**
     * Updates scroll stops and flippers when scroll items change
     * @param previous - current scroll items
     * @param next - new updated scroll items
     * @public
     */
    scrollItemsChanged(previous, next) {
        if (next && !this.updatingItems) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.setStops());
        }
    }
    /**
     * destroys the instance's resize observer
     * @internal
     */
    disconnectResizeDetector() {
        if (this.resizeDetector) {
            this.resizeDetector.disconnect();
            this.resizeDetector = null;
        }
    }
    /**
     * initializes the instance's resize observer
     * @internal
     */
    initializeResizeDetector() {
        this.disconnectResizeDetector();
        this.resizeDetector = new window.ResizeObserver(this.resized.bind(this));
        this.resizeDetector.observe(this);
    }
    /**
     * Looks for slots and uses child nodes instead
     * @internal
     */
    updateScrollStops() {
        this.updatingItems = true;
        const updatedItems = this.scrollItems.reduce((scrollItems, scrollItem) => {
            if (scrollItem instanceof HTMLSlotElement) {
                return scrollItems.concat(scrollItem.assignedElements());
            }
            scrollItems.push(scrollItem);
            return scrollItems;
        }, []);
        this.scrollItems = updatedItems;
        this.updatingItems = false;
    }
    /**
     * Finds all of the scroll stops between elements
     * @internal
     */
    setStops() {
        this.updateScrollStops();
        const { scrollContainer: container } = this;
        const { scrollLeft } = container;
        const { width: containerWidth, left: containerLeft, } = container.getBoundingClientRect();
        this.width = containerWidth;
        let lastStop = 0;
        let stops = this.scrollItems
            .map((item, index) => {
            const { left, width } = item.getBoundingClientRect();
            const leftPosition = Math.round(left + scrollLeft - containerLeft);
            const right = Math.round(leftPosition + width);
            if (this.isRtl) {
                return -right;
            }
            lastStop = right;
            return index === 0 ? 0 : leftPosition;
        })
            .concat(lastStop);
        /* Fixes a FireFox bug where it doesn't scroll to the start */
        stops = this.fixScrollMisalign(stops);
        /* Sort to zero */
        stops.sort((a, b) => Math.abs(a) - Math.abs(b));
        this.scrollStops = stops;
        this.setFlippers();
    }
    /**
     * Checks to see if the stops are returning values
     *  otherwise it will try to reinitialize them
     *
     * @returns boolean indicating that current scrollStops are valid non-zero values
     * @internal
     */
    validateStops(reinit = true) {
        const hasStops = () => !!this.scrollStops.find((stop) => stop > 0);
        if (!hasStops() && reinit) {
            this.setStops();
        }
        return hasStops();
    }
    /**
     *
     */
    fixScrollMisalign(stops) {
        if (this.isRtl && stops.some(stop => stop > 0)) {
            stops.sort((a, b) => b - a);
            const offset = stops[0];
            stops = stops.map(stop => stop - offset);
        }
        return stops;
    }
    /**
     * Sets the controls view if enabled
     * @internal
     */
    setFlippers() {
        var _a, _b;
        const position = this.scrollContainer.scrollLeft;
        (_a = this.previousFlipperContainer) === null || _a === void 0 ? void 0 : _a.classList.toggle("disabled", position === 0);
        if (this.scrollStops) {
            const lastStop = Math.abs(this.scrollStops[this.scrollStops.length - 1]);
            (_b = this.nextFlipperContainer) === null || _b === void 0 ? void 0 : _b.classList.toggle("disabled", this.validateStops(false) && Math.abs(position) + this.width >= lastStop);
        }
    }
    /**
     * Function that can scroll an item into view.
     * @param item - An item index, a scroll item or a child of one of the scroll items
     * @param padding - Padding of the viewport where the active item shouldn't be
     * @param rightPadding - Optional right padding. Uses the padding if not defined
     *
     * @public
     */
    scrollInView(item, padding = 0, rightPadding) {
        var _a;
        if (typeof item !== "number" && item) {
            item = this.scrollItems.findIndex(scrollItem => scrollItem === item || scrollItem.contains(item));
        }
        if (item !== undefined) {
            rightPadding = rightPadding !== null && rightPadding !== void 0 ? rightPadding : padding;
            const { scrollContainer: container, scrollStops, scrollItems: items } = this;
            const { scrollLeft } = this.scrollContainer;
            const { width: containerWidth } = container.getBoundingClientRect();
            const itemStart = scrollStops[item];
            const { width } = items[item].getBoundingClientRect();
            const itemEnd = itemStart + width;
            const isBefore = scrollLeft + padding > itemStart;
            if (isBefore || scrollLeft + containerWidth - rightPadding < itemEnd) {
                const stops = [...scrollStops].sort((a, b) => (isBefore ? b - a : a - b));
                const scrollTo = (_a = stops.find(position => isBefore
                    ? position + padding < itemStart
                    : position + containerWidth - (rightPadding !== null && rightPadding !== void 0 ? rightPadding : 0) > itemEnd)) !== null && _a !== void 0 ? _a : 0;
                this.scrollToPosition(scrollTo);
            }
        }
    }
    /**
     * Lets the user arrow left and right through the horizontal scroll
     * @param e - Keyboard event
     * @public
     */
    keyupHandler(e) {
        const key = e.key;
        switch (key) {
            case "ArrowLeft":
                this.scrollToPrevious();
                break;
            case "ArrowRight":
                this.scrollToNext();
                break;
        }
    }
    /**
     * Scrolls items to the left
     * @public
     */
    scrollToPrevious() {
        this.validateStops();
        const scrollPosition = this.scrollContainer.scrollLeft;
        const current = this.scrollStops.findIndex((stop, index) => stop >= scrollPosition &&
            (this.isRtl ||
                index === this.scrollStops.length - 1 ||
                this.scrollStops[index + 1] > scrollPosition));
        const right = Math.abs(this.scrollStops[current + 1]);
        let nextIndex = this.scrollStops.findIndex(stop => Math.abs(stop) + this.width > right);
        if (nextIndex >= current || nextIndex === -1) {
            nextIndex = current > 0 ? current - 1 : 0;
        }
        this.scrollToPosition(this.scrollStops[nextIndex], scrollPosition);
    }
    /**
     * Scrolls items to the right
     * @public
     */
    scrollToNext() {
        this.validateStops();
        const scrollPosition = this.scrollContainer.scrollLeft;
        const current = this.scrollStops.findIndex(stop => Math.abs(stop) >= Math.abs(scrollPosition));
        const outOfView = this.scrollStops.findIndex(stop => Math.abs(scrollPosition) + this.width <= Math.abs(stop));
        let nextIndex = current;
        if (outOfView > current + 2) {
            nextIndex = outOfView - 2;
        }
        else if (current < this.scrollStops.length - 2) {
            nextIndex = current + 1;
        }
        this.scrollToPosition(this.scrollStops[nextIndex], scrollPosition);
    }
    /**
     * Handles scrolling with easing
     * @param position - starting position
     * @param newPosition - position to scroll to
     * @public
     */
    scrollToPosition(newPosition, position = this.scrollContainer.scrollLeft) {
        var _a;
        if (this.scrolling) {
            return;
        }
        this.scrolling = true;
        const seconds = (_a = this.duration) !== null && _a !== void 0 ? _a : `${Math.abs(newPosition - position) / this.speed}s`;
        this.content.style.setProperty("transition-duration", seconds);
        const computedDuration = parseFloat(getComputedStyle(this.content).getPropertyValue("transition-duration"));
        const transitionendHandler = (e) => {
            if (e && e.target !== e.currentTarget) {
                return;
            }
            this.content.style.setProperty("transition-duration", "0s");
            this.content.style.removeProperty("transform");
            this.scrollContainer.style.setProperty("scroll-behavior", "auto");
            this.scrollContainer.scrollLeft = newPosition;
            this.setFlippers();
            this.content.removeEventListener("transitionend", transitionendHandler);
            this.scrolling = false;
        };
        if (computedDuration === 0) {
            transitionendHandler();
            return;
        }
        this.content.addEventListener("transitionend", transitionendHandler);
        const maxScrollValue = this.scrollContainer.scrollWidth - this.scrollContainer.clientWidth;
        let transitionStop = this.scrollContainer.scrollLeft - Math.min(newPosition, maxScrollValue);
        if (this.isRtl) {
            transitionStop =
                this.scrollContainer.scrollLeft +
                    Math.min(Math.abs(newPosition), maxScrollValue);
        }
        this.content.style.setProperty("transition-property", "transform");
        this.content.style.setProperty("transition-timing-function", this.easing);
        this.content.style.setProperty("transform", `translateX(${transitionStop}px)`);
    }
    /**
     * Monitors resize event on the horizontal-scroll element
     * @public
     */
    resized() {
        if (this.resizeTimeout) {
            this.resizeTimeout = clearTimeout(this.resizeTimeout);
        }
        this.resizeTimeout = setTimeout(() => {
            this.width = this.scrollContainer.offsetWidth;
            this.setFlippers();
        }, this.frameTime);
    }
    /**
     * Monitors scrolled event on the content container
     * @public
     */
    scrolled() {
        if (this.scrollTimeout) {
            this.scrollTimeout = clearTimeout(this.scrollTimeout);
        }
        this.scrollTimeout = setTimeout(() => {
            this.setFlippers();
        }, this.frameTime);
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], HorizontalScroll.prototype, "speed", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], HorizontalScroll.prototype, "duration", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], HorizontalScroll.prototype, "easing", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "flippers-hidden-from-at", converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.booleanConverter })
], HorizontalScroll.prototype, "flippersHiddenFromAT", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], HorizontalScroll.prototype, "scrolling", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], HorizontalScroll.prototype, "scrollItems", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "view" })
], HorizontalScroll.prototype, "view", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/horizontal-scroll.template.js":
/*!**********************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/horizontal-scroll.template.js ***!
  \**********************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   horizontalScrollTemplate: () => (/* binding */ horizontalScrollTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * @public
 */
const horizontalScrollTemplate = (context, definition) => {
    var _a, _b;
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        class="horizontal-scroll"
        @keyup="${(x, c) => x.keyupHandler(c.event)}"
    >
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
        <div class="scroll-area" part="scroll-area">
            <div
                class="scroll-view"
                part="scroll-view"
                @scroll="${x => x.scrolled()}"
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("scrollContainer")}
            >
                <div class="content-container" part="content-container" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("content")}>
                    <slot
                        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({
        property: "scrollItems",
        filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)(),
    })}
                    ></slot>
                </div>
            </div>
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.view !== "mobile", (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                    <div
                        class="scroll scroll-prev"
                        part="scroll-prev"
                        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("previousFlipperContainer")}
                    >
                        <div class="scroll-action" part="scroll-action-previous">
                            <slot name="previous-flipper">
                                ${definition.previousFlipper instanceof Function
        ? definition.previousFlipper(context, definition)
        : (_a = definition.previousFlipper) !== null && _a !== void 0 ? _a : ""}
                            </slot>
                        </div>
                    </div>
                    <div
                        class="scroll scroll-next"
                        part="scroll-next"
                        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("nextFlipperContainer")}
                    >
                        <div class="scroll-action" part="scroll-action-next">
                            <slot name="next-flipper">
                                ${definition.nextFlipper instanceof Function
        ? definition.nextFlipper(context, definition)
        : (_b = definition.nextFlipper) !== null && _b !== void 0 ? _b : ""}
                            </slot>
                        </div>
                    </div>
                `)}
        </div>
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
    </template>
`;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/index.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/index.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   HorizontalScroll: () => (/* reexport safe */ _horizontal_scroll_js__WEBPACK_IMPORTED_MODULE_0__.HorizontalScroll),
/* harmony export */   horizontalScrollTemplate: () => (/* reexport safe */ _horizontal_scroll_template_js__WEBPACK_IMPORTED_MODULE_1__.horizontalScrollTemplate)
/* harmony export */ });
/* harmony import */ var _horizontal_scroll_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./horizontal-scroll.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/horizontal-scroll.js");
/* harmony import */ var _horizontal_scroll_template_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./horizontal-scroll.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/horizontal-scroll.template.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/index.js":
/*!*******************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/index.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ARIAGlobalStatesAndProperties: () => (/* reexport safe */ _patterns_index_js__WEBPACK_IMPORTED_MODULE_30__.ARIAGlobalStatesAndProperties),
/* harmony export */   Accordion: () => (/* reexport safe */ _accordion_index_js__WEBPACK_IMPORTED_MODULE_1__.Accordion),
/* harmony export */   AccordionExpandMode: () => (/* reexport safe */ _accordion_index_js__WEBPACK_IMPORTED_MODULE_1__.AccordionExpandMode),
/* harmony export */   AccordionItem: () => (/* reexport safe */ _accordion_item_index_js__WEBPACK_IMPORTED_MODULE_0__.AccordionItem),
/* harmony export */   Anchor: () => (/* reexport safe */ _anchor_index_js__WEBPACK_IMPORTED_MODULE_2__.Anchor),
/* harmony export */   AnchoredRegion: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.AnchoredRegion),
/* harmony export */   Avatar: () => (/* reexport safe */ _avatar_index_js__WEBPACK_IMPORTED_MODULE_4__.Avatar),
/* harmony export */   Badge: () => (/* reexport safe */ _badge_index_js__WEBPACK_IMPORTED_MODULE_5__.Badge),
/* harmony export */   BaseProgress: () => (/* reexport safe */ _progress_index_js__WEBPACK_IMPORTED_MODULE_32__.BaseProgress),
/* harmony export */   Breadcrumb: () => (/* reexport safe */ _breadcrumb_index_js__WEBPACK_IMPORTED_MODULE_7__.Breadcrumb),
/* harmony export */   BreadcrumbItem: () => (/* reexport safe */ _breadcrumb_item_index_js__WEBPACK_IMPORTED_MODULE_6__.BreadcrumbItem),
/* harmony export */   Button: () => (/* reexport safe */ _button_index_js__WEBPACK_IMPORTED_MODULE_8__.Button),
/* harmony export */   Calendar: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.Calendar),
/* harmony export */   CalendarTitleTemplate: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.CalendarTitleTemplate),
/* harmony export */   Card: () => (/* reexport safe */ _card_index_js__WEBPACK_IMPORTED_MODULE_10__.Card),
/* harmony export */   CheckableFormAssociated: () => (/* reexport safe */ _form_associated_index_js__WEBPACK_IMPORTED_MODULE_22__.CheckableFormAssociated),
/* harmony export */   Checkbox: () => (/* reexport safe */ _checkbox_index_js__WEBPACK_IMPORTED_MODULE_11__.Checkbox),
/* harmony export */   Combobox: () => (/* reexport safe */ _combobox_index_js__WEBPACK_IMPORTED_MODULE_12__.Combobox),
/* harmony export */   ComboboxAutocomplete: () => (/* reexport safe */ _combobox_index_js__WEBPACK_IMPORTED_MODULE_12__.ComboboxAutocomplete),
/* harmony export */   ComponentPresentation: () => (/* reexport safe */ _design_system_index_js__WEBPACK_IMPORTED_MODULE_14__.ComponentPresentation),
/* harmony export */   Container: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.Container),
/* harmony export */   ContainerConfiguration: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.ContainerConfiguration),
/* harmony export */   ContainerImpl: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.ContainerImpl),
/* harmony export */   DI: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.DI),
/* harmony export */   DataGrid: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.DataGrid),
/* harmony export */   DataGridCell: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.DataGridCell),
/* harmony export */   DataGridCellTypes: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.DataGridCellTypes),
/* harmony export */   DataGridRow: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.DataGridRow),
/* harmony export */   DataGridRowTypes: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.DataGridRowTypes),
/* harmony export */   DateFormatter: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.DateFormatter),
/* harmony export */   DefaultComponentPresentation: () => (/* reexport safe */ _design_system_index_js__WEBPACK_IMPORTED_MODULE_14__.DefaultComponentPresentation),
/* harmony export */   DefaultResolver: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.DefaultResolver),
/* harmony export */   DelegatesARIAButton: () => (/* reexport safe */ _button_index_js__WEBPACK_IMPORTED_MODULE_8__.DelegatesARIAButton),
/* harmony export */   DelegatesARIACombobox: () => (/* reexport safe */ _combobox_index_js__WEBPACK_IMPORTED_MODULE_12__.DelegatesARIACombobox),
/* harmony export */   DelegatesARIALink: () => (/* reexport safe */ _anchor_index_js__WEBPACK_IMPORTED_MODULE_2__.DelegatesARIALink),
/* harmony export */   DelegatesARIAListbox: () => (/* reexport safe */ _listbox_index_js__WEBPACK_IMPORTED_MODULE_25__.DelegatesARIAListbox),
/* harmony export */   DelegatesARIAListboxOption: () => (/* reexport safe */ _listbox_option_index_js__WEBPACK_IMPORTED_MODULE_24__.DelegatesARIAListboxOption),
/* harmony export */   DelegatesARIASearch: () => (/* reexport safe */ _search_index_js__WEBPACK_IMPORTED_MODULE_36__.DelegatesARIASearch),
/* harmony export */   DelegatesARIASelect: () => (/* reexport safe */ _select_index_js__WEBPACK_IMPORTED_MODULE_37__.DelegatesARIASelect),
/* harmony export */   DelegatesARIATextbox: () => (/* reexport safe */ _text_field_index_js__WEBPACK_IMPORTED_MODULE_46__.DelegatesARIATextbox),
/* harmony export */   DelegatesARIAToolbar: () => (/* reexport safe */ _toolbar_index_js__WEBPACK_IMPORTED_MODULE_47__.DelegatesARIAToolbar),
/* harmony export */   DesignSystem: () => (/* reexport safe */ _design_system_index_js__WEBPACK_IMPORTED_MODULE_14__.DesignSystem),
/* harmony export */   DesignToken: () => (/* reexport safe */ _design_token_design_token_js__WEBPACK_IMPORTED_MODULE_15__.DesignToken),
/* harmony export */   Dialog: () => (/* reexport safe */ _dialog_index_js__WEBPACK_IMPORTED_MODULE_17__.Dialog),
/* harmony export */   Disclosure: () => (/* reexport safe */ _disclosure_index_js__WEBPACK_IMPORTED_MODULE_19__.Disclosure),
/* harmony export */   Divider: () => (/* reexport safe */ _divider_index_js__WEBPACK_IMPORTED_MODULE_20__.Divider),
/* harmony export */   DividerRole: () => (/* reexport safe */ _divider_index_js__WEBPACK_IMPORTED_MODULE_20__.DividerRole),
/* harmony export */   ElementDisambiguation: () => (/* reexport safe */ _design_system_index_js__WEBPACK_IMPORTED_MODULE_14__.ElementDisambiguation),
/* harmony export */   FactoryImpl: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.FactoryImpl),
/* harmony export */   Flipper: () => (/* reexport safe */ _flipper_index_js__WEBPACK_IMPORTED_MODULE_21__.Flipper),
/* harmony export */   FlipperDirection: () => (/* reexport safe */ _flipper_index_js__WEBPACK_IMPORTED_MODULE_21__.FlipperDirection),
/* harmony export */   FlyoutPosBottom: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.FlyoutPosBottom),
/* harmony export */   FlyoutPosBottomFill: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.FlyoutPosBottomFill),
/* harmony export */   FlyoutPosTallest: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.FlyoutPosTallest),
/* harmony export */   FlyoutPosTallestFill: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.FlyoutPosTallestFill),
/* harmony export */   FlyoutPosTop: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.FlyoutPosTop),
/* harmony export */   FlyoutPosTopFill: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.FlyoutPosTopFill),
/* harmony export */   FormAssociated: () => (/* reexport safe */ _form_associated_index_js__WEBPACK_IMPORTED_MODULE_22__.FormAssociated),
/* harmony export */   FoundationElement: () => (/* reexport safe */ _foundation_element_index_js__WEBPACK_IMPORTED_MODULE_23__.FoundationElement),
/* harmony export */   FoundationElementRegistry: () => (/* reexport safe */ _foundation_element_index_js__WEBPACK_IMPORTED_MODULE_23__.FoundationElementRegistry),
/* harmony export */   GenerateHeaderOptions: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.GenerateHeaderOptions),
/* harmony export */   HorizontalScroll: () => (/* reexport safe */ _horizontal_scroll_index_js__WEBPACK_IMPORTED_MODULE_35__.HorizontalScroll),
/* harmony export */   Listbox: () => (/* reexport safe */ _listbox_index_js__WEBPACK_IMPORTED_MODULE_25__.Listbox),
/* harmony export */   ListboxElement: () => (/* reexport safe */ _listbox_index_js__WEBPACK_IMPORTED_MODULE_25__.ListboxElement),
/* harmony export */   ListboxOption: () => (/* reexport safe */ _listbox_option_index_js__WEBPACK_IMPORTED_MODULE_24__.ListboxOption),
/* harmony export */   MatchMediaBehavior: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.MatchMediaBehavior),
/* harmony export */   MatchMediaStyleSheetBehavior: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.MatchMediaStyleSheetBehavior),
/* harmony export */   Menu: () => (/* reexport safe */ _menu_index_js__WEBPACK_IMPORTED_MODULE_28__.Menu),
/* harmony export */   MenuItem: () => (/* reexport safe */ _menu_item_index_js__WEBPACK_IMPORTED_MODULE_27__.MenuItem),
/* harmony export */   MenuItemRole: () => (/* reexport safe */ _menu_item_index_js__WEBPACK_IMPORTED_MODULE_27__.MenuItemRole),
/* harmony export */   NumberField: () => (/* reexport safe */ _number_field_index_js__WEBPACK_IMPORTED_MODULE_29__.NumberField),
/* harmony export */   Picker: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.Picker),
/* harmony export */   PickerList: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.PickerList),
/* harmony export */   PickerListItem: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.PickerListItem),
/* harmony export */   PickerMenu: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.PickerMenu),
/* harmony export */   PickerMenuOption: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.PickerMenuOption),
/* harmony export */   PropertyStyleSheetBehavior: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.PropertyStyleSheetBehavior),
/* harmony export */   Radio: () => (/* reexport safe */ _radio_index_js__WEBPACK_IMPORTED_MODULE_34__.Radio),
/* harmony export */   RadioGroup: () => (/* reexport safe */ _radio_group_index_js__WEBPACK_IMPORTED_MODULE_33__.RadioGroup),
/* harmony export */   Registration: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.Registration),
/* harmony export */   ResolverBuilder: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.ResolverBuilder),
/* harmony export */   ResolverImpl: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.ResolverImpl),
/* harmony export */   Search: () => (/* reexport safe */ _search_index_js__WEBPACK_IMPORTED_MODULE_36__.Search),
/* harmony export */   Select: () => (/* reexport safe */ _select_index_js__WEBPACK_IMPORTED_MODULE_37__.Select),
/* harmony export */   SelectPosition: () => (/* reexport safe */ _select_index_js__WEBPACK_IMPORTED_MODULE_37__.SelectPosition),
/* harmony export */   ServiceLocator: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.ServiceLocator),
/* harmony export */   Skeleton: () => (/* reexport safe */ _skeleton_index_js__WEBPACK_IMPORTED_MODULE_38__.Skeleton),
/* harmony export */   Slider: () => (/* reexport safe */ _slider_index_js__WEBPACK_IMPORTED_MODULE_40__.Slider),
/* harmony export */   SliderLabel: () => (/* reexport safe */ _slider_label_index_js__WEBPACK_IMPORTED_MODULE_39__.SliderLabel),
/* harmony export */   SliderMode: () => (/* reexport safe */ _slider_index_js__WEBPACK_IMPORTED_MODULE_40__.SliderMode),
/* harmony export */   StartEnd: () => (/* reexport safe */ _patterns_index_js__WEBPACK_IMPORTED_MODULE_30__.StartEnd),
/* harmony export */   Switch: () => (/* reexport safe */ _switch_index_js__WEBPACK_IMPORTED_MODULE_41__.Switch),
/* harmony export */   Tab: () => (/* reexport safe */ _tab_index_js__WEBPACK_IMPORTED_MODULE_43__.Tab),
/* harmony export */   TabPanel: () => (/* reexport safe */ _tab_panel_index_js__WEBPACK_IMPORTED_MODULE_42__.TabPanel),
/* harmony export */   Tabs: () => (/* reexport safe */ _tabs_index_js__WEBPACK_IMPORTED_MODULE_44__.Tabs),
/* harmony export */   TabsOrientation: () => (/* reexport safe */ _tabs_index_js__WEBPACK_IMPORTED_MODULE_44__.TabsOrientation),
/* harmony export */   TextArea: () => (/* reexport safe */ _text_area_index_js__WEBPACK_IMPORTED_MODULE_45__.TextArea),
/* harmony export */   TextAreaResize: () => (/* reexport safe */ _text_area_index_js__WEBPACK_IMPORTED_MODULE_45__.TextAreaResize),
/* harmony export */   TextField: () => (/* reexport safe */ _text_field_index_js__WEBPACK_IMPORTED_MODULE_46__.TextField),
/* harmony export */   TextFieldType: () => (/* reexport safe */ _text_field_index_js__WEBPACK_IMPORTED_MODULE_46__.TextFieldType),
/* harmony export */   Toolbar: () => (/* reexport safe */ _toolbar_index_js__WEBPACK_IMPORTED_MODULE_47__.Toolbar),
/* harmony export */   Tooltip: () => (/* reexport safe */ _tooltip_index_js__WEBPACK_IMPORTED_MODULE_48__.Tooltip),
/* harmony export */   TooltipPosition: () => (/* reexport safe */ _tooltip_index_js__WEBPACK_IMPORTED_MODULE_48__.TooltipPosition),
/* harmony export */   TreeItem: () => (/* reexport safe */ _tree_item_index_js__WEBPACK_IMPORTED_MODULE_49__.TreeItem),
/* harmony export */   TreeView: () => (/* reexport safe */ _tree_view_index_js__WEBPACK_IMPORTED_MODULE_50__.TreeView),
/* harmony export */   accordionItemTemplate: () => (/* reexport safe */ _accordion_item_index_js__WEBPACK_IMPORTED_MODULE_0__.accordionItemTemplate),
/* harmony export */   accordionTemplate: () => (/* reexport safe */ _accordion_index_js__WEBPACK_IMPORTED_MODULE_1__.accordionTemplate),
/* harmony export */   all: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.all),
/* harmony export */   anchorTemplate: () => (/* reexport safe */ _anchor_index_js__WEBPACK_IMPORTED_MODULE_2__.anchorTemplate),
/* harmony export */   anchoredRegionTemplate: () => (/* reexport safe */ _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__.anchoredRegionTemplate),
/* harmony export */   applyMixins: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.applyMixins),
/* harmony export */   avatarTemplate: () => (/* reexport safe */ _avatar_index_js__WEBPACK_IMPORTED_MODULE_4__.avatarTemplate),
/* harmony export */   badgeTemplate: () => (/* reexport safe */ _badge_index_js__WEBPACK_IMPORTED_MODULE_5__.badgeTemplate),
/* harmony export */   breadcrumbItemTemplate: () => (/* reexport safe */ _breadcrumb_item_index_js__WEBPACK_IMPORTED_MODULE_6__.breadcrumbItemTemplate),
/* harmony export */   breadcrumbTemplate: () => (/* reexport safe */ _breadcrumb_index_js__WEBPACK_IMPORTED_MODULE_7__.breadcrumbTemplate),
/* harmony export */   buttonTemplate: () => (/* reexport safe */ _button_index_js__WEBPACK_IMPORTED_MODULE_8__.buttonTemplate),
/* harmony export */   calendarCellTemplate: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.calendarCellTemplate),
/* harmony export */   calendarRowTemplate: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.calendarRowTemplate),
/* harmony export */   calendarTemplate: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.calendarTemplate),
/* harmony export */   calendarWeekdayTemplate: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.calendarWeekdayTemplate),
/* harmony export */   cardTemplate: () => (/* reexport safe */ _card_index_js__WEBPACK_IMPORTED_MODULE_10__.cardTemplate),
/* harmony export */   checkboxTemplate: () => (/* reexport safe */ _checkbox_index_js__WEBPACK_IMPORTED_MODULE_11__.checkboxTemplate),
/* harmony export */   comboboxTemplate: () => (/* reexport safe */ _combobox_index_js__WEBPACK_IMPORTED_MODULE_12__.comboboxTemplate),
/* harmony export */   composedContains: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.composedContains),
/* harmony export */   composedParent: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.composedParent),
/* harmony export */   darkModeStylesheetBehavior: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.darkModeStylesheetBehavior),
/* harmony export */   dataGridCellTemplate: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.dataGridCellTemplate),
/* harmony export */   dataGridRowTemplate: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.dataGridRowTemplate),
/* harmony export */   dataGridTemplate: () => (/* reexport safe */ _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__.dataGridTemplate),
/* harmony export */   dialogTemplate: () => (/* reexport safe */ _dialog_index_js__WEBPACK_IMPORTED_MODULE_17__.dialogTemplate),
/* harmony export */   disabledCursor: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.disabledCursor),
/* harmony export */   disclosureTemplate: () => (/* reexport safe */ _disclosure_index_js__WEBPACK_IMPORTED_MODULE_19__.disclosureTemplate),
/* harmony export */   display: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.display),
/* harmony export */   dividerTemplate: () => (/* reexport safe */ _divider_index_js__WEBPACK_IMPORTED_MODULE_20__.dividerTemplate),
/* harmony export */   endSlotTemplate: () => (/* reexport safe */ _patterns_index_js__WEBPACK_IMPORTED_MODULE_30__.endSlotTemplate),
/* harmony export */   endTemplate: () => (/* reexport safe */ _patterns_index_js__WEBPACK_IMPORTED_MODULE_30__.endTemplate),
/* harmony export */   flipperTemplate: () => (/* reexport safe */ _flipper_index_js__WEBPACK_IMPORTED_MODULE_21__.flipperTemplate),
/* harmony export */   focusVisible: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.focusVisible),
/* harmony export */   forcedColorsStylesheetBehavior: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.forcedColorsStylesheetBehavior),
/* harmony export */   getDirection: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.getDirection),
/* harmony export */   hidden: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.hidden),
/* harmony export */   horizontalScrollTemplate: () => (/* reexport safe */ _horizontal_scroll_index_js__WEBPACK_IMPORTED_MODULE_35__.horizontalScrollTemplate),
/* harmony export */   ignore: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.ignore),
/* harmony export */   inject: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.inject),
/* harmony export */   interactiveCalendarGridTemplate: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.interactiveCalendarGridTemplate),
/* harmony export */   isListboxOption: () => (/* reexport safe */ _listbox_option_index_js__WEBPACK_IMPORTED_MODULE_24__.isListboxOption),
/* harmony export */   isTreeItemElement: () => (/* reexport safe */ _tree_item_index_js__WEBPACK_IMPORTED_MODULE_49__.isTreeItemElement),
/* harmony export */   lazy: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.lazy),
/* harmony export */   lightModeStylesheetBehavior: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.lightModeStylesheetBehavior),
/* harmony export */   listboxOptionTemplate: () => (/* reexport safe */ _listbox_option_index_js__WEBPACK_IMPORTED_MODULE_24__.listboxOptionTemplate),
/* harmony export */   listboxTemplate: () => (/* reexport safe */ _listbox_index_js__WEBPACK_IMPORTED_MODULE_25__.listboxTemplate),
/* harmony export */   menuItemTemplate: () => (/* reexport safe */ _menu_item_index_js__WEBPACK_IMPORTED_MODULE_27__.menuItemTemplate),
/* harmony export */   menuTemplate: () => (/* reexport safe */ _menu_index_js__WEBPACK_IMPORTED_MODULE_28__.menuTemplate),
/* harmony export */   newInstanceForScope: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.newInstanceForScope),
/* harmony export */   newInstanceOf: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.newInstanceOf),
/* harmony export */   noninteractiveCalendarTemplate: () => (/* reexport safe */ _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__.noninteractiveCalendarTemplate),
/* harmony export */   numberFieldTemplate: () => (/* reexport safe */ _number_field_index_js__WEBPACK_IMPORTED_MODULE_29__.numberFieldTemplate),
/* harmony export */   optional: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.optional),
/* harmony export */   pickerListItemTemplate: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.pickerListItemTemplate),
/* harmony export */   pickerListTemplate: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.pickerListTemplate),
/* harmony export */   pickerMenuOptionTemplate: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.pickerMenuOptionTemplate),
/* harmony export */   pickerMenuTemplate: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.pickerMenuTemplate),
/* harmony export */   pickerTemplate: () => (/* reexport safe */ _picker_index_js__WEBPACK_IMPORTED_MODULE_26__.pickerTemplate),
/* harmony export */   progressRingTemplate: () => (/* reexport safe */ _progress_ring_index_js__WEBPACK_IMPORTED_MODULE_31__.progressRingTemplate),
/* harmony export */   progressTemplate: () => (/* reexport safe */ _progress_index_js__WEBPACK_IMPORTED_MODULE_32__.progressTemplate),
/* harmony export */   radioGroupTemplate: () => (/* reexport safe */ _radio_group_index_js__WEBPACK_IMPORTED_MODULE_33__.radioGroupTemplate),
/* harmony export */   radioTemplate: () => (/* reexport safe */ _radio_index_js__WEBPACK_IMPORTED_MODULE_34__.radioTemplate),
/* harmony export */   reflectAttributes: () => (/* reexport safe */ _directives_reflect_attributes_js__WEBPACK_IMPORTED_MODULE_18__.reflectAttributes),
/* harmony export */   roleForMenuItem: () => (/* reexport safe */ _menu_item_index_js__WEBPACK_IMPORTED_MODULE_27__.roleForMenuItem),
/* harmony export */   searchTemplate: () => (/* reexport safe */ _search_index_js__WEBPACK_IMPORTED_MODULE_36__.searchTemplate),
/* harmony export */   selectTemplate: () => (/* reexport safe */ _select_index_js__WEBPACK_IMPORTED_MODULE_37__.selectTemplate),
/* harmony export */   singleton: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.singleton),
/* harmony export */   skeletonTemplate: () => (/* reexport safe */ _skeleton_index_js__WEBPACK_IMPORTED_MODULE_38__.skeletonTemplate),
/* harmony export */   sliderLabelTemplate: () => (/* reexport safe */ _slider_label_index_js__WEBPACK_IMPORTED_MODULE_39__.sliderLabelTemplate),
/* harmony export */   sliderTemplate: () => (/* reexport safe */ _slider_index_js__WEBPACK_IMPORTED_MODULE_40__.sliderTemplate),
/* harmony export */   startSlotTemplate: () => (/* reexport safe */ _patterns_index_js__WEBPACK_IMPORTED_MODULE_30__.startSlotTemplate),
/* harmony export */   startTemplate: () => (/* reexport safe */ _patterns_index_js__WEBPACK_IMPORTED_MODULE_30__.startTemplate),
/* harmony export */   supportsElementInternals: () => (/* reexport safe */ _form_associated_index_js__WEBPACK_IMPORTED_MODULE_22__.supportsElementInternals),
/* harmony export */   switchTemplate: () => (/* reexport safe */ _switch_index_js__WEBPACK_IMPORTED_MODULE_41__.switchTemplate),
/* harmony export */   tabPanelTemplate: () => (/* reexport safe */ _tab_panel_index_js__WEBPACK_IMPORTED_MODULE_42__.tabPanelTemplate),
/* harmony export */   tabTemplate: () => (/* reexport safe */ _tab_index_js__WEBPACK_IMPORTED_MODULE_43__.tabTemplate),
/* harmony export */   tabsTemplate: () => (/* reexport safe */ _tabs_index_js__WEBPACK_IMPORTED_MODULE_44__.tabsTemplate),
/* harmony export */   textAreaTemplate: () => (/* reexport safe */ _text_area_index_js__WEBPACK_IMPORTED_MODULE_45__.textAreaTemplate),
/* harmony export */   textFieldTemplate: () => (/* reexport safe */ _text_field_index_js__WEBPACK_IMPORTED_MODULE_46__.textFieldTemplate),
/* harmony export */   toolbarTemplate: () => (/* reexport safe */ _toolbar_index_js__WEBPACK_IMPORTED_MODULE_47__.toolbarTemplate),
/* harmony export */   tooltipTemplate: () => (/* reexport safe */ _tooltip_index_js__WEBPACK_IMPORTED_MODULE_48__.tooltipTemplate),
/* harmony export */   transient: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.transient),
/* harmony export */   treeItemTemplate: () => (/* reexport safe */ _tree_item_index_js__WEBPACK_IMPORTED_MODULE_49__.treeItemTemplate),
/* harmony export */   treeViewTemplate: () => (/* reexport safe */ _tree_view_index_js__WEBPACK_IMPORTED_MODULE_50__.treeViewTemplate),
/* harmony export */   validateKey: () => (/* reexport safe */ _di_index_js__WEBPACK_IMPORTED_MODULE_16__.validateKey),
/* harmony export */   whitespaceFilter: () => (/* reexport safe */ _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__.whitespaceFilter)
/* harmony export */ });
/* harmony import */ var _accordion_item_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./accordion-item/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion-item/index.js");
/* harmony import */ var _accordion_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./accordion/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/accordion/index.js");
/* harmony import */ var _anchor_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./anchor/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchor/index.js");
/* harmony import */ var _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./anchored-region/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/index.js");
/* harmony import */ var _avatar_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./avatar/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/avatar/index.js");
/* harmony import */ var _badge_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./badge/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/badge/index.js");
/* harmony import */ var _breadcrumb_item_index_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./breadcrumb-item/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb-item/index.js");
/* harmony import */ var _breadcrumb_index_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./breadcrumb/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/breadcrumb/index.js");
/* harmony import */ var _button_index_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./button/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/button/index.js");
/* harmony import */ var _calendar_index_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./calendar/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/calendar/index.js");
/* harmony import */ var _card_index_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./card/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/card/index.js");
/* harmony import */ var _checkbox_index_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./checkbox/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/checkbox/index.js");
/* harmony import */ var _combobox_index_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./combobox/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/combobox/index.js");
/* harmony import */ var _data_grid_index_js__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./data-grid/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/data-grid/index.js");
/* harmony import */ var _design_system_index_js__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./design-system/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-system/index.js");
/* harmony import */ var _design_token_design_token_js__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./design-token/design-token.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/design-token/design-token.js");
/* harmony import */ var _di_index_js__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./di/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/di/index.js");
/* harmony import */ var _dialog_index_js__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./dialog/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/dialog/index.js");
/* harmony import */ var _directives_reflect_attributes_js__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./directives/reflect-attributes.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/directives/reflect-attributes.js");
/* harmony import */ var _disclosure_index_js__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./disclosure/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/disclosure/index.js");
/* harmony import */ var _divider_index_js__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./divider/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/divider/index.js");
/* harmony import */ var _flipper_index_js__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./flipper/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/flipper/index.js");
/* harmony import */ var _form_associated_index_js__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./form-associated/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/index.js");
/* harmony import */ var _foundation_element_index_js__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./foundation-element/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/index.js");
/* harmony import */ var _listbox_option_index_js__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./listbox-option/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/index.js");
/* harmony import */ var _listbox_index_js__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./listbox/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/index.js");
/* harmony import */ var _picker_index_js__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./picker/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/index.js");
/* harmony import */ var _menu_item_index_js__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./menu-item/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/index.js");
/* harmony import */ var _menu_index_js__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./menu/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu/index.js");
/* harmony import */ var _number_field_index_js__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./number-field/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/index.js");
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/index.js");
/* harmony import */ var _progress_ring_index_js__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./progress-ring/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/progress-ring/index.js");
/* harmony import */ var _progress_index_js__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./progress/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/progress/index.js");
/* harmony import */ var _radio_group_index_js__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./radio-group/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/index.js");
/* harmony import */ var _radio_index_js__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./radio/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/index.js");
/* harmony import */ var _horizontal_scroll_index_js__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./horizontal-scroll/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/horizontal-scroll/index.js");
/* harmony import */ var _search_index_js__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./search/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/search/index.js");
/* harmony import */ var _select_index_js__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./select/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/select/index.js");
/* harmony import */ var _skeleton_index_js__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./skeleton/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/index.js");
/* harmony import */ var _slider_label_index_js__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! ./slider-label/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/index.js");
/* harmony import */ var _slider_index_js__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./slider/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/index.js");
/* harmony import */ var _switch_index_js__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(/*! ./switch/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/index.js");
/* harmony import */ var _tab_panel_index_js__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(/*! ./tab-panel/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/index.js");
/* harmony import */ var _tab_index_js__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(/*! ./tab/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tab/index.js");
/* harmony import */ var _tabs_index_js__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(/*! ./tabs/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tabs/index.js");
/* harmony import */ var _text_area_index_js__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(/*! ./text-area/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/index.js");
/* harmony import */ var _text_field_index_js__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(/*! ./text-field/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/index.js");
/* harmony import */ var _toolbar_index_js__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(/*! ./toolbar/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/index.js");
/* harmony import */ var _tooltip_index_js__WEBPACK_IMPORTED_MODULE_48__ = __webpack_require__(/*! ./tooltip/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/index.js");
/* harmony import */ var _tree_item_index_js__WEBPACK_IMPORTED_MODULE_49__ = __webpack_require__(/*! ./tree-item/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/index.js");
/* harmony import */ var _tree_view_index_js__WEBPACK_IMPORTED_MODULE_50__ = __webpack_require__(/*! ./tree-view/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/index.js");
/* harmony import */ var _utilities_index_js__WEBPACK_IMPORTED_MODULE_51__ = __webpack_require__(/*! ./utilities/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/index.js");




















































// export our utilities



/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/index.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/index.js ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIAListboxOption: () => (/* reexport safe */ _listbox_option_js__WEBPACK_IMPORTED_MODULE_0__.DelegatesARIAListboxOption),
/* harmony export */   ListboxOption: () => (/* reexport safe */ _listbox_option_js__WEBPACK_IMPORTED_MODULE_0__.ListboxOption),
/* harmony export */   isListboxOption: () => (/* reexport safe */ _listbox_option_js__WEBPACK_IMPORTED_MODULE_0__.isListboxOption),
/* harmony export */   listboxOptionTemplate: () => (/* reexport safe */ _listbox_option_template_js__WEBPACK_IMPORTED_MODULE_1__.listboxOptionTemplate)
/* harmony export */ });
/* harmony import */ var _listbox_option_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./listbox-option.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/listbox-option.js");
/* harmony import */ var _listbox_option_template_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./listbox-option.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/listbox-option.template.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/listbox-option.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/listbox-option.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIAListboxOption: () => (/* binding */ DelegatesARIAListboxOption),
/* harmony export */   ListboxOption: () => (/* binding */ ListboxOption),
/* harmony export */   isListboxOption: () => (/* binding */ isListboxOption)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/dom.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _patterns_aria_global_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../patterns/aria-global.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");







/**
 * Determines if the element is a {@link (ListboxOption:class)}
 *
 * @param element - the element to test.
 * @public
 */
function isListboxOption(el) {
    return ((0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.isHTMLElement)(el) &&
        (el.getAttribute("role") === "option" ||
            el instanceof HTMLOptionElement));
}
/**
 * An Option Custom HTML Element.
 * Implements {@link https://www.w3.org/TR/wai-aria-1.1/#option | ARIA option }.
 *
 * @slot start - Content which can be provided before the listbox option content
 * @slot end - Content which can be provided after the listbox option content
 * @slot - The default slot for listbox option content
 * @csspart content - Wraps the listbox option content
 *
 * @public
 */
class ListboxOption extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor(text, value, defaultSelected, selected) {
        super();
        /**
         * The defaultSelected state of the option.
         * @public
         */
        this.defaultSelected = false;
        /**
         * Tracks whether the "selected" property has been changed.
         * @internal
         */
        this.dirtySelected = false;
        /**
         * The checked state of the control.
         *
         * @public
         */
        this.selected = this.defaultSelected;
        /**
         * Track whether the value has been changed from the initial value
         */
        this.dirtyValue = false;
        if (text) {
            this.textContent = text;
        }
        if (value) {
            this.initialValue = value;
        }
        if (defaultSelected) {
            this.defaultSelected = defaultSelected;
        }
        if (selected) {
            this.selected = selected;
        }
        this.proxy = new Option(`${this.textContent}`, this.initialValue, this.defaultSelected, this.selected);
        this.proxy.disabled = this.disabled;
    }
    /**
     * Updates the ariaChecked property when the checked property changes.
     *
     * @param prev - the previous checked value
     * @param next - the current checked value
     *
     * @public
     */
    checkedChanged(prev, next) {
        if (typeof next === "boolean") {
            this.ariaChecked = next ? "true" : "false";
            return;
        }
        this.ariaChecked = null;
    }
    /**
     * Updates the proxy's text content when the default slot changes.
     * @param prev - the previous content value
     * @param next - the current content value
     *
     * @internal
     */
    contentChanged(prev, next) {
        if (this.proxy instanceof HTMLOptionElement) {
            this.proxy.textContent = this.textContent;
        }
        this.$emit("contentchange", null, { bubbles: true });
    }
    defaultSelectedChanged() {
        if (!this.dirtySelected) {
            this.selected = this.defaultSelected;
            if (this.proxy instanceof HTMLOptionElement) {
                this.proxy.selected = this.defaultSelected;
            }
        }
    }
    disabledChanged(prev, next) {
        this.ariaDisabled = this.disabled ? "true" : "false";
        if (this.proxy instanceof HTMLOptionElement) {
            this.proxy.disabled = this.disabled;
        }
    }
    selectedAttributeChanged() {
        this.defaultSelected = this.selectedAttribute;
        if (this.proxy instanceof HTMLOptionElement) {
            this.proxy.defaultSelected = this.defaultSelected;
        }
    }
    selectedChanged() {
        this.ariaSelected = this.selected ? "true" : "false";
        if (!this.dirtySelected) {
            this.dirtySelected = true;
        }
        if (this.proxy instanceof HTMLOptionElement) {
            this.proxy.selected = this.selected;
        }
    }
    initialValueChanged(previous, next) {
        // If the value is clean and the component is connected to the DOM
        // then set value equal to the attribute value.
        if (!this.dirtyValue) {
            this.value = this.initialValue;
            this.dirtyValue = false;
        }
    }
    get label() {
        var _a;
        return (_a = this.value) !== null && _a !== void 0 ? _a : this.text;
    }
    get text() {
        var _a, _b;
        return (_b = (_a = this.textContent) === null || _a === void 0 ? void 0 : _a.replace(/\s+/g, " ").trim()) !== null && _b !== void 0 ? _b : "";
    }
    set value(next) {
        const newValue = `${next !== null && next !== void 0 ? next : ""}`;
        this._value = newValue;
        this.dirtyValue = true;
        if (this.proxy instanceof HTMLOptionElement) {
            this.proxy.value = newValue;
        }
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.notify(this, "value");
    }
    get value() {
        var _a;
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, "value");
        return (_a = this._value) !== null && _a !== void 0 ? _a : this.text;
    }
    get form() {
        return this.proxy ? this.proxy.form : null;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], ListboxOption.prototype, "checked", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], ListboxOption.prototype, "content", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], ListboxOption.prototype, "defaultSelected", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], ListboxOption.prototype, "disabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "selected", mode: "boolean" })
], ListboxOption.prototype, "selectedAttribute", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], ListboxOption.prototype, "selected", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "value", mode: "fromView" })
], ListboxOption.prototype, "initialValue", void 0);
/**
 * States and properties relating to the ARIA `option` role.
 *
 * @public
 */
class DelegatesARIAListboxOption {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListboxOption.prototype, "ariaChecked", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListboxOption.prototype, "ariaPosInSet", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListboxOption.prototype, "ariaSelected", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListboxOption.prototype, "ariaSetSize", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__.applyMixins)(DelegatesARIAListboxOption, _patterns_aria_global_js__WEBPACK_IMPORTED_MODULE_5__.ARIAGlobalStatesAndProperties);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__.applyMixins)(ListboxOption, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_6__.StartEnd, DelegatesARIAListboxOption);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/listbox-option.template.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/listbox-option.template.js ***!
  \****************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   listboxOptionTemplate: () => (/* binding */ listboxOptionTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(ListboxOption:class)} component.
 * @public
 */
const listboxOptionTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        aria-checked="${x => x.ariaChecked}"
        aria-disabled="${x => x.ariaDisabled}"
        aria-posinset="${x => x.ariaPosInSet}"
        aria-selected="${x => x.ariaSelected}"
        aria-setsize="${x => x.ariaSetSize}"
        class="${x => [x.checked && "checked", x.selected && "selected", x.disabled && "disabled"]
    .filter(Boolean)
    .join(" ")}"
        role="option"
    >
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
        <span class="content" part="content">
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("content")}></slot>
        </span>
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/index.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/listbox/index.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIAListbox: () => (/* reexport safe */ _listbox_js__WEBPACK_IMPORTED_MODULE_0__.DelegatesARIAListbox),
/* harmony export */   Listbox: () => (/* reexport safe */ _listbox_js__WEBPACK_IMPORTED_MODULE_0__.Listbox),
/* harmony export */   ListboxElement: () => (/* reexport safe */ _listbox_element_js__WEBPACK_IMPORTED_MODULE_1__.ListboxElement),
/* harmony export */   listboxTemplate: () => (/* reexport safe */ _listbox_template_js__WEBPACK_IMPORTED_MODULE_2__.listboxTemplate)
/* harmony export */ });
/* harmony import */ var _listbox_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./listbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js");
/* harmony import */ var _listbox_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./listbox.element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.element.js");
/* harmony import */ var _listbox_template_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./listbox.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.template.js");





/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.element.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.element.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ListboxElement: () => (/* binding */ ListboxElement)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/numbers.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _listbox_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./listbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js");




/**
 * A Listbox Custom HTML Element.
 * Implements the {@link https://w3c.github.io/aria/#listbox | ARIA listbox }.
 *
 * @public
 */
class ListboxElement extends _listbox_js__WEBPACK_IMPORTED_MODULE_1__.Listbox {
    constructor() {
        super(...arguments);
        /**
         * The index of the most recently checked option.
         *
         * @internal
         * @remarks
         * Multiple-selection mode only.
         */
        this.activeIndex = -1;
        /**
         * The start index when checking a range of options.
         *
         * @internal
         */
        this.rangeStartIndex = -1;
    }
    /**
     * Returns the last checked option.
     *
     * @internal
     */
    get activeOption() {
        return this.options[this.activeIndex];
    }
    /**
     * Returns the list of checked options.
     *
     * @internal
     */
    get checkedOptions() {
        var _a;
        return (_a = this.options) === null || _a === void 0 ? void 0 : _a.filter(o => o.checked);
    }
    /**
     * Returns the index of the first selected option.
     *
     * @internal
     */
    get firstSelectedOptionIndex() {
        return this.options.indexOf(this.firstSelectedOption);
    }
    /**
     * Updates the `ariaActiveDescendant` property when the active index changes.
     *
     * @param prev - the previous active index
     * @param next - the next active index
     *
     * @internal
     */
    activeIndexChanged(prev, next) {
        var _a, _b;
        this.ariaActiveDescendant = (_b = (_a = this.options[next]) === null || _a === void 0 ? void 0 : _a.id) !== null && _b !== void 0 ? _b : "";
        this.focusAndScrollOptionIntoView();
    }
    /**
     * Toggles the checked state for the currently active option.
     *
     * @remarks
     * Multiple-selection mode only.
     *
     * @internal
     */
    checkActiveIndex() {
        if (!this.multiple) {
            return;
        }
        const activeItem = this.activeOption;
        if (activeItem) {
            activeItem.checked = true;
        }
    }
    /**
     * Sets the active index to the first option and marks it as checked.
     *
     * @remarks
     * Multi-selection mode only.
     *
     * @param preserveChecked - mark all options unchecked before changing the active index
     *
     * @internal
     */
    checkFirstOption(preserveChecked = false) {
        if (preserveChecked) {
            if (this.rangeStartIndex === -1) {
                this.rangeStartIndex = this.activeIndex + 1;
            }
            this.options.forEach((o, i) => {
                o.checked = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.inRange)(i, this.rangeStartIndex);
            });
        }
        else {
            this.uncheckAllOptions();
        }
        this.activeIndex = 0;
        this.checkActiveIndex();
    }
    /**
     * Decrements the active index and sets the matching option as checked.
     *
     * @remarks
     * Multi-selection mode only.
     *
     * @param preserveChecked - mark all options unchecked before changing the active index
     *
     * @internal
     */
    checkLastOption(preserveChecked = false) {
        if (preserveChecked) {
            if (this.rangeStartIndex === -1) {
                this.rangeStartIndex = this.activeIndex;
            }
            this.options.forEach((o, i) => {
                o.checked = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.inRange)(i, this.rangeStartIndex, this.options.length);
            });
        }
        else {
            this.uncheckAllOptions();
        }
        this.activeIndex = this.options.length - 1;
        this.checkActiveIndex();
    }
    /**
     * @override
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.addEventListener("focusout", this.focusoutHandler);
    }
    /**
     * @override
     * @internal
     */
    disconnectedCallback() {
        this.removeEventListener("focusout", this.focusoutHandler);
        super.disconnectedCallback();
    }
    /**
     * Increments the active index and marks the matching option as checked.
     *
     * @remarks
     * Multiple-selection mode only.
     *
     * @param preserveChecked - mark all options unchecked before changing the active index
     *
     * @internal
     */
    checkNextOption(preserveChecked = false) {
        if (preserveChecked) {
            if (this.rangeStartIndex === -1) {
                this.rangeStartIndex = this.activeIndex;
            }
            this.options.forEach((o, i) => {
                o.checked = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.inRange)(i, this.rangeStartIndex, this.activeIndex + 1);
            });
        }
        else {
            this.uncheckAllOptions();
        }
        this.activeIndex += this.activeIndex < this.options.length - 1 ? 1 : 0;
        this.checkActiveIndex();
    }
    /**
     * Decrements the active index and marks the matching option as checked.
     *
     * @remarks
     * Multiple-selection mode only.
     *
     * @param preserveChecked - mark all options unchecked before changing the active index
     *
     * @internal
     */
    checkPreviousOption(preserveChecked = false) {
        if (preserveChecked) {
            if (this.rangeStartIndex === -1) {
                this.rangeStartIndex = this.activeIndex;
            }
            if (this.checkedOptions.length === 1) {
                this.rangeStartIndex += 1;
            }
            this.options.forEach((o, i) => {
                o.checked = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.inRange)(i, this.activeIndex, this.rangeStartIndex);
            });
        }
        else {
            this.uncheckAllOptions();
        }
        this.activeIndex -= this.activeIndex > 0 ? 1 : 0;
        this.checkActiveIndex();
    }
    /**
     * Handles click events for listbox options.
     *
     * @param e - the event object
     *
     * @override
     * @internal
     */
    clickHandler(e) {
        var _a;
        if (!this.multiple) {
            return super.clickHandler(e);
        }
        const captured = (_a = e.target) === null || _a === void 0 ? void 0 : _a.closest(`[role=option]`);
        if (!captured || captured.disabled) {
            return;
        }
        this.uncheckAllOptions();
        this.activeIndex = this.options.indexOf(captured);
        this.checkActiveIndex();
        this.toggleSelectedForAllCheckedOptions();
        return true;
    }
    /**
     * @override
     * @internal
     */
    focusAndScrollOptionIntoView() {
        super.focusAndScrollOptionIntoView(this.activeOption);
    }
    /**
     * In multiple-selection mode:
     * If any options are selected, the first selected option is checked when
     * the listbox receives focus. If no options are selected, the first
     * selectable option is checked.
     *
     * @override
     * @internal
     */
    focusinHandler(e) {
        if (!this.multiple) {
            return super.focusinHandler(e);
        }
        if (!this.shouldSkipFocus && e.target === e.currentTarget) {
            this.uncheckAllOptions();
            if (this.activeIndex === -1) {
                this.activeIndex =
                    this.firstSelectedOptionIndex !== -1
                        ? this.firstSelectedOptionIndex
                        : 0;
            }
            this.checkActiveIndex();
            this.setSelectedOptions();
            this.focusAndScrollOptionIntoView();
        }
        this.shouldSkipFocus = false;
    }
    /**
     * Unchecks all options when the listbox loses focus.
     *
     * @internal
     */
    focusoutHandler(e) {
        if (this.multiple) {
            this.uncheckAllOptions();
        }
    }
    /**
     * Handles keydown actions for listbox navigation and typeahead
     *
     * @override
     * @internal
     */
    keydownHandler(e) {
        if (!this.multiple) {
            return super.keydownHandler(e);
        }
        if (this.disabled) {
            return true;
        }
        const { key, shiftKey } = e;
        this.shouldSkipFocus = false;
        switch (key) {
            // Select the first available option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyHome: {
                this.checkFirstOption(shiftKey);
                return;
            }
            // Select the next selectable option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowDown: {
                this.checkNextOption(shiftKey);
                return;
            }
            // Select the previous selectable option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowUp: {
                this.checkPreviousOption(shiftKey);
                return;
            }
            // Select the last available option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyEnd: {
                this.checkLastOption(shiftKey);
                return;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyTab: {
                this.focusAndScrollOptionIntoView();
                return true;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyEscape: {
                this.uncheckAllOptions();
                this.checkActiveIndex();
                return true;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keySpace: {
                e.preventDefault();
                if (this.typeAheadExpired) {
                    this.toggleSelectedForAllCheckedOptions();
                    return;
                }
            }
            // Send key to Typeahead handler
            default: {
                if (key.length === 1) {
                    this.handleTypeAhead(`${key}`);
                }
                return true;
            }
        }
    }
    /**
     * Prevents `focusin` events from firing before `click` events when the
     * element is unfocused.
     *
     * @override
     * @internal
     */
    mousedownHandler(e) {
        if (e.offsetX >= 0 && e.offsetX <= this.scrollWidth) {
            return super.mousedownHandler(e);
        }
    }
    /**
     * Switches between single-selection and multi-selection mode.
     *
     * @internal
     */
    multipleChanged(prev, next) {
        var _a;
        this.ariaMultiSelectable = next ? "true" : null;
        (_a = this.options) === null || _a === void 0 ? void 0 : _a.forEach(o => {
            o.checked = next ? false : undefined;
        });
        this.setSelectedOptions();
    }
    /**
     * Sets an option as selected and gives it focus.
     *
     * @override
     * @public
     */
    setSelectedOptions() {
        if (!this.multiple) {
            super.setSelectedOptions();
            return;
        }
        if (this.$fastController.isConnected && this.options) {
            this.selectedOptions = this.options.filter(o => o.selected);
            this.focusAndScrollOptionIntoView();
        }
    }
    /**
     * Ensures the size is a positive integer when the property is updated.
     *
     * @param prev - the previous size value
     * @param next - the current size value
     *
     * @internal
     */
    sizeChanged(prev, next) {
        var _a;
        const size = Math.max(0, parseInt((_a = next === null || next === void 0 ? void 0 : next.toFixed()) !== null && _a !== void 0 ? _a : "", 10));
        if (size !== next) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                this.size = size;
            });
        }
    }
    /**
     * Toggles the selected state of the provided options. If any provided items
     * are in an unselected state, all items are set to selected. If every
     * provided item is selected, they are all unselected.
     *
     * @internal
     */
    toggleSelectedForAllCheckedOptions() {
        const enabledCheckedOptions = this.checkedOptions.filter(o => !o.disabled);
        const force = !enabledCheckedOptions.every(o => o.selected);
        enabledCheckedOptions.forEach(o => (o.selected = force));
        this.selectedIndex = this.options.indexOf(enabledCheckedOptions[enabledCheckedOptions.length - 1]);
        this.setSelectedOptions();
    }
    /**
     * @override
     * @internal
     */
    typeaheadBufferChanged(prev, next) {
        if (!this.multiple) {
            super.typeaheadBufferChanged(prev, next);
            return;
        }
        if (this.$fastController.isConnected) {
            const typeaheadMatches = this.getTypeaheadMatches();
            const activeIndex = this.options.indexOf(typeaheadMatches[0]);
            if (activeIndex > -1) {
                this.activeIndex = activeIndex;
                this.uncheckAllOptions();
                this.checkActiveIndex();
            }
            this.typeAheadExpired = false;
        }
    }
    /**
     * Unchecks all options.
     *
     * @remarks
     * Multiple-selection mode only.
     *
     * @param preserveChecked - reset the rangeStartIndex
     *
     * @internal
     */
    uncheckAllOptions(preserveChecked = false) {
        this.options.forEach(o => (o.checked = this.multiple ? false : undefined));
        if (!preserveChecked) {
            this.rangeStartIndex = -1;
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], ListboxElement.prototype, "activeIndex", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], ListboxElement.prototype, "multiple", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_4__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], ListboxElement.prototype, "size", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIAListbox: () => (/* binding */ DelegatesARIAListbox),
/* harmony export */   Listbox: () => (/* binding */ Listbox)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/array.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/strings.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _listbox_option_listbox_option_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../listbox-option/listbox-option.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox-option/listbox-option.js");
/* harmony import */ var _patterns_aria_global_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../patterns/aria-global.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");







/**
 * A Listbox Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#listbox | ARIA listbox }.
 *
 * @slot - The default slot for the listbox options
 *
 * @public
 */
class Listbox extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The internal unfiltered list of selectable options.
         *
         * @internal
         */
        this._options = [];
        /**
         * The index of the selected option.
         *
         * @public
         */
        this.selectedIndex = -1;
        /**
         * A collection of the selected options.
         *
         * @public
         */
        this.selectedOptions = [];
        /**
         * A standard `click` event creates a `focus` event before firing, so a
         * `mousedown` event is used to skip that initial focus.
         *
         * @internal
         */
        this.shouldSkipFocus = false;
        /**
         * The current typeahead buffer string.
         *
         * @internal
         */
        this.typeaheadBuffer = "";
        /**
         * Flag for the typeahead timeout expiration.
         *
         * @internal
         */
        this.typeaheadExpired = true;
        /**
         * The timeout ID for the typeahead handler.
         *
         * @internal
         */
        this.typeaheadTimeout = -1;
    }
    /**
     * The first selected option.
     *
     * @internal
     */
    get firstSelectedOption() {
        var _a;
        return (_a = this.selectedOptions[0]) !== null && _a !== void 0 ? _a : null;
    }
    /**
     * Returns true if there is one or more selectable option.
     *
     * @internal
     */
    get hasSelectableOptions() {
        return this.options.length > 0 && !this.options.every(o => o.disabled);
    }
    /**
     * The number of options.
     *
     * @public
     */
    get length() {
        var _a, _b;
        return (_b = (_a = this.options) === null || _a === void 0 ? void 0 : _a.length) !== null && _b !== void 0 ? _b : 0;
    }
    /**
     * The list of options.
     *
     * @public
     */
    get options() {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, "options");
        return this._options;
    }
    set options(value) {
        this._options = value;
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.notify(this, "options");
    }
    /**
     * Flag for the typeahead timeout expiration.
     *
     * @deprecated use `Listbox.typeaheadExpired`
     * @internal
     */
    get typeAheadExpired() {
        return this.typeaheadExpired;
    }
    set typeAheadExpired(value) {
        this.typeaheadExpired = value;
    }
    /**
     * Handle click events for listbox options.
     *
     * @internal
     */
    clickHandler(e) {
        const captured = e.target.closest(`option,[role=option]`);
        if (captured && !captured.disabled) {
            this.selectedIndex = this.options.indexOf(captured);
            return true;
        }
    }
    /**
     * Ensures that the provided option is focused and scrolled into view.
     *
     * @param optionToFocus - The option to focus
     * @internal
     */
    focusAndScrollOptionIntoView(optionToFocus = this.firstSelectedOption) {
        // To ensure that the browser handles both `focus()` and `scrollIntoView()`, the
        // timing here needs to guarantee that they happen on different frames. Since this
        // function is typically called from the `openChanged` observer, `DOM.queueUpdate`
        // causes the calls to be grouped into the same frame. To prevent this,
        // `requestAnimationFrame` is used instead of `DOM.queueUpdate`.
        if (this.contains(document.activeElement) && optionToFocus !== null) {
            optionToFocus.focus();
            requestAnimationFrame(() => {
                optionToFocus.scrollIntoView({ block: "nearest" });
            });
        }
    }
    /**
     * Handles `focusin` actions for the component. When the component receives focus,
     * the list of selected options is refreshed and the first selected option is scrolled
     * into view.
     *
     * @internal
     */
    focusinHandler(e) {
        if (!this.shouldSkipFocus && e.target === e.currentTarget) {
            this.setSelectedOptions();
            this.focusAndScrollOptionIntoView();
        }
        this.shouldSkipFocus = false;
    }
    /**
     * Returns the options which match the current typeahead buffer.
     *
     * @internal
     */
    getTypeaheadMatches() {
        const pattern = this.typeaheadBuffer.replace(/[.*+\-?^${}()|[\]\\]/g, "\\$&");
        const re = new RegExp(`^${pattern}`, "gi");
        return this.options.filter((o) => o.text.trim().match(re));
    }
    /**
     * Determines the index of the next option which is selectable, if any.
     *
     * @param prev - the previous selected index
     * @param next - the next index to select
     *
     * @internal
     */
    getSelectableIndex(prev = this.selectedIndex, next) {
        const direction = prev > next ? -1 : prev < next ? 1 : 0;
        const potentialDirection = prev + direction;
        let nextSelectableOption = null;
        switch (direction) {
            case -1: {
                nextSelectableOption = this.options.reduceRight((nextSelectableOption, thisOption, index) => !nextSelectableOption &&
                    !thisOption.disabled &&
                    index < potentialDirection
                    ? thisOption
                    : nextSelectableOption, nextSelectableOption);
                break;
            }
            case 1: {
                nextSelectableOption = this.options.reduce((nextSelectableOption, thisOption, index) => !nextSelectableOption &&
                    !thisOption.disabled &&
                    index > potentialDirection
                    ? thisOption
                    : nextSelectableOption, nextSelectableOption);
                break;
            }
        }
        return this.options.indexOf(nextSelectableOption);
    }
    /**
     * Handles external changes to child options.
     *
     * @param source - the source object
     * @param propertyName - the property
     *
     * @internal
     */
    handleChange(source, propertyName) {
        switch (propertyName) {
            case "selected": {
                if (Listbox.slottedOptionFilter(source)) {
                    this.selectedIndex = this.options.indexOf(source);
                }
                this.setSelectedOptions();
                break;
            }
        }
    }
    /**
     * Moves focus to an option whose label matches characters typed by the user.
     * Consecutive keystrokes are batched into a buffer of search text used
     * to match against the set of options.  If `TYPE_AHEAD_TIMEOUT_MS` passes
     * between consecutive keystrokes, the search restarts.
     *
     * @param key - the key to be evaluated
     *
     * @internal
     */
    handleTypeAhead(key) {
        if (this.typeaheadTimeout) {
            window.clearTimeout(this.typeaheadTimeout);
        }
        this.typeaheadTimeout = window.setTimeout(() => (this.typeaheadExpired = true), Listbox.TYPE_AHEAD_TIMEOUT_MS);
        if (key.length > 1) {
            return;
        }
        this.typeaheadBuffer = `${this.typeaheadExpired ? "" : this.typeaheadBuffer}${key}`;
    }
    /**
     * Handles `keydown` actions for listbox navigation and typeahead.
     *
     * @internal
     */
    keydownHandler(e) {
        if (this.disabled) {
            return true;
        }
        this.shouldSkipFocus = false;
        const key = e.key;
        switch (key) {
            // Select the first available option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyHome: {
                if (!e.shiftKey) {
                    e.preventDefault();
                    this.selectFirstOption();
                }
                break;
            }
            // Select the next selectable option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowDown: {
                if (!e.shiftKey) {
                    e.preventDefault();
                    this.selectNextOption();
                }
                break;
            }
            // Select the previous selectable option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowUp: {
                if (!e.shiftKey) {
                    e.preventDefault();
                    this.selectPreviousOption();
                }
                break;
            }
            // Select the last available option
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyEnd: {
                e.preventDefault();
                this.selectLastOption();
                break;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyTab: {
                this.focusAndScrollOptionIntoView();
                return true;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyEnter:
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyEscape: {
                return true;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keySpace: {
                if (this.typeaheadExpired) {
                    return true;
                }
            }
            // Send key to Typeahead handler
            default: {
                if (key.length === 1) {
                    this.handleTypeAhead(`${key}`);
                }
                return true;
            }
        }
    }
    /**
     * Prevents `focusin` events from firing before `click` events when the
     * element is unfocused.
     *
     * @internal
     */
    mousedownHandler(e) {
        this.shouldSkipFocus = !this.contains(document.activeElement);
        return true;
    }
    /**
     * Switches between single-selection and multi-selection mode.
     *
     * @param prev - the previous value of the `multiple` attribute
     * @param next - the next value of the `multiple` attribute
     *
     * @internal
     */
    multipleChanged(prev, next) {
        this.ariaMultiSelectable = next ? "true" : null;
    }
    /**
     * Updates the list of selected options when the `selectedIndex` changes.
     *
     * @param prev - the previous selected index value
     * @param next - the current selected index value
     *
     * @internal
     */
    selectedIndexChanged(prev, next) {
        var _a;
        if (!this.hasSelectableOptions) {
            this.selectedIndex = -1;
            return;
        }
        if (((_a = this.options[this.selectedIndex]) === null || _a === void 0 ? void 0 : _a.disabled) && typeof prev === "number") {
            const selectableIndex = this.getSelectableIndex(prev, next);
            const newNext = selectableIndex > -1 ? selectableIndex : prev;
            this.selectedIndex = newNext;
            if (next === newNext) {
                this.selectedIndexChanged(next, newNext);
            }
            return;
        }
        this.setSelectedOptions();
    }
    /**
     * Updates the selectedness of each option when the list of selected options changes.
     *
     * @param prev - the previous list of selected options
     * @param next - the current list of selected options
     *
     * @internal
     */
    selectedOptionsChanged(prev, next) {
        var _a;
        const filteredNext = next.filter(Listbox.slottedOptionFilter);
        (_a = this.options) === null || _a === void 0 ? void 0 : _a.forEach(o => {
            const notifier = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(o);
            notifier.unsubscribe(this, "selected");
            o.selected = filteredNext.includes(o);
            notifier.subscribe(this, "selected");
        });
    }
    /**
     * Moves focus to the first selectable option.
     *
     * @public
     */
    selectFirstOption() {
        var _a, _b;
        if (!this.disabled) {
            this.selectedIndex = (_b = (_a = this.options) === null || _a === void 0 ? void 0 : _a.findIndex(o => !o.disabled)) !== null && _b !== void 0 ? _b : -1;
        }
    }
    /**
     * Moves focus to the last selectable option.
     *
     * @internal
     */
    selectLastOption() {
        if (!this.disabled) {
            this.selectedIndex = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.findLastIndex)(this.options, o => !o.disabled);
        }
    }
    /**
     * Moves focus to the next selectable option.
     *
     * @internal
     */
    selectNextOption() {
        if (!this.disabled && this.selectedIndex < this.options.length - 1) {
            this.selectedIndex += 1;
        }
    }
    /**
     * Moves focus to the previous selectable option.
     *
     * @internal
     */
    selectPreviousOption() {
        if (!this.disabled && this.selectedIndex > 0) {
            this.selectedIndex = this.selectedIndex - 1;
        }
    }
    /**
     * Updates the selected index to match the first selected option.
     *
     * @internal
     */
    setDefaultSelectedOption() {
        var _a, _b;
        this.selectedIndex = (_b = (_a = this.options) === null || _a === void 0 ? void 0 : _a.findIndex(el => el.defaultSelected)) !== null && _b !== void 0 ? _b : -1;
    }
    /**
     * Sets an option as selected and gives it focus.
     *
     * @public
     */
    setSelectedOptions() {
        var _a, _b, _c;
        if ((_a = this.options) === null || _a === void 0 ? void 0 : _a.length) {
            this.selectedOptions = [this.options[this.selectedIndex]];
            this.ariaActiveDescendant = (_c = (_b = this.firstSelectedOption) === null || _b === void 0 ? void 0 : _b.id) !== null && _c !== void 0 ? _c : "";
            this.focusAndScrollOptionIntoView();
        }
    }
    /**
     * Updates the list of options and resets the selected option when the slotted option content changes.
     *
     * @param prev - the previous list of slotted options
     * @param next - the current list of slotted options
     *
     * @internal
     */
    slottedOptionsChanged(prev, next) {
        this.options = next.reduce((options, item) => {
            if ((0,_listbox_option_listbox_option_js__WEBPACK_IMPORTED_MODULE_4__.isListboxOption)(item)) {
                options.push(item);
            }
            return options;
        }, []);
        const setSize = `${this.options.length}`;
        this.options.forEach((option, index) => {
            if (!option.id) {
                option.id = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.uniqueId)("option-");
            }
            option.ariaPosInSet = `${index + 1}`;
            option.ariaSetSize = setSize;
        });
        if (this.$fastController.isConnected) {
            this.setSelectedOptions();
            this.setDefaultSelectedOption();
        }
    }
    /**
     * Updates the filtered list of options when the typeahead buffer changes.
     *
     * @param prev - the previous typeahead buffer value
     * @param next - the current typeahead buffer value
     *
     * @internal
     */
    typeaheadBufferChanged(prev, next) {
        if (this.$fastController.isConnected) {
            const typeaheadMatches = this.getTypeaheadMatches();
            if (typeaheadMatches.length) {
                const selectedIndex = this.options.indexOf(typeaheadMatches[0]);
                if (selectedIndex > -1) {
                    this.selectedIndex = selectedIndex;
                }
            }
            this.typeaheadExpired = false;
        }
    }
}
/**
 * A static filter to include only selectable options.
 *
 * @param n - element to filter
 * @public
 */
Listbox.slottedOptionFilter = (n) => (0,_listbox_option_listbox_option_js__WEBPACK_IMPORTED_MODULE_4__.isListboxOption)(n) && !n.hidden;
/**
 * Typeahead timeout in milliseconds.
 *
 * @internal
 */
Listbox.TYPE_AHEAD_TIMEOUT_MS = 1000;
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Listbox.prototype, "disabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Listbox.prototype, "selectedIndex", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Listbox.prototype, "selectedOptions", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Listbox.prototype, "slottedOptions", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Listbox.prototype, "typeaheadBuffer", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA listbox role
 *
 * @public
 */
class DelegatesARIAListbox {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListbox.prototype, "ariaActiveDescendant", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListbox.prototype, "ariaDisabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListbox.prototype, "ariaExpanded", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIAListbox.prototype, "ariaMultiSelectable", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__.applyMixins)(DelegatesARIAListbox, _patterns_aria_global_js__WEBPACK_IMPORTED_MODULE_8__.ARIAGlobalStatesAndProperties);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__.applyMixins)(Listbox, DelegatesARIAListbox);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.template.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.template.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   listboxTemplate: () => (/* binding */ listboxTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _listbox_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./listbox.element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.element.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(Listbox:class)} component.
 * @public
 */
const listboxTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        aria-activedescendant="${x => x.ariaActiveDescendant}"
        aria-multiselectable="${x => x.ariaMultiSelectable}"
        class="listbox"
        role="listbox"
        tabindex="${x => (!x.disabled ? "0" : null)}"
        @click="${(x, c) => x.clickHandler(c.event)}"
        @focusin="${(x, c) => x.focusinHandler(c.event)}"
        @keydown="${(x, c) => x.keydownHandler(c.event)}"
        @mousedown="${(x, c) => x.mousedownHandler(c.event)}"
    >
        <slot
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({
    filter: _listbox_element_js__WEBPACK_IMPORTED_MODULE_1__.ListboxElement.slottedOptionFilter,
    flatten: true,
    property: "slottedOptions",
})}
        ></slot>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuItem: () => (/* reexport safe */ _menu_item_js__WEBPACK_IMPORTED_MODULE_1__.MenuItem),
/* harmony export */   MenuItemRole: () => (/* reexport safe */ _menu_item_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole),
/* harmony export */   menuItemTemplate: () => (/* reexport safe */ _menu_item_template_js__WEBPACK_IMPORTED_MODULE_0__.menuItemTemplate),
/* harmony export */   roleForMenuItem: () => (/* reexport safe */ _menu_item_js__WEBPACK_IMPORTED_MODULE_1__.roleForMenuItem)
/* harmony export */ });
/* harmony import */ var _menu_item_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./menu-item.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.template.js");
/* harmony import */ var _menu_item_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./menu-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuItem: () => (/* binding */ MenuItem),
/* harmony export */   MenuItemRole: () => (/* reexport safe */ _menu_item_options_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole),
/* harmony export */   roleForMenuItem: () => (/* reexport safe */ _menu_item_options_js__WEBPACK_IMPORTED_MODULE_1__.roleForMenuItem)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_direction_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utilities/direction.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _menu_item_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./menu-item.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.options.js");









/**
 * A Switch Custom HTML Element.
 * Implements {@link https://www.w3.org/TR/wai-aria-1.1/#menuitem | ARIA menuitem }, {@link https://www.w3.org/TR/wai-aria-1.1/#menuitemcheckbox | ARIA menuitemcheckbox}, or {@link https://www.w3.org/TR/wai-aria-1.1/#menuitemradio | ARIA menuitemradio }.
 *
 * @slot checked-indicator - The checked indicator
 * @slot radio-indicator - The radio indicator
 * @slot start - Content which can be provided before the menu item content
 * @slot end - Content which can be provided after the menu item content
 * @slot - The default slot for menu item content
 * @slot expand-collapse-indicator - The expand/collapse indicator
 * @slot submenu - Used to nest menu's within menu items
 * @csspart input-container - The element representing the visual checked or radio indicator
 * @csspart checkbox - The element wrapping the `menuitemcheckbox` indicator
 * @csspart radio - The element wrapping the `menuitemradio` indicator
 * @csspart content - The element wrapping the menu item content
 * @csspart expand-collapse-glyph-container - The element wrapping the expand collapse element
 * @csspart expand-collapse - The expand/collapse element
 * @csspart submenu-region - The container for the submenu, used for positioning
 * @fires expanded-change - Fires a custom 'expanded-change' event when the expanded state changes
 * @fires change - Fires a custom 'change' event when a non-submenu item with a role of `menuitemcheckbox`, `menuitemradio`, or `menuitem` is invoked
 *
 * @public
 */
class MenuItem extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The role of the element.
         *
         * @public
         * @remarks
         * HTML Attribute: role
         */
        this.role = _menu_item_options_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole.menuitem;
        /**
         * @internal
         */
        this.hasSubmenu = false;
        /**
         * Track current direction to pass to the anchored region
         *
         * @internal
         */
        this.currentDirection = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Direction.ltr;
        this.focusSubmenuOnLoad = false;
        /**
         * @internal
         */
        this.handleMenuItemKeyDown = (e) => {
            if (e.defaultPrevented) {
                return false;
            }
            switch (e.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEnter:
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keySpace:
                    this.invoke();
                    return false;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowRight:
                    //open/focus on submenu
                    this.expandAndFocus();
                    return false;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowLeft:
                    //close submenu
                    if (this.expanded) {
                        this.expanded = false;
                        this.focus();
                        return false;
                    }
            }
            return true;
        };
        /**
         * @internal
         */
        this.handleMenuItemClick = (e) => {
            if (e.defaultPrevented || this.disabled) {
                return false;
            }
            this.invoke();
            return false;
        };
        /**
         * @internal
         */
        this.submenuLoaded = () => {
            if (!this.focusSubmenuOnLoad) {
                return;
            }
            this.focusSubmenuOnLoad = false;
            if (this.hasSubmenu) {
                this.submenu.focus();
                this.setAttribute("tabindex", "-1");
            }
        };
        /**
         * @internal
         */
        this.handleMouseOver = (e) => {
            if (this.disabled || !this.hasSubmenu || this.expanded) {
                return false;
            }
            this.expanded = true;
            return false;
        };
        /**
         * @internal
         */
        this.handleMouseOut = (e) => {
            if (!this.expanded || this.contains(document.activeElement)) {
                return false;
            }
            this.expanded = false;
            return false;
        };
        /**
         * @internal
         */
        this.expandAndFocus = () => {
            if (!this.hasSubmenu) {
                return;
            }
            this.focusSubmenuOnLoad = true;
            this.expanded = true;
        };
        /**
         * @internal
         */
        this.invoke = () => {
            if (this.disabled) {
                return;
            }
            switch (this.role) {
                case _menu_item_options_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole.menuitemcheckbox:
                    this.checked = !this.checked;
                    break;
                case _menu_item_options_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole.menuitem:
                    // update submenu
                    this.updateSubmenu();
                    if (this.hasSubmenu) {
                        this.expandAndFocus();
                    }
                    else {
                        this.$emit("change");
                    }
                    break;
                case _menu_item_options_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole.menuitemradio:
                    if (!this.checked) {
                        this.checked = true;
                    }
                    break;
            }
        };
        /**
         * Gets the submenu element if any
         *
         * @internal
         */
        this.updateSubmenu = () => {
            this.submenu = this.domChildren().find((element) => {
                return element.getAttribute("role") === "menu";
            });
            this.hasSubmenu = this.submenu === undefined ? false : true;
        };
    }
    expandedChanged(oldValue) {
        if (this.$fastController.isConnected) {
            if (this.submenu === undefined) {
                return;
            }
            if (this.expanded === false) {
                this.submenu.collapseExpandedItem();
            }
            else {
                this.currentDirection = (0,_utilities_direction_js__WEBPACK_IMPORTED_MODULE_5__.getDirection)(this);
            }
            this.$emit("expanded-change", this, { bubbles: false });
        }
    }
    checkedChanged(oldValue, newValue) {
        if (this.$fastController.isConnected) {
            this.$emit("change");
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
            this.updateSubmenu();
        });
        if (!this.startColumnCount) {
            this.startColumnCount = 1;
        }
        this.observer = new MutationObserver(this.updateSubmenu);
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.submenu = undefined;
        if (this.observer !== undefined) {
            this.observer.disconnect();
            this.observer = undefined;
        }
    }
    /**
     * get an array of valid DOM children
     */
    domChildren() {
        return Array.from(this.children).filter(child => !child.hasAttribute("hidden"));
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], MenuItem.prototype, "disabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], MenuItem.prototype, "expanded", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], MenuItem.prototype, "startColumnCount", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], MenuItem.prototype, "role", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], MenuItem.prototype, "checked", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], MenuItem.prototype, "submenuRegion", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], MenuItem.prototype, "hasSubmenu", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], MenuItem.prototype, "currentDirection", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], MenuItem.prototype, "submenu", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__.applyMixins)(MenuItem, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_8__.StartEnd);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.options.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.options.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MenuItemRole: () => (/* binding */ MenuItemRole),
/* harmony export */   roleForMenuItem: () => (/* binding */ roleForMenuItem)
/* harmony export */ });
/**
 * Menu items roles.
 * @public
 */
const MenuItemRole = {
    /**
     * The menu item has a "menuitem" role
     */
    menuitem: "menuitem",
    /**
     * The menu item has a "menuitemcheckbox" role
     */
    menuitemcheckbox: "menuitemcheckbox",
    /**
     * The menu item has a "menuitemradio" role
     */
    menuitemradio: "menuitemradio",
};
/**
 * @internal
 */
const roleForMenuItem = {
    [MenuItemRole.menuitem]: "menuitem",
    [MenuItemRole.menuitemcheckbox]: "menuitemcheckbox",
    [MenuItemRole.menuitemradio]: "menuitemradio",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.template.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.template.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   menuItemTemplate: () => (/* binding */ menuItemTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../anchored-region/anchored-region.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _menu_item_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./menu-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.options.js");




/**
 * Generates a template for the {@link @microsoft/fast-foundation#(MenuItem:class)} component using
 * the provided prefix.
 *
 * @public
 */
const menuItemTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="${x => x.role}"
        aria-haspopup="${x => (x.hasSubmenu ? "menu" : void 0)}"
        aria-checked="${x => (x.role !== _menu_item_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole.menuitem ? x.checked : void 0)}"
        aria-disabled="${x => x.disabled}"
        aria-expanded="${x => x.expanded}"
        @keydown="${(x, c) => x.handleMenuItemKeyDown(c.event)}"
        @click="${(x, c) => x.handleMenuItemClick(c.event)}"
        @mouseover="${(x, c) => x.handleMouseOver(c.event)}"
        @mouseout="${(x, c) => x.handleMouseOut(c.event)}"
        class="${x => (x.disabled ? "disabled" : "")} ${x => x.expanded ? "expanded" : ""} ${x => `indent-${x.startColumnCount}`}"
    >
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.role === _menu_item_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole.menuitemcheckbox, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                    <div part="input-container" class="input-container">
                        <span part="checkbox" class="checkbox">
                            <slot name="checkbox-indicator">
                                ${definition.checkboxIndicator || ""}
                            </slot>
                        </span>
                    </div>
                `)}
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.role === _menu_item_js__WEBPACK_IMPORTED_MODULE_1__.MenuItemRole.menuitemradio, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                    <div part="input-container" class="input-container">
                        <span part="radio" class="radio">
                            <slot name="radio-indicator">
                                ${definition.radioIndicator || ""}
                            </slot>
                        </span>
                    </div>
                `)}
        </div>
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.startSlotTemplate)(context, definition)}
        <span class="content" part="content">
            <slot></slot>
        </span>
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.endSlotTemplate)(context, definition)}
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.hasSubmenu, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <div
                    part="expand-collapse-glyph-container"
                    class="expand-collapse-glyph-container"
                >
                    <span part="expand-collapse" class="expand-collapse">
                        <slot name="expand-collapse-indicator">
                            ${definition.expandCollapseGlyph || ""}
                        </slot>
                    </span>
                </div>
            `)}
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.expanded, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <${context.tagFor(_anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_3__.AnchoredRegion)}
                    :anchorElement="${x => x}"
                    vertical-positioning-mode="dynamic"
                    vertical-default-position="bottom"
                    vertical-inset="true"
                    horizontal-positioning-mode="dynamic"
                    horizontal-default-position="end"
                    class="submenu-region"
                    dir="${x => x.currentDirection}"
                    @loaded="${x => x.submenuLoaded()}"
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("submenuRegion")}
                    part="submenu-region"
                >
                    <slot name="submenu"></slot>
                </${context.tagFor(_anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_3__.AnchoredRegion)}>
            `)}
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/menu/index.js":
/*!************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/menu/index.js ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Menu: () => (/* reexport safe */ _menu_js__WEBPACK_IMPORTED_MODULE_1__.Menu),
/* harmony export */   menuTemplate: () => (/* reexport safe */ _menu_template_js__WEBPACK_IMPORTED_MODULE_0__.menuTemplate)
/* harmony export */ });
/* harmony import */ var _menu_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./menu.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu/menu.template.js");
/* harmony import */ var _menu_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./menu.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu/menu.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/menu/menu.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/menu/menu.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Menu: () => (/* binding */ Menu)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/dom.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _menu_item_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../menu-item/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.options.js");
/* harmony import */ var _menu_item_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../menu-item/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/menu-item/menu-item.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");





/**
 * A Menu Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#menu | ARIA menu }.
 *
 * @slot - The default slot for the menu items
 *
 * @public
 */
class Menu extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        this.expandedItem = null;
        /**
         * The index of the focusable element in the items array
         * defaults to -1
         */
        this.focusIndex = -1;
        /**
         * @internal
         */
        this.isNestedMenu = () => {
            return (this.parentElement !== null &&
                (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.isHTMLElement)(this.parentElement) &&
                this.parentElement.getAttribute("role") === "menuitem");
        };
        /**
         * if focus is moving out of the menu, reset to a stable initial state
         * @internal
         */
        this.handleFocusOut = (e) => {
            if (!this.contains(e.relatedTarget) && this.menuItems !== undefined) {
                this.collapseExpandedItem();
                // find our first focusable element
                const focusIndex = this.menuItems.findIndex(this.isFocusableElement);
                // set the current focus index's tabindex to -1
                this.menuItems[this.focusIndex].setAttribute("tabindex", "-1");
                // set the first focusable element tabindex to 0
                this.menuItems[focusIndex].setAttribute("tabindex", "0");
                // set the focus index
                this.focusIndex = focusIndex;
            }
        };
        this.handleItemFocus = (e) => {
            const targetItem = e.target;
            if (this.menuItems !== undefined &&
                targetItem !== this.menuItems[this.focusIndex]) {
                this.menuItems[this.focusIndex].setAttribute("tabindex", "-1");
                this.focusIndex = this.menuItems.indexOf(targetItem);
                targetItem.setAttribute("tabindex", "0");
            }
        };
        this.handleExpandedChanged = (e) => {
            if (e.defaultPrevented ||
                e.target === null ||
                this.menuItems === undefined ||
                this.menuItems.indexOf(e.target) < 0) {
                return;
            }
            e.preventDefault();
            const changedItem = e.target;
            // closing an expanded item without opening another
            if (this.expandedItem !== null &&
                changedItem === this.expandedItem &&
                changedItem.expanded === false) {
                this.expandedItem = null;
                return;
            }
            if (changedItem.expanded) {
                if (this.expandedItem !== null && this.expandedItem !== changedItem) {
                    this.expandedItem.expanded = false;
                }
                this.menuItems[this.focusIndex].setAttribute("tabindex", "-1");
                this.expandedItem = changedItem;
                this.focusIndex = this.menuItems.indexOf(changedItem);
                changedItem.setAttribute("tabindex", "0");
            }
        };
        this.removeItemListeners = () => {
            if (this.menuItems !== undefined) {
                this.menuItems.forEach((item) => {
                    item.removeEventListener("expanded-change", this.handleExpandedChanged);
                    item.removeEventListener("focus", this.handleItemFocus);
                });
            }
        };
        this.setItems = () => {
            const newItems = this.domChildren();
            this.removeItemListeners();
            this.menuItems = newItems;
            const menuItems = this.menuItems.filter(this.isMenuItemElement);
            // if our focus index is not -1 we have items
            if (menuItems.length) {
                this.focusIndex = 0;
            }
            function elementIndent(el) {
                const role = el.getAttribute("role");
                const startSlot = el.querySelector("[slot=start]");
                if (role !== _menu_item_index_js__WEBPACK_IMPORTED_MODULE_3__.MenuItemRole.menuitem && startSlot === null) {
                    return 1;
                }
                else if (role === _menu_item_index_js__WEBPACK_IMPORTED_MODULE_3__.MenuItemRole.menuitem && startSlot !== null) {
                    return 1;
                }
                else if (role !== _menu_item_index_js__WEBPACK_IMPORTED_MODULE_3__.MenuItemRole.menuitem && startSlot !== null) {
                    return 2;
                }
                else {
                    return 0;
                }
            }
            const indent = menuItems.reduce((accum, current) => {
                const elementValue = elementIndent(current);
                return accum > elementValue ? accum : elementValue;
            }, 0);
            menuItems.forEach((item, index) => {
                item.setAttribute("tabindex", index === 0 ? "0" : "-1");
                item.addEventListener("expanded-change", this.handleExpandedChanged);
                item.addEventListener("focus", this.handleItemFocus);
                if (item instanceof _menu_item_index_js__WEBPACK_IMPORTED_MODULE_4__.MenuItem || "startColumnCount" in item) {
                    item.startColumnCount = indent;
                }
            });
        };
        /**
         * handle change from child element
         */
        this.changeHandler = (e) => {
            if (this.menuItems === undefined) {
                return;
            }
            const changedMenuItem = e.target;
            const changeItemIndex = this.menuItems.indexOf(changedMenuItem);
            if (changeItemIndex === -1) {
                return;
            }
            if (changedMenuItem.role === "menuitemradio" &&
                changedMenuItem.checked === true) {
                for (let i = changeItemIndex - 1; i >= 0; --i) {
                    const item = this.menuItems[i];
                    const role = item.getAttribute("role");
                    if (role === _menu_item_index_js__WEBPACK_IMPORTED_MODULE_3__.MenuItemRole.menuitemradio) {
                        item.checked = false;
                    }
                    if (role === "separator") {
                        break;
                    }
                }
                const maxIndex = this.menuItems.length - 1;
                for (let i = changeItemIndex + 1; i <= maxIndex; ++i) {
                    const item = this.menuItems[i];
                    const role = item.getAttribute("role");
                    if (role === _menu_item_index_js__WEBPACK_IMPORTED_MODULE_3__.MenuItemRole.menuitemradio) {
                        item.checked = false;
                    }
                    if (role === "separator") {
                        break;
                    }
                }
            }
        };
        /**
         * check if the item is a menu item
         */
        this.isMenuItemElement = (el) => {
            return ((0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.isHTMLElement)(el) &&
                Menu.focusableElementRoles.hasOwnProperty(el.getAttribute("role")));
        };
        /**
         * check if the item is focusable
         */
        this.isFocusableElement = (el) => {
            return this.isMenuItemElement(el);
        };
    }
    itemsChanged(oldValue, newValue) {
        // only update children after the component is connected and
        // the setItems has run on connectedCallback
        // (menuItems is undefined until then)
        if (this.$fastController.isConnected && this.menuItems !== undefined) {
            this.setItems();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
            // wait until children have had a chance to
            // connect before setting/checking their props/attributes
            this.setItems();
        });
        this.addEventListener("change", this.changeHandler);
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.removeItemListeners();
        this.menuItems = undefined;
        this.removeEventListener("change", this.changeHandler);
    }
    /**
     * Focuses the first item in the menu.
     *
     * @public
     */
    focus() {
        this.setFocus(0, 1);
    }
    /**
     * Collapses any expanded menu items.
     *
     * @public
     */
    collapseExpandedItem() {
        if (this.expandedItem !== null) {
            this.expandedItem.expanded = false;
            this.expandedItem = null;
        }
    }
    /**
     * @internal
     */
    handleMenuKeyDown(e) {
        if (e.defaultPrevented || this.menuItems === undefined) {
            return;
        }
        switch (e.key) {
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyArrowDown:
                // go forward one index
                this.setFocus(this.focusIndex + 1, 1);
                return;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyArrowUp:
                // go back one index
                this.setFocus(this.focusIndex - 1, -1);
                return;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyEnd:
                // set focus on last item
                this.setFocus(this.menuItems.length - 1, -1);
                return;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyHome:
                // set focus on first item
                this.setFocus(0, 1);
                return;
            default:
                // if we are not handling the event, do not prevent default
                return true;
        }
    }
    /**
     * get an array of valid DOM children
     */
    domChildren() {
        return Array.from(this.children).filter(child => !child.hasAttribute("hidden"));
    }
    setFocus(focusIndex, adjustment) {
        if (this.menuItems === undefined) {
            return;
        }
        while (focusIndex >= 0 && focusIndex < this.menuItems.length) {
            const child = this.menuItems[focusIndex];
            if (this.isFocusableElement(child)) {
                // change the previous index to -1
                if (this.focusIndex > -1 &&
                    this.menuItems.length >= this.focusIndex - 1) {
                    this.menuItems[this.focusIndex].setAttribute("tabindex", "-1");
                }
                // update the focus index
                this.focusIndex = focusIndex;
                // update the tabindex of next focusable element
                child.setAttribute("tabindex", "0");
                // focus the element
                child.focus();
                break;
            }
            focusIndex += adjustment;
        }
    }
}
Menu.focusableElementRoles = _menu_item_index_js__WEBPACK_IMPORTED_MODULE_3__.roleForMenuItem;
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Menu.prototype, "items", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/menu/menu.template.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/menu/menu.template.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   menuTemplate: () => (/* binding */ menuTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Menu} component.
 * @public
 */
const menuTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        slot="${x => (x.slot ? x.slot : x.isNestedMenu() ? "submenu" : void 0)}"
        role="menu"
        @keydown="${(x, c) => x.handleMenuKeyDown(c.event)}"
        @focusout="${(x, c) => x.handleFocusOut(c.event)}"
    >
        <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("items")}></slot>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/index.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/number-field/index.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NumberField: () => (/* reexport safe */ _number_field_js__WEBPACK_IMPORTED_MODULE_1__.NumberField),
/* harmony export */   numberFieldTemplate: () => (/* reexport safe */ _number_field_template_js__WEBPACK_IMPORTED_MODULE_0__.numberFieldTemplate)
/* harmony export */ });
/* harmony import */ var _number_field_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./number-field.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.template.js");
/* harmony import */ var _number_field_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./number-field.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.form-associated.js":
/*!*******************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.form-associated.js ***!
  \*******************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedNumberField: () => (/* binding */ FormAssociatedNumberField)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _NumberField extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(NumberField:class)} component.
 *
 * @internal
 */
class FormAssociatedNumberField extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_NumberField) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.js ***!
  \***************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   NumberField: () => (/* binding */ NumberField)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _text_field_text_field_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../text-field/text-field.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.js");
/* harmony import */ var _number_field_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./number-field.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.form-associated.js");







/**
 * A Number Field Custom HTML Element.
 * Based largely on the {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/number | <input type="number" /> element }.
 *
 * @slot start - Content which can be provided before the number field input
 * @slot end - Content which can be provided after the number field input
 * @slot - The default slot for the label
 * @slot step-up-glyph - The glyph for the step up control
 * @slot step-down-glyph - The glyph for the step down control
 * @csspart label - The label
 * @csspart root - The element wrapping the control, including start and end slots
 * @csspart control - The element representing the input
 * @csspart controls - The step up and step down controls
 * @csspart step-up - The step up control
 * @csspart step-down - The step down control
 * @fires input - Fires a custom 'input' event when the value has changed
 * @fires change - Fires a custom 'change' event when the value has changed
 *
 * @public
 */
class NumberField extends _number_field_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedNumberField {
    constructor() {
        super(...arguments);
        /**
         * When true, spin buttons will not be rendered
         * @public
         * @remarks
         * HTML Attribute: autofocus
         */
        this.hideStep = false;
        /**
         * Amount to increment or decrement the value by
         * @public
         * @remarks
         * HTMLAttribute: step
         */
        this.step = 1;
        /**
         * Flag to indicate that the value change is from the user input
         * @internal
         */
        this.isUserInput = false;
    }
    /**
     * Ensures that the max is greater than the min and that the value
     *  is less than the max
     * @param previous - the previous max value
     * @param next - updated max value
     *
     * @internal
     */
    maxChanged(previous, next) {
        var _a;
        this.max = Math.max(next, (_a = this.min) !== null && _a !== void 0 ? _a : next);
        const min = Math.min(this.min, this.max);
        if (this.min !== undefined && this.min !== min) {
            this.min = min;
        }
        this.value = this.getValidValue(this.value);
    }
    /**
     * Ensures that the min is less than the max and that the value
     *  is greater than the min
     * @param previous - previous min value
     * @param next - updated min value
     *
     * @internal
     */
    minChanged(previous, next) {
        var _a;
        this.min = Math.min(next, (_a = this.max) !== null && _a !== void 0 ? _a : next);
        const max = Math.max(this.min, this.max);
        if (this.max !== undefined && this.max !== max) {
            this.max = max;
        }
        this.value = this.getValidValue(this.value);
    }
    /**
     * The value property, typed as a number.
     *
     * @public
     */
    get valueAsNumber() {
        return parseFloat(super.value);
    }
    set valueAsNumber(next) {
        this.value = next.toString();
    }
    /**
     * Validates that the value is a number between the min and max
     * @param previous - previous stored value
     * @param next - value being updated
     * @param updateControl - should the text field be updated with value, defaults to true
     * @internal
     */
    valueChanged(previous, next) {
        this.value = this.getValidValue(next);
        if (next !== this.value) {
            return;
        }
        if (this.control && !this.isUserInput) {
            this.control.value = this.value;
        }
        super.valueChanged(previous, this.value);
        if (previous !== undefined && !this.isUserInput) {
            this.$emit("input");
            this.$emit("change");
        }
        this.isUserInput = false;
    }
    /** {@inheritDoc (FormAssociated:interface).validate} */
    validate() {
        super.validate(this.control);
    }
    /**
     * Sets the internal value to a valid number between the min and max properties
     * @param value - user input
     *
     * @internal
     */
    getValidValue(value) {
        var _a, _b;
        let validValue = parseFloat(parseFloat(value).toPrecision(12));
        if (isNaN(validValue)) {
            validValue = "";
        }
        else {
            validValue = Math.min(validValue, (_a = this.max) !== null && _a !== void 0 ? _a : validValue);
            validValue = Math.max(validValue, (_b = this.min) !== null && _b !== void 0 ? _b : validValue).toString();
        }
        return validValue;
    }
    /**
     * Increments the value using the step value
     *
     * @public
     */
    stepUp() {
        const value = parseFloat(this.value);
        const stepUpValue = !isNaN(value)
            ? value + this.step
            : this.min > 0
                ? this.min
                : this.max < 0
                    ? this.max
                    : !this.min
                        ? this.step
                        : 0;
        this.value = stepUpValue.toString();
    }
    /**
     * Decrements the value using the step value
     *
     * @public
     */
    stepDown() {
        const value = parseFloat(this.value);
        const stepDownValue = !isNaN(value)
            ? value - this.step
            : this.min > 0
                ? this.min
                : this.max < 0
                    ? this.max
                    : !this.min
                        ? 0 - this.step
                        : 0;
        this.value = stepDownValue.toString();
    }
    /**
     * Sets up the initial state of the number field
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.proxy.setAttribute("type", "number");
        this.validate();
        this.control.value = this.value;
        if (this.autofocus) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                this.focus();
            });
        }
    }
    /**
     * Selects all the text in the number field
     *
     * @public
     */
    select() {
        this.control.select();
        /**
         * The select event does not permeate the shadow DOM boundary.
         * This fn effectively proxies the select event,
         * emitting a `select` event whenever the internal
         * control emits a `select` event
         */
        this.$emit("select");
    }
    /**
     * Handles the internal control's `input` event
     * @internal
     */
    handleTextInput() {
        this.control.value = this.control.value.replace(/[^0-9\-+e.]/g, "");
        this.isUserInput = true;
        this.value = this.control.value;
    }
    /**
     * Change event handler for inner control.
     * @remarks
     * "Change" events are not `composable` so they will not
     * permeate the shadow DOM boundary. This fn effectively proxies
     * the change event, emitting a `change` event whenever the internal
     * control emits a `change` event
     * @internal
     */
    handleChange() {
        this.$emit("change");
    }
    /**
     * Handles the internal control's `keydown` event
     * @internal
     */
    handleKeyDown(e) {
        const key = e.key;
        switch (key) {
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowUp:
                this.stepUp();
                return false;
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowDown:
                this.stepDown();
                return false;
        }
        return true;
    }
    /**
     * Handles populating the input field with a validated value when
     *  leaving the input field.
     * @internal
     */
    handleBlur() {
        this.control.value = this.value;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], NumberField.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], NumberField.prototype, "autofocus", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "hide-step", mode: "boolean" })
], NumberField.prototype, "hideStep", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], NumberField.prototype, "placeholder", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], NumberField.prototype, "list", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], NumberField.prototype, "maxlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], NumberField.prototype, "minlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], NumberField.prototype, "size", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], NumberField.prototype, "step", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], NumberField.prototype, "max", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], NumberField.prototype, "min", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], NumberField.prototype, "defaultSlottedNodes", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__.applyMixins)(NumberField, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_5__.StartEnd, _text_field_text_field_js__WEBPACK_IMPORTED_MODULE_6__.DelegatesARIATextbox);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.template.js":
/*!************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/number-field/number-field.template.js ***!
  \************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   numberFieldTemplate: () => (/* binding */ numberFieldTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(NumberField:class)} component.
 * @public
 */
const numberFieldTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template class="${x => (x.readOnly ? "readonly" : "")}">
        <label
            part="label"
            for="control"
            class="${x => x.defaultSlottedNodes && x.defaultSlottedNodes.length
    ? "label"
    : "label label__hidden"}"
        >
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("defaultSlottedNodes")}></slot>
        </label>
        <div class="root" part="root">
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
            <input
                class="control"
                part="control"
                id="control"
                @input="${x => x.handleTextInput()}"
                @change="${x => x.handleChange()}"
                @keydown="${(x, c) => x.handleKeyDown(c.event)}"
                @blur="${(x, c) => x.handleBlur()}"
                ?autofocus="${x => x.autofocus}"
                ?disabled="${x => x.disabled}"
                list="${x => x.list}"
                maxlength="${x => x.maxlength}"
                minlength="${x => x.minlength}"
                placeholder="${x => x.placeholder}"
                ?readonly="${x => x.readOnly}"
                ?required="${x => x.required}"
                size="${x => x.size}"
                type="text"
                inputmode="numeric"
                min="${x => x.min}"
                max="${x => x.max}"
                step="${x => x.step}"
                aria-atomic="${x => x.ariaAtomic}"
                aria-busy="${x => x.ariaBusy}"
                aria-controls="${x => x.ariaControls}"
                aria-current="${x => x.ariaCurrent}"
                aria-describedby="${x => x.ariaDescribedby}"
                aria-details="${x => x.ariaDetails}"
                aria-disabled="${x => x.ariaDisabled}"
                aria-errormessage="${x => x.ariaErrormessage}"
                aria-flowto="${x => x.ariaFlowto}"
                aria-haspopup="${x => x.ariaHaspopup}"
                aria-hidden="${x => x.ariaHidden}"
                aria-invalid="${x => x.ariaInvalid}"
                aria-keyshortcuts="${x => x.ariaKeyshortcuts}"
                aria-label="${x => x.ariaLabel}"
                aria-labelledby="${x => x.ariaLabelledby}"
                aria-live="${x => x.ariaLive}"
                aria-owns="${x => x.ariaOwns}"
                aria-relevant="${x => x.ariaRelevant}"
                aria-roledescription="${x => x.ariaRoledescription}"
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
            />
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => !x.hideStep && !x.readOnly && !x.disabled, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                    <div class="controls" part="controls">
                        <div class="step-up" part="step-up" @click="${x => x.stepUp()}">
                            <slot name="step-up-glyph">
                                ${definition.stepUpGlyph || ""}
                            </slot>
                        </div>
                        <div
                            class="step-down"
                            part="step-down"
                            @click="${x => x.stepDown()}"
                        >
                            <slot name="step-down-glyph">
                                ${definition.stepDownGlyph || ""}
                            </slot>
                        </div>
                    </div>
                `)}
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ARIAGlobalStatesAndProperties: () => (/* binding */ ARIAGlobalStatesAndProperties)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);


/**
 * Some states and properties are applicable to all host language elements regardless of whether a role is applied.
 * The following global states and properties are supported by all roles and by all base markup elements.
 * {@link https://www.w3.org/TR/wai-aria-1.1/#global_states}
 *
 * This is intended to be used as a mixin. Be sure you extend FASTElement.
 *
 * @public
 */
class ARIAGlobalStatesAndProperties {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-atomic" })
], ARIAGlobalStatesAndProperties.prototype, "ariaAtomic", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-busy" })
], ARIAGlobalStatesAndProperties.prototype, "ariaBusy", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-controls" })
], ARIAGlobalStatesAndProperties.prototype, "ariaControls", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-current" })
], ARIAGlobalStatesAndProperties.prototype, "ariaCurrent", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-describedby" })
], ARIAGlobalStatesAndProperties.prototype, "ariaDescribedby", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-details" })
], ARIAGlobalStatesAndProperties.prototype, "ariaDetails", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-disabled" })
], ARIAGlobalStatesAndProperties.prototype, "ariaDisabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-errormessage" })
], ARIAGlobalStatesAndProperties.prototype, "ariaErrormessage", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-flowto" })
], ARIAGlobalStatesAndProperties.prototype, "ariaFlowto", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-haspopup" })
], ARIAGlobalStatesAndProperties.prototype, "ariaHaspopup", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-hidden" })
], ARIAGlobalStatesAndProperties.prototype, "ariaHidden", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-invalid" })
], ARIAGlobalStatesAndProperties.prototype, "ariaInvalid", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-keyshortcuts" })
], ARIAGlobalStatesAndProperties.prototype, "ariaKeyshortcuts", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-label" })
], ARIAGlobalStatesAndProperties.prototype, "ariaLabel", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-labelledby" })
], ARIAGlobalStatesAndProperties.prototype, "ariaLabelledby", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-live" })
], ARIAGlobalStatesAndProperties.prototype, "ariaLive", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-owns" })
], ARIAGlobalStatesAndProperties.prototype, "ariaOwns", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-relevant" })
], ARIAGlobalStatesAndProperties.prototype, "ariaRelevant", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_1__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-roledescription" })
], ARIAGlobalStatesAndProperties.prototype, "ariaRoledescription", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/index.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/patterns/index.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ARIAGlobalStatesAndProperties: () => (/* reexport safe */ _aria_global_js__WEBPACK_IMPORTED_MODULE_0__.ARIAGlobalStatesAndProperties),
/* harmony export */   StartEnd: () => (/* reexport safe */ _start_end_js__WEBPACK_IMPORTED_MODULE_1__.StartEnd),
/* harmony export */   endSlotTemplate: () => (/* reexport safe */ _start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate),
/* harmony export */   endTemplate: () => (/* reexport safe */ _start_end_js__WEBPACK_IMPORTED_MODULE_1__.endTemplate),
/* harmony export */   startSlotTemplate: () => (/* reexport safe */ _start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate),
/* harmony export */   startTemplate: () => (/* reexport safe */ _start_end_js__WEBPACK_IMPORTED_MODULE_1__.startTemplate)
/* harmony export */ });
/* harmony import */ var _aria_global_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./aria-global.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   StartEnd: () => (/* binding */ StartEnd),
/* harmony export */   endSlotTemplate: () => (/* binding */ endSlotTemplate),
/* harmony export */   endTemplate: () => (/* binding */ endTemplate),
/* harmony export */   startSlotTemplate: () => (/* binding */ startSlotTemplate),
/* harmony export */   startTemplate: () => (/* binding */ startTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * A mixin class implementing start and end elements.
 * These are generally used to decorate text elements with icons or other visual indicators.
 * @public
 */
class StartEnd {
    handleStartContentChange() {
        this.startContainer.classList.toggle("start", this.start.assignedNodes().length > 0);
    }
    handleEndContentChange() {
        this.endContainer.classList.toggle("end", this.end.assignedNodes().length > 0);
    }
}
/**
 * The template for the end element.
 * For use with {@link StartEnd}
 *
 * @public
 */
const endSlotTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <span
        part="end"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("endContainer")}
        class=${x => (definition.end ? "end" : void 0)}
    >
        <slot name="end" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("end")} @slotchange="${x => x.handleEndContentChange()}">
            ${definition.end || ""}
        </slot>
    </span>
`;
/**
 * The template for the start element.
 * For use with {@link StartEnd}
 *
 * @public
 */
const startSlotTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <span
        part="start"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("startContainer")}
        class="${x => (definition.start ? "start" : void 0)}"
    >
        <slot
            name="start"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("start")}
            @slotchange="${x => x.handleStartContentChange()}"
        >
            ${definition.start || ""}
        </slot>
    </span>
`;
/**
 * The template for the end element.
 * For use with {@link StartEnd}
 *
 * @public
 * @deprecated - use endSlotTemplate
 */
const endTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <span part="end" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("endContainer")}>
        <slot
            name="end"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("end")}
            @slotchange="${x => x.handleEndContentChange()}"
        ></slot>
    </span>
`;
/**
 * The template for the start element.
 * For use with {@link StartEnd}
 *
 * @public
 * @deprecated - use startSlotTemplate
 */
const startTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <span part="start" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("startContainer")}>
        <slot
            name="start"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("start")}
            @slotchange="${x => x.handleStartContentChange()}"
        ></slot>
    </span>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Picker: () => (/* reexport safe */ _picker_js__WEBPACK_IMPORTED_MODULE_1__.Picker),
/* harmony export */   PickerList: () => (/* reexport safe */ _picker_list_js__WEBPACK_IMPORTED_MODULE_7__.PickerList),
/* harmony export */   PickerListItem: () => (/* reexport safe */ _picker_list_item_js__WEBPACK_IMPORTED_MODULE_9__.PickerListItem),
/* harmony export */   PickerMenu: () => (/* reexport safe */ _picker_menu_js__WEBPACK_IMPORTED_MODULE_3__.PickerMenu),
/* harmony export */   PickerMenuOption: () => (/* reexport safe */ _picker_menu_option_js__WEBPACK_IMPORTED_MODULE_5__.PickerMenuOption),
/* harmony export */   pickerListItemTemplate: () => (/* reexport safe */ _picker_list_item_template_js__WEBPACK_IMPORTED_MODULE_8__.pickerListItemTemplate),
/* harmony export */   pickerListTemplate: () => (/* reexport safe */ _picker_list_template_js__WEBPACK_IMPORTED_MODULE_6__.pickerListTemplate),
/* harmony export */   pickerMenuOptionTemplate: () => (/* reexport safe */ _picker_menu_option_template_js__WEBPACK_IMPORTED_MODULE_4__.pickerMenuOptionTemplate),
/* harmony export */   pickerMenuTemplate: () => (/* reexport safe */ _picker_menu_template_js__WEBPACK_IMPORTED_MODULE_2__.pickerMenuTemplate),
/* harmony export */   pickerTemplate: () => (/* reexport safe */ _picker_template_js__WEBPACK_IMPORTED_MODULE_0__.pickerTemplate)
/* harmony export */ });
/* harmony import */ var _picker_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./picker.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.template.js");
/* harmony import */ var _picker_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./picker.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.js");
/* harmony import */ var _picker_menu_template_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./picker-menu.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu.template.js");
/* harmony import */ var _picker_menu_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./picker-menu.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu.js");
/* harmony import */ var _picker_menu_option_template_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./picker-menu-option.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.template.js");
/* harmony import */ var _picker_menu_option_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./picker-menu-option.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.js");
/* harmony import */ var _picker_list_template_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./picker-list.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list.template.js");
/* harmony import */ var _picker_list_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./picker-list.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list.js");
/* harmony import */ var _picker_list_item_template_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./picker-list-item.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.template.js");
/* harmony import */ var _picker_list_item_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./picker-list-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.js");












/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PickerListItem: () => (/* binding */ PickerListItem)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");




const defaultContentsTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template>
        ${x => x.value}
    </template>
`;
/**
 * A picker list item Custom HTML Element.
 *
 * @alpha
 */
class PickerListItem extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    contentsTemplateChanged() {
        if (this.$fastController.isConnected) {
            this.updateView();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.updateView();
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        this.disconnectView();
        super.disconnectedCallback();
    }
    handleKeyDown(e) {
        if (e.defaultPrevented) {
            return false;
        }
        if (e.key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyEnter) {
            this.handleInvoke();
            return false;
        }
        return true;
    }
    handleClick(e) {
        if (!e.defaultPrevented) {
            this.handleInvoke();
        }
        return false;
    }
    handleInvoke() {
        this.$emit("pickeriteminvoked");
    }
    updateView() {
        var _a, _b;
        this.disconnectView();
        this.customView =
            (_b = (_a = this.contentsTemplate) === null || _a === void 0 ? void 0 : _a.render(this, this)) !== null && _b !== void 0 ? _b : defaultContentsTemplate.render(this, this);
    }
    disconnectView() {
        var _a;
        (_a = this.customView) === null || _a === void 0 ? void 0 : _a.dispose();
        this.customView = undefined;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "value" })
], PickerListItem.prototype, "value", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], PickerListItem.prototype, "contentsTemplate", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.template.js":
/*!**********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.template.js ***!
  \**********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   pickerListItemTemplate: () => (/* binding */ pickerListItemTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 *
 * @public
 */
const pickerListItemTemplate = (context, definition) => {
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template
            role="listitem"
            tabindex="0"
            @click="${(x, c) => x.handleClick(c.event)}"
            @keydown="${(x, c) => x.handleKeyDown(c.event)}"
        >
            <slot></slot>
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PickerList: () => (/* binding */ PickerList)
/* harmony export */ });
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");

/**
 * A List Picker Menu Custom HTML Element.
 *
 * @alpha
 */
class PickerList extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list.template.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list.template.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   pickerListTemplate: () => (/* binding */ pickerListTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 *
 * @public
 */
const pickerListTemplate = (context, definition) => {
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template slot="list-region" role="list" class="picker-list">
            <slot></slot>
            <slot name="input-region"></slot>
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.js ***!
  \***************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PickerMenuOption: () => (/* binding */ PickerMenuOption)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



const defaultContentsTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template>
        ${x => x.value}
    </template>
`;
/**
 * A picker list item Custom HTML Element.
 *
 * @alpha
 */
class PickerMenuOption extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    contentsTemplateChanged() {
        if (this.$fastController.isConnected) {
            this.updateView();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.updateView();
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.disconnectView();
    }
    handleClick(e) {
        if (e.defaultPrevented) {
            return false;
        }
        this.handleInvoked();
        return false;
    }
    handleInvoked() {
        this.$emit("pickeroptioninvoked");
    }
    updateView() {
        var _a, _b;
        this.disconnectView();
        this.customView =
            (_b = (_a = this.contentsTemplate) === null || _a === void 0 ? void 0 : _a.render(this, this)) !== null && _b !== void 0 ? _b : defaultContentsTemplate.render(this, this);
    }
    disconnectView() {
        var _a;
        (_a = this.customView) === null || _a === void 0 ? void 0 : _a.dispose();
        this.customView = undefined;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "value" })
], PickerMenuOption.prototype, "value", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], PickerMenuOption.prototype, "contentsTemplate", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.template.js":
/*!************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.template.js ***!
  \************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   pickerMenuOptionTemplate: () => (/* binding */ pickerMenuOptionTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 *
 * @public
 */
const pickerMenuOptionTemplate = (context, definition) => {
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template
            role="listitem"
            tabindex="-1"
            @click="${(x, c) => x.handleClick(c.event)}"
        >
            <slot></slot>
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PickerMenu: () => (/* binding */ PickerMenu)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/strings.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");




/**
 * A List Picker Menu Custom HTML Element.
 *
 * @alpha
 */
class PickerMenu extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Children that are list items
         *
         * @internal
         */
        this.optionElements = [];
    }
    menuElementsChanged() {
        this.updateOptions();
    }
    headerElementsChanged() {
        this.updateOptions();
    }
    footerElementsChanged() {
        this.updateOptions();
    }
    updateOptions() {
        this.optionElements.splice(0, this.optionElements.length);
        this.addSlottedListItems(this.headerElements);
        this.addSlottedListItems(this.menuElements);
        this.addSlottedListItems(this.footerElements);
        this.$emit("optionsupdated", { bubbles: false });
    }
    addSlottedListItems(slotChildren) {
        if (slotChildren === undefined) {
            return;
        }
        slotChildren.forEach((child) => {
            if (child.nodeType === 1 && child.getAttribute("role") === "listitem") {
                child.id = child.id || (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.uniqueId)("option-");
                this.optionElements.push(child);
            }
        });
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], PickerMenu.prototype, "menuElements", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], PickerMenu.prototype, "headerElements", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], PickerMenu.prototype, "footerElements", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], PickerMenu.prototype, "suggestionsAvailableText", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu.template.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu.template.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   pickerMenuTemplate: () => (/* binding */ pickerMenuTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the List Picker component.
 * @public
 */
const pickerMenuTemplate = (context, definition) => {
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template role="list" slot="menu-region">
            <div class="options-display" part="options-display">
                <div class="header-region" part="header-region">
                    <slot name="header-region" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("headerElements")}></slot>
                </div>

                <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("menuElements")}></slot>
                <div class="footer-region" part="footer-region">
                    <slot name="footer-region" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("footerElements")}></slot>
                </div>
                <div
                    role="alert"
                    aria-live="polite"
                    part="suggestions-available-alert"
                    class="suggestions-available-alert"
                >
                    ${x => x.suggestionsAvailableText}
                </div>
            </div>
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.form-associated.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.form-associated.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedPicker: () => (/* binding */ FormAssociatedPicker)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _Picker extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Picker:class)} component.
 *
 * @internal
 */
class FormAssociatedPicker extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_Picker) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Picker: () => (/* binding */ Picker)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/strings.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../anchored-region/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region-config.js");
/* harmony import */ var _picker_menu_option_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./picker-menu-option.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.js");
/* harmony import */ var _picker_list_item_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./picker-list-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.js");
/* harmony import */ var _picker_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./picker.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.form-associated.js");







const pickerInputTemplate = (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <input
        slot="input-region"
        role="combobox"
        type="text"
        autocapitalize="off"
        autocomplete="off"
        haspopup="list"
        aria-label="${x => x.label}"
        aria-labelledby="${x => x.labelledBy}"
        placeholder="${x => x.placeholder}"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("inputElement")}
    ></input>
`;
/**
 * A Picker Custom HTML Element.  This is an early "alpha" version of the component.
 * Developers should expect the api to evolve, breaking changes are possible.
 *
 * @alpha
 */
class Picker extends _picker_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedPicker {
    constructor() {
        super(...arguments);
        /**
         * Currently selected items. Comma delineated string ie. "apples,oranges".
         *
         * @alpha
         * @remarks
         * HTML Attribute: selection
         */
        this.selection = "";
        /**
         * Whether the component should remove an option from the list when it is in the selection
         *
         * @alpha
         * @remarks
         * HTML Attribute: filter-selected
         */
        this.filterSelected = true;
        /**
         * Whether the component should remove options based on the current query
         *
         * @alpha
         * @remarks
         * HTML Attribute: filter-query
         */
        this.filterQuery = true;
        /**
         * The text to present to assistive technolgies when no suggestions are available.
         *
         * @alpha
         * @remarks
         * HTML Attribute: no-suggestions-text
         */
        this.noSuggestionsText = "No suggestions available";
        /**
         *  The text to present to assistive technolgies when suggestions are available.
         *
         * @alpha
         * @remarks
         * HTML Attribute: suggestions-available-text
         */
        this.suggestionsAvailableText = "Suggestions available";
        /**
         * The text to present to assistive technologies when suggestions are loading.
         *
         * @alpha
         * @remarks
         * HTML Attribute: loading-text
         */
        this.loadingText = "Loading suggestions";
        /**
         * Controls menu placement
         *
         * @alpha
         * @remarks
         * HTML Attribute: menu-placement
         */
        this.menuPlacement = "bottom-fill";
        /**
         * Whether to display a loading state if the menu is opened.
         *
         * @alpha
         */
        this.showLoading = false;
        /**
         *  Current list of options in array form
         *
         * @alpha
         */
        this.optionsList = [];
        /**
         *  Current list of filtered options in array form
         *
         * @internal
         */
        this.filteredOptionsList = [];
        /**
         *  Indicates if the flyout menu is open or not
         *
         * @internal
         */
        this.flyoutOpen = false;
        /**
         *  Index of currently active menu option
         *
         * @internal
         */
        this.menuFocusIndex = -1;
        /**
         *  Internal flag to indicate no options available display should be shown.
         *
         * @internal
         */
        this.showNoOptions = false;
        /**
         *
         *
         * @internal
         */
        this.selectedItems = [];
        this.inputElementView = null;
        /**
         * Handle input event from input element
         */
        this.handleTextInput = (e) => {
            this.query = this.inputElement.value;
        };
        /**
         * Handle click event from input element
         */
        this.handleInputClick = (e) => {
            e.preventDefault();
            this.toggleFlyout(true);
        };
        /**
         * Sets properties on the anchored region once it is instanciated.
         */
        this.setRegionProps = () => {
            if (!this.flyoutOpen) {
                return;
            }
            if (this.region === null || this.region === undefined) {
                // TODO: limit this
                _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(this.setRegionProps);
                return;
            }
            this.region.anchorElement = this.inputElement;
        };
        /**
         * matches menu placement values with the associated menu config
         */
        this.configLookup = {
            top: _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTop,
            bottom: _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosBottom,
            tallest: _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTallest,
            "top-fill": _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTopFill,
            "bottom-fill": _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosBottomFill,
            "tallest-fill": _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosTallestFill,
        };
    }
    selectionChanged() {
        if (this.$fastController.isConnected) {
            this.handleSelectionChange();
            if (this.proxy instanceof HTMLInputElement) {
                this.proxy.value = this.selection;
                this.validate();
            }
        }
    }
    optionsChanged() {
        this.optionsList = this.options
            .split(",")
            .map(opt => opt.trim())
            .filter(opt => opt !== "");
    }
    menuPlacementChanged() {
        if (this.$fastController.isConnected) {
            this.updateMenuConfig();
        }
    }
    showLoadingChanged() {
        if (this.$fastController.isConnected) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                this.setFocusedOption(0);
            });
        }
    }
    listItemTemplateChanged() {
        this.updateListItemTemplate();
    }
    defaultListItemTemplateChanged() {
        this.updateListItemTemplate();
    }
    menuOptionTemplateChanged() {
        this.updateOptionTemplate();
    }
    defaultMenuOptionTemplateChanged() {
        this.updateOptionTemplate();
    }
    optionsListChanged() {
        this.updateFilteredOptions();
    }
    queryChanged() {
        if (this.$fastController.isConnected) {
            if (this.inputElement.value !== this.query) {
                this.inputElement.value = this.query;
            }
            this.updateFilteredOptions();
            this.$emit("querychange", { bubbles: false });
        }
    }
    filteredOptionsListChanged() {
        if (this.$fastController.isConnected) {
            this.showNoOptions =
                this.filteredOptionsList.length === 0 &&
                    this.menuElement.querySelectorAll('[role="listitem"]').length === 0;
            this.setFocusedOption(this.showNoOptions ? -1 : 0);
        }
    }
    flyoutOpenChanged() {
        if (this.flyoutOpen) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(this.setRegionProps);
            this.$emit("menuopening", { bubbles: false });
        }
        else {
            this.$emit("menuclosing", { bubbles: false });
        }
    }
    showNoOptionsChanged() {
        if (this.$fastController.isConnected) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                this.setFocusedOption(0);
            });
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.listElement = document.createElement(this.selectedListTag);
        this.appendChild(this.listElement);
        this.itemsPlaceholderElement = document.createComment("");
        this.listElement.append(this.itemsPlaceholderElement);
        this.inputElementView = pickerInputTemplate.render(this, this.listElement);
        const match = this.menuTag.toUpperCase();
        this.menuElement = Array.from(this.children).find((element) => {
            return element.tagName === match;
        });
        if (this.menuElement === undefined) {
            this.menuElement = document.createElement(this.menuTag);
            this.appendChild(this.menuElement);
        }
        if (this.menuElement.id === "") {
            this.menuElement.id = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.uniqueId)("listbox-");
        }
        this.menuId = this.menuElement.id;
        this.optionsPlaceholder = document.createComment("");
        this.menuElement.append(this.optionsPlaceholder);
        this.updateMenuConfig();
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.initialize());
    }
    disconnectedCallback() {
        super.disconnectedCallback();
        this.toggleFlyout(false);
        this.inputElement.removeEventListener("input", this.handleTextInput);
        this.inputElement.removeEventListener("click", this.handleInputClick);
        if (this.inputElementView !== null) {
            this.inputElementView.dispose();
            this.inputElementView = null;
        }
    }
    /**
     * Move focus to the input element
     * @public
     */
    focus() {
        this.inputElement.focus();
    }
    /**
     * Initialize the component.  This is delayed a frame to ensure children are connected as well.
     */
    initialize() {
        this.updateListItemTemplate();
        this.updateOptionTemplate();
        this.itemsRepeatBehavior = new _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.RepeatDirective(x => x.selectedItems, x => x.activeListItemTemplate, { positioning: true }).createBehavior(this.itemsPlaceholderElement);
        this.inputElement.addEventListener("input", this.handleTextInput);
        this.inputElement.addEventListener("click", this.handleInputClick);
        /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
        this.$fastController.addBehaviors([this.itemsRepeatBehavior]);
        this.menuElement.suggestionsAvailableText = this.suggestionsAvailableText;
        this.menuElement.addEventListener("optionsupdated", this.handleMenuOptionsUpdated);
        this.optionsRepeatBehavior = new _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.RepeatDirective(x => x.filteredOptionsList, x => x.activeMenuOptionTemplate, { positioning: true }).createBehavior(this.optionsPlaceholder);
        /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
        this.$fastController.addBehaviors([this.optionsRepeatBehavior]);
        this.handleSelectionChange();
    }
    /**
     * Toggles the menu flyout
     */
    toggleFlyout(open) {
        if (this.flyoutOpen === open) {
            return;
        }
        if (open && document.activeElement === this.inputElement) {
            this.flyoutOpen = open;
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                if (this.menuElement !== undefined) {
                    this.setFocusedOption(0);
                }
                else {
                    this.disableMenu();
                }
            });
            return;
        }
        this.flyoutOpen = false;
        this.disableMenu();
        return;
    }
    /**
     * Handle the menu options updated event from the child menu
     */
    handleMenuOptionsUpdated(e) {
        e.preventDefault();
        if (this.flyoutOpen) {
            this.setFocusedOption(0);
        }
    }
    /**
     * Handle key down events.
     */
    handleKeyDown(e) {
        if (e.defaultPrevented) {
            return false;
        }
        switch (e.key) {
            // TODO: what should "home" and "end" keys do, exactly?
            //
            // case keyHome: {
            //     if (!this.flyoutOpen) {
            //         this.toggleFlyout(true);
            //     } else {
            //         if (this.menuElement.optionElements.length > 0) {
            //             this.setFocusedOption(0);
            //         }
            //     }
            //     return false;
            // }
            // case keyEnd: {
            //     if (!this.flyoutOpen) {
            //         this.toggleFlyout(true);
            //     } else {
            //         if (this.menuElement.optionElements.length > 0) {
            //             this.toggleFlyout(true);
            //             this.setFocusedOption(this.menuElement.optionElements.length - 1);
            //         }
            //     }
            //     return false;
            // }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowDown: {
                if (!this.flyoutOpen) {
                    this.toggleFlyout(true);
                }
                else {
                    const nextFocusOptionIndex = this.flyoutOpen
                        ? Math.min(this.menuFocusIndex + 1, this.menuElement.optionElements.length - 1)
                        : 0;
                    this.setFocusedOption(nextFocusOptionIndex);
                }
                return false;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowUp: {
                if (!this.flyoutOpen) {
                    this.toggleFlyout(true);
                }
                else {
                    const previousFocusOptionIndex = this.flyoutOpen
                        ? Math.max(this.menuFocusIndex - 1, 0)
                        : 0;
                    this.setFocusedOption(previousFocusOptionIndex);
                }
                return false;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEscape: {
                this.toggleFlyout(false);
                return false;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEnter: {
                if (this.menuFocusIndex !== -1 &&
                    this.menuElement.optionElements.length > this.menuFocusIndex) {
                    this.menuElement.optionElements[this.menuFocusIndex].click();
                }
                return false;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowRight: {
                if (document.activeElement !== this.inputElement) {
                    this.incrementFocusedItem(1);
                    return false;
                }
                // don't block if arrow keys moving caret in input element
                return true;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowLeft: {
                if (this.inputElement.selectionStart === 0) {
                    this.incrementFocusedItem(-1);
                    return false;
                }
                // don't block if arrow keys moving caret in input element
                return true;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyDelete:
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyBackspace: {
                if (document.activeElement === null) {
                    return true;
                }
                if (document.activeElement === this.inputElement) {
                    if (this.inputElement.selectionStart === 0) {
                        this.selection = this.selectedItems
                            .slice(0, this.selectedItems.length - 1)
                            .toString();
                        this.toggleFlyout(false);
                        return false;
                    }
                    // let text deletion proceed
                    return true;
                }
                const selectedItems = Array.from(this.listElement.children);
                const currentFocusedItemIndex = selectedItems.indexOf(document.activeElement);
                if (currentFocusedItemIndex > -1) {
                    // delete currently focused item
                    this.selection = this.selectedItems
                        .splice(currentFocusedItemIndex, 1)
                        .toString();
                    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                        selectedItems[Math.min(selectedItems.length, currentFocusedItemIndex)].focus();
                    });
                    return false;
                }
                return true;
            }
        }
        this.toggleFlyout(true);
        return true;
    }
    /**
     * Handle focus in events.
     */
    handleFocusIn(e) {
        return false;
    }
    /**
     * Handle focus out events.
     */
    handleFocusOut(e) {
        if (this.menuElement === undefined ||
            !this.menuElement.contains(e.relatedTarget)) {
            this.toggleFlyout(false);
        }
        return false;
    }
    /**
     * The list of selected items has changed
     */
    handleSelectionChange() {
        if (this.selectedItems.toString() === this.selection) {
            return;
        }
        this.selectedItems = this.selection === "" ? [] : this.selection.split(",");
        this.updateFilteredOptions();
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
            this.checkMaxItems();
        });
        this.$emit("selectionchange", { bubbles: false });
    }
    /**
     * Anchored region is loaded, menu and options exist in the DOM.
     */
    handleRegionLoaded(e) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
            this.setFocusedOption(0);
            this.$emit("menuloaded", { bubbles: false });
        });
    }
    /**
     * Checks if the maximum number of items has been chosen and updates the ui.
     */
    checkMaxItems() {
        if (this.inputElement === undefined) {
            return;
        }
        if (this.maxSelected !== undefined &&
            this.selectedItems.length >= this.maxSelected) {
            if (document.activeElement === this.inputElement) {
                const selectedItemInstances = Array.from(this.listElement.querySelectorAll("[role='listitem']"));
                selectedItemInstances[selectedItemInstances.length - 1].focus();
            }
            this.inputElement.hidden = true;
        }
        else {
            this.inputElement.hidden = false;
        }
    }
    /**
     * A list item has been invoked.
     */
    handleItemInvoke(e) {
        if (e.defaultPrevented) {
            return false;
        }
        if (e.target instanceof _picker_list_item_js__WEBPACK_IMPORTED_MODULE_5__.PickerListItem) {
            const listItems = Array.from(this.listElement.querySelectorAll("[role='listitem']"));
            const itemIndex = listItems.indexOf(e.target);
            if (itemIndex !== -1) {
                const newSelection = this.selectedItems.slice();
                newSelection.splice(itemIndex, 1);
                this.selection = newSelection.toString();
                _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.incrementFocusedItem(0));
            }
            return false;
        }
        return true;
    }
    /**
     * A menu option has been invoked.
     */
    handleOptionInvoke(e) {
        if (e.defaultPrevented) {
            return false;
        }
        if (e.target instanceof _picker_menu_option_js__WEBPACK_IMPORTED_MODULE_6__.PickerMenuOption) {
            if (e.target.value !== undefined) {
                this.selection = `${this.selection}${this.selection === "" ? "" : ","}${e.target.value}`;
            }
            this.inputElement.value = "";
            this.query = "";
            this.inputElement.focus();
            this.toggleFlyout(false);
            return false;
        }
        // const value: string = (e.target as PickerMenuOption).value;
        return true;
    }
    /**
     * Increments the focused list item by the specified amount
     */
    incrementFocusedItem(increment) {
        if (this.selectedItems.length === 0) {
            this.inputElement.focus();
            return;
        }
        const selectedItemsAsElements = Array.from(this.listElement.querySelectorAll("[role='listitem']"));
        if (document.activeElement !== null) {
            let currentFocusedItemIndex = selectedItemsAsElements.indexOf(document.activeElement);
            if (currentFocusedItemIndex === -1) {
                // use the input element
                currentFocusedItemIndex = selectedItemsAsElements.length;
            }
            const newFocusedItemIndex = Math.min(selectedItemsAsElements.length, Math.max(0, currentFocusedItemIndex + increment));
            if (newFocusedItemIndex === selectedItemsAsElements.length) {
                if (this.maxSelected !== undefined &&
                    this.selectedItems.length >= this.maxSelected) {
                    selectedItemsAsElements[newFocusedItemIndex - 1].focus();
                }
                else {
                    this.inputElement.focus();
                }
            }
            else {
                selectedItemsAsElements[newFocusedItemIndex].focus();
            }
        }
    }
    /**
     * Disables the menu. Note that the menu can be open, just doens't have any valid options on display.
     */
    disableMenu() {
        var _a, _b, _c;
        this.menuFocusIndex = -1;
        this.menuFocusOptionId = undefined;
        (_a = this.inputElement) === null || _a === void 0 ? void 0 : _a.removeAttribute("aria-activedescendant");
        (_b = this.inputElement) === null || _b === void 0 ? void 0 : _b.removeAttribute("aria-owns");
        (_c = this.inputElement) === null || _c === void 0 ? void 0 : _c.removeAttribute("aria-expanded");
    }
    /**
     * Sets the currently focused menu option by index
     */
    setFocusedOption(optionIndex) {
        if (!this.flyoutOpen ||
            optionIndex === -1 ||
            this.showNoOptions ||
            this.showLoading) {
            this.disableMenu();
            return;
        }
        if (this.menuElement.optionElements.length === 0) {
            return;
        }
        this.menuElement.optionElements.forEach((element) => {
            element.setAttribute("aria-selected", "false");
        });
        this.menuFocusIndex = optionIndex;
        if (this.menuFocusIndex > this.menuElement.optionElements.length - 1) {
            this.menuFocusIndex = this.menuElement.optionElements.length - 1;
        }
        this.menuFocusOptionId = this.menuElement.optionElements[this.menuFocusIndex].id;
        this.inputElement.setAttribute("aria-owns", this.menuId);
        this.inputElement.setAttribute("aria-expanded", "true");
        this.inputElement.setAttribute("aria-activedescendant", this.menuFocusOptionId);
        const focusedOption = this.menuElement.optionElements[this.menuFocusIndex];
        focusedOption.setAttribute("aria-selected", "true");
        this.menuElement.scrollTo(0, focusedOption.offsetTop);
    }
    /**
     * Updates the template used for the list item repeat behavior
     */
    updateListItemTemplate() {
        var _a;
        this.activeListItemTemplate =
            (_a = this.listItemTemplate) !== null && _a !== void 0 ? _a : this.defaultListItemTemplate;
    }
    /**
     * Updates the template used for the menu option repeat behavior
     */
    updateOptionTemplate() {
        var _a;
        this.activeMenuOptionTemplate =
            (_a = this.menuOptionTemplate) !== null && _a !== void 0 ? _a : this.defaultMenuOptionTemplate;
    }
    /**
     * Updates the filtered options array
     */
    updateFilteredOptions() {
        this.filteredOptionsList = this.optionsList.slice(0);
        if (this.filterSelected) {
            this.filteredOptionsList = this.filteredOptionsList.filter(el => this.selectedItems.indexOf(el) === -1);
        }
        if (this.filterQuery && this.query !== "" && this.query !== undefined) {
            this.filteredOptionsList = this.filteredOptionsList.filter(el => el.indexOf(this.query) !== -1);
        }
    }
    /**
     * Updates the menu configuration
     */
    updateMenuConfig() {
        let newConfig = this.configLookup[this.menuPlacement];
        if (newConfig === null) {
            newConfig = _anchored_region_index_js__WEBPACK_IMPORTED_MODULE_2__.FlyoutPosBottomFill;
        }
        this.menuConfig = Object.assign(Object.assign({}, newConfig), { autoUpdateMode: "auto", fixedPlacement: true, horizontalViewportLock: false, verticalViewportLock: false });
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "selection" })
], Picker.prototype, "selection", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "options" })
], Picker.prototype, "options", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "filter-selected", mode: "boolean" })
], Picker.prototype, "filterSelected", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "filter-query", mode: "boolean" })
], Picker.prototype, "filterQuery", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "max-selected" })
], Picker.prototype, "maxSelected", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "no-suggestions-text" })
], Picker.prototype, "noSuggestionsText", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "suggestions-available-text" })
], Picker.prototype, "suggestionsAvailableText", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "loading-text" })
], Picker.prototype, "loadingText", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "label" })
], Picker.prototype, "label", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "labelledby" })
], Picker.prototype, "labelledBy", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "placeholder" })
], Picker.prototype, "placeholder", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "menu-placement" })
], Picker.prototype, "menuPlacement", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "showLoading", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "listItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "defaultListItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "activeListItemTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "menuOptionTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "defaultMenuOptionTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "activeMenuOptionTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "listItemContentsTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "menuOptionContentsTemplate", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "optionsList", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "query", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "filteredOptionsList", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "flyoutOpen", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "menuId", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "selectedListTag", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "menuTag", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "menuFocusIndex", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "menuFocusOptionId", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "showNoOptions", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "menuConfig", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Picker.prototype, "selectedItems", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   pickerTemplate: () => (/* binding */ pickerTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../anchored-region/anchored-region.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.js");
/* harmony import */ var _picker_menu_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./picker-menu.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu.js");
/* harmony import */ var _picker_menu_option_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./picker-menu-option.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-menu-option.js");
/* harmony import */ var _picker_list_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./picker-list.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list.js");
/* harmony import */ var _picker_list_item_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./picker-list-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/picker/picker-list-item.js");






function createDefaultListItemTemplate(context) {
    const pickerListItemTag = context.tagFor(_picker_list_item_js__WEBPACK_IMPORTED_MODULE_1__.PickerListItem);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <${pickerListItemTag}
        value="${x => x}"
        :contentsTemplate="${(x, c) => c.parent.listItemContentsTemplate}"
    >
    </${pickerListItemTag}>
    `;
}
function createDefaultMenuOptionTemplate(context) {
    const pickerMenuOptionTag = context.tagFor(_picker_menu_option_js__WEBPACK_IMPORTED_MODULE_2__.PickerMenuOption);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <${pickerMenuOptionTag}
        value="${x => x}"
        :contentsTemplate="${(x, c) => c.parent.menuOptionContentsTemplate}"
    >
    </${pickerMenuOptionTag}>
    `;
}
/**
 * The template for the List Picker component.
 * @public
 */
const pickerTemplate = (context, definition) => {
    const anchoredRegionTag = context.tagFor(_anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_3__.AnchoredRegion);
    const pickerMenuTag = context.tagFor(_picker_menu_js__WEBPACK_IMPORTED_MODULE_4__.PickerMenu);
    const pickerListTag = context.tagFor(_picker_list_js__WEBPACK_IMPORTED_MODULE_5__.PickerList);
    const progressRingTag = context.tagFor(_picker_list_js__WEBPACK_IMPORTED_MODULE_5__.PickerList);
    const defaultListItemTemplate = createDefaultListItemTemplate(context);
    const defaultMenuOptionTemplate = createDefaultMenuOptionTemplate(context);
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        <template
            :selectedListTag="${() => pickerListTag}"
            :menuTag="${() => pickerMenuTag}"
            :defaultListItemTemplate="${defaultListItemTemplate}"
            :defaultMenuOptionTemplate="${defaultMenuOptionTemplate}"
            @focusin="${(x, c) => x.handleFocusIn(c.event)}"
            @focusout="${(x, c) => x.handleFocusOut(c.event)}"
            @keydown="${(x, c) => x.handleKeyDown(c.event)}"
            @pickeriteminvoked="${(x, c) => x.handleItemInvoke(c.event)}"
            @pickeroptioninvoked="${(x, c) => x.handleOptionInvoke(c.event)}"
        >
            <slot name="list-region"></slot>

            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.flyoutOpen, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <${anchoredRegionTag}
                    class="region"
                    part="region"
                    auto-update-mode="${x => x.menuConfig.autoUpdateMode}"
                    fixed-placement="${x => x.menuConfig.fixedPlacement}"
                    vertical-positioning-mode="${x => x.menuConfig.verticalPositioningMode}"
                    vertical-default-position="${x => x.menuConfig.verticalDefaultPosition}"
                    vertical-scaling="${x => x.menuConfig.verticalScaling}"
                    vertical-inset="${x => x.menuConfig.verticalInset}"
                    vertical-viewport-lock="${x => x.menuConfig.verticalViewportLock}"
                    horizontal-positioning-mode="${x => x.menuConfig.horizontalPositioningMode}"
                    horizontal-default-position="${x => x.menuConfig.horizontalDefaultPosition}"
                    horizontal-scaling="${x => x.menuConfig.horizontalScaling}"
                    horizontal-inset="${x => x.menuConfig.horizontalInset}"
                    horizontal-viewport-lock="${x => x.menuConfig.horizontalViewportLock}"
                    @loaded="${(x, c) => x.handleRegionLoaded(c.event)}"
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("region")}
                >
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => !x.showNoOptions && !x.showLoading, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                            <slot name="menu-region"></slot>
                        `)}
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.showNoOptions && !x.showLoading, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                            <div class="no-options-display" part="no-options-display">
                                <slot name="no-options-region">
                                    ${x => x.noSuggestionsText}
                                </slot>
                            </div>
                        `)}
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.showLoading, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                            <div class="loading-display" part="loading-display">
                                <slot name="loading-region">
                                    <${progressRingTag}
                                        part="loading-progress"
                                        class="loading-progress
                                        slot="loading-region"
                                    ></${progressRingTag}>
                                        ${x => x.loadingText}
                                </slot>
                            </div>
                        `)}
                </${anchoredRegionTag}>
            `)}
        </template>
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/progress-ring/index.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/progress-ring/index.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   progressRingTemplate: () => (/* reexport safe */ _progress_ring_template_js__WEBPACK_IMPORTED_MODULE_0__.progressRingTemplate)
/* harmony export */ });
/* harmony import */ var _progress_ring_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./progress-ring.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/progress-ring/progress-ring.template.js");



/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/progress-ring/progress-ring.template.js":
/*!**************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/progress-ring/progress-ring.template.js ***!
  \**************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   progressRingTemplate: () => (/* binding */ progressRingTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

const progressSegments = 44;
/**
 * The template for the {@link @microsoft/fast-foundation#BaseProgress} component.
 * @public
 */
const progressRingTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="progressbar"
        aria-valuenow="${x => x.value}"
        aria-valuemin="${x => x.min}"
        aria-valuemax="${x => x.max}"
        class="${x => (x.paused ? "paused" : "")}"
    >
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => typeof x.value === "number", (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <svg
                    class="progress"
                    part="progress"
                    viewBox="0 0 16 16"
                    slot="determinate"
                >
                    <circle
                        class="background"
                        part="background"
                        cx="8px"
                        cy="8px"
                        r="7px"
                    ></circle>
                    <circle
                        class="determinate"
                        part="determinate"
                        style="stroke-dasharray: ${x => (progressSegments * x.percentComplete) /
    100}px ${progressSegments}px"
                        cx="8px"
                        cy="8px"
                        r="7px"
                    ></circle>
                </svg>
            `, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <slot name="indeterminate" slot="indeterminate">
                    ${definition.indeterminateIndicator || ""}
                </slot>
            `)}
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/progress/base-progress.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/progress/base-progress.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BaseProgress: () => (/* binding */ BaseProgress)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/**
 * An Progress HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#progressbar | ARIA progressbar }.
 *
 * @slot indeterminate - The slot for a custom indeterminate indicator
 * @csspart progress - Represents the progress element
 * @csspart determinate - The determinate indicator
 * @csspart indeterminate - The indeterminate indicator
 *
 * @public
 */
class BaseProgress extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Indicates progress in %
         * @internal
         */
        this.percentComplete = 0;
    }
    valueChanged() {
        if (this.$fastController.isConnected) {
            this.updatePercentComplete();
        }
    }
    minChanged() {
        if (this.$fastController.isConnected) {
            this.updatePercentComplete();
        }
    }
    maxChanged() {
        if (this.$fastController.isConnected) {
            this.updatePercentComplete();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.updatePercentComplete();
    }
    updatePercentComplete() {
        const min = typeof this.min === "number" ? this.min : 0;
        const max = typeof this.max === "number" ? this.max : 100;
        const value = typeof this.value === "number" ? this.value : 0;
        const range = max - min;
        this.percentComplete =
            range === 0 ? 0 : Math.fround(((value - min) / range) * 100);
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], BaseProgress.prototype, "value", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], BaseProgress.prototype, "min", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], BaseProgress.prototype, "max", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], BaseProgress.prototype, "paused", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], BaseProgress.prototype, "percentComplete", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/progress/index.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/progress/index.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BaseProgress: () => (/* reexport safe */ _base_progress_js__WEBPACK_IMPORTED_MODULE_0__.BaseProgress),
/* harmony export */   progressTemplate: () => (/* reexport safe */ _progress_template_js__WEBPACK_IMPORTED_MODULE_1__.progressTemplate)
/* harmony export */ });
/* harmony import */ var _base_progress_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./base-progress.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/progress/base-progress.js");
/* harmony import */ var _progress_template_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./progress.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/progress/progress.template.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/progress/progress.template.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/progress/progress.template.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   progressTemplate: () => (/* binding */ progressTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#BaseProgress} component.
 * @public
 */
const progressTemplate = (context, defintion) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="progressbar"
        aria-valuenow="${x => x.value}"
        aria-valuemin="${x => x.min}"
        aria-valuemax="${x => x.max}"
        class="${x => (x.paused ? "paused" : "")}"
    >
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => typeof x.value === "number", (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <div class="progress" part="progress" slot="determinate">
                    <div
                        class="determinate"
                        part="determinate"
                        style="width: ${x => x.percentComplete}%"
                    ></div>
                </div>
            `, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <div class="progress" part="progress" slot="indeterminate">
                    <slot class="indeterminate" name="indeterminate">
                        ${defintion.indeterminateIndicator1 || ""}
                        ${defintion.indeterminateIndicator2 || ""}
                    </slot>
                </div>
            `)}
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/index.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/index.js ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioGroup: () => (/* reexport safe */ _radio_group_js__WEBPACK_IMPORTED_MODULE_1__.RadioGroup),
/* harmony export */   radioGroupTemplate: () => (/* reexport safe */ _radio_group_template_js__WEBPACK_IMPORTED_MODULE_0__.radioGroupTemplate)
/* harmony export */ });
/* harmony import */ var _radio_group_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./radio-group.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/radio-group.template.js");
/* harmony import */ var _radio_group_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./radio-group.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/radio-group.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/radio-group.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/radio-group.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   RadioGroup: () => (/* binding */ RadioGroup)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");
/* harmony import */ var _utilities_direction_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utilities/direction.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");





/**
 * An Radio Group Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#radiogroup | ARIA radiogroup }.
 *
 * @slot label - The slot for the label
 * @slot - The default slot for radio buttons
 * @csspart positioning-region - The positioning region for laying out the radios
 * @fires change - Fires a custom 'change' event when the value changes
 *
 * @public
 */
class RadioGroup extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The orientation of the group
         *
         * @public
         * @remarks
         * HTML Attribute: orientation
         */
        this.orientation = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal;
        this.radioChangeHandler = (e) => {
            const changedRadio = e.target;
            if (changedRadio.checked) {
                this.slottedRadioButtons.forEach((radio) => {
                    if (radio !== changedRadio) {
                        radio.checked = false;
                        if (!this.isInsideFoundationToolbar) {
                            radio.setAttribute("tabindex", "-1");
                        }
                    }
                });
                this.selectedRadio = changedRadio;
                this.value = changedRadio.value;
                changedRadio.setAttribute("tabindex", "0");
                this.focusedRadio = changedRadio;
            }
            e.stopPropagation();
        };
        this.moveToRadioByIndex = (group, index) => {
            const radio = group[index];
            if (!this.isInsideToolbar) {
                radio.setAttribute("tabindex", "0");
                if (radio.readOnly) {
                    this.slottedRadioButtons.forEach((nextRadio) => {
                        if (nextRadio !== radio) {
                            nextRadio.setAttribute("tabindex", "-1");
                        }
                    });
                }
                else {
                    radio.checked = true;
                    this.selectedRadio = radio;
                }
            }
            this.focusedRadio = radio;
            radio.focus();
        };
        this.moveRightOffGroup = () => {
            var _a;
            (_a = this.nextElementSibling) === null || _a === void 0 ? void 0 : _a.focus();
        };
        this.moveLeftOffGroup = () => {
            var _a;
            (_a = this.previousElementSibling) === null || _a === void 0 ? void 0 : _a.focus();
        };
        /**
         * @internal
         */
        this.focusOutHandler = (e) => {
            const group = this.slottedRadioButtons;
            const radio = e.target;
            const index = radio !== null ? group.indexOf(radio) : 0;
            const focusedIndex = this.focusedRadio
                ? group.indexOf(this.focusedRadio)
                : -1;
            if ((focusedIndex === 0 && index === focusedIndex) ||
                (focusedIndex === group.length - 1 && focusedIndex === index)) {
                if (!this.selectedRadio) {
                    this.focusedRadio = group[0];
                    this.focusedRadio.setAttribute("tabindex", "0");
                    group.forEach((nextRadio) => {
                        if (nextRadio !== this.focusedRadio) {
                            nextRadio.setAttribute("tabindex", "-1");
                        }
                    });
                }
                else {
                    this.focusedRadio = this.selectedRadio;
                    if (!this.isInsideFoundationToolbar) {
                        this.selectedRadio.setAttribute("tabindex", "0");
                        group.forEach((nextRadio) => {
                            if (nextRadio !== this.selectedRadio) {
                                nextRadio.setAttribute("tabindex", "-1");
                            }
                        });
                    }
                }
            }
            return true;
        };
        /**
         * @internal
         */
        this.clickHandler = (e) => {
            const radio = e.target;
            if (radio) {
                const group = this.slottedRadioButtons;
                if (radio.checked || group.indexOf(radio) === 0) {
                    radio.setAttribute("tabindex", "0");
                    this.selectedRadio = radio;
                }
                else {
                    radio.setAttribute("tabindex", "-1");
                    this.selectedRadio = null;
                }
                this.focusedRadio = radio;
            }
            e.preventDefault();
        };
        this.shouldMoveOffGroupToTheRight = (index, group, key) => {
            return index === group.length && this.isInsideToolbar && key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowRight;
        };
        this.shouldMoveOffGroupToTheLeft = (group, key) => {
            const index = this.focusedRadio ? group.indexOf(this.focusedRadio) - 1 : 0;
            return index < 0 && this.isInsideToolbar && key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowLeft;
        };
        this.checkFocusedRadio = () => {
            if (this.focusedRadio !== null &&
                !this.focusedRadio.readOnly &&
                !this.focusedRadio.checked) {
                this.focusedRadio.checked = true;
                this.focusedRadio.setAttribute("tabindex", "0");
                this.focusedRadio.focus();
                this.selectedRadio = this.focusedRadio;
            }
        };
        this.moveRight = (e) => {
            const group = this.slottedRadioButtons;
            let index = 0;
            index = this.focusedRadio ? group.indexOf(this.focusedRadio) + 1 : 1;
            if (this.shouldMoveOffGroupToTheRight(index, group, e.key)) {
                this.moveRightOffGroup();
                return;
            }
            else if (index === group.length) {
                index = 0;
            }
            /* looping to get to next radio that is not disabled */
            /* matching native radio/radiogroup which does not select an item if there is only 1 in the group */
            while (index < group.length && group.length > 1) {
                if (!group[index].disabled) {
                    this.moveToRadioByIndex(group, index);
                    break;
                }
                else if (this.focusedRadio && index === group.indexOf(this.focusedRadio)) {
                    break;
                }
                else if (index + 1 >= group.length) {
                    if (this.isInsideToolbar) {
                        break;
                    }
                    else {
                        index = 0;
                    }
                }
                else {
                    index += 1;
                }
            }
        };
        this.moveLeft = (e) => {
            const group = this.slottedRadioButtons;
            let index = 0;
            index = this.focusedRadio ? group.indexOf(this.focusedRadio) - 1 : 0;
            index = index < 0 ? group.length - 1 : index;
            if (this.shouldMoveOffGroupToTheLeft(group, e.key)) {
                this.moveLeftOffGroup();
                return;
            }
            /* looping to get to next radio that is not disabled */
            while (index >= 0 && group.length > 1) {
                if (!group[index].disabled) {
                    this.moveToRadioByIndex(group, index);
                    break;
                }
                else if (this.focusedRadio && index === group.indexOf(this.focusedRadio)) {
                    break;
                }
                else if (index - 1 < 0) {
                    index = group.length - 1;
                }
                else {
                    index -= 1;
                }
            }
        };
        /**
         * keyboard handling per https://w3c.github.io/aria-practices/#for-radio-groups-not-contained-in-a-toolbar
         * navigation is different when there is an ancestor with role='toolbar'
         *
         * @internal
         */
        this.keydownHandler = (e) => {
            const key = e.key;
            if (key in _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.ArrowKeys && this.isInsideFoundationToolbar) {
                return true;
            }
            switch (key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyEnter: {
                    this.checkFocusedRadio();
                    break;
                }
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowRight:
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowDown: {
                    if (this.direction === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.Direction.ltr) {
                        this.moveRight(e);
                    }
                    else {
                        this.moveLeft(e);
                    }
                    break;
                }
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowLeft:
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowUp: {
                    if (this.direction === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.Direction.ltr) {
                        this.moveLeft(e);
                    }
                    else {
                        this.moveRight(e);
                    }
                    break;
                }
                default: {
                    return true;
                }
            }
        };
    }
    readOnlyChanged() {
        if (this.slottedRadioButtons !== undefined) {
            this.slottedRadioButtons.forEach((radio) => {
                if (this.readOnly) {
                    radio.readOnly = true;
                }
                else {
                    radio.readOnly = false;
                }
            });
        }
    }
    disabledChanged() {
        if (this.slottedRadioButtons !== undefined) {
            this.slottedRadioButtons.forEach((radio) => {
                if (this.disabled) {
                    radio.disabled = true;
                }
                else {
                    radio.disabled = false;
                }
            });
        }
    }
    nameChanged() {
        if (this.slottedRadioButtons) {
            this.slottedRadioButtons.forEach((radio) => {
                radio.setAttribute("name", this.name);
            });
        }
    }
    valueChanged() {
        if (this.slottedRadioButtons) {
            this.slottedRadioButtons.forEach((radio) => {
                if (radio.value === this.value) {
                    radio.checked = true;
                    this.selectedRadio = radio;
                }
            });
        }
        this.$emit("change");
    }
    slottedRadioButtonsChanged(oldValue, newValue) {
        if (this.slottedRadioButtons && this.slottedRadioButtons.length > 0) {
            this.setupRadioButtons();
        }
    }
    get parentToolbar() {
        return this.closest('[role="toolbar"]');
    }
    get isInsideToolbar() {
        var _a;
        return ((_a = this.parentToolbar) !== null && _a !== void 0 ? _a : false);
    }
    get isInsideFoundationToolbar() {
        var _a;
        return !!((_a = this.parentToolbar) === null || _a === void 0 ? void 0 : _a["$fastController"]);
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.direction = (0,_utilities_direction_js__WEBPACK_IMPORTED_MODULE_5__.getDirection)(this);
        this.setupRadioButtons();
    }
    disconnectedCallback() {
        this.slottedRadioButtons.forEach((radio) => {
            radio.removeEventListener("change", this.radioChangeHandler);
        });
    }
    setupRadioButtons() {
        const checkedRadios = this.slottedRadioButtons.filter((radio) => {
            return radio.hasAttribute("checked");
        });
        const numberOfCheckedRadios = checkedRadios ? checkedRadios.length : 0;
        if (numberOfCheckedRadios > 1) {
            const lastCheckedRadio = checkedRadios[numberOfCheckedRadios - 1];
            lastCheckedRadio.checked = true;
        }
        let foundMatchingVal = false;
        this.slottedRadioButtons.forEach((radio) => {
            if (this.name !== undefined) {
                radio.setAttribute("name", this.name);
            }
            if (this.disabled) {
                radio.disabled = true;
            }
            if (this.readOnly) {
                radio.readOnly = true;
            }
            if (this.value && this.value === radio.value) {
                this.selectedRadio = radio;
                this.focusedRadio = radio;
                radio.checked = true;
                radio.setAttribute("tabindex", "0");
                foundMatchingVal = true;
            }
            else {
                if (!this.isInsideFoundationToolbar) {
                    radio.setAttribute("tabindex", "-1");
                }
                radio.checked = false;
            }
            radio.addEventListener("change", this.radioChangeHandler);
        });
        if (this.value === undefined && this.slottedRadioButtons.length > 0) {
            const checkedRadios = this.slottedRadioButtons.filter((radio) => {
                return radio.hasAttribute("checked");
            });
            const numberOfCheckedRadios = checkedRadios !== null ? checkedRadios.length : 0;
            if (numberOfCheckedRadios > 0 && !foundMatchingVal) {
                const lastCheckedRadio = checkedRadios[numberOfCheckedRadios - 1];
                lastCheckedRadio.checked = true;
                this.focusedRadio = lastCheckedRadio;
                lastCheckedRadio.setAttribute("tabindex", "0");
            }
            else {
                this.slottedRadioButtons[0].setAttribute("tabindex", "0");
                this.focusedRadio = this.slottedRadioButtons[0];
            }
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], RadioGroup.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "disabled", mode: "boolean" })
], RadioGroup.prototype, "disabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], RadioGroup.prototype, "name", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], RadioGroup.prototype, "value", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], RadioGroup.prototype, "orientation", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], RadioGroup.prototype, "childItems", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], RadioGroup.prototype, "slottedRadioButtons", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/radio-group.template.js":
/*!**********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/radio-group/radio-group.template.js ***!
  \**********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   radioGroupTemplate: () => (/* binding */ radioGroupTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");


/**
 * The template for the {@link @microsoft/fast-foundation#RadioGroup} component.
 * @public
 */
const radioGroupTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="radiogroup"
        aria-disabled="${x => x.disabled}"
        aria-readonly="${x => x.readOnly}"
        @click="${(x, c) => x.clickHandler(c.event)}"
        @keydown="${(x, c) => x.keydownHandler(c.event)}"
        @focusout="${(x, c) => x.focusOutHandler(c.event)}"
    >
        <slot name="label"></slot>
        <div
            class="positioning-region ${x => x.orientation === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Orientation.horizontal ? "horizontal" : "vertical"}"
            part="positioning-region"
        >
            <slot
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({
    property: "slottedRadioButtons",
    filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)("[role=radio]"),
})}
            ></slot>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/index.js":
/*!*************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/radio/index.js ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Radio: () => (/* reexport safe */ _radio_js__WEBPACK_IMPORTED_MODULE_1__.Radio),
/* harmony export */   radioTemplate: () => (/* reexport safe */ _radio_template_js__WEBPACK_IMPORTED_MODULE_0__.radioTemplate)
/* harmony export */ });
/* harmony import */ var _radio_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./radio.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.template.js");
/* harmony import */ var _radio_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./radio.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.form-associated.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.form-associated.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedRadio: () => (/* binding */ FormAssociatedRadio)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _Radio extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Radio:class)} component.
 *
 * @internal
 */
class FormAssociatedRadio extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.CheckableFormAssociated)(_Radio) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.js":
/*!*************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.js ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Radio: () => (/* binding */ Radio)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _radio_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./radio.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.form-associated.js");




/**
 * A Radio Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#radio | ARIA radio }.
 *
 * @slot checked-indicator - The checked indicator
 * @slot - The default slot for the label
 * @csspart control - The element representing the visual radio control
 * @csspart label - The label
 * @fires change - Emits a custom change event when the checked state changes
 *
 * @public
 */
class Radio extends _radio_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedRadio {
    constructor() {
        super();
        /**
         * The element's value to be included in form submission when checked.
         * Default to "on" to reach parity with input[type="radio"]
         *
         * @internal
         */
        this.initialValue = "on";
        /**
         * @internal
         */
        this.keypressHandler = (e) => {
            switch (e.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keySpace:
                    if (!this.checked && !this.readOnly) {
                        this.checked = true;
                    }
                    return;
            }
            return true;
        };
        this.proxy.setAttribute("type", "radio");
    }
    readOnlyChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.readOnly = this.readOnly;
        }
    }
    /**
     * @internal
     */
    defaultCheckedChanged() {
        var _a;
        if (this.$fastController.isConnected && !this.dirtyChecked) {
            // Setting this.checked will cause us to enter a dirty state,
            // but if we are clean when defaultChecked is changed, we want to stay
            // in a clean state, so reset this.dirtyChecked
            if (!this.isInsideRadioGroup()) {
                this.checked = (_a = this.defaultChecked) !== null && _a !== void 0 ? _a : false;
                this.dirtyChecked = false;
            }
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        var _a, _b;
        super.connectedCallback();
        this.validate();
        if (((_a = this.parentElement) === null || _a === void 0 ? void 0 : _a.getAttribute("role")) !== "radiogroup" &&
            this.getAttribute("tabindex") === null) {
            if (!this.disabled) {
                this.setAttribute("tabindex", "0");
            }
        }
        if (this.checkedAttribute) {
            if (!this.dirtyChecked) {
                // Setting this.checked will cause us to enter a dirty state,
                // but if we are clean when defaultChecked is changed, we want to stay
                // in a clean state, so reset this.dirtyChecked
                if (!this.isInsideRadioGroup()) {
                    this.checked = (_b = this.defaultChecked) !== null && _b !== void 0 ? _b : false;
                    this.dirtyChecked = false;
                }
            }
        }
    }
    isInsideRadioGroup() {
        const parent = this.closest("[role=radiogroup]");
        return parent !== null;
    }
    /**
     * @internal
     */
    clickHandler(e) {
        if (!this.disabled && !this.readOnly && !this.checked) {
            this.checked = true;
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], Radio.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Radio.prototype, "name", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Radio.prototype, "defaultSlottedNodes", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.template.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/radio/radio.template.js ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   radioTemplate: () => (/* binding */ radioTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#(Radio:class)} component.
 * @public
 */
const radioTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="radio"
        class="${x => (x.checked ? "checked" : "")} ${x => x.readOnly ? "readonly" : ""}"
        aria-checked="${x => x.checked}"
        aria-required="${x => x.required}"
        aria-disabled="${x => x.disabled}"
        aria-readonly="${x => x.readOnly}"
        @keypress="${(x, c) => x.keypressHandler(c.event)}"
        @click="${(x, c) => x.clickHandler(c.event)}"
    >
        <div part="control" class="control">
            <slot name="checked-indicator">
                ${definition.checkedIndicator || ""}
            </slot>
        </div>
        <label
            part="label"
            class="${x => x.defaultSlottedNodes && x.defaultSlottedNodes.length
    ? "label"
    : "label label__hidden"}"
        >
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("defaultSlottedNodes")}></slot>
        </label>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/search/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/search/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIASearch: () => (/* reexport safe */ _search_js__WEBPACK_IMPORTED_MODULE_1__.DelegatesARIASearch),
/* harmony export */   Search: () => (/* reexport safe */ _search_js__WEBPACK_IMPORTED_MODULE_1__.Search),
/* harmony export */   searchTemplate: () => (/* reexport safe */ _search_template_js__WEBPACK_IMPORTED_MODULE_0__.searchTemplate)
/* harmony export */ });
/* harmony import */ var _search_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./search.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/search/search.template.js");
/* harmony import */ var _search_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./search.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/search/search.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/search/search.form-associated.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/search/search.form-associated.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedSearch: () => (/* binding */ FormAssociatedSearch)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _Search extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Search:class)} component.
 *
 * @internal
 */
class FormAssociatedSearch extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_Search) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/search/search.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/search/search.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIASearch: () => (/* binding */ DelegatesARIASearch),
/* harmony export */   Search: () => (/* binding */ Search)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _search_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./search.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/search/search.form-associated.js");





/**
 * A Search Custom HTML Element.
 * Based largely on the {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/search | <input type="search" /> element }.
 *
 * @slot start - Content which can be provided before the search input
 * @slot end - Content which can be provided after the search clear button
 * @slot - The default slot for the label
 * @slot close-button - The clear button
 * @slot close-glyph - The clear glyph
 * @csspart label - The label
 * @csspart root - The element wrapping the control, including start and end slots
 * @csspart control - The element representing the input
 * @csspart clear-button - The button to clear the input
 *
 * @public
 */
class Search extends _search_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedSearch {
    readOnlyChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.readOnly = this.readOnly;
            this.validate();
        }
    }
    autofocusChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.autofocus = this.autofocus;
            this.validate();
        }
    }
    placeholderChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.placeholder = this.placeholder;
        }
    }
    listChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.setAttribute("list", this.list);
            this.validate();
        }
    }
    maxlengthChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.maxLength = this.maxlength;
            this.validate();
        }
    }
    minlengthChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.minLength = this.minlength;
            this.validate();
        }
    }
    patternChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.pattern = this.pattern;
            this.validate();
        }
    }
    sizeChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.size = this.size;
        }
    }
    spellcheckChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.spellcheck = this.spellcheck;
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.validate();
        if (this.autofocus) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                this.focus();
            });
        }
    }
    /** {@inheritDoc (FormAssociated:interface).validate} */
    validate() {
        super.validate(this.control);
    }
    /**
     * Handles the internal control's `input` event
     * @internal
     */
    handleTextInput() {
        this.value = this.control.value;
    }
    /**
     * Handles the control's clear value event
     * @public
     */
    handleClearInput() {
        this.value = "";
        this.control.focus();
        this.handleChange();
    }
    /**
     * Change event handler for inner control.
     * @remarks
     * "Change" events are not `composable` so they will not
     * permeate the shadow DOM boundary. This fn effectively proxies
     * the change event, emitting a `change` event whenever the internal
     * control emits a `change` event
     * @internal
     */
    handleChange() {
        this.$emit("change");
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], Search.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Search.prototype, "autofocus", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Search.prototype, "placeholder", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Search.prototype, "list", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Search.prototype, "maxlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Search.prototype, "minlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Search.prototype, "pattern", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Search.prototype, "size", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Search.prototype, "spellcheck", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Search.prototype, "defaultSlottedNodes", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA textbox role
 *
 * @public
 */
class DelegatesARIASearch {
}
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(DelegatesARIASearch, _patterns_index_js__WEBPACK_IMPORTED_MODULE_4__.ARIAGlobalStatesAndProperties);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_3__.applyMixins)(Search, _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__.StartEnd, DelegatesARIASearch);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/search/search.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/search/search.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   searchTemplate: () => (/* binding */ searchTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_whitespace_filter_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utilities/whitespace-filter.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/whitespace-filter.js");



/**
 * The template for the {@link @microsoft/fast-foundation#(Search:class)} component.
 * @public
 */
const searchTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        class="
            ${x => (x.readOnly ? "readonly" : "")}
        "
    >
        <label
            part="label"
            for="control"
            class="${x => x.defaultSlottedNodes && x.defaultSlottedNodes.length
    ? "label"
    : "label label__hidden"}"
        >
            <slot
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({ property: "defaultSlottedNodes", filter: _utilities_whitespace_filter_js__WEBPACK_IMPORTED_MODULE_1__.whitespaceFilter })}
            ></slot>
        </label>
        <div class="root" part="root" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("root")}>
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.startSlotTemplate)(context, definition)}
            <div class="input-wrapper" part="input-wrapper">
                <input
                    class="control"
                    part="control"
                    id="control"
                    @input="${x => x.handleTextInput()}"
                    @change="${x => x.handleChange()}"
                    ?autofocus="${x => x.autofocus}"
                    ?disabled="${x => x.disabled}"
                    list="${x => x.list}"
                    maxlength="${x => x.maxlength}"
                    minlength="${x => x.minlength}"
                    pattern="${x => x.pattern}"
                    placeholder="${x => x.placeholder}"
                    ?readonly="${x => x.readOnly}"
                    ?required="${x => x.required}"
                    size="${x => x.size}"
                    ?spellcheck="${x => x.spellcheck}"
                    :value="${x => x.value}"
                    type="search"
                    aria-atomic="${x => x.ariaAtomic}"
                    aria-busy="${x => x.ariaBusy}"
                    aria-controls="${x => x.ariaControls}"
                    aria-current="${x => x.ariaCurrent}"
                    aria-describedby="${x => x.ariaDescribedby}"
                    aria-details="${x => x.ariaDetails}"
                    aria-disabled="${x => x.ariaDisabled}"
                    aria-errormessage="${x => x.ariaErrormessage}"
                    aria-flowto="${x => x.ariaFlowto}"
                    aria-haspopup="${x => x.ariaHaspopup}"
                    aria-hidden="${x => x.ariaHidden}"
                    aria-invalid="${x => x.ariaInvalid}"
                    aria-keyshortcuts="${x => x.ariaKeyshortcuts}"
                    aria-label="${x => x.ariaLabel}"
                    aria-labelledby="${x => x.ariaLabelledby}"
                    aria-live="${x => x.ariaLive}"
                    aria-owns="${x => x.ariaOwns}"
                    aria-relevant="${x => x.ariaRelevant}"
                    aria-roledescription="${x => x.ariaRoledescription}"
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
                />
                <slot name="close-button">
                    <button
                        class="clear-button ${x => x.value ? "" : "clear-button__hidden"}"
                        part="clear-button"
                        tabindex="-1"
                        @click=${x => x.handleClearInput()}
                    >
                        <slot name="close-glyph">
                            <svg
                                width="9"
                                height="9"
                                viewBox="0 0 9 9"
                                xmlns="http://www.w3.org/2000/svg"
                            >
                                <path
                                    d="M0.146447 0.146447C0.338683 -0.0478972 0.645911 -0.0270359 0.853553 0.146447L4.5 3.793L8.14645 0.146447C8.34171 -0.0488155 8.65829 -0.0488155 8.85355 0.146447C9.04882 0.341709 9.04882 0.658291 8.85355 0.853553L5.207 4.5L8.85355 8.14645C9.05934 8.35223 9.03129 8.67582 8.85355 8.85355C8.67582 9.03129 8.35409 9.02703 8.14645 8.85355L4.5 5.207L0.853553 8.85355C0.658291 9.04882 0.341709 9.04882 0.146447 8.85355C-0.0488155 8.65829 -0.0488155 8.34171 0.146447 8.14645L3.793 4.5L0.146447 0.853553C-0.0268697 0.680237 -0.0457894 0.34079 0.146447 0.146447Z"
                                />
                            </svg>
                        </slot>
                    </button>
                </slot>
            </div>
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.endSlotTemplate)(context, definition)}
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/select/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/select/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIASelect: () => (/* reexport safe */ _select_js__WEBPACK_IMPORTED_MODULE_0__.DelegatesARIASelect),
/* harmony export */   Select: () => (/* reexport safe */ _select_js__WEBPACK_IMPORTED_MODULE_0__.Select),
/* harmony export */   SelectPosition: () => (/* reexport safe */ _select_options_js__WEBPACK_IMPORTED_MODULE_1__.SelectPosition),
/* harmony export */   selectTemplate: () => (/* reexport safe */ _select_template_js__WEBPACK_IMPORTED_MODULE_2__.selectTemplate)
/* harmony export */ });
/* harmony import */ var _select_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./select.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.js");
/* harmony import */ var _select_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./select.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.options.js");
/* harmony import */ var _select_template_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./select.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.template.js");





/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.form-associated.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/select/select.form-associated.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedSelect: () => (/* binding */ FormAssociatedSelect)
/* harmony export */ });
/* harmony import */ var _listbox_listbox_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../listbox/listbox.element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.element.js");
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");


class _Select extends _listbox_listbox_element_js__WEBPACK_IMPORTED_MODULE_0__.ListboxElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Select:class)} component.
 *
 * @internal
 */
class FormAssociatedSelect extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_Select) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("select");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/select/select.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIASelect: () => (/* binding */ DelegatesARIASelect),
/* harmony export */   Select: () => (/* binding */ Select)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/strings.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../listbox/listbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _select_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./select.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.form-associated.js");
/* harmony import */ var _select_options_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./select.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.options.js");








/**
 * A Select Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#select | ARIA select }.
 *
 * @slot start - Content which can be provided before the button content
 * @slot end - Content which can be provided after the button content
 * @slot button-container - The element representing the select button
 * @slot selected-value - The selected value
 * @slot indicator - The visual indicator for the expand/collapse state of the button
 * @slot - The default slot for slotted options
 * @csspart control - The element representing the select invoking element
 * @csspart selected-value - The element wrapping the selected value
 * @csspart indicator - The element wrapping the visual indicator
 * @csspart listbox - The listbox element
 * @fires input - Fires a custom 'input' event when the value updates
 * @fires change - Fires a custom 'change' event when the value updates
 *
 * @public
 */
class Select extends _select_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedSelect {
    constructor() {
        super(...arguments);
        /**
         * The open attribute.
         *
         * @public
         * @remarks
         * HTML Attribute: open
         */
        this.open = false;
        /**
         * Indicates the initial state of the position attribute.
         *
         * @internal
         */
        this.forcedPosition = false;
        /**
         * The unique id for the internal listbox element.
         *
         * @internal
         */
        this.listboxId = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.uniqueId)("listbox-");
        /**
         * The max height for the listbox when opened.
         *
         * @internal
         */
        this.maxHeight = 0;
    }
    /**
     * Sets focus and synchronizes ARIA attributes when the open property changes.
     *
     * @param prev - the previous open value
     * @param next - the current open value
     *
     * @internal
     */
    openChanged(prev, next) {
        if (!this.collapsible) {
            return;
        }
        if (this.open) {
            this.ariaControls = this.listboxId;
            this.ariaExpanded = "true";
            this.setPositioning();
            this.focusAndScrollOptionIntoView();
            this.indexWhenOpened = this.selectedIndex;
            // focus is directed to the element when `open` is changed programmatically
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => this.focus());
            return;
        }
        this.ariaControls = "";
        this.ariaExpanded = "false";
    }
    /**
     * The component is collapsible when in single-selection mode with no size attribute.
     *
     * @internal
     */
    get collapsible() {
        return !(this.multiple || typeof this.size === "number");
    }
    /**
     * The value property.
     *
     * @public
     */
    get value() {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, "value");
        return this._value;
    }
    set value(next) {
        var _a, _b, _c, _d, _e, _f, _g;
        const prev = `${this._value}`;
        if ((_a = this._options) === null || _a === void 0 ? void 0 : _a.length) {
            const selectedIndex = this._options.findIndex(el => el.value === next);
            const prevSelectedValue = (_c = (_b = this._options[this.selectedIndex]) === null || _b === void 0 ? void 0 : _b.value) !== null && _c !== void 0 ? _c : null;
            const nextSelectedValue = (_e = (_d = this._options[selectedIndex]) === null || _d === void 0 ? void 0 : _d.value) !== null && _e !== void 0 ? _e : null;
            if (selectedIndex === -1 || prevSelectedValue !== nextSelectedValue) {
                next = "";
                this.selectedIndex = selectedIndex;
            }
            next = (_g = (_f = this.firstSelectedOption) === null || _f === void 0 ? void 0 : _f.value) !== null && _g !== void 0 ? _g : next;
        }
        if (prev !== next) {
            this._value = next;
            super.valueChanged(prev, next);
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.notify(this, "value");
            this.updateDisplayValue();
        }
    }
    /**
     * Sets the value and display value to match the first selected option.
     *
     * @param shouldEmit - if true, the input and change events will be emitted
     *
     * @internal
     */
    updateValue(shouldEmit) {
        var _a, _b;
        if (this.$fastController.isConnected) {
            this.value = (_b = (_a = this.firstSelectedOption) === null || _a === void 0 ? void 0 : _a.value) !== null && _b !== void 0 ? _b : "";
        }
        if (shouldEmit) {
            this.$emit("input");
            this.$emit("change", this, {
                bubbles: true,
                composed: undefined,
            });
        }
    }
    /**
     * Updates the proxy value when the selected index changes.
     *
     * @param prev - the previous selected index
     * @param next - the next selected index
     *
     * @internal
     */
    selectedIndexChanged(prev, next) {
        super.selectedIndexChanged(prev, next);
        this.updateValue();
    }
    positionChanged(prev, next) {
        this.positionAttribute = next;
        this.setPositioning();
    }
    /**
     * Calculate and apply listbox positioning based on available viewport space.
     *
     * @public
     */
    setPositioning() {
        const currentBox = this.getBoundingClientRect();
        const viewportHeight = window.innerHeight;
        const availableBottom = viewportHeight - currentBox.bottom;
        this.position = this.forcedPosition
            ? this.positionAttribute
            : currentBox.top > availableBottom
                ? _select_options_js__WEBPACK_IMPORTED_MODULE_3__.SelectPosition.above
                : _select_options_js__WEBPACK_IMPORTED_MODULE_3__.SelectPosition.below;
        this.positionAttribute = this.forcedPosition
            ? this.positionAttribute
            : this.position;
        this.maxHeight =
            this.position === _select_options_js__WEBPACK_IMPORTED_MODULE_3__.SelectPosition.above ? ~~currentBox.top : ~~availableBottom;
    }
    /**
     * The value displayed on the button.
     *
     * @public
     */
    get displayValue() {
        var _a, _b;
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, "displayValue");
        return (_b = (_a = this.firstSelectedOption) === null || _a === void 0 ? void 0 : _a.text) !== null && _b !== void 0 ? _b : "";
    }
    /**
     * Synchronize the `aria-disabled` property when the `disabled` property changes.
     *
     * @param prev - The previous disabled value
     * @param next - The next disabled value
     *
     * @internal
     */
    disabledChanged(prev, next) {
        if (super.disabledChanged) {
            super.disabledChanged(prev, next);
        }
        this.ariaDisabled = this.disabled ? "true" : "false";
    }
    /**
     * Reset the element to its first selectable option when its parent form is reset.
     *
     * @internal
     */
    formResetCallback() {
        this.setProxyOptions();
        // Call the base class's implementation setDefaultSelectedOption instead of the select's
        // override, in order to reset the selectedIndex without using the value property.
        super.setDefaultSelectedOption();
        if (this.selectedIndex === -1) {
            this.selectedIndex = 0;
        }
    }
    /**
     * Handle opening and closing the listbox when the select is clicked.
     *
     * @param e - the mouse event
     * @internal
     */
    clickHandler(e) {
        // do nothing if the select is disabled
        if (this.disabled) {
            return;
        }
        if (this.open) {
            const captured = e.target.closest(`option,[role=option]`);
            if (captured && captured.disabled) {
                return;
            }
        }
        super.clickHandler(e);
        this.open = this.collapsible && !this.open;
        if (!this.open && this.indexWhenOpened !== this.selectedIndex) {
            this.updateValue(true);
        }
        return true;
    }
    /**
     * Handles focus state when the element or its children lose focus.
     *
     * @param e - The focus event
     * @internal
     */
    focusoutHandler(e) {
        var _a;
        super.focusoutHandler(e);
        if (!this.open) {
            return true;
        }
        const focusTarget = e.relatedTarget;
        if (this.isSameNode(focusTarget)) {
            this.focus();
            return;
        }
        if (!((_a = this.options) === null || _a === void 0 ? void 0 : _a.includes(focusTarget))) {
            this.open = false;
            if (this.indexWhenOpened !== this.selectedIndex) {
                this.updateValue(true);
            }
        }
    }
    /**
     * Updates the value when an option's value changes.
     *
     * @param source - the source object
     * @param propertyName - the property to evaluate
     *
     * @internal
     * @override
     */
    handleChange(source, propertyName) {
        super.handleChange(source, propertyName);
        if (propertyName === "value") {
            this.updateValue();
        }
    }
    /**
     * Synchronize the form-associated proxy and updates the value property of the element.
     *
     * @param prev - the previous collection of slotted option elements
     * @param next - the next collection of slotted option elements
     *
     * @internal
     */
    slottedOptionsChanged(prev, next) {
        this.options.forEach(o => {
            const notifier = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(o);
            notifier.unsubscribe(this, "value");
        });
        super.slottedOptionsChanged(prev, next);
        this.options.forEach(o => {
            const notifier = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(o);
            notifier.subscribe(this, "value");
        });
        this.setProxyOptions();
        this.updateValue();
    }
    /**
     * Prevents focus when size is set and a scrollbar is clicked.
     *
     * @param e - the mouse event object
     *
     * @override
     * @internal
     */
    mousedownHandler(e) {
        var _a;
        if (e.offsetX >= 0 && e.offsetX <= ((_a = this.listbox) === null || _a === void 0 ? void 0 : _a.scrollWidth)) {
            return super.mousedownHandler(e);
        }
        return this.collapsible;
    }
    /**
     * Sets the multiple property on the proxy element.
     *
     * @param prev - the previous multiple value
     * @param next - the current multiple value
     */
    multipleChanged(prev, next) {
        super.multipleChanged(prev, next);
        if (this.proxy) {
            this.proxy.multiple = next;
        }
    }
    /**
     * Updates the selectedness of each option when the list of selected options changes.
     *
     * @param prev - the previous list of selected options
     * @param next - the current list of selected options
     *
     * @override
     * @internal
     */
    selectedOptionsChanged(prev, next) {
        var _a;
        super.selectedOptionsChanged(prev, next);
        (_a = this.options) === null || _a === void 0 ? void 0 : _a.forEach((o, i) => {
            var _a;
            const proxyOption = (_a = this.proxy) === null || _a === void 0 ? void 0 : _a.options.item(i);
            if (proxyOption) {
                proxyOption.selected = o.selected;
            }
        });
    }
    /**
     * Sets the selected index to match the first option with the selected attribute, or
     * the first selectable option.
     *
     * @override
     * @internal
     */
    setDefaultSelectedOption() {
        var _a;
        const options = (_a = this.options) !== null && _a !== void 0 ? _a : Array.from(this.children).filter(_listbox_listbox_js__WEBPACK_IMPORTED_MODULE_4__.Listbox.slottedOptionFilter);
        const selectedIndex = options === null || options === void 0 ? void 0 : options.findIndex(el => el.hasAttribute("selected") || el.selected || el.value === this.value);
        if (selectedIndex !== -1) {
            this.selectedIndex = selectedIndex;
            return;
        }
        this.selectedIndex = 0;
    }
    /**
     * Resets and fills the proxy to match the component's options.
     *
     * @internal
     */
    setProxyOptions() {
        if (this.proxy instanceof HTMLSelectElement && this.options) {
            this.proxy.options.length = 0;
            this.options.forEach(option => {
                const proxyOption = option.proxy ||
                    (option instanceof HTMLOptionElement ? option.cloneNode() : null);
                if (proxyOption) {
                    this.proxy.options.add(proxyOption);
                }
            });
        }
    }
    /**
     * Handle keyboard interaction for the select.
     *
     * @param e - the keyboard event
     * @internal
     */
    keydownHandler(e) {
        super.keydownHandler(e);
        const key = e.key || e.key.charCodeAt(0);
        switch (key) {
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keySpace: {
                e.preventDefault();
                if (this.collapsible && this.typeAheadExpired) {
                    this.open = !this.open;
                }
                break;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyHome:
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyEnd: {
                e.preventDefault();
                break;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyEnter: {
                e.preventDefault();
                this.open = !this.open;
                break;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyEscape: {
                if (this.collapsible && this.open) {
                    e.preventDefault();
                    this.open = false;
                }
                break;
            }
            case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyTab: {
                if (this.collapsible && this.open) {
                    e.preventDefault();
                    this.open = false;
                }
                return true;
            }
        }
        if (!this.open && this.indexWhenOpened !== this.selectedIndex) {
            this.updateValue(true);
            this.indexWhenOpened = this.selectedIndex;
        }
        return !(key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyArrowDown || key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.keyArrowUp);
    }
    connectedCallback() {
        super.connectedCallback();
        this.forcedPosition = !!this.positionAttribute;
        this.addEventListener("contentchange", this.updateDisplayValue);
    }
    disconnectedCallback() {
        this.removeEventListener("contentchange", this.updateDisplayValue);
        super.disconnectedCallback();
    }
    /**
     * Updates the proxy's size property when the size attribute changes.
     *
     * @param prev - the previous size
     * @param next - the current size
     *
     * @override
     * @internal
     */
    sizeChanged(prev, next) {
        super.sizeChanged(prev, next);
        if (this.proxy) {
            this.proxy.size = next;
        }
    }
    /**
     *
     * @internal
     */
    updateDisplayValue() {
        if (this.collapsible) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.notify(this, "displayValue");
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "open", mode: "boolean" })
], Select.prototype, "open", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.volatile
], Select.prototype, "collapsible", null);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Select.prototype, "control", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "position" })
], Select.prototype, "positionAttribute", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Select.prototype, "position", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Select.prototype, "maxHeight", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA select role.
 *
 * @public
 */
class DelegatesARIASelect {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], DelegatesARIASelect.prototype, "ariaControls", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__.applyMixins)(DelegatesARIASelect, _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_4__.DelegatesARIAListbox);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_7__.applyMixins)(Select, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_8__.StartEnd, DelegatesARIASelect);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.options.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/select/select.options.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SelectPosition: () => (/* binding */ SelectPosition)
/* harmony export */ });
/**
 * Positioning directions for the listbox when a select is open.
 * @public
 */
const SelectPosition = {
    above: "above",
    below: "below",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/select/select.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/select/select.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   selectTemplate: () => (/* binding */ selectTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../listbox/listbox.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/listbox/listbox.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");



/**
 * The template for the {@link @microsoft/fast-foundation#(Select:class)} component.
 * @public
 */
const selectTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        class="${x => [
    x.collapsible && "collapsible",
    x.collapsible && x.open && "open",
    x.disabled && "disabled",
    x.collapsible && x.position,
]
    .filter(Boolean)
    .join(" ")}"
        aria-activedescendant="${x => x.ariaActiveDescendant}"
        aria-controls="${x => x.ariaControls}"
        aria-disabled="${x => x.ariaDisabled}"
        aria-expanded="${x => x.ariaExpanded}"
        aria-haspopup="${x => (x.collapsible ? "listbox" : null)}"
        aria-multiselectable="${x => x.ariaMultiSelectable}"
        ?open="${x => x.open}"
        role="combobox"
        tabindex="${x => (!x.disabled ? "0" : null)}"
        @click="${(x, c) => x.clickHandler(c.event)}"
        @focusin="${(x, c) => x.focusinHandler(c.event)}"
        @focusout="${(x, c) => x.focusoutHandler(c.event)}"
        @keydown="${(x, c) => x.keydownHandler(c.event)}"
        @mousedown="${(x, c) => x.mousedownHandler(c.event)}"
    >
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.collapsible, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <div
                    class="control"
                    part="control"
                    ?disabled="${x => x.disabled}"
                    ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
                >
                    ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
                    <slot name="button-container">
                        <div class="selected-value" part="selected-value">
                            <slot name="selected-value">${x => x.displayValue}</slot>
                        </div>
                        <div aria-hidden="true" class="indicator" part="indicator">
                            <slot name="indicator">
                                ${definition.indicator || ""}
                            </slot>
                        </div>
                    </slot>
                    ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
                </div>
            `)}
        <div
            class="listbox"
            id="${x => x.listboxId}"
            part="listbox"
            role="listbox"
            ?disabled="${x => x.disabled}"
            ?hidden="${x => (x.collapsible ? !x.open : false)}"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("listbox")}
        >
            <slot
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({
    filter: _listbox_listbox_js__WEBPACK_IMPORTED_MODULE_2__.Listbox.slottedOptionFilter,
    flatten: true,
    property: "slottedOptions",
})}
            ></slot>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/index.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/index.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Skeleton: () => (/* reexport safe */ _skeleton_js__WEBPACK_IMPORTED_MODULE_1__.Skeleton),
/* harmony export */   skeletonTemplate: () => (/* reexport safe */ _skeleton_template_js__WEBPACK_IMPORTED_MODULE_0__.skeletonTemplate)
/* harmony export */ });
/* harmony import */ var _skeleton_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./skeleton.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/skeleton.template.js");
/* harmony import */ var _skeleton_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./skeleton.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/skeleton.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/skeleton.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/skeleton.js ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Skeleton: () => (/* binding */ Skeleton)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/**
 * A Skeleton Custom HTML Element.
 *
 * @slot - The default slot
 *
 * @public
 */
class Skeleton extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Indicates what the shape of the Skeleton should be.
         *
         * @public
         * @remarks
         * HTML Attribute: shape
         */
        this.shape = "rect";
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Skeleton.prototype, "fill", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Skeleton.prototype, "shape", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Skeleton.prototype, "pattern", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Skeleton.prototype, "shimmer", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/skeleton.template.js":
/*!****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/skeleton/skeleton.template.js ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   skeletonTemplate: () => (/* binding */ skeletonTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the fast-skeleton component
 * @public
 */
const skeletonTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        class="${x => (x.shape === "circle" ? "circle" : "rect")}"
        pattern="${x => x.pattern}"
        ?shimmer="${x => x.shimmer}"
    >
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.shimmer === true, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <span class="shimmer"></span>
            `)}
        <object type="image/svg+xml" data="${x => x.pattern}" role="presentation">
            <img class="pattern" src="${x => x.pattern}" />
        </object>
        <slot></slot>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/index.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/index.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderLabel: () => (/* reexport safe */ _slider_label_js__WEBPACK_IMPORTED_MODULE_1__.SliderLabel),
/* harmony export */   sliderLabelTemplate: () => (/* reexport safe */ _slider_label_template_js__WEBPACK_IMPORTED_MODULE_0__.sliderLabelTemplate)
/* harmony export */ });
/* harmony import */ var _slider_label_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./slider-label.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/slider-label.template.js");
/* harmony import */ var _slider_label_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./slider-label.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/slider-label.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/slider-label.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/slider-label.js ***!
  \***************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SliderLabel: () => (/* binding */ SliderLabel)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");
/* harmony import */ var _slider_slider_utilities_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../slider/slider-utilities.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider-utilities.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");





const defaultConfig = {
    min: 0,
    max: 0,
    direction: _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Direction.ltr,
    orientation: _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal,
    disabled: false,
};
/**
 * A label element intended to be used with the {@link @microsoft/fast-foundation#(Slider:class)} component.
 *
 * @slot - The default slot for the label content
 * @csspart root - The element wrapping the label mark and text
 *
 * @public
 */
class SliderLabel extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_3__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * Hides the tick mark.
         *
         * @public
         * @remarks
         * HTML Attribute: hide-mark
         */
        this.hideMark = false;
        /**
         * @internal
         */
        this.sliderDirection = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Direction.ltr;
        this.getSliderConfiguration = () => {
            if (!this.isSliderConfig(this.parentNode)) {
                this.sliderDirection = defaultConfig.direction || _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Direction.ltr;
                this.sliderOrientation = defaultConfig.orientation || _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal;
                this.sliderMaxPosition = defaultConfig.max;
                this.sliderMinPosition = defaultConfig.min;
            }
            else {
                const parentSlider = this
                    .parentNode;
                const { min, max, direction, orientation, disabled } = parentSlider;
                if (disabled !== undefined) {
                    this.disabled = disabled;
                }
                this.sliderDirection = direction || _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Direction.ltr;
                this.sliderOrientation = orientation || _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal;
                this.sliderMaxPosition = max;
                this.sliderMinPosition = min;
            }
        };
        this.positionAsStyle = () => {
            const direction = this.sliderDirection
                ? this.sliderDirection
                : _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Direction.ltr;
            const pct = (0,_slider_slider_utilities_js__WEBPACK_IMPORTED_MODULE_4__.convertPixelToPercent)(Number(this.position), Number(this.sliderMinPosition), Number(this.sliderMaxPosition));
            let rightNum = Math.round((1 - pct) * 100);
            let leftNum = Math.round(pct * 100);
            if (Number.isNaN(leftNum) && Number.isNaN(rightNum)) {
                rightNum = 50;
                leftNum = 50;
            }
            if (this.sliderOrientation === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal) {
                return direction === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Direction.rtl
                    ? `right: ${leftNum}%; left: ${rightNum}%;`
                    : `left: ${leftNum}%; right: ${rightNum}%;`;
            }
            else {
                return `top: ${leftNum}%; bottom: ${rightNum}%;`;
            }
        };
    }
    positionChanged() {
        this.positionStyle = this.positionAsStyle();
    }
    /**
     * @internal
     */
    sliderOrientationChanged() {
        void 0;
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.getSliderConfiguration();
        this.positionStyle = this.positionAsStyle();
        this.notifier = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(this.parentNode);
        this.notifier.subscribe(this, "orientation");
        this.notifier.subscribe(this, "direction");
        this.notifier.subscribe(this, "max");
        this.notifier.subscribe(this, "min");
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        super.disconnectedCallback();
        this.notifier.unsubscribe(this, "orientation");
        this.notifier.unsubscribe(this, "direction");
        this.notifier.unsubscribe(this, "max");
        this.notifier.unsubscribe(this, "min");
    }
    /**
     * @internal
     */
    handleChange(source, propertyName) {
        switch (propertyName) {
            case "direction":
                this.sliderDirection = source.direction;
                break;
            case "orientation":
                this.sliderOrientation = source.orientation;
                break;
            case "max":
                this.sliderMaxPosition = source.max;
                break;
            case "min":
                this.sliderMinPosition = source.min;
                break;
            default:
                break;
        }
        this.positionStyle = this.positionAsStyle();
    }
    isSliderConfig(node) {
        return node.max !== undefined && node.min !== undefined;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], SliderLabel.prototype, "positionStyle", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], SliderLabel.prototype, "position", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "hide-mark", mode: "boolean" })
], SliderLabel.prototype, "hideMark", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "disabled", mode: "boolean" })
], SliderLabel.prototype, "disabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], SliderLabel.prototype, "sliderOrientation", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], SliderLabel.prototype, "sliderMinPosition", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], SliderLabel.prototype, "sliderMaxPosition", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], SliderLabel.prototype, "sliderDirection", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/slider-label.template.js":
/*!************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider-label/slider-label.template.js ***!
  \************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   sliderLabelTemplate: () => (/* binding */ sliderLabelTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(SliderLabel:class)} component.
 * @public
 */
const sliderLabelTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        aria-disabled="${x => x.disabled}"
        class="${x => x.sliderOrientation || _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Orientation.horizontal}
            ${x => (x.disabled ? "disabled" : "")}"
    >
        <div ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("root")} part="root" class="root" style="${x => x.positionStyle}">
            <div class="container">
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => !x.hideMark, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                        <div class="mark"></div>
                    `)}
                <div class="label">
                    <slot></slot>
                </div>
            </div>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Slider: () => (/* reexport safe */ _slider_js__WEBPACK_IMPORTED_MODULE_1__.Slider),
/* harmony export */   SliderMode: () => (/* reexport safe */ _slider_js__WEBPACK_IMPORTED_MODULE_1__.SliderMode),
/* harmony export */   sliderTemplate: () => (/* reexport safe */ _slider_template_js__WEBPACK_IMPORTED_MODULE_0__.sliderTemplate)
/* harmony export */ });
/* harmony import */ var _slider_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./slider.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.template.js");
/* harmony import */ var _slider_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./slider.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider-utilities.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider-utilities.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   convertPixelToPercent: () => (/* binding */ convertPixelToPercent)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/numbers.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");

/**
 * Converts a pixel coordinate on the track to a percent of the track's range
 */
function convertPixelToPercent(pixelPos, minPosition, maxPosition, direction) {
    let pct = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_0__.limit)(0, 1, (pixelPos - minPosition) / (maxPosition - minPosition));
    if (direction === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Direction.rtl) {
        pct = 1 - pct;
    }
    return pct;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.form-associated.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.form-associated.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedSlider: () => (/* binding */ FormAssociatedSlider)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _Slider extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Slider:class)} component.
 *
 * @internal
 */
class FormAssociatedSlider extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_Slider) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Slider: () => (/* binding */ Slider),
/* harmony export */   SliderMode: () => (/* binding */ SliderMode)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _utilities_direction_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utilities/direction.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js");
/* harmony import */ var _slider_utilities_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./slider-utilities.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider-utilities.js");
/* harmony import */ var _slider_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./slider.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.form-associated.js");






/**
 * The selection modes of a {@link @microsoft/fast-foundation#(Slider:class)}.
 * @public
 */
const SliderMode = {
    singleValue: "single-value",
};
/**
 * A Slider Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#slider | ARIA slider }.
 *
 * @slot track - The track of the slider
 * @slot track-start - The track-start visual indicator
 * @slot thumb - The slider thumb
 * @slot - The default slot for labels
 * @csspart positioning-region - The region used to position the elements of the slider
 * @csspart track-container - The region containing the track elements
 * @csspart track-start - The element wrapping the track start slot
 * @csspart thumb-container - The thumb container element which is programatically positioned
 * @fires change - Fires a custom 'change' event when the slider value changes
 *
 * @public
 */
class Slider extends _slider_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedSlider {
    constructor() {
        super(...arguments);
        /**
         * @internal
         */
        this.direction = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Direction.ltr;
        /**
         * @internal
         */
        this.isDragging = false;
        /**
         * @internal
         */
        this.trackWidth = 0;
        /**
         * @internal
         */
        this.trackMinWidth = 0;
        /**
         * @internal
         */
        this.trackHeight = 0;
        /**
         * @internal
         */
        this.trackLeft = 0;
        /**
         * @internal
         */
        this.trackMinHeight = 0;
        /**
         * Custom function that generates a string for the component's "aria-valuetext" attribute based on the current value.
         *
         * @public
         */
        this.valueTextFormatter = () => null;
        /**
         * The minimum allowed value.
         *
         * @defaultValue - 0
         * @public
         * @remarks
         * HTML Attribute: min
         */
        this.min = 0; // Map to proxy element.
        /**
         * The maximum allowed value.
         *
         * @defaultValue - 10
         * @public
         * @remarks
         * HTML Attribute: max
         */
        this.max = 10; // Map to proxy element.
        /**
         * Value to increment or decrement via arrow keys, mouse click or drag.
         *
         * @public
         * @remarks
         * HTML Attribute: step
         */
        this.step = 1; // Map to proxy element.
        /**
         * The orientation of the slider.
         *
         * @public
         * @remarks
         * HTML Attribute: orientation
         */
        this.orientation = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.horizontal;
        /**
         * The selection mode.
         *
         * @public
         * @remarks
         * HTML Attribute: mode
         */
        this.mode = SliderMode.singleValue;
        this.keypressHandler = (e) => {
            if (this.readOnly) {
                return;
            }
            if (e.key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyHome) {
                e.preventDefault();
                this.value = `${this.min}`;
            }
            else if (e.key === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEnd) {
                e.preventDefault();
                this.value = `${this.max}`;
            }
            else if (!e.shiftKey) {
                switch (e.key) {
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowRight:
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowUp:
                        e.preventDefault();
                        this.increment();
                        break;
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowLeft:
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyArrowDown:
                        e.preventDefault();
                        this.decrement();
                        break;
                }
            }
        };
        this.setupTrackConstraints = () => {
            const clientRect = this.track.getBoundingClientRect();
            this.trackWidth = this.track.clientWidth;
            this.trackMinWidth = this.track.clientLeft;
            this.trackHeight = clientRect.bottom;
            this.trackMinHeight = clientRect.top;
            this.trackLeft = this.getBoundingClientRect().left;
            if (this.trackWidth === 0) {
                this.trackWidth = 1;
            }
        };
        this.setupListeners = (remove = false) => {
            const eventAction = `${remove ? "remove" : "add"}EventListener`;
            this[eventAction]("keydown", this.keypressHandler);
            this[eventAction]("mousedown", this.handleMouseDown);
            this.thumb[eventAction]("mousedown", this.handleThumbMouseDown, {
                passive: true,
            });
            this.thumb[eventAction]("touchstart", this.handleThumbMouseDown, {
                passive: true,
            });
            // removes handlers attached by mousedown handlers
            if (remove) {
                this.handleMouseDown(null);
                this.handleThumbMouseDown(null);
            }
        };
        /**
         * @internal
         */
        this.initialValue = "";
        /**
         *  Handle mouse moves during a thumb drag operation
         *  If the event handler is null it removes the events
         */
        this.handleThumbMouseDown = (event) => {
            if (event) {
                if (this.readOnly || this.disabled || event.defaultPrevented) {
                    return;
                }
                event.target.focus();
            }
            const eventAction = `${event !== null ? "add" : "remove"}EventListener`;
            window[eventAction]("mouseup", this.handleWindowMouseUp);
            window[eventAction]("mousemove", this.handleMouseMove, { passive: true });
            window[eventAction]("touchmove", this.handleMouseMove, { passive: true });
            window[eventAction]("touchend", this.handleWindowMouseUp);
            this.isDragging = event !== null;
        };
        /**
         *  Handle mouse moves during a thumb drag operation
         */
        this.handleMouseMove = (e) => {
            if (this.readOnly || this.disabled || e.defaultPrevented) {
                return;
            }
            // update the value based on current position
            const sourceEvent = window.TouchEvent && e instanceof TouchEvent
                ? e.touches[0]
                : e;
            const eventValue = this.orientation === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.horizontal
                ? sourceEvent.pageX - document.documentElement.scrollLeft - this.trackLeft
                : sourceEvent.pageY - document.documentElement.scrollTop;
            this.value = `${this.calculateNewValue(eventValue)}`;
        };
        this.calculateNewValue = (rawValue) => {
            // update the value based on current position
            const newPosition = (0,_slider_utilities_js__WEBPACK_IMPORTED_MODULE_5__.convertPixelToPercent)(rawValue, this.orientation === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.horizontal
                ? this.trackMinWidth
                : this.trackMinHeight, this.orientation === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.horizontal
                ? this.trackWidth
                : this.trackHeight, this.direction);
            const newValue = (this.max - this.min) * newPosition + this.min;
            return this.convertToConstrainedValue(newValue);
        };
        /**
         * Handle a window mouse up during a drag operation
         */
        this.handleWindowMouseUp = (event) => {
            this.stopDragging();
        };
        this.stopDragging = () => {
            this.isDragging = false;
            this.handleMouseDown(null);
            this.handleThumbMouseDown(null);
        };
        /**
         *
         * @param e - MouseEvent or null. If there is no event handler it will remove the events
         */
        this.handleMouseDown = (e) => {
            const eventAction = `${e !== null ? "add" : "remove"}EventListener`;
            if (e === null || (!this.disabled && !this.readOnly)) {
                window[eventAction]("mouseup", this.handleWindowMouseUp);
                window.document[eventAction]("mouseleave", this.handleWindowMouseUp);
                window[eventAction]("mousemove", this.handleMouseMove);
                if (e) {
                    e.preventDefault();
                    this.setupTrackConstraints();
                    e.target.focus();
                    const controlValue = this.orientation === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.horizontal
                        ? e.pageX - document.documentElement.scrollLeft - this.trackLeft
                        : e.pageY - document.documentElement.scrollTop;
                    this.value = `${this.calculateNewValue(controlValue)}`;
                }
            }
        };
        this.convertToConstrainedValue = (value) => {
            if (isNaN(value)) {
                value = this.min;
            }
            /**
             * The following logic intends to overcome the issue with math in JavaScript with regards to floating point numbers.
             * This is needed as the `step` may be an integer but could also be a float. To accomplish this the step  is assumed to be a float
             * and is converted to an integer by determining the number of decimal places it represent, multiplying it until it is an
             * integer and then dividing it to get back to the correct number.
             */
            let constrainedValue = value - this.min;
            const roundedConstrainedValue = Math.round(constrainedValue / this.step);
            const remainderValue = constrainedValue -
                (roundedConstrainedValue * (this.stepMultiplier * this.step)) /
                    this.stepMultiplier;
            constrainedValue =
                remainderValue >= Number(this.step) / 2
                    ? constrainedValue - remainderValue + Number(this.step)
                    : constrainedValue - remainderValue;
            return constrainedValue + this.min;
        };
    }
    readOnlyChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.readOnly = this.readOnly;
        }
    }
    /**
     * The value property, typed as a number.
     *
     * @public
     */
    get valueAsNumber() {
        return parseFloat(super.value);
    }
    set valueAsNumber(next) {
        this.value = next.toString();
    }
    /**
     * @internal
     */
    valueChanged(previous, next) {
        super.valueChanged(previous, next);
        if (this.$fastController.isConnected) {
            this.setThumbPositionForOrientation(this.direction);
        }
        this.$emit("change");
    }
    minChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.min = `${this.min}`;
        }
        this.validate();
    }
    maxChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.max = `${this.max}`;
        }
        this.validate();
    }
    stepChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.step = `${this.step}`;
        }
        this.updateStepMultiplier();
        this.validate();
    }
    orientationChanged() {
        if (this.$fastController.isConnected) {
            this.setThumbPositionForOrientation(this.direction);
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.proxy.setAttribute("type", "range");
        this.direction = (0,_utilities_direction_js__WEBPACK_IMPORTED_MODULE_6__.getDirection)(this);
        this.updateStepMultiplier();
        this.setupTrackConstraints();
        this.setupListeners();
        this.setupDefaultValue();
        this.setThumbPositionForOrientation(this.direction);
    }
    /**
     * @internal
     */
    disconnectedCallback() {
        this.setupListeners(true);
    }
    /**
     * Increment the value by the step
     *
     * @public
     */
    increment() {
        const newVal = this.direction !== _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Direction.rtl && this.orientation !== _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.vertical
            ? Number(this.value) + Number(this.step)
            : Number(this.value) - Number(this.step);
        const incrementedVal = this.convertToConstrainedValue(newVal);
        const incrementedValString = incrementedVal < Number(this.max) ? `${incrementedVal}` : `${this.max}`;
        this.value = incrementedValString;
    }
    /**
     * Decrement the value by the step
     *
     * @public
     */
    decrement() {
        const newVal = this.direction !== _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Direction.rtl && this.orientation !== _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.vertical
            ? Number(this.value) - Number(this.step)
            : Number(this.value) + Number(this.step);
        const decrementedVal = this.convertToConstrainedValue(newVal);
        const decrementedValString = decrementedVal > Number(this.min) ? `${decrementedVal}` : `${this.min}`;
        this.value = decrementedValString;
    }
    /**
     * Places the thumb based on the current value
     *
     * @public
     * @param direction - writing mode
     */
    setThumbPositionForOrientation(direction) {
        const newPct = (0,_slider_utilities_js__WEBPACK_IMPORTED_MODULE_5__.convertPixelToPercent)(Number(this.value), Number(this.min), Number(this.max), direction);
        const percentage = (1 - newPct) * 100;
        if (this.orientation === _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Orientation.horizontal) {
            this.position = this.isDragging
                ? `right: ${percentage}%; transition: none;`
                : `right: ${percentage}%; transition: all 0.2s ease;`;
        }
        else {
            this.position = this.isDragging
                ? `bottom: ${percentage}%; transition: none;`
                : `bottom: ${percentage}%; transition: all 0.2s ease;`;
        }
    }
    /**
     * Update the step multiplier used to ensure rounding errors from steps that
     * are not whole numbers
     */
    updateStepMultiplier() {
        const stepString = this.step + "";
        const decimalPlacesOfStep = !!(this.step % 1)
            ? stepString.length - stepString.indexOf(".") - 1
            : 0;
        this.stepMultiplier = Math.pow(10, decimalPlacesOfStep);
    }
    get midpoint() {
        return `${this.convertToConstrainedValue((this.max + this.min) / 2)}`;
    }
    setupDefaultValue() {
        if (typeof this.value === "string") {
            if (this.value.length === 0) {
                this.initialValue = this.midpoint;
            }
            else {
                const value = parseFloat(this.value);
                if (!Number.isNaN(value) && (value < this.min || value > this.max)) {
                    this.value = this.midpoint;
                }
            }
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], Slider.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "direction", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "isDragging", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "position", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "trackWidth", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "trackMinWidth", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "trackHeight", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "trackLeft", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "trackMinHeight", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Slider.prototype, "valueTextFormatter", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Slider.prototype, "min", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Slider.prototype, "max", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], Slider.prototype, "step", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Slider.prototype, "orientation", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_7__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Slider.prototype, "mode", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/slider/slider.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   sliderTemplate: () => (/* binding */ sliderTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(Slider:class)} component.
 * @public
 */
const sliderTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="slider"
        class="${x => (x.readOnly ? "readonly" : "")}
        ${x => x.orientation || _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.Orientation.horizontal}"
        tabindex="${x => (x.disabled ? null : 0)}"
        aria-valuetext="${x => x.valueTextFormatter(x.value)}"
        aria-valuenow="${x => x.value}"
        aria-valuemin="${x => x.min}"
        aria-valuemax="${x => x.max}"
        aria-disabled="${x => (x.disabled ? true : void 0)}"
        aria-readonly="${x => (x.readOnly ? true : void 0)}"
        aria-orientation="${x => x.orientation}"
        class="${x => x.orientation}"
    >
        <div part="positioning-region" class="positioning-region">
            <div ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("track")} part="track-container" class="track">
                <slot name="track"></slot>
                <div part="track-start" class="track-start" style="${x => x.position}">
                    <slot name="track-start"></slot>
                </div>
            </div>
            <slot></slot>
            <div
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("thumb")}
                part="thumb-container"
                class="thumb-container"
                style="${x => x.position}"
            >
                <slot name="thumb">${definition.thumb || ""}</slot>
            </div>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/switch/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Switch: () => (/* reexport safe */ _switch_js__WEBPACK_IMPORTED_MODULE_1__.Switch),
/* harmony export */   switchTemplate: () => (/* reexport safe */ _switch_template_js__WEBPACK_IMPORTED_MODULE_0__.switchTemplate)
/* harmony export */ });
/* harmony import */ var _switch_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./switch.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.template.js");
/* harmony import */ var _switch_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./switch.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.form-associated.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.form-associated.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedSwitch: () => (/* binding */ FormAssociatedSwitch)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _Switch extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(Switch:class)} component.
 *
 * @internal
 */
class FormAssociatedSwitch extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.CheckableFormAssociated)(_Switch) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Switch: () => (/* binding */ Switch)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _switch_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./switch.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.form-associated.js");




/**
 * A Switch Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#switch | ARIA switch }.
 *
 * @slot - The deafult slot for the label
 * @slot checked-message - The message when in a checked state
 * @slot unchecked-message - The message when in an unchecked state
 * @csspart label - The label
 * @csspart switch - The element representing the switch, which wraps the indicator
 * @csspart status-message - The wrapper for the status messages
 * @csspart checked-message - The checked message
 * @csspart unchecked-message - The unchecked message
 * @fires change - Emits a custom change event when the checked state changes
 *
 * @public
 */
class Switch extends _switch_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociatedSwitch {
    constructor() {
        super();
        /**
         * The element's value to be included in form submission when checked.
         * Default to "on" to reach parity with input[type="checkbox"]
         *
         * @internal
         */
        this.initialValue = "on";
        /**
         * @internal
         */
        this.keypressHandler = (e) => {
            if (this.readOnly) {
                return;
            }
            switch (e.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyEnter:
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keySpace:
                    this.checked = !this.checked;
                    break;
            }
        };
        /**
         * @internal
         */
        this.clickHandler = (e) => {
            if (!this.disabled && !this.readOnly) {
                this.checked = !this.checked;
            }
        };
        this.proxy.setAttribute("type", "checkbox");
    }
    readOnlyChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.readOnly = this.readOnly;
        }
        this.readOnly
            ? this.classList.add("readonly")
            : this.classList.remove("readonly");
    }
    /**
     * @internal
     */
    checkedChanged(prev, next) {
        super.checkedChanged(prev, next);
        /**
         * @deprecated - this behavior already exists in the template and should not exist in the class.
         */
        this.checked ? this.classList.add("checked") : this.classList.remove("checked");
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], Switch.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Switch.prototype, "defaultSlottedNodes", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.template.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/switch/switch.template.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   switchTemplate: () => (/* binding */ switchTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#(Switch:class)} component.
 * @public
 */
const switchTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="switch"
        aria-checked="${x => x.checked}"
        aria-disabled="${x => x.disabled}"
        aria-readonly="${x => x.readOnly}"
        tabindex="${x => (x.disabled ? null : 0)}"
        @keypress="${(x, c) => x.keypressHandler(c.event)}"
        @click="${(x, c) => x.clickHandler(c.event)}"
        class="${x => (x.checked ? "checked" : "")}"
    >
        <label
            part="label"
            class="${x => x.defaultSlottedNodes && x.defaultSlottedNodes.length
    ? "label"
    : "label label__hidden"}"
        >
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("defaultSlottedNodes")}></slot>
        </label>
        <div part="switch" class="switch">
            <slot name="switch">${definition.switch || ""}</slot>
        </div>
        <span class="status-message" part="status-message">
            <span class="checked-message" part="checked-message">
                <slot name="checked-message"></slot>
            </span>
            <span class="unchecked-message" part="unchecked-message">
                <slot name="unchecked-message"></slot>
            </span>
        </span>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabPanel: () => (/* reexport safe */ _tab_panel_js__WEBPACK_IMPORTED_MODULE_1__.TabPanel),
/* harmony export */   tabPanelTemplate: () => (/* reexport safe */ _tab_panel_template_js__WEBPACK_IMPORTED_MODULE_0__.tabPanelTemplate)
/* harmony export */ });
/* harmony import */ var _tab_panel_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tab-panel.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/tab-panel.template.js");
/* harmony import */ var _tab_panel_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tab-panel.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/tab-panel.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/tab-panel.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/tab-panel.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TabPanel: () => (/* binding */ TabPanel)
/* harmony export */ });
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");

/**
 * A TabPanel Component to be used with {@link @microsoft/fast-foundation#(Tabs:class)}
 *
 * @slot - The default slot for the tabpanel content
 *
 * @public
 */
class TabPanel extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/tab-panel.template.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tab-panel/tab-panel.template.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   tabPanelTemplate: () => (/* binding */ tabPanelTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#TabPanel} component.
 * @public
 */
const tabPanelTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template slot="tabpanel" role="tabpanel">
        <slot></slot>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tab/index.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tab/index.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tab: () => (/* reexport safe */ _tab_js__WEBPACK_IMPORTED_MODULE_1__.Tab),
/* harmony export */   tabTemplate: () => (/* reexport safe */ _tab_template_js__WEBPACK_IMPORTED_MODULE_0__.tabTemplate)
/* harmony export */ });
/* harmony import */ var _tab_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tab.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tab/tab.template.js");
/* harmony import */ var _tab_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tab.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tab/tab.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tab/tab.js":
/*!*********************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tab/tab.js ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tab: () => (/* binding */ Tab)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");



/**
 * A Tab Component to be used with {@link @microsoft/fast-foundation#(Tabs:class)}
 *
 * @slot - The default slot for the tab content
 *
 * @public
 */
class Tab extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_2__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Tab.prototype, "disabled", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tab/tab.template.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tab/tab.template.js ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   tabTemplate: () => (/* binding */ tabTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#Tab} component.
 * @public
 */
const tabTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template slot="tab" role="tab" aria-disabled="${x => x.disabled}">
        <slot></slot>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tabs/index.js":
/*!************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tabs/index.js ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tabs: () => (/* reexport safe */ _tabs_js__WEBPACK_IMPORTED_MODULE_1__.Tabs),
/* harmony export */   TabsOrientation: () => (/* reexport safe */ _tabs_js__WEBPACK_IMPORTED_MODULE_1__.TabsOrientation),
/* harmony export */   tabsTemplate: () => (/* reexport safe */ _tabs_template_js__WEBPACK_IMPORTED_MODULE_0__.tabsTemplate)
/* harmony export */ });
/* harmony import */ var _tabs_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tabs.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tabs/tabs.template.js");
/* harmony import */ var _tabs_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tabs.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tabs/tabs.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tabs/tabs.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tabs/tabs.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tabs: () => (/* binding */ Tabs),
/* harmony export */   TabsOrientation: () => (/* binding */ TabsOrientation)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/strings.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/numbers.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");






/**
 * The orientation of the {@link @microsoft/fast-foundation#(Tabs:class)} component
 * @public
 */
const TabsOrientation = {
    vertical: "vertical",
    horizontal: "horizontal",
};
/**
 * A Tabs Custom HTML Element.
 * Implements the {@link https://www.w3.org/TR/wai-aria-1.1/#tablist | ARIA tablist }.
 *
 * @slot start - Content which can be provided before the tablist element
 * @slot end - Content which can be provided after the tablist element
 * @slot tab - The slot for tabs
 * @slot tabpanel - The slot for tabpanels
 * @csspart tablist - The element wrapping for the tabs
 * @csspart tab - The tab slot
 * @csspart activeIndicator - The visual indicator
 * @csspart tabpanel - The tabpanel slot
 * @fires change - Fires a custom 'change' event when a tab is clicked or during keyboard navigation
 *
 * @public
 */
class Tabs extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The orientation
         * @public
         * @remarks
         * HTML Attribute: orientation
         */
        this.orientation = TabsOrientation.horizontal;
        /**
         * Whether or not to show the active indicator
         * @public
         * @remarks
         * HTML Attribute: activeindicator
         */
        this.activeindicator = true;
        /**
         * @internal
         */
        this.showActiveIndicator = true;
        this.prevActiveTabIndex = 0;
        this.activeTabIndex = 0;
        this.ticking = false;
        this.change = () => {
            this.$emit("change", this.activetab);
        };
        this.isDisabledElement = (el) => {
            return el.getAttribute("aria-disabled") === "true";
        };
        this.isHiddenElement = (el) => {
            return el.hasAttribute("hidden");
        };
        this.isFocusableElement = (el) => {
            return !this.isDisabledElement(el) && !this.isHiddenElement(el);
        };
        this.setTabs = () => {
            const gridHorizontalProperty = "gridColumn";
            const gridVerticalProperty = "gridRow";
            const gridProperty = this.isHorizontal()
                ? gridHorizontalProperty
                : gridVerticalProperty;
            this.activeTabIndex = this.getActiveIndex();
            this.showActiveIndicator = false;
            this.tabs.forEach((tab, index) => {
                if (tab.slot === "tab") {
                    const isActiveTab = this.activeTabIndex === index && this.isFocusableElement(tab);
                    if (this.activeindicator && this.isFocusableElement(tab)) {
                        this.showActiveIndicator = true;
                    }
                    const tabId = this.tabIds[index];
                    const tabpanelId = this.tabpanelIds[index];
                    tab.setAttribute("id", tabId);
                    tab.setAttribute("aria-selected", isActiveTab ? "true" : "false");
                    tab.setAttribute("aria-controls", tabpanelId);
                    tab.addEventListener("click", this.handleTabClick);
                    tab.addEventListener("keydown", this.handleTabKeyDown);
                    tab.setAttribute("tabindex", isActiveTab ? "0" : "-1");
                    if (isActiveTab) {
                        this.activetab = tab;
                        this.activeid = tabId;
                    }
                }
                // If the original property isn't emptied out,
                // the next set will morph into a grid-area style setting that is not what we want
                tab.style[gridHorizontalProperty] = "";
                tab.style[gridVerticalProperty] = "";
                tab.style[gridProperty] = `${index + 1}`;
                !this.isHorizontal()
                    ? tab.classList.add("vertical")
                    : tab.classList.remove("vertical");
            });
        };
        this.setTabPanels = () => {
            this.tabpanels.forEach((tabpanel, index) => {
                const tabId = this.tabIds[index];
                const tabpanelId = this.tabpanelIds[index];
                tabpanel.setAttribute("id", tabpanelId);
                tabpanel.setAttribute("aria-labelledby", tabId);
                this.activeTabIndex !== index
                    ? tabpanel.setAttribute("hidden", "")
                    : tabpanel.removeAttribute("hidden");
            });
        };
        this.handleTabClick = (event) => {
            const selectedTab = event.currentTarget;
            if (selectedTab.nodeType === 1 && this.isFocusableElement(selectedTab)) {
                this.prevActiveTabIndex = this.activeTabIndex;
                this.activeTabIndex = this.tabs.indexOf(selectedTab);
                this.setComponent();
            }
        };
        this.handleTabKeyDown = (event) => {
            if (this.isHorizontal()) {
                switch (event.key) {
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowLeft:
                        event.preventDefault();
                        this.adjustBackward(event);
                        break;
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowRight:
                        event.preventDefault();
                        this.adjustForward(event);
                        break;
                }
            }
            else {
                switch (event.key) {
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowUp:
                        event.preventDefault();
                        this.adjustBackward(event);
                        break;
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyArrowDown:
                        event.preventDefault();
                        this.adjustForward(event);
                        break;
                }
            }
            switch (event.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyHome:
                    event.preventDefault();
                    this.adjust(-this.activeTabIndex);
                    break;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.keyEnd:
                    event.preventDefault();
                    this.adjust(this.tabs.length - this.activeTabIndex - 1);
                    break;
            }
        };
        this.adjustForward = (e) => {
            const group = this.tabs;
            let index = 0;
            index = this.activetab ? group.indexOf(this.activetab) + 1 : 1;
            if (index === group.length) {
                index = 0;
            }
            while (index < group.length && group.length > 1) {
                if (this.isFocusableElement(group[index])) {
                    this.moveToTabByIndex(group, index);
                    break;
                }
                else if (this.activetab && index === group.indexOf(this.activetab)) {
                    break;
                }
                else if (index + 1 >= group.length) {
                    index = 0;
                }
                else {
                    index += 1;
                }
            }
        };
        this.adjustBackward = (e) => {
            const group = this.tabs;
            let index = 0;
            index = this.activetab ? group.indexOf(this.activetab) - 1 : 0;
            index = index < 0 ? group.length - 1 : index;
            while (index >= 0 && group.length > 1) {
                if (this.isFocusableElement(group[index])) {
                    this.moveToTabByIndex(group, index);
                    break;
                }
                else if (index - 1 < 0) {
                    index = group.length - 1;
                }
                else {
                    index -= 1;
                }
            }
        };
        this.moveToTabByIndex = (group, index) => {
            const tab = group[index];
            this.activetab = tab;
            this.prevActiveTabIndex = this.activeTabIndex;
            this.activeTabIndex = index;
            tab.focus();
            this.setComponent();
        };
    }
    /**
     * @internal
     */
    orientationChanged() {
        if (this.$fastController.isConnected) {
            this.setTabs();
            this.setTabPanels();
            this.handleActiveIndicatorPosition();
        }
    }
    /**
     * @internal
     */
    activeidChanged(oldValue, newValue) {
        if (this.$fastController.isConnected &&
            this.tabs.length <= this.tabpanels.length) {
            this.prevActiveTabIndex = this.tabs.findIndex((item) => item.id === oldValue);
            this.setTabs();
            this.setTabPanels();
            this.handleActiveIndicatorPosition();
        }
    }
    /**
     * @internal
     */
    tabsChanged() {
        if (this.$fastController.isConnected &&
            this.tabs.length <= this.tabpanels.length) {
            this.tabIds = this.getTabIds();
            this.tabpanelIds = this.getTabPanelIds();
            this.setTabs();
            this.setTabPanels();
            this.handleActiveIndicatorPosition();
        }
    }
    /**
     * @internal
     */
    tabpanelsChanged() {
        if (this.$fastController.isConnected &&
            this.tabpanels.length <= this.tabs.length) {
            this.tabIds = this.getTabIds();
            this.tabpanelIds = this.getTabPanelIds();
            this.setTabs();
            this.setTabPanels();
            this.handleActiveIndicatorPosition();
        }
    }
    getActiveIndex() {
        const id = this.activeid;
        if (id !== undefined) {
            return this.tabIds.indexOf(this.activeid) === -1
                ? 0
                : this.tabIds.indexOf(this.activeid);
        }
        else {
            return 0;
        }
    }
    getTabIds() {
        return this.tabs.map((tab) => {
            var _a;
            return (_a = tab.getAttribute("id")) !== null && _a !== void 0 ? _a : `tab-${(0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.uniqueId)()}`;
        });
    }
    getTabPanelIds() {
        return this.tabpanels.map((tabPanel) => {
            var _a;
            return (_a = tabPanel.getAttribute("id")) !== null && _a !== void 0 ? _a : `panel-${(0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.uniqueId)()}`;
        });
    }
    setComponent() {
        if (this.activeTabIndex !== this.prevActiveTabIndex) {
            this.activeid = this.tabIds[this.activeTabIndex];
            this.focusTab();
            this.change();
        }
    }
    isHorizontal() {
        return this.orientation === TabsOrientation.horizontal;
    }
    handleActiveIndicatorPosition() {
        // Ignore if we click twice on the same tab
        if (this.showActiveIndicator &&
            this.activeindicator &&
            this.activeTabIndex !== this.prevActiveTabIndex) {
            if (this.ticking) {
                this.ticking = false;
            }
            else {
                this.ticking = true;
                this.animateActiveIndicator();
            }
        }
    }
    animateActiveIndicator() {
        this.ticking = true;
        const gridProperty = this.isHorizontal() ? "gridColumn" : "gridRow";
        const translateProperty = this.isHorizontal()
            ? "translateX"
            : "translateY";
        const offsetProperty = this.isHorizontal() ? "offsetLeft" : "offsetTop";
        const prev = this.activeIndicatorRef[offsetProperty];
        this.activeIndicatorRef.style[gridProperty] = `${this.activeTabIndex + 1}`;
        const next = this.activeIndicatorRef[offsetProperty];
        this.activeIndicatorRef.style[gridProperty] = `${this.prevActiveTabIndex + 1}`;
        const dif = next - prev;
        this.activeIndicatorRef.style.transform = `${translateProperty}(${dif}px)`;
        this.activeIndicatorRef.classList.add("activeIndicatorTransition");
        this.activeIndicatorRef.addEventListener("transitionend", () => {
            this.ticking = false;
            this.activeIndicatorRef.style[gridProperty] = `${this.activeTabIndex + 1}`;
            this.activeIndicatorRef.style.transform = `${translateProperty}(0px)`;
            this.activeIndicatorRef.classList.remove("activeIndicatorTransition");
        });
    }
    /**
     * The adjust method for FASTTabs
     * @public
     * @remarks
     * This method allows the active index to be adjusted by numerical increments
     */
    adjust(adjustment) {
        const focusableTabs = this.tabs.filter(t => this.isFocusableElement(t));
        const currentActiveTabIndex = focusableTabs.indexOf(this.activetab);
        const nextTabIndex = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.limit)(0, focusableTabs.length - 1, currentActiveTabIndex + adjustment);
        // the index of the next focusable tab within the context of all available tabs
        const nextIndex = this.tabs.indexOf(focusableTabs[nextTabIndex]);
        if (nextIndex > -1) {
            this.moveToTabByIndex(this.tabs, nextIndex);
        }
    }
    focusTab() {
        this.tabs[this.activeTabIndex].focus();
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.tabIds = this.getTabIds();
        this.tabpanelIds = this.getTabPanelIds();
        this.activeTabIndex = this.getActiveIndex();
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Tabs.prototype, "orientation", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Tabs.prototype, "activeid", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tabs.prototype, "tabs", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tabs.prototype, "tabpanels", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Tabs.prototype, "activeindicator", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tabs.prototype, "activeIndicatorRef", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tabs.prototype, "showActiveIndicator", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_6__.applyMixins)(Tabs, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_7__.StartEnd);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tabs/tabs.template.js":
/*!********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tabs/tabs.template.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   tabsTemplate: () => (/* binding */ tabsTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(Tabs:class)} component.
 * @public
 */
const tabsTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template class="${x => x.orientation}">
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
        <div class="tablist" part="tablist" role="tablist">
            <slot class="tab" name="tab" part="tab" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("tabs")}></slot>

            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.showActiveIndicator, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                    <div
                        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("activeIndicatorRef")}
                        class="activeIndicator"
                        part="activeIndicator"
                    ></div>
                `)}
        </div>
        ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
        <div class="tabpanel" part="tabpanel">
            <slot name="tabpanel" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("tabpanels")}></slot>
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-area/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TextArea: () => (/* reexport safe */ _text_area_js__WEBPACK_IMPORTED_MODULE_1__.TextArea),
/* harmony export */   TextAreaResize: () => (/* reexport safe */ _text_area_js__WEBPACK_IMPORTED_MODULE_1__.TextAreaResize),
/* harmony export */   textAreaTemplate: () => (/* reexport safe */ _text_area_template_js__WEBPACK_IMPORTED_MODULE_0__.textAreaTemplate)
/* harmony export */ });
/* harmony import */ var _text_area_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./text-area.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.template.js");
/* harmony import */ var _text_area_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./text-area.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.form-associated.js":
/*!*************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.form-associated.js ***!
  \*************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedTextArea: () => (/* binding */ FormAssociatedTextArea)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _TextArea extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(TextArea:class)} component.
 *
 * @internal
 */
class FormAssociatedTextArea extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_TextArea) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("textarea");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TextArea: () => (/* binding */ TextArea),
/* harmony export */   TextAreaResize: () => (/* reexport safe */ _text_area_options_js__WEBPACK_IMPORTED_MODULE_1__.TextAreaResize)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _text_field_text_field_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../text-field/text-field.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _text_area_form_associated_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./text-area.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.form-associated.js");
/* harmony import */ var _text_area_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./text-area.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.options.js");







/**
 * A Text Area Custom HTML Element.
 * Based largely on the {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/textarea | <textarea> element }.
 *
 * @slot - The default slot for the label
 * @csspart label - The label
 * @csspart root - The element wrapping the control
 * @csspart control - The textarea element
 * @fires change - Emits a custom 'change' event when the textarea emits a change event
 *
 * @public
 */
class TextArea extends _text_area_form_associated_js__WEBPACK_IMPORTED_MODULE_2__.FormAssociatedTextArea {
    constructor() {
        super(...arguments);
        /**
         * The resize mode of the element.
         * @public
         * @remarks
         * HTML Attribute: resize
         */
        this.resize = _text_area_options_js__WEBPACK_IMPORTED_MODULE_1__.TextAreaResize.none;
        /**
         * Sizes the element horizontally by a number of character columns.
         *
         * @public
         * @remarks
         * HTML Attribute: cols
         */
        this.cols = 20;
        /**
         * @internal
         */
        this.handleTextInput = () => {
            this.value = this.control.value;
        };
    }
    readOnlyChanged() {
        if (this.proxy instanceof HTMLTextAreaElement) {
            this.proxy.readOnly = this.readOnly;
        }
    }
    autofocusChanged() {
        if (this.proxy instanceof HTMLTextAreaElement) {
            this.proxy.autofocus = this.autofocus;
        }
    }
    listChanged() {
        if (this.proxy instanceof HTMLTextAreaElement) {
            this.proxy.setAttribute("list", this.list);
        }
    }
    maxlengthChanged() {
        if (this.proxy instanceof HTMLTextAreaElement) {
            this.proxy.maxLength = this.maxlength;
        }
    }
    minlengthChanged() {
        if (this.proxy instanceof HTMLTextAreaElement) {
            this.proxy.minLength = this.minlength;
        }
    }
    spellcheckChanged() {
        if (this.proxy instanceof HTMLTextAreaElement) {
            this.proxy.spellcheck = this.spellcheck;
        }
    }
    /**
     * Selects all the text in the text area
     *
     * @public
     */
    select() {
        this.control.select();
        /**
         * The select event does not permeate the shadow DOM boundary.
         * This fn effectively proxies the select event,
         * emitting a `select` event whenever the internal
         * control emits a `select` event
         */
        this.$emit("select");
    }
    /**
     * Change event handler for inner control.
     * @remarks
     * "Change" events are not `composable` so they will not
     * permeate the shadow DOM boundary. This fn effectively proxies
     * the change event, emitting a `change` event whenever the internal
     * control emits a `change` event
     * @internal
     */
    handleChange() {
        this.$emit("change");
    }
    /** {@inheritDoc (FormAssociated:interface).validate} */
    validate() {
        super.validate(this.control);
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TextArea.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextArea.prototype, "resize", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TextArea.prototype, "autofocus", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "form" })
], TextArea.prototype, "formId", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextArea.prototype, "list", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], TextArea.prototype, "maxlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], TextArea.prototype, "minlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextArea.prototype, "name", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextArea.prototype, "placeholder", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter, mode: "fromView" })
], TextArea.prototype, "cols", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter, mode: "fromView" })
], TextArea.prototype, "rows", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TextArea.prototype, "spellcheck", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TextArea.prototype, "defaultSlottedNodes", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__.applyMixins)(TextArea, _text_field_text_field_js__WEBPACK_IMPORTED_MODULE_5__.DelegatesARIATextbox);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.options.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.options.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TextAreaResize: () => (/* binding */ TextAreaResize)
/* harmony export */ });
/**
 * Resize mode for a TextArea
 * @public
 */
const TextAreaResize = {
    /**
     * No resize.
     */
    none: "none",
    /**
     * Resize vertically and horizontally.
     */
    both: "both",
    /**
     * Resize horizontally.
     */
    horizontal: "horizontal",
    /**
     * Resize vertically.
     */
    vertical: "vertical",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.template.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.template.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   textAreaTemplate: () => (/* binding */ textAreaTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _text_area_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./text-area.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-area/text-area.options.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(TextArea:class)} component.
 * @public
 */
const textAreaTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        class="
            ${x => (x.readOnly ? "readonly" : "")}
            ${x => (x.resize !== _text_area_js__WEBPACK_IMPORTED_MODULE_1__.TextAreaResize.none ? `resize-${x.resize}` : "")}"
    >
        <label
            part="label"
            for="control"
            class="${x => x.defaultSlottedNodes && x.defaultSlottedNodes.length
    ? "label"
    : "label label__hidden"}"
        >
            <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("defaultSlottedNodes")}></slot>
        </label>
        <textarea
            part="control"
            class="control"
            id="control"
            ?autofocus="${x => x.autofocus}"
            cols="${x => x.cols}"
            ?disabled="${x => x.disabled}"
            form="${x => x.form}"
            list="${x => x.list}"
            maxlength="${x => x.maxlength}"
            minlength="${x => x.minlength}"
            name="${x => x.name}"
            placeholder="${x => x.placeholder}"
            ?readonly="${x => x.readOnly}"
            ?required="${x => x.required}"
            rows="${x => x.rows}"
            ?spellcheck="${x => x.spellcheck}"
            :value="${x => x.value}"
            aria-atomic="${x => x.ariaAtomic}"
            aria-busy="${x => x.ariaBusy}"
            aria-controls="${x => x.ariaControls}"
            aria-current="${x => x.ariaCurrent}"
            aria-describedby="${x => x.ariaDescribedby}"
            aria-details="${x => x.ariaDetails}"
            aria-disabled="${x => x.ariaDisabled}"
            aria-errormessage="${x => x.ariaErrormessage}"
            aria-flowto="${x => x.ariaFlowto}"
            aria-haspopup="${x => x.ariaHaspopup}"
            aria-hidden="${x => x.ariaHidden}"
            aria-invalid="${x => x.ariaInvalid}"
            aria-keyshortcuts="${x => x.ariaKeyshortcuts}"
            aria-label="${x => x.ariaLabel}"
            aria-labelledby="${x => x.ariaLabelledby}"
            aria-live="${x => x.ariaLive}"
            aria-owns="${x => x.ariaOwns}"
            aria-relevant="${x => x.ariaRelevant}"
            aria-roledescription="${x => x.ariaRoledescription}"
            @input="${(x, c) => x.handleTextInput()}"
            @change="${x => x.handleChange()}"
            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
        ></textarea>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/index.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-field/index.js ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIATextbox: () => (/* reexport safe */ _text_field_js__WEBPACK_IMPORTED_MODULE_1__.DelegatesARIATextbox),
/* harmony export */   TextField: () => (/* reexport safe */ _text_field_js__WEBPACK_IMPORTED_MODULE_1__.TextField),
/* harmony export */   TextFieldType: () => (/* reexport safe */ _text_field_js__WEBPACK_IMPORTED_MODULE_1__.TextFieldType),
/* harmony export */   textFieldTemplate: () => (/* reexport safe */ _text_field_template_js__WEBPACK_IMPORTED_MODULE_0__.textFieldTemplate)
/* harmony export */ });
/* harmony import */ var _text_field_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./text-field.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.template.js");
/* harmony import */ var _text_field_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./text-field.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.form-associated.js":
/*!***************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.form-associated.js ***!
  \***************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FormAssociatedTextField: () => (/* binding */ FormAssociatedTextField)
/* harmony export */ });
/* harmony import */ var _form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../form-associated/form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/form-associated/form-associated.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");


class _TextField extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_0__.FoundationElement {
}
/**
 * A form-associated base class for the {@link @microsoft/fast-foundation#(TextField:class)} component.
 *
 * @internal
 */
class FormAssociatedTextField extends (0,_form_associated_form_associated_js__WEBPACK_IMPORTED_MODULE_1__.FormAssociated)(_TextField) {
    constructor() {
        super(...arguments);
        this.proxy = document.createElement("input");
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIATextbox: () => (/* binding */ DelegatesARIATextbox),
/* harmony export */   TextField: () => (/* binding */ TextField),
/* harmony export */   TextFieldType: () => (/* reexport safe */ _text_field_options_js__WEBPACK_IMPORTED_MODULE_1__.TextFieldType)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _patterns_index_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../patterns/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _text_field_form_associated_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./text-field.form-associated.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.form-associated.js");
/* harmony import */ var _text_field_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./text-field.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.options.js");







/**
 * A Text Field Custom HTML Element.
 * Based largely on the {@link https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/text | <input type="text" /> element }.
 *
 * @slot start - Content which can be provided before the number field input
 * @slot end - Content which can be provided after the number field input
 * @slot - The default slot for the label
 * @csspart label - The label
 * @csspart root - The element wrapping the control, including start and end slots
 * @csspart control - The text field element
 * @fires change - Fires a custom 'change' event when the value has changed
 *
 * @public
 */
class TextField extends _text_field_form_associated_js__WEBPACK_IMPORTED_MODULE_2__.FormAssociatedTextField {
    constructor() {
        super(...arguments);
        /**
         * Allows setting a type or mode of text.
         * @public
         * @remarks
         * HTML Attribute: type
         */
        this.type = _text_field_options_js__WEBPACK_IMPORTED_MODULE_1__.TextFieldType.text;
    }
    readOnlyChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.readOnly = this.readOnly;
            this.validate();
        }
    }
    autofocusChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.autofocus = this.autofocus;
            this.validate();
        }
    }
    placeholderChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.placeholder = this.placeholder;
        }
    }
    typeChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.type = this.type;
            this.validate();
        }
    }
    listChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.setAttribute("list", this.list);
            this.validate();
        }
    }
    maxlengthChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.maxLength = this.maxlength;
            this.validate();
        }
    }
    minlengthChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.minLength = this.minlength;
            this.validate();
        }
    }
    patternChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.pattern = this.pattern;
            this.validate();
        }
    }
    sizeChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.size = this.size;
        }
    }
    spellcheckChanged() {
        if (this.proxy instanceof HTMLInputElement) {
            this.proxy.spellcheck = this.spellcheck;
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.proxy.setAttribute("type", this.type);
        this.validate();
        if (this.autofocus) {
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
                this.focus();
            });
        }
    }
    /**
     * Selects all the text in the text field
     *
     * @public
     */
    select() {
        this.control.select();
        /**
         * The select event does not permeate the shadow DOM boundary.
         * This fn effectively proxies the select event,
         * emitting a `select` event whenever the internal
         * control emits a `select` event
         */
        this.$emit("select");
    }
    /**
     * Handles the internal control's `input` event
     * @internal
     */
    handleTextInput() {
        this.value = this.control.value;
    }
    /**
     * Change event handler for inner control.
     * @remarks
     * "Change" events are not `composable` so they will not
     * permeate the shadow DOM boundary. This fn effectively proxies
     * the change event, emitting a `change` event whenever the internal
     * control emits a `change` event
     * @internal
     */
    handleChange() {
        this.$emit("change");
    }
    /** {@inheritDoc (FormAssociated:interface).validate} */
    validate() {
        super.validate(this.control);
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "readonly", mode: "boolean" })
], TextField.prototype, "readOnly", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TextField.prototype, "autofocus", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextField.prototype, "placeholder", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextField.prototype, "type", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextField.prototype, "list", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], TextField.prototype, "maxlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], TextField.prototype, "minlength", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], TextField.prototype, "pattern", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ converter: _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.nullableNumberConverter })
], TextField.prototype, "size", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TextField.prototype, "spellcheck", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TextField.prototype, "defaultSlottedNodes", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA textbox role
 *
 * @public
 */
class DelegatesARIATextbox {
}
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__.applyMixins)(DelegatesARIATextbox, _patterns_index_js__WEBPACK_IMPORTED_MODULE_5__.ARIAGlobalStatesAndProperties);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__.applyMixins)(TextField, _patterns_index_js__WEBPACK_IMPORTED_MODULE_6__.StartEnd, DelegatesARIATextbox);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.options.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.options.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TextFieldType: () => (/* binding */ TextFieldType)
/* harmony export */ });
/**
 * Text field sub-types
 * @public
 */
const TextFieldType = {
    /**
     * An email TextField
     */
    email: "email",
    /**
     * A password TextField
     */
    password: "password",
    /**
     * A telephone TextField
     */
    tel: "tel",
    /**
     * A text TextField
     */
    text: "text",
    /**
     * A URL TextField
     */
    url: "url",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.template.js":
/*!********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/text-field/text-field.template.js ***!
  \********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   textFieldTemplate: () => (/* binding */ textFieldTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_whitespace_filter_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utilities/whitespace-filter.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/whitespace-filter.js");



/**
 * The template for the {@link @microsoft/fast-foundation#(TextField:class)} component.
 * @public
 */
const textFieldTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        class="
            ${x => (x.readOnly ? "readonly" : "")}
        "
    >
        <label
            part="label"
            for="control"
            class="${x => x.defaultSlottedNodes && x.defaultSlottedNodes.length
    ? "label"
    : "label label__hidden"}"
        >
            <slot
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({ property: "defaultSlottedNodes", filter: _utilities_whitespace_filter_js__WEBPACK_IMPORTED_MODULE_1__.whitespaceFilter })}
            ></slot>
        </label>
        <div class="root" part="root">
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.startSlotTemplate)(context, definition)}
            <input
                class="control"
                part="control"
                id="control"
                @input="${x => x.handleTextInput()}"
                @change="${x => x.handleChange()}"
                ?autofocus="${x => x.autofocus}"
                ?disabled="${x => x.disabled}"
                list="${x => x.list}"
                maxlength="${x => x.maxlength}"
                minlength="${x => x.minlength}"
                pattern="${x => x.pattern}"
                placeholder="${x => x.placeholder}"
                ?readonly="${x => x.readOnly}"
                ?required="${x => x.required}"
                size="${x => x.size}"
                ?spellcheck="${x => x.spellcheck}"
                :value="${x => x.value}"
                type="${x => x.type}"
                aria-atomic="${x => x.ariaAtomic}"
                aria-busy="${x => x.ariaBusy}"
                aria-controls="${x => x.ariaControls}"
                aria-current="${x => x.ariaCurrent}"
                aria-describedby="${x => x.ariaDescribedby}"
                aria-details="${x => x.ariaDetails}"
                aria-disabled="${x => x.ariaDisabled}"
                aria-errormessage="${x => x.ariaErrormessage}"
                aria-flowto="${x => x.ariaFlowto}"
                aria-haspopup="${x => x.ariaHaspopup}"
                aria-hidden="${x => x.ariaHidden}"
                aria-invalid="${x => x.ariaInvalid}"
                aria-keyshortcuts="${x => x.ariaKeyshortcuts}"
                aria-label="${x => x.ariaLabel}"
                aria-labelledby="${x => x.ariaLabelledby}"
                aria-live="${x => x.ariaLive}"
                aria-owns="${x => x.ariaOwns}"
                aria-relevant="${x => x.ariaRelevant}"
                aria-roledescription="${x => x.ariaRoledescription}"
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("control")}
            />
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_2__.endSlotTemplate)(context, definition)}
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/index.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/index.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIAToolbar: () => (/* reexport safe */ _toolbar_js__WEBPACK_IMPORTED_MODULE_1__.DelegatesARIAToolbar),
/* harmony export */   Toolbar: () => (/* reexport safe */ _toolbar_js__WEBPACK_IMPORTED_MODULE_1__.Toolbar),
/* harmony export */   toolbarTemplate: () => (/* reexport safe */ _toolbar_template_js__WEBPACK_IMPORTED_MODULE_0__.toolbarTemplate)
/* harmony export */ });
/* harmony import */ var _toolbar_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./toolbar.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/toolbar.template.js");
/* harmony import */ var _toolbar_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./toolbar.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/toolbar.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/toolbar.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/toolbar.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   DelegatesARIAToolbar: () => (/* binding */ DelegatesARIAToolbar),
/* harmony export */   Toolbar: () => (/* binding */ Toolbar)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/aria.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/numbers.js");
/* harmony import */ var tabbable__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! tabbable */ "./node_modules/tabbable/dist/index.esm.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _patterns_aria_global_js__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../patterns/aria-global.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/aria-global.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _utilities_direction_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../utilities/direction.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js");
/* harmony import */ var _utilities_root_active_element_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../utilities/root-active-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/root-active-element.js");










/**
 * A map for directionality derived from keyboard input strings,
 * visual orientation, and text direction.
 *
 * @internal
 */
const ToolbarArrowKeyMap = Object.freeze({
    [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.ArrowKeys.ArrowUp]: {
        [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.vertical]: -1,
    },
    [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.ArrowKeys.ArrowDown]: {
        [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.vertical]: 1,
    },
    [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.ArrowKeys.ArrowLeft]: {
        [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal]: {
            [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Direction.ltr]: -1,
            [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Direction.rtl]: 1,
        },
    },
    [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.ArrowKeys.ArrowRight]: {
        [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal]: {
            [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Direction.ltr]: 1,
            [_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Direction.rtl]: -1,
        },
    },
});
/**
 * A Toolbar Custom HTML Element.
 * Implements the {@link https://w3c.github.io/aria-practices/#Toolbar|ARIA Toolbar}.
 *
 * @slot start - Content which can be provided before the slotted items
 * @slot end - Content which can be provided after the slotted items
 * @slot - The default slot for slotted items
 * @slot label - The toolbar label
 * @csspart positioning-region - The element containing the items, start and end slots
 *
 * @public
 */
class Toolbar extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_4__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The internal index of the currently focused element.
         *
         * @internal
         */
        this._activeIndex = 0;
        /**
         * The text direction of the toolbar.
         *
         * @internal
         */
        this.direction = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Direction.ltr;
        /**
         * The orientation of the toolbar.
         *
         * @public
         * @remarks
         * HTML Attribute: `orientation`
         */
        this.orientation = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_2__.Orientation.horizontal;
    }
    /**
     * The index of the currently focused element, clamped between 0 and the last element.
     *
     * @internal
     */
    get activeIndex() {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.track(this, "activeIndex");
        return this._activeIndex;
    }
    set activeIndex(value) {
        if (this.$fastController.isConnected) {
            this._activeIndex = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_5__.limit)(0, this.focusableElements.length - 1, value);
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.notify(this, "activeIndex");
        }
    }
    slottedItemsChanged() {
        if (this.$fastController.isConnected) {
            this.reduceFocusableElements();
        }
    }
    /**
     * Set the activeIndex when a focusable element in the toolbar is clicked.
     *
     * @internal
     */
    mouseDownHandler(e) {
        var _a;
        const activeIndex = (_a = this.focusableElements) === null || _a === void 0 ? void 0 : _a.findIndex(x => x.contains(e.target));
        if (activeIndex > -1 && this.activeIndex !== activeIndex) {
            this.setFocusedElement(activeIndex);
        }
        return true;
    }
    childItemsChanged(prev, next) {
        if (this.$fastController.isConnected) {
            this.reduceFocusableElements();
        }
    }
    /**
     * @internal
     */
    connectedCallback() {
        super.connectedCallback();
        this.direction = (0,_utilities_direction_js__WEBPACK_IMPORTED_MODULE_6__.getDirection)(this);
    }
    /**
     * When the toolbar receives focus, set the currently active element as focused.
     *
     * @internal
     */
    focusinHandler(e) {
        const relatedTarget = e.relatedTarget;
        if (!relatedTarget || this.contains(relatedTarget)) {
            return;
        }
        this.setFocusedElement();
    }
    /**
     * Determines a value that can be used to iterate a list with the arrow keys.
     *
     * @param this - An element with an orientation and direction
     * @param key - The event key value
     * @internal
     */
    getDirectionalIncrementer(key) {
        var _a, _b, _c, _d, _e;
        return ((_e = (_c = (_b = (_a = ToolbarArrowKeyMap[key]) === null || _a === void 0 ? void 0 : _a[this.orientation]) === null || _b === void 0 ? void 0 : _b[this.direction]) !== null && _c !== void 0 ? _c : (_d = ToolbarArrowKeyMap[key]) === null || _d === void 0 ? void 0 : _d[this.orientation]) !== null && _e !== void 0 ? _e : 0);
    }
    /**
     * Handle keyboard events for the toolbar.
     *
     * @internal
     */
    keydownHandler(e) {
        const key = e.key;
        if (!(key in _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.ArrowKeys) || e.defaultPrevented || e.shiftKey) {
            return true;
        }
        const incrementer = this.getDirectionalIncrementer(key);
        if (!incrementer) {
            return !e.target.closest("[role=radiogroup]");
        }
        const nextIndex = this.activeIndex + incrementer;
        if (this.focusableElements[nextIndex]) {
            e.preventDefault();
        }
        this.setFocusedElement(nextIndex);
        return true;
    }
    /**
     * get all the slotted elements
     * @internal
     */
    get allSlottedItems() {
        return [
            ...this.start.assignedElements(),
            ...this.slottedItems,
            ...this.end.assignedElements(),
        ];
    }
    /**
     * Prepare the slotted elements which can be focusable.
     *
     * @internal
     */
    reduceFocusableElements() {
        var _a;
        const previousFocusedElement = (_a = this.focusableElements) === null || _a === void 0 ? void 0 : _a[this.activeIndex];
        this.focusableElements = this.allSlottedItems.reduce(Toolbar.reduceFocusableItems, []);
        // If the previously active item is still focusable, adjust the active index to the
        // index of that item.
        const adjustedActiveIndex = this.focusableElements.indexOf(previousFocusedElement);
        this.activeIndex = Math.max(0, adjustedActiveIndex);
        this.setFocusableElements();
    }
    /**
     * Set the activeIndex and focus the corresponding control.
     *
     * @param activeIndex - The new index to set
     * @internal
     */
    setFocusedElement(activeIndex = this.activeIndex) {
        this.activeIndex = activeIndex;
        this.setFocusableElements();
        if (this.focusableElements[this.activeIndex] &&
            // Don't focus the toolbar element if some event handlers moved
            // the focus on another element in the page.
            this.contains((0,_utilities_root_active_element_js__WEBPACK_IMPORTED_MODULE_7__.getRootActiveElement)(this))) {
            this.focusableElements[this.activeIndex].focus();
        }
    }
    /**
     * Reduce a collection to only its focusable elements.
     *
     * @param elements - Collection of elements to reduce
     * @param element - The current element
     *
     * @internal
     */
    static reduceFocusableItems(elements, element) {
        var _a, _b, _c, _d;
        const isRoleRadio = element.getAttribute("role") === "radio";
        const isFocusableFastElement = (_b = (_a = element.$fastController) === null || _a === void 0 ? void 0 : _a.definition.shadowOptions) === null || _b === void 0 ? void 0 : _b.delegatesFocus;
        const hasFocusableShadow = Array.from((_d = (_c = element.shadowRoot) === null || _c === void 0 ? void 0 : _c.querySelectorAll("*")) !== null && _d !== void 0 ? _d : []).some(x => (0,tabbable__WEBPACK_IMPORTED_MODULE_8__.isFocusable)(x));
        if (!element.hasAttribute("disabled") &&
            !element.hasAttribute("hidden") &&
            ((0,tabbable__WEBPACK_IMPORTED_MODULE_8__.isFocusable)(element) ||
                isRoleRadio ||
                isFocusableFastElement ||
                hasFocusableShadow)) {
            elements.push(element);
            return elements;
        }
        if (element.childElementCount) {
            return elements.concat(Array.from(element.children).reduce(Toolbar.reduceFocusableItems, []));
        }
        return elements;
    }
    /**
     * @internal
     */
    setFocusableElements() {
        if (this.$fastController.isConnected && this.focusableElements.length > 0) {
            this.focusableElements.forEach((element, index) => {
                element.tabIndex = this.activeIndex === index ? 0 : -1;
            });
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_9__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Toolbar.prototype, "direction", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_9__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Toolbar.prototype, "orientation", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_9__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Toolbar.prototype, "slottedItems", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_9__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Toolbar.prototype, "slottedLabel", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_9__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Toolbar.prototype, "childItems", void 0);
/**
 * Includes ARIA states and properties relating to the ARIA toolbar role
 *
 * @public
 */
class DelegatesARIAToolbar {
}
(0,tslib__WEBPACK_IMPORTED_MODULE_9__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-labelledby" })
], DelegatesARIAToolbar.prototype, "ariaLabelledby", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_9__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "aria-label" })
], DelegatesARIAToolbar.prototype, "ariaLabel", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_10__.applyMixins)(DelegatesARIAToolbar, _patterns_aria_global_js__WEBPACK_IMPORTED_MODULE_11__.ARIAGlobalStatesAndProperties);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_10__.applyMixins)(Toolbar, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_12__.StartEnd, DelegatesARIAToolbar);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/toolbar.template.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/toolbar/toolbar.template.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   toolbarTemplate: () => (/* binding */ toolbarTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(Toolbar:class)} component.
 *
 * @public
 */
const toolbarTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        aria-label="${x => x.ariaLabel}"
        aria-labelledby="${x => x.ariaLabelledby}"
        aria-orientation="${x => x.orientation}"
        orientation="${x => x.orientation}"
        role="toolbar"
        @mousedown="${(x, c) => x.mouseDownHandler(c.event)}"
        @focusin="${(x, c) => x.focusinHandler(c.event)}"
        @keydown="${(x, c) => x.keydownHandler(c.event)}"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.children)({
    property: "childItems",
    attributeFilter: ["disabled", "hidden"],
    filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)(),
    subtree: true,
})}
    >
        <slot name="label"></slot>
        <div class="positioning-region" part="positioning-region">
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
            <slot
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)({
    filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)(),
    property: "slottedItems",
})}
            ></slot>
            ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
        </div>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/index.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/index.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tooltip: () => (/* reexport safe */ _tooltip_js__WEBPACK_IMPORTED_MODULE_1__.Tooltip),
/* harmony export */   TooltipPosition: () => (/* reexport safe */ _tooltip_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition),
/* harmony export */   tooltipTemplate: () => (/* reexport safe */ _tooltip_template_js__WEBPACK_IMPORTED_MODULE_0__.tooltipTemplate)
/* harmony export */ });
/* harmony import */ var _tooltip_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tooltip.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.template.js");
/* harmony import */ var _tooltip_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tooltip.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Tooltip: () => (/* binding */ Tooltip),
/* harmony export */   TooltipPosition: () => (/* reexport safe */ _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _utilities_direction_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utilities/direction.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");
/* harmony import */ var _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tooltip.options.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.options.js");







/**
 * An Tooltip Custom HTML Element.
 *
 * @slot - The default slot for the tooltip content
 * @csspart tooltip - The tooltip element
 * @fires dismiss - Fires a custom 'dismiss' event when the tooltip is visible and escape key is pressed
 *
 * @public
 */
class Tooltip extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The id of the element the tooltip is anchored to
         *
         * @defaultValue - undefined
         * @public
         * HTML Attribute: anchor
         */
        this.anchor = "";
        /**
         * The delay in milliseconds before a tooltip is shown after a hover event
         *
         * @defaultValue - 300
         * @public
         * HTML Attribute: delay
         */
        this.delay = 300;
        /**
         * Controls when the tooltip updates its position, default is 'anchor' which only updates when
         * the anchor is resized.  'auto' will update on scroll/resize events.
         * Corresponds to anchored-region auto-update-mode.
         * @public
         * @remarks
         * HTML Attribute: auto-update-mode
         */
        this.autoUpdateMode = "anchor";
        /**
         * the html element currently being used as anchor.
         * Setting this directly overrides the anchor attribute.
         *
         * @public
         */
        this.anchorElement = null;
        /**
         * The current viewport element instance
         *
         * @internal
         */
        this.viewportElement = null;
        /**
         * @internal
         * @defaultValue "dynamic"
         */
        this.verticalPositioningMode = "dynamic";
        /**
         * @internal
         * @defaultValue "dynamic"
         */
        this.horizontalPositioningMode = "dynamic";
        /**
         * @internal
         */
        this.horizontalInset = "false";
        /**
         * @internal
         */
        this.verticalInset = "false";
        /**
         * @internal
         */
        this.horizontalScaling = "content";
        /**
         * @internal
         */
        this.verticalScaling = "content";
        /**
         * @internal
         */
        this.verticalDefaultPosition = undefined;
        /**
         * @internal
         */
        this.horizontalDefaultPosition = undefined;
        /**
         * @internal
         */
        this.tooltipVisible = false;
        /**
         * Track current direction to pass to the anchored region
         * updated when tooltip is shown
         *
         * @internal
         */
        this.currentDirection = _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.Direction.ltr;
        /**
         * The timer that tracks delay time before the tooltip is shown on hover
         */
        this.showDelayTimer = null;
        /**
         * The timer that tracks delay time before the tooltip is hidden
         */
        this.hideDelayTimer = null;
        /**
         * Indicates whether the anchor is currently being hovered or has focus
         */
        this.isAnchorHoveredFocused = false;
        /**
         * Indicates whether the region is currently being hovered
         */
        this.isRegionHovered = false;
        /**
         * invoked when the anchored region's position relative to the anchor changes
         *
         * @internal
         */
        this.handlePositionChange = (ev) => {
            this.classList.toggle("top", this.region.verticalPosition === "start");
            this.classList.toggle("bottom", this.region.verticalPosition === "end");
            this.classList.toggle("inset-top", this.region.verticalPosition === "insetStart");
            this.classList.toggle("inset-bottom", this.region.verticalPosition === "insetEnd");
            this.classList.toggle("center-vertical", this.region.verticalPosition === "center");
            this.classList.toggle("left", this.region.horizontalPosition === "start");
            this.classList.toggle("right", this.region.horizontalPosition === "end");
            this.classList.toggle("inset-left", this.region.horizontalPosition === "insetStart");
            this.classList.toggle("inset-right", this.region.horizontalPosition === "insetEnd");
            this.classList.toggle("center-horizontal", this.region.horizontalPosition === "center");
        };
        /**
         * mouse enters region
         */
        this.handleRegionMouseOver = (ev) => {
            this.isRegionHovered = true;
        };
        /**
         * mouse leaves region
         */
        this.handleRegionMouseOut = (ev) => {
            this.isRegionHovered = false;
            this.startHideDelayTimer();
        };
        /**
         * mouse enters anchor
         */
        this.handleAnchorMouseOver = (ev) => {
            if (this.tooltipVisible) {
                // tooltip is already visible, just set the anchor hover flag
                this.isAnchorHoveredFocused = true;
                return;
            }
            this.startShowDelayTimer();
        };
        /**
         * mouse leaves anchor
         */
        this.handleAnchorMouseOut = (ev) => {
            this.isAnchorHoveredFocused = false;
            this.clearShowDelayTimer();
            this.startHideDelayTimer();
        };
        /**
         * anchor gets focus
         */
        this.handleAnchorFocusIn = (ev) => {
            this.startShowDelayTimer();
        };
        /**
         * anchor loses focus
         */
        this.handleAnchorFocusOut = (ev) => {
            this.isAnchorHoveredFocused = false;
            this.clearShowDelayTimer();
            this.startHideDelayTimer();
        };
        /**
         * starts the hide timer
         */
        this.startHideDelayTimer = () => {
            this.clearHideDelayTimer();
            if (!this.tooltipVisible) {
                return;
            }
            // allow 60 ms for account for pointer to move between anchor/tooltip
            // without hiding tooltip
            this.hideDelayTimer = window.setTimeout(() => {
                this.updateTooltipVisibility();
            }, 60);
        };
        /**
         * clears the hide delay
         */
        this.clearHideDelayTimer = () => {
            if (this.hideDelayTimer !== null) {
                clearTimeout(this.hideDelayTimer);
                this.hideDelayTimer = null;
            }
        };
        /**
         * starts the show timer if not currently running
         */
        this.startShowDelayTimer = () => {
            if (this.isAnchorHoveredFocused) {
                return;
            }
            if (this.delay > 1) {
                if (this.showDelayTimer === null)
                    this.showDelayTimer = window.setTimeout(() => {
                        this.startHover();
                    }, this.delay);
                return;
            }
            this.startHover();
        };
        /**
         * start hover
         */
        this.startHover = () => {
            this.isAnchorHoveredFocused = true;
            this.updateTooltipVisibility();
        };
        /**
         * clears the show delay
         */
        this.clearShowDelayTimer = () => {
            if (this.showDelayTimer !== null) {
                clearTimeout(this.showDelayTimer);
                this.showDelayTimer = null;
            }
        };
        /**
         *  Gets the anchor element by id
         */
        this.getAnchor = () => {
            const rootNode = this.getRootNode();
            if (rootNode instanceof ShadowRoot) {
                return rootNode.getElementById(this.anchor);
            }
            return document.getElementById(this.anchor);
        };
        /**
         * handles key down events to check for dismiss
         */
        this.handleDocumentKeydown = (e) => {
            if (!e.defaultPrevented && this.tooltipVisible) {
                switch (e.key) {
                    case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.keyEscape:
                        this.isAnchorHoveredFocused = false;
                        this.updateTooltipVisibility();
                        this.$emit("dismiss");
                        break;
                }
            }
        };
        /**
         * determines whether to show or hide the tooltip based on current state
         */
        this.updateTooltipVisibility = () => {
            if (this.visible === false) {
                this.hideTooltip();
            }
            else if (this.visible === true) {
                this.showTooltip();
                return;
            }
            else {
                if (this.isAnchorHoveredFocused || this.isRegionHovered) {
                    this.showTooltip();
                    return;
                }
                this.hideTooltip();
            }
        };
        /**
         * shows the tooltip
         */
        this.showTooltip = () => {
            if (this.tooltipVisible) {
                return;
            }
            this.currentDirection = (0,_utilities_direction_js__WEBPACK_IMPORTED_MODULE_5__.getDirection)(this);
            this.tooltipVisible = true;
            document.addEventListener("keydown", this.handleDocumentKeydown);
            _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(this.setRegionProps);
        };
        /**
         * hides the tooltip
         */
        this.hideTooltip = () => {
            if (!this.tooltipVisible) {
                return;
            }
            this.clearHideDelayTimer();
            if (this.region !== null && this.region !== undefined) {
                this.region.removeEventListener("positionchange", this.handlePositionChange);
                this.region.viewportElement = null;
                this.region.anchorElement = null;
                this.region.removeEventListener("mouseover", this.handleRegionMouseOver);
                this.region.removeEventListener("mouseout", this.handleRegionMouseOut);
            }
            document.removeEventListener("keydown", this.handleDocumentKeydown);
            this.tooltipVisible = false;
        };
        /**
         * updates the tooltip anchored region props after it has been
         * added to the DOM
         */
        this.setRegionProps = () => {
            if (!this.tooltipVisible) {
                return;
            }
            this.region.viewportElement = this.viewportElement;
            this.region.anchorElement = this.anchorElement;
            this.region.addEventListener("positionchange", this.handlePositionChange);
            this.region.addEventListener("mouseover", this.handleRegionMouseOver, {
                passive: true,
            });
            this.region.addEventListener("mouseout", this.handleRegionMouseOut, {
                passive: true,
            });
        };
    }
    visibleChanged() {
        if (this.$fastController.isConnected) {
            this.updateTooltipVisibility();
            this.updateLayout();
        }
    }
    anchorChanged() {
        if (this.$fastController.isConnected) {
            this.anchorElement = this.getAnchor();
        }
    }
    positionChanged() {
        if (this.$fastController.isConnected) {
            this.updateLayout();
        }
    }
    anchorElementChanged(oldValue) {
        if (this.$fastController.isConnected) {
            if (oldValue !== null && oldValue !== undefined) {
                oldValue.removeEventListener("mouseover", this.handleAnchorMouseOver);
                oldValue.removeEventListener("mouseout", this.handleAnchorMouseOut);
                oldValue.removeEventListener("focusin", this.handleAnchorFocusIn);
                oldValue.removeEventListener("focusout", this.handleAnchorFocusOut);
            }
            if (this.anchorElement !== null && this.anchorElement !== undefined) {
                this.anchorElement.addEventListener("mouseover", this.handleAnchorMouseOver, { passive: true });
                this.anchorElement.addEventListener("mouseout", this.handleAnchorMouseOut, { passive: true });
                this.anchorElement.addEventListener("focusin", this.handleAnchorFocusIn, {
                    passive: true,
                });
                this.anchorElement.addEventListener("focusout", this.handleAnchorFocusOut, { passive: true });
                const anchorId = this.anchorElement.id;
                if (this.anchorElement.parentElement !== null) {
                    this.anchorElement.parentElement
                        .querySelectorAll(":hover")
                        .forEach(element => {
                        if (element.id === anchorId) {
                            this.startShowDelayTimer();
                        }
                    });
                }
            }
            if (this.region !== null &&
                this.region !== undefined &&
                this.tooltipVisible) {
                this.region.anchorElement = this.anchorElement;
            }
            this.updateLayout();
        }
    }
    viewportElementChanged() {
        if (this.region !== null && this.region !== undefined) {
            this.region.viewportElement = this.viewportElement;
        }
        this.updateLayout();
    }
    connectedCallback() {
        super.connectedCallback();
        this.anchorElement = this.getAnchor();
        this.updateTooltipVisibility();
    }
    disconnectedCallback() {
        this.hideTooltip();
        this.clearShowDelayTimer();
        this.clearHideDelayTimer();
        super.disconnectedCallback();
    }
    /**
     * updated the properties being passed to the anchored region
     */
    updateLayout() {
        this.verticalPositioningMode = "locktodefault";
        this.horizontalPositioningMode = "locktodefault";
        switch (this.position) {
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.top:
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.bottom:
                this.verticalDefaultPosition = this.position;
                this.horizontalDefaultPosition = "center";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.right:
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.left:
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.start:
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.end:
                this.verticalDefaultPosition = "center";
                this.horizontalDefaultPosition = this.position;
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.topLeft:
                this.verticalDefaultPosition = "top";
                this.horizontalDefaultPosition = "left";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.topRight:
                this.verticalDefaultPosition = "top";
                this.horizontalDefaultPosition = "right";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.bottomLeft:
                this.verticalDefaultPosition = "bottom";
                this.horizontalDefaultPosition = "left";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.bottomRight:
                this.verticalDefaultPosition = "bottom";
                this.horizontalDefaultPosition = "right";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.topStart:
                this.verticalDefaultPosition = "top";
                this.horizontalDefaultPosition = "start";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.topEnd:
                this.verticalDefaultPosition = "top";
                this.horizontalDefaultPosition = "end";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.bottomStart:
                this.verticalDefaultPosition = "bottom";
                this.horizontalDefaultPosition = "start";
                break;
            case _tooltip_options_js__WEBPACK_IMPORTED_MODULE_1__.TooltipPosition.bottomEnd:
                this.verticalDefaultPosition = "bottom";
                this.horizontalDefaultPosition = "end";
                break;
            default:
                this.verticalPositioningMode = "dynamic";
                this.horizontalPositioningMode = "dynamic";
                this.verticalDefaultPosition = void 0;
                this.horizontalDefaultPosition = "center";
                break;
        }
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], Tooltip.prototype, "visible", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Tooltip.prototype, "anchor", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Tooltip.prototype, "delay", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr
], Tooltip.prototype, "position", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "auto-update-mode" })
], Tooltip.prototype, "autoUpdateMode", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "horizontal-viewport-lock" })
], Tooltip.prototype, "horizontalViewportLock", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "vertical-viewport-lock" })
], Tooltip.prototype, "verticalViewportLock", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "anchorElement", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "viewportElement", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "verticalPositioningMode", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "horizontalPositioningMode", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "horizontalInset", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "verticalInset", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "horizontalScaling", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "verticalScaling", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "verticalDefaultPosition", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "horizontalDefaultPosition", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "tooltipVisible", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_6__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], Tooltip.prototype, "currentDirection", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.options.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.options.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TooltipPosition: () => (/* binding */ TooltipPosition)
/* harmony export */ });
/**
 * Enumerates possible tooltip positions
 *
 * @public
 */
const TooltipPosition = {
    /**
     * The tooltip is positioned above the element
     */
    top: "top",
    /**
     * The tooltip is positioned to the right of the element
     */
    right: "right",
    /**
     * The tooltip is positioned below the element
     */
    bottom: "bottom",
    /**
     * The tooltip is positioned to the left of the element
     */
    left: "left",
    /**
     * The tooltip is positioned before the element
     */
    start: "start",
    /**
     * The tooltip is positioned after the element
     */
    end: "end",
    /**
     * The tooltip is positioned above the element and to the left
     */
    topLeft: "top-left",
    /**
     * The tooltip is positioned above the element and to the right
     */
    topRight: "top-right",
    /**
     * The tooltip is positioned below the element and to the left
     */
    bottomLeft: "bottom-left",
    /**
     * The tooltip is positioned below the element and to the right
     */
    bottomRight: "bottom-right",
    /**
     * The tooltip is positioned above the element and to the left
     */
    topStart: "top-start",
    /**
     * The tooltip is positioned above the element and to the right
     */
    topEnd: "top-end",
    /**
     * The tooltip is positioned below the element and to the left
     */
    bottomStart: "bottom-start",
    /**
     * The tooltip is positioned below the element and to the right
     */
    bottomEnd: "bottom-end",
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.template.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tooltip/tooltip.template.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   tooltipTemplate: () => (/* binding */ tooltipTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../anchored-region/anchored-region.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/anchored-region/anchored-region.js");


/**
 * Creates a template for the {@link @microsoft/fast-foundation#(Tooltip:class)} component using the provided prefix.
 * @public
 */
const tooltipTemplate = (context, definition) => {
    return (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.tooltipVisible, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
            <${context.tagFor(_anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_1__.AnchoredRegion)}
                fixed-placement="true"
                auto-update-mode="${x => x.autoUpdateMode}"
                vertical-positioning-mode="${x => x.verticalPositioningMode}"
                vertical-default-position="${x => x.verticalDefaultPosition}"
                vertical-inset="${x => x.verticalInset}"
                vertical-scaling="${x => x.verticalScaling}"
                horizontal-positioning-mode="${x => x.horizontalPositioningMode}"
                horizontal-default-position="${x => x.horizontalDefaultPosition}"
                horizontal-scaling="${x => x.horizontalScaling}"
                horizontal-inset="${x => x.horizontalInset}"
                vertical-viewport-lock="${x => x.horizontalViewportLock}"
                horizontal-viewport-lock="${x => x.verticalViewportLock}"
                dir="${x => x.currentDirection}"
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("region")}
            >
                <div class="tooltip" part="tooltip" role="tooltip">
                    <slot></slot>
                </div>
            </${context.tagFor(_anchored_region_anchored_region_js__WEBPACK_IMPORTED_MODULE_1__.AnchoredRegion)}>
        `)}
    `;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeItem: () => (/* reexport safe */ _tree_item_js__WEBPACK_IMPORTED_MODULE_1__.TreeItem),
/* harmony export */   isTreeItemElement: () => (/* reexport safe */ _tree_item_js__WEBPACK_IMPORTED_MODULE_1__.isTreeItemElement),
/* harmony export */   treeItemTemplate: () => (/* reexport safe */ _tree_item_template_js__WEBPACK_IMPORTED_MODULE_0__.treeItemTemplate)
/* harmony export */ });
/* harmony import */ var _tree_item_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tree-item.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/tree-item.template.js");
/* harmony import */ var _tree_item_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tree-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/tree-item.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/tree-item.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/tree-item.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeItem: () => (/* binding */ TreeItem),
/* harmony export */   isTreeItemElement: () => (/* binding */ isTreeItemElement)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/dom.js");
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");
/* harmony import */ var _utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utilities/apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");






/**
 * check if the item is a tree item
 * @public
 * @remarks
 * determines if element is an HTMLElement and if it has the role treeitem
 */
function isTreeItemElement(el) {
    return (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_1__.isHTMLElement)(el) && el.getAttribute("role") === "treeitem";
}
/**
 * A Tree item Custom HTML Element.
 *
 * @slot start - Content which can be provided before the tree item content
 * @slot end - Content which can be provided after the tree item content
 * @slot - The default slot for tree item text content
 * @slot item - The slot for tree items (fast tree items manage this assignment themselves)
 * @slot expand-collapse-button - The expand/collapse button
 * @csspart positioning-region - The element used to position the tree item content with exception of any child nodes
 * @csspart content-region - The element containing the expand/collapse, start, and end slots
 * @csspart items - The element wrapping any child items
 * @csspart expand-collapse-button - The expand/collapse button
 * @fires expanded-change - Fires a custom 'expanded-change' event when the expanded state changes
 * @fires selected-change - Fires a custom 'selected-change' event when the selected state changes
 *
 * @public
 */
class TreeItem extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_2__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * When true, the control will be appear expanded by user interaction.
         * @public
         * @remarks
         * HTML Attribute: expanded
         */
        this.expanded = false;
        /**
         * Whether the item is focusable
         *
         * @internal
         */
        this.focusable = false;
        /**
         * Whether the tree is nested
         *
         * @public
         */
        this.isNestedItem = () => {
            return isTreeItemElement(this.parentElement);
        };
        /**
         * Handle expand button click
         *
         * @internal
         */
        this.handleExpandCollapseButtonClick = (e) => {
            if (!this.disabled && !e.defaultPrevented) {
                this.expanded = !this.expanded;
            }
        };
        /**
         * Handle focus events
         *
         * @internal
         */
        this.handleFocus = (e) => {
            this.setAttribute("tabindex", "0");
        };
        /**
         * Handle blur events
         *
         * @internal
         */
        this.handleBlur = (e) => {
            this.setAttribute("tabindex", "-1");
        };
    }
    expandedChanged() {
        if (this.$fastController.isConnected) {
            this.$emit("expanded-change", this);
        }
    }
    selectedChanged() {
        if (this.$fastController.isConnected) {
            this.$emit("selected-change", this);
        }
    }
    itemsChanged(oldValue, newValue) {
        if (this.$fastController.isConnected) {
            this.items.forEach((node) => {
                if (isTreeItemElement(node)) {
                    // TODO: maybe not require it to be a TreeItem?
                    node.nested = true;
                }
            });
        }
    }
    /**
     * Places document focus on a tree item
     *
     * @public
     * @param el - the element to focus
     */
    static focusItem(el) {
        el.focusable = true;
        el.focus();
    }
    /**
     * Gets number of children
     *
     * @internal
     */
    childItemLength() {
        const treeChildren = this.childItems.filter((item) => {
            return isTreeItemElement(item);
        });
        return treeChildren ? treeChildren.length : 0;
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TreeItem.prototype, "expanded", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TreeItem.prototype, "selected", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ mode: "boolean" })
], TreeItem.prototype, "disabled", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TreeItem.prototype, "focusable", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TreeItem.prototype, "childItems", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TreeItem.prototype, "items", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TreeItem.prototype, "nested", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_3__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TreeItem.prototype, "renderCollapsedChildren", void 0);
(0,_utilities_apply_mixins_js__WEBPACK_IMPORTED_MODULE_4__.applyMixins)(TreeItem, _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_5__.StartEnd);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/tree-item.template.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/tree-item.template.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   treeItemTemplate: () => (/* binding */ treeItemTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../patterns/start-end.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/patterns/start-end.js");


/**
 * The template for the {@link @microsoft/fast-foundation#(TreeItem:class)} component.
 * @public
 */
const treeItemTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="treeitem"
        slot="${x => (x.isNestedItem() ? "item" : void 0)}"
        tabindex="-1"
        class="${x => (x.expanded ? "expanded" : "")} ${x => x.selected ? "selected" : ""} ${x => (x.nested ? "nested" : "")}
            ${x => (x.disabled ? "disabled" : "")}"
        aria-expanded="${x => x.childItems && x.childItemLength() > 0 ? x.expanded : void 0}"
        aria-selected="${x => x.selected}"
        aria-disabled="${x => x.disabled}"
        @focusin="${(x, c) => x.handleFocus(c.event)}"
        @focusout="${(x, c) => x.handleBlur(c.event)}"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.children)({
    property: "childItems",
    filter: (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.elements)(),
})}
    >
        <div class="positioning-region" part="positioning-region">
            <div class="content-region" part="content-region">
                ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.childItems && x.childItemLength() > 0, (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                        <div
                            aria-hidden="true"
                            class="expand-collapse-button"
                            part="expand-collapse-button"
                            @click="${(x, c) => x.handleExpandCollapseButtonClick(c.event)}"
                            ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("expandCollapseButton")}
                        >
                            <slot name="expand-collapse-glyph">
                                ${definition.expandCollapseGlyph || ""}
                            </slot>
                        </div>
                    `)}
                ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.startSlotTemplate)(context, definition)}
                <slot></slot>
                ${(0,_patterns_start_end_js__WEBPACK_IMPORTED_MODULE_1__.endSlotTemplate)(context, definition)}
            </div>
        </div>
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.when)(x => x.childItems &&
    x.childItemLength() > 0 &&
    (x.expanded || x.renderCollapsedChildren), (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
                <div role="group" class="items" part="items">
                    <slot name="item" ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("items")}></slot>
                </div>
            `)}
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeView: () => (/* reexport safe */ _tree_view_js__WEBPACK_IMPORTED_MODULE_1__.TreeView),
/* harmony export */   treeViewTemplate: () => (/* reexport safe */ _tree_view_template_js__WEBPACK_IMPORTED_MODULE_0__.treeViewTemplate)
/* harmony export */ });
/* harmony import */ var _tree_view_template_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tree-view.template.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/tree-view.template.js");
/* harmony import */ var _tree_view_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tree-view.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/tree-view.js");




/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/tree-view.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/tree-view.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   TreeView: () => (/* binding */ TreeView)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/key-codes.js");
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/dom.js");
/* harmony import */ var _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../tree-item/tree-item.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-item/tree-item.js");
/* harmony import */ var _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../foundation-element/foundation-element.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/foundation-element/foundation-element.js");





/**
 * A Tree view Custom HTML Element.
 * Implements the {@link https://w3c.github.io/aria-practices/#TreeView | ARIA TreeView }.
 *
 * @slot - The default slot for tree items
 *
 * @public
 */
class TreeView extends _foundation_element_foundation_element_js__WEBPACK_IMPORTED_MODULE_1__.FoundationElement {
    constructor() {
        super(...arguments);
        /**
         * The tree item that is designated to be in the tab queue.
         *
         * @internal
         */
        this.currentFocused = null;
        /**
         * Handle focus events
         *
         * @internal
         */
        this.handleFocus = (e) => {
            if (this.slottedTreeItems.length < 1) {
                // no child items, nothing to do
                return;
            }
            if (e.target === this) {
                if (this.currentFocused === null) {
                    this.currentFocused = this.getValidFocusableItem();
                }
                if (this.currentFocused !== null) {
                    _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem.focusItem(this.currentFocused);
                }
                return;
            }
            if (this.contains(e.target)) {
                this.setAttribute("tabindex", "-1");
                this.currentFocused = e.target;
            }
        };
        /**
         * Handle blur events
         *
         * @internal
         */
        this.handleBlur = (e) => {
            if (e.target instanceof HTMLElement &&
                (e.relatedTarget === null || !this.contains(e.relatedTarget))) {
                this.setAttribute("tabindex", "0");
            }
        };
        /**
         * KeyDown handler
         *
         *  @internal
         */
        this.handleKeyDown = (e) => {
            if (e.defaultPrevented) {
                return;
            }
            if (this.slottedTreeItems.length < 1) {
                return true;
            }
            const treeItems = this.getVisibleNodes();
            switch (e.key) {
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyHome:
                    if (treeItems.length) {
                        _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem.focusItem(treeItems[0]);
                    }
                    return;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyEnd:
                    if (treeItems.length) {
                        _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem.focusItem(treeItems[treeItems.length - 1]);
                    }
                    return;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowLeft:
                    if (e.target && this.isFocusableElement(e.target)) {
                        const item = e.target;
                        if (item instanceof _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem &&
                            item.childItemLength() > 0 &&
                            item.expanded) {
                            item.expanded = false;
                        }
                        else if (item instanceof _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem &&
                            item.parentElement instanceof _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem) {
                            _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem.focusItem(item.parentElement);
                        }
                    }
                    return false;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowRight:
                    if (e.target && this.isFocusableElement(e.target)) {
                        const item = e.target;
                        if (item instanceof _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem &&
                            item.childItemLength() > 0 &&
                            !item.expanded) {
                            item.expanded = true;
                        }
                        else if (item instanceof _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem && item.childItemLength() > 0) {
                            this.focusNextNode(1, e.target);
                        }
                    }
                    return;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowDown:
                    if (e.target && this.isFocusableElement(e.target)) {
                        this.focusNextNode(1, e.target);
                    }
                    return;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyArrowUp:
                    if (e.target && this.isFocusableElement(e.target)) {
                        this.focusNextNode(-1, e.target);
                    }
                    return;
                case _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_3__.keyEnter:
                    // In single-select trees where selection does not follow focus (see note below),
                    // the default action is typically to select the focused node.
                    this.handleClick(e);
                    return;
            }
            // don't prevent default if we took no action
            return true;
        };
        /**
         * Handles the selected-changed events bubbling up
         * from child tree items
         *
         *  @internal
         */
        this.handleSelectedChange = (e) => {
            if (e.defaultPrevented) {
                return;
            }
            if (!(e.target instanceof Element) || !(0,_tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.isTreeItemElement)(e.target)) {
                return true;
            }
            const item = e.target;
            if (item.selected) {
                if (this.currentSelected && this.currentSelected !== item) {
                    this.currentSelected.selected = false;
                }
                // new selected item
                this.currentSelected = item;
            }
            else if (!item.selected && this.currentSelected === item) {
                // selected item deselected
                this.currentSelected = null;
            }
            return;
        };
        /**
         * Updates the tree view when slottedTreeItems changes
         */
        this.setItems = () => {
            // force single selection
            // defaults to first one found
            const selectedItem = this.treeView.querySelector("[aria-selected='true']");
            this.currentSelected = selectedItem;
            // invalidate the current focused item if it is no longer valid
            if (this.currentFocused === null || !this.contains(this.currentFocused)) {
                this.currentFocused = this.getValidFocusableItem();
            }
            // toggle properties on child elements
            this.nested = this.checkForNestedItems();
            const treeItems = this.getVisibleNodes();
            treeItems.forEach(node => {
                if ((0,_tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.isTreeItemElement)(node)) {
                    node.nested = this.nested;
                }
            });
        };
        /**
         * check if the item is focusable
         */
        this.isFocusableElement = (el) => {
            return (0,_tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.isTreeItemElement)(el);
        };
        this.isSelectedElement = (el) => {
            return el.selected;
        };
    }
    slottedTreeItemsChanged() {
        if (this.$fastController.isConnected) {
            // update for slotted children change
            this.setItems();
        }
    }
    connectedCallback() {
        super.connectedCallback();
        this.setAttribute("tabindex", "0");
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.DOM.queueUpdate(() => {
            this.setItems();
        });
    }
    /**
     * Handles click events bubbling up
     *
     *  @internal
     */
    handleClick(e) {
        if (e.defaultPrevented) {
            // handled, do nothing
            return;
        }
        if (!(e.target instanceof Element) || !(0,_tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.isTreeItemElement)(e.target)) {
            // not a tree item, ignore
            return true;
        }
        const item = e.target;
        if (!item.disabled) {
            item.selected = !item.selected;
        }
        return;
    }
    /**
     * Move focus to a tree item based on its offset from the provided item
     */
    focusNextNode(delta, item) {
        const visibleNodes = this.getVisibleNodes();
        if (!visibleNodes) {
            return;
        }
        const focusItem = visibleNodes[visibleNodes.indexOf(item) + delta];
        if ((0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.isHTMLElement)(focusItem)) {
            _tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.TreeItem.focusItem(focusItem);
        }
    }
    /**
     * checks if there are any nested tree items
     */
    getValidFocusableItem() {
        const treeItems = this.getVisibleNodes();
        // default to selected element if there is one
        let focusIndex = treeItems.findIndex(this.isSelectedElement);
        if (focusIndex === -1) {
            // otherwise first focusable tree item
            focusIndex = treeItems.findIndex(this.isFocusableElement);
        }
        if (focusIndex !== -1) {
            return treeItems[focusIndex];
        }
        return null;
    }
    /**
     * checks if there are any nested tree items
     */
    checkForNestedItems() {
        return this.slottedTreeItems.some((node) => {
            return (0,_tree_item_tree_item_js__WEBPACK_IMPORTED_MODULE_2__.isTreeItemElement)(node) && node.querySelector("[role='treeitem']");
        });
    }
    getVisibleNodes() {
        return (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_4__.getDisplayedNodes)(this, "[role='treeitem']") || [];
    }
}
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.attr)({ attribute: "render-collapsed-nodes" })
], TreeView.prototype, "renderCollapsedNodes", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TreeView.prototype, "currentSelected", void 0);
(0,tslib__WEBPACK_IMPORTED_MODULE_5__.__decorate)([
    _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.observable
], TreeView.prototype, "slottedTreeItems", void 0);


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/tree-view.template.js":
/*!******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/tree-view/tree-view.template.js ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   treeViewTemplate: () => (/* binding */ treeViewTemplate)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * The template for the {@link @microsoft/fast-foundation#TreeView} component.
 * @public
 */
const treeViewTemplate = (context, definition) => (0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.html) `
    <template
        role="tree"
        ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.ref)("treeView")}
        @keydown="${(x, c) => x.handleKeyDown(c.event)}"
        @focusin="${(x, c) => x.handleFocus(c.event)}"
        @focusout="${(x, c) => x.handleBlur(c.event)}"
        @click="${(x, c) => x.handleClick(c.event)}"
        @selected-change="${(x, c) => x.handleSelectedChange(c.event)}"
    >
        <slot ${(0,_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.slotted)("slottedTreeItems")}></slot>
    </template>
`;


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js":
/*!************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   applyMixins: () => (/* binding */ applyMixins)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * Apply mixins to a constructor.
 * Sourced from {@link https://www.typescriptlang.org/docs/handbook/mixins.html | TypeScript Documentation }.
 * @public
 */
function applyMixins(derivedCtor, ...baseCtors) {
    const derivedAttributes = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.AttributeConfiguration.locate(derivedCtor);
    baseCtors.forEach(baseCtor => {
        Object.getOwnPropertyNames(baseCtor.prototype).forEach(name => {
            if (name !== "constructor") {
                Object.defineProperty(derivedCtor.prototype, name, 
                /* eslint-disable-next-line @typescript-eslint/no-non-null-assertion */
                Object.getOwnPropertyDescriptor(baseCtor.prototype, name));
            }
        });
        const baseAttributes = _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.AttributeConfiguration.locate(baseCtor);
        baseAttributes.forEach(x => derivedAttributes.push(x));
    });
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-contains.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-contains.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   composedContains: () => (/* binding */ composedContains)
/* harmony export */ });
/* harmony import */ var _composed_parent_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./composed-parent.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-parent.js");

/**
 * Determines if the reference element contains the test element in a "composed" DOM tree that
 * ignores shadow DOM boundaries.
 *
 * Returns true of the test element is a descendent of the reference, or exist in
 * a shadow DOM that is a logical descendent of the reference. Otherwise returns false.
 * @param reference - The element to test for containment against.
 * @param test - The element being tested for containment.
 *
 * @public
 */
function composedContains(reference, test) {
    let current = test;
    while (current !== null) {
        if (current === reference) {
            return true;
        }
        current = (0,_composed_parent_js__WEBPACK_IMPORTED_MODULE_0__.composedParent)(current);
    }
    return false;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-parent.js":
/*!***************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-parent.js ***!
  \***************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   composedParent: () => (/* binding */ composedParent)
/* harmony export */ });
/**
 * Retrieves the "composed parent" element of a node, ignoring DOM tree boundaries.
 * When the parent of a node is a shadow-root, it will return the host
 * element of the shadow root. Otherwise it will return the parent node or null if
 * no parent node exists.
 * @param element - The element for which to retrieve the composed parent
 *
 * @public
 */
function composedParent(element) {
    const parentNode = element.parentElement;
    if (parentNode) {
        return parentNode;
    }
    else {
        const rootNode = element.getRootNode();
        if (rootNode.host instanceof HTMLElement) {
            // this is shadow-root
            return rootNode.host;
        }
    }
    return null;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getDirection: () => (/* binding */ getDirection)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/localization.js");

/**
 * a method to determine the current localization direction of the view
 * @param rootNode - the HTMLElement to begin the query from, usually "this" when used in a component controller
 * @public
 */
const getDirection = (rootNode) => {
    const dirNode = rootNode.closest("[dir]");
    return dirNode !== null && dirNode.dir === "rtl" ? _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_0__.Direction.rtl : _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_0__.Direction.ltr;
};


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MatchMediaBehavior: () => (/* reexport safe */ _match_media_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_3__.MatchMediaBehavior),
/* harmony export */   MatchMediaStyleSheetBehavior: () => (/* reexport safe */ _match_media_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_3__.MatchMediaStyleSheetBehavior),
/* harmony export */   PropertyStyleSheetBehavior: () => (/* reexport safe */ _property_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_4__.PropertyStyleSheetBehavior),
/* harmony export */   applyMixins: () => (/* reexport safe */ _apply_mixins_js__WEBPACK_IMPORTED_MODULE_0__.applyMixins),
/* harmony export */   composedContains: () => (/* reexport safe */ _composed_contains_js__WEBPACK_IMPORTED_MODULE_2__.composedContains),
/* harmony export */   composedParent: () => (/* reexport safe */ _composed_parent_js__WEBPACK_IMPORTED_MODULE_1__.composedParent),
/* harmony export */   darkModeStylesheetBehavior: () => (/* reexport safe */ _match_media_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_3__.darkModeStylesheetBehavior),
/* harmony export */   disabledCursor: () => (/* reexport safe */ _style_index_js__WEBPACK_IMPORTED_MODULE_5__.disabledCursor),
/* harmony export */   display: () => (/* reexport safe */ _style_index_js__WEBPACK_IMPORTED_MODULE_5__.display),
/* harmony export */   focusVisible: () => (/* reexport safe */ _style_index_js__WEBPACK_IMPORTED_MODULE_5__.focusVisible),
/* harmony export */   forcedColorsStylesheetBehavior: () => (/* reexport safe */ _match_media_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_3__.forcedColorsStylesheetBehavior),
/* harmony export */   getDirection: () => (/* reexport safe */ _direction_js__WEBPACK_IMPORTED_MODULE_6__.getDirection),
/* harmony export */   hidden: () => (/* reexport safe */ _style_index_js__WEBPACK_IMPORTED_MODULE_5__.hidden),
/* harmony export */   lightModeStylesheetBehavior: () => (/* reexport safe */ _match_media_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_3__.lightModeStylesheetBehavior),
/* harmony export */   whitespaceFilter: () => (/* reexport safe */ _whitespace_filter_js__WEBPACK_IMPORTED_MODULE_7__.whitespaceFilter)
/* harmony export */ });
/* harmony import */ var _apply_mixins_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./apply-mixins.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/apply-mixins.js");
/* harmony import */ var _composed_parent_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./composed-parent.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-parent.js");
/* harmony import */ var _composed_contains_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./composed-contains.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/composed-contains.js");
/* harmony import */ var _match_media_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./match-media-stylesheet-behavior.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/match-media-stylesheet-behavior.js");
/* harmony import */ var _property_stylesheet_behavior_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./property-stylesheet-behavior.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/property-stylesheet-behavior.js");
/* harmony import */ var _style_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./style/index.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/index.js");
/* harmony import */ var _direction_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./direction.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/direction.js");
/* harmony import */ var _whitespace_filter_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./whitespace-filter.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/whitespace-filter.js");










/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/intersection-service.js":
/*!********************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/intersection-service.js ***!
  \********************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   IntersectionService: () => (/* binding */ IntersectionService)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 *  A service to batch intersection event callbacks so multiple elements can share a single observer
 *
 * @public
 */
class IntersectionService {
    constructor() {
        this.intersectionDetector = null;
        this.observedElements = new Map();
        /**
         * Request the position of a target element
         *
         * @internal
         */
        this.requestPosition = (target, callback) => {
            var _a;
            if (this.intersectionDetector === null) {
                return;
            }
            if (this.observedElements.has(target)) {
                (_a = this.observedElements.get(target)) === null || _a === void 0 ? void 0 : _a.push(callback);
                return;
            }
            this.observedElements.set(target, [callback]);
            this.intersectionDetector.observe(target);
        };
        /**
         * Cancel a position request
         *
         * @internal
         */
        this.cancelRequestPosition = (target, callback) => {
            const callbacks = this.observedElements.get(target);
            if (callbacks !== undefined) {
                const callBackIndex = callbacks.indexOf(callback);
                if (callBackIndex !== -1) {
                    callbacks.splice(callBackIndex, 1);
                }
            }
        };
        /**
         * initialize intersection detector
         */
        this.initializeIntersectionDetector = () => {
            if (!_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.$global.IntersectionObserver) {
                //intersection observer not supported
                return;
            }
            this.intersectionDetector = new IntersectionObserver(this.handleIntersection, {
                root: null,
                rootMargin: "0px",
                threshold: [0, 1],
            });
        };
        /**
         *  Handle intersections
         */
        this.handleIntersection = (entries) => {
            if (this.intersectionDetector === null) {
                return;
            }
            const pendingCallbacks = [];
            const pendingCallbackParams = [];
            // go through the entries to build a list of callbacks and params for each
            entries.forEach((entry) => {
                var _a;
                // stop watching this element until we get new update requests for it
                (_a = this.intersectionDetector) === null || _a === void 0 ? void 0 : _a.unobserve(entry.target);
                const thisElementCallbacks = this.observedElements.get(entry.target);
                if (thisElementCallbacks !== undefined) {
                    thisElementCallbacks.forEach((callback) => {
                        let targetCallbackIndex = pendingCallbacks.indexOf(callback);
                        if (targetCallbackIndex === -1) {
                            targetCallbackIndex = pendingCallbacks.length;
                            pendingCallbacks.push(callback);
                            pendingCallbackParams.push([]);
                        }
                        pendingCallbackParams[targetCallbackIndex].push(entry);
                    });
                    this.observedElements.delete(entry.target);
                }
            });
            // execute callbacks
            pendingCallbacks.forEach((callback, index) => {
                callback(pendingCallbackParams[index]);
            });
        };
        this.initializeIntersectionDetector();
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/match-media-stylesheet-behavior.js":
/*!*******************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/match-media-stylesheet-behavior.js ***!
  \*******************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   MatchMediaBehavior: () => (/* binding */ MatchMediaBehavior),
/* harmony export */   MatchMediaStyleSheetBehavior: () => (/* binding */ MatchMediaStyleSheetBehavior),
/* harmony export */   darkModeStylesheetBehavior: () => (/* binding */ darkModeStylesheetBehavior),
/* harmony export */   forcedColorsStylesheetBehavior: () => (/* binding */ forcedColorsStylesheetBehavior),
/* harmony export */   lightModeStylesheetBehavior: () => (/* binding */ lightModeStylesheetBehavior)
/* harmony export */ });
/**
 * An abstract behavior to react to media queries. Implementations should implement
 * the `constructListener` method to perform some action based on media query changes.
 *
 * @public
 */
class MatchMediaBehavior {
    /**
     *
     * @param query - The media query to operate from.
     */
    constructor(query) {
        /**
         * The behavior needs to operate on element instances but elements might share a behavior instance.
         * To ensure proper attachment / detachment per instance, we construct a listener for
         * each bind invocation and cache the listeners by element reference.
         */
        this.listenerCache = new WeakMap();
        this.query = query;
    }
    /**
     * Binds the behavior to the element.
     * @param source - The element for which the behavior is bound.
     */
    bind(source) {
        const { query } = this;
        const listener = this.constructListener(source);
        // Invoke immediately to add if the query currently matches
        listener.bind(query)();
        query.addListener(listener);
        this.listenerCache.set(source, listener);
    }
    /**
     * Unbinds the behavior from the element.
     * @param source - The element for which the behavior is unbinding.
     */
    unbind(source) {
        const listener = this.listenerCache.get(source);
        if (listener) {
            this.query.removeListener(listener);
            this.listenerCache.delete(source);
        }
    }
}
/**
 * A behavior to add or remove a stylesheet from an element based on a media query. The behavior ensures that
 * styles are applied while the a query matches the environment and that styles are not applied if the query does
 * not match the environment.
 *
 * @public
 */
class MatchMediaStyleSheetBehavior extends MatchMediaBehavior {
    /**
     * Constructs a {@link MatchMediaStyleSheetBehavior} instance.
     * @param query - The media query to operate from.
     * @param styles - The styles to coordinate with the query.
     */
    constructor(query, styles) {
        super(query);
        this.styles = styles;
    }
    /**
     * Defines a function to construct {@link MatchMediaStyleSheetBehavior | MatchMediaStyleSheetBehaviors} for
     * a provided query.
     * @param query - The media query to operate from.
     *
     * @public
     * @example
     *
     * ```ts
     * import { css } from "@microsoft/fast-element";
     * import { MatchMediaStyleSheetBehavior } from "@microsoft/fast-foundation";
     *
     * const landscapeBehavior = MatchMediaStyleSheetBehavior.with(
     *   window.matchMedia("(orientation: landscape)")
     * );
     * const styles = css`
     *   :host {
     *     width: 200px;
     *     height: 400px;
     *   }
     * `
     * .withBehaviors(landscapeBehavior(css`
     *   :host {
     *     width: 400px;
     *     height: 200px;
     *   }
     * `))
     * ```
     */
    static with(query) {
        return (styles) => {
            return new MatchMediaStyleSheetBehavior(query, styles);
        };
    }
    /**
     * Constructs a match-media listener for a provided element.
     * @param source - the element for which to attach or detach styles.
     * @internal
     */
    constructListener(source) {
        let attached = false;
        const styles = this.styles;
        return function listener() {
            const { matches } = this;
            if (matches && !attached) {
                source.$fastController.addStyles(styles);
                attached = matches;
            }
            else if (!matches && attached) {
                source.$fastController.removeStyles(styles);
                attached = matches;
            }
        };
    }
    /**
     * Unbinds the behavior from the element.
     * @param source - The element for which the behavior is unbinding.
     * @internal
     */
    unbind(source) {
        super.unbind(source);
        source.$fastController.removeStyles(this.styles);
    }
}
/**
 * This can be used to construct a behavior to apply a forced-colors only stylesheet.
 * @public
 */
const forcedColorsStylesheetBehavior = MatchMediaStyleSheetBehavior.with(window.matchMedia("(forced-colors)"));
/**
 * This can be used to construct a behavior to apply a prefers color scheme: dark only stylesheet.
 * @public
 */
const darkModeStylesheetBehavior = MatchMediaStyleSheetBehavior.with(window.matchMedia("(prefers-color-scheme: dark)"));
/**
 * This can be used to construct a behavior to apply a prefers color scheme: light only stylesheet.
 * @public
 */
const lightModeStylesheetBehavior = MatchMediaStyleSheetBehavior.with(window.matchMedia("(prefers-color-scheme: light)"));


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/property-stylesheet-behavior.js":
/*!****************************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/property-stylesheet-behavior.js ***!
  \****************************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   PropertyStyleSheetBehavior: () => (/* binding */ PropertyStyleSheetBehavior)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-element */ "webpack/sharing/consume/default/@microsoft/fast-element/@microsoft/fast-element");
/* harmony import */ var _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__);

/**
 * A behavior to add or remove a stylesheet from an element based on a property. The behavior ensures that
 * styles are applied while the property matches and that styles are not applied if the property does
 * not match.
 *
 * @public
 */
class PropertyStyleSheetBehavior {
    /**
     * Constructs a {@link PropertyStyleSheetBehavior} instance.
     * @param propertyName - The property name to operate from.
     * @param value - The property value to operate from.
     * @param styles - The styles to coordinate with the property.
     */
    constructor(propertyName, value, styles) {
        this.propertyName = propertyName;
        this.value = value;
        this.styles = styles;
    }
    /**
     * Binds the behavior to the element.
     * @param elementInstance - The element for which the property is applied.
     */
    bind(elementInstance) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(elementInstance).subscribe(this, this.propertyName);
        this.handleChange(elementInstance, this.propertyName);
    }
    /**
     * Unbinds the behavior from the element.
     * @param source - The element for which the behavior is unbinding.
     * @internal
     */
    unbind(source) {
        _microsoft_fast_element__WEBPACK_IMPORTED_MODULE_0__.Observable.getNotifier(source).unsubscribe(this, this.propertyName);
        source.$fastController.removeStyles(this.styles);
    }
    /**
     * Change event for the provided element.
     * @param source - the element for which to attach or detach styles.
     * @param key - the key to lookup to know if the element already has the styles
     * @internal
     */
    handleChange(source, key) {
        if (source[key] === this.value) {
            source.$fastController.addStyles(this.styles);
        }
        else {
            source.$fastController.removeStyles(this.styles);
        }
    }
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/root-active-element.js":
/*!*******************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/root-active-element.js ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   getRootActiveElement: () => (/* binding */ getRootActiveElement)
/* harmony export */ });
// returns the active element in the shadow context of the element in question.
function getRootActiveElement(element) {
    const rootNode = element.getRootNode();
    if (rootNode instanceof ShadowRoot) {
        return rootNode.activeElement;
    }
    return document.activeElement;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/disabled.js":
/*!**************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/disabled.js ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   disabledCursor: () => (/* binding */ disabledCursor)
/* harmony export */ });
/**
 * The CSS value for disabled cursors.
 * @public
 */
const disabledCursor = "not-allowed";


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/display.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/display.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   display: () => (/* binding */ display),
/* harmony export */   hidden: () => (/* binding */ hidden)
/* harmony export */ });
/**
 * A CSS fragment to set `display: none;` when the host is hidden using the [hidden] attribute.
 * @public
 */
const hidden = `:host([hidden]){display:none}`;
/**
 * Applies a CSS display property.
 * Also adds CSS rules to not display the element when the [hidden] attribute is applied to the element.
 * @param display - The CSS display property value
 * @public
 */
function display(displayValue) {
    return `${hidden}:host{display:${displayValue}}`;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/focus.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/focus.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   focusVisible: () => (/* binding */ focusVisible)
/* harmony export */ });
/* harmony import */ var _microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @microsoft/fast-web-utilities */ "./node_modules/@microsoft/fast-web-utilities/dist/dom.js");

/**
 * The string representing the focus selector to be used. Value
 * will be "focus-visible" when https://drafts.csswg.org/selectors-4/#the-focus-visible-pseudo
 * is supported and "focus" when it is not.
 *
 * @public
 */
const focusVisible = (0,_microsoft_fast_web_utilities__WEBPACK_IMPORTED_MODULE_0__.canUseFocusVisible)() ? "focus-visible" : "focus";


/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/index.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/index.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   disabledCursor: () => (/* reexport safe */ _disabled_js__WEBPACK_IMPORTED_MODULE_0__.disabledCursor),
/* harmony export */   display: () => (/* reexport safe */ _display_js__WEBPACK_IMPORTED_MODULE_1__.display),
/* harmony export */   focusVisible: () => (/* reexport safe */ _focus_js__WEBPACK_IMPORTED_MODULE_2__.focusVisible),
/* harmony export */   hidden: () => (/* reexport safe */ _display_js__WEBPACK_IMPORTED_MODULE_1__.hidden)
/* harmony export */ });
/* harmony import */ var _disabled_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./disabled.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/disabled.js");
/* harmony import */ var _display_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./display.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/display.js");
/* harmony import */ var _focus_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./focus.js */ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/style/focus.js");





/***/ }),

/***/ "./node_modules/@microsoft/fast-foundation/dist/esm/utilities/whitespace-filter.js":
/*!*****************************************************************************************!*\
  !*** ./node_modules/@microsoft/fast-foundation/dist/esm/utilities/whitespace-filter.js ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   whitespaceFilter: () => (/* binding */ whitespaceFilter)
/* harmony export */ });
/**
 * a method to filter out any whitespace _only_ nodes, to be used inside a template
 * @param value - The Node that is being inspected
 * @param index - The index of the node within the array
 * @param array - The Node array that is being filtered
 *
 * @public
 */
function whitespaceFilter(value, index, array) {
    return value.nodeType !== Node.TEXT_NODE
        ? true
        : typeof value.nodeValue === "string" && !!value.nodeValue.trim().length;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-web-utilities/dist/array.js":
/*!******************************************************************!*\
  !*** ./node_modules/@microsoft/fast-web-utilities/dist/array.js ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   findLastIndex: () => (/* binding */ findLastIndex)
/* harmony export */ });
/**
 * Returns the index of the last element in the array where predicate is true, and -1 otherwise.
 *
 * @param array - the array to test
 * @param predicate - find calls predicate once for each element of the array, in descending order, until it finds one where predicate returns true. If such an element is found, findLastIndex immediately returns that element index. Otherwise, findIndex returns -1.
 */
function findLastIndex(array, predicate) {
    let k = array.length;
    while (k--) {
        if (predicate(array[k], k, array)) {
            return k;
        }
    }
    return -1;
}


/***/ }),

/***/ "./node_modules/@microsoft/fast-web-utilities/dist/dom.js":
/*!****************************************************************!*\
  !*** ./node_modules/@microsoft/fast-web-utilities/dist/dom.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   canUseCssGrid: () => (/* binding */ canUseCssGrid),
/* harmony export */   canUseFocusVisible: () => (/* binding */ canUseFocusVisible),
/* harmony export */   canUseForcedColors: () => (/* binding */ canUseForcedColors),
/* harmony export */   canUsedForcedColors: () => (/* binding */ canUsedForcedColors),
/* harmony export */   getDisplayedNodes: () => (/* binding */ getDisplayedNodes),
/* harmony export */   getKeyCode: () => (/* binding */ getKeyCode),
/* harmony export */   isHTMLElement: () => (/* binding */ isHTMLElement),
/* harmony export */   resetDocumentCache: () => (/* binding */ resetDocumentCache)
/* harmony export */ });
/* harmony import */ var exenv_es6__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! exenv-es6 */ "./node_modules/exenv-es6/dist/can-use-dom.js");

/**
 * A test that ensures that all arguments are HTML Elements
 */
function isHTMLElement(...args) {
    return args.every((arg) => arg instanceof HTMLElement);
}
/**
 * Returns all displayed elements inside of a root node that match a provided selector
 */
function getDisplayedNodes(rootNode, selector) {
    if (!rootNode || !selector || !isHTMLElement(rootNode)) {
        return;
    }
    const nodes = Array.from(rootNode.querySelectorAll(selector));
    // offsetParent will be null if the element isn't currently displayed,
    // so this will allow us to operate only on visible nodes
    return nodes.filter((node) => node.offsetParent !== null);
}
/**
 * Gets the numeric key code associated with a keyboard event. This method is for use with DOM level 3 events
 * that still use the deprecated keyCode property.
 */
function getKeyCode(event) {
    return event === null ? null : event.which || event.keyCode || event.charCode;
}
/**
 * Returns the nonce used in the page, if any.
 *
 * Based on https://github.com/cssinjs/jss/blob/master/packages/jss/src/DomRenderer.js
 */
function getNonce() {
    const node = document.querySelector('meta[property="csp-nonce"]');
    if (node) {
        return node.getAttribute("content");
    }
    else {
        return null;
    }
}
/**
 * Test if the document supports :focus-visible
 */
let _canUseFocusVisible;
function canUseFocusVisible() {
    if (typeof _canUseFocusVisible === "boolean") {
        return _canUseFocusVisible;
    }
    if (!(0,exenv_es6__WEBPACK_IMPORTED_MODULE_0__.canUseDOM)()) {
        _canUseFocusVisible = false;
        return _canUseFocusVisible;
    }
    // Check to see if the document supports the focus-visible element
    const styleElement = document.createElement("style");
    // If nonces are present on the page, use it when creating the style element
    // to test focus-visible support.
    const styleNonce = getNonce();
    if (styleNonce !== null) {
        styleElement.setAttribute("nonce", styleNonce);
    }
    document.head.appendChild(styleElement);
    try {
        styleElement.sheet.insertRule("foo:focus-visible {color:inherit}", 0);
        _canUseFocusVisible = true;
    }
    catch (e) {
        _canUseFocusVisible = false;
    }
    finally {
        document.head.removeChild(styleElement);
    }
    return _canUseFocusVisible;
}
let _canUseCssGrid;
function canUseCssGrid() {
    if (typeof _canUseCssGrid === "boolean") {
        return _canUseCssGrid;
    }
    try {
        _canUseCssGrid = CSS.supports("display", "grid");
    }
    catch (_a) {
        _canUseCssGrid = false;
    }
    return _canUseCssGrid;
}
function canUseForcedColors() {
    return ((0,exenv_es6__WEBPACK_IMPORTED_MODULE_0__.canUseDOM)() &&
        (window.matchMedia("(forced-colors: none)").matches ||
            window.matchMedia("(forced-colors: active)").matches));
}
function resetDocumentCache() {
    _canUseCssGrid = undefined;
    _canUseFocusVisible = undefined;
}
/**
 * @deprecated Use 'canUseForcedColors' instead
 */
const canUsedForcedColors = canUseForcedColors;


/***/ }),

/***/ "./node_modules/@microsoft/fast-web-utilities/dist/events.js":
/*!*******************************************************************!*\
  !*** ./node_modules/@microsoft/fast-web-utilities/dist/events.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   eventAbort: () => (/* binding */ eventAbort),
/* harmony export */   eventAfterPrint: () => (/* binding */ eventAfterPrint),
/* harmony export */   eventAnimationCancel: () => (/* binding */ eventAnimationCancel),
/* harmony export */   eventAnimationEnd: () => (/* binding */ eventAnimationEnd),
/* harmony export */   eventAnimationIteration: () => (/* binding */ eventAnimationIteration),
/* harmony export */   eventAnimationStart: () => (/* binding */ eventAnimationStart),
/* harmony export */   eventAppInstalled: () => (/* binding */ eventAppInstalled),
/* harmony export */   eventBeforePrint: () => (/* binding */ eventBeforePrint),
/* harmony export */   eventBeforeUnload: () => (/* binding */ eventBeforeUnload),
/* harmony export */   eventBeginEvent: () => (/* binding */ eventBeginEvent),
/* harmony export */   eventBlocked: () => (/* binding */ eventBlocked),
/* harmony export */   eventBlur: () => (/* binding */ eventBlur),
/* harmony export */   eventCanPlay: () => (/* binding */ eventCanPlay),
/* harmony export */   eventCanPlayThrough: () => (/* binding */ eventCanPlayThrough),
/* harmony export */   eventChange: () => (/* binding */ eventChange),
/* harmony export */   eventChargingChange: () => (/* binding */ eventChargingChange),
/* harmony export */   eventChargingTimeChange: () => (/* binding */ eventChargingTimeChange),
/* harmony export */   eventClick: () => (/* binding */ eventClick),
/* harmony export */   eventClose: () => (/* binding */ eventClose),
/* harmony export */   eventComplete: () => (/* binding */ eventComplete),
/* harmony export */   eventCompositionEnd: () => (/* binding */ eventCompositionEnd),
/* harmony export */   eventCompositionStart: () => (/* binding */ eventCompositionStart),
/* harmony export */   eventCompositionUpdate: () => (/* binding */ eventCompositionUpdate),
/* harmony export */   eventContextMenu: () => (/* binding */ eventContextMenu),
/* harmony export */   eventCopy: () => (/* binding */ eventCopy),
/* harmony export */   eventCut: () => (/* binding */ eventCut),
/* harmony export */   eventDblClick: () => (/* binding */ eventDblClick),
/* harmony export */   eventDeviceChange: () => (/* binding */ eventDeviceChange),
/* harmony export */   eventDeviceMotion: () => (/* binding */ eventDeviceMotion),
/* harmony export */   eventDeviceOrientation: () => (/* binding */ eventDeviceOrientation),
/* harmony export */   eventDischargingTimeChange: () => (/* binding */ eventDischargingTimeChange),
/* harmony export */   eventDrag: () => (/* binding */ eventDrag),
/* harmony export */   eventDragEnd: () => (/* binding */ eventDragEnd),
/* harmony export */   eventDragEnter: () => (/* binding */ eventDragEnter),
/* harmony export */   eventDragLeave: () => (/* binding */ eventDragLeave),
/* harmony export */   eventDragOver: () => (/* binding */ eventDragOver),
/* harmony export */   eventDragStart: () => (/* binding */ eventDragStart),
/* harmony export */   eventDrop: () => (/* binding */ eventDrop),
/* harmony export */   eventDurationChange: () => (/* binding */ eventDurationChange),
/* harmony export */   eventEmptied: () => (/* binding */ eventEmptied),
/* harmony export */   eventEndEvent: () => (/* binding */ eventEndEvent),
/* harmony export */   eventEnded: () => (/* binding */ eventEnded),
/* harmony export */   eventError: () => (/* binding */ eventError),
/* harmony export */   eventFocus: () => (/* binding */ eventFocus),
/* harmony export */   eventFocusIn: () => (/* binding */ eventFocusIn),
/* harmony export */   eventFocusOut: () => (/* binding */ eventFocusOut),
/* harmony export */   eventFullScreenChange: () => (/* binding */ eventFullScreenChange),
/* harmony export */   eventFullScreenError: () => (/* binding */ eventFullScreenError),
/* harmony export */   eventGamePadConnected: () => (/* binding */ eventGamePadConnected),
/* harmony export */   eventGamePadDisconnected: () => (/* binding */ eventGamePadDisconnected),
/* harmony export */   eventGotPointerCapture: () => (/* binding */ eventGotPointerCapture),
/* harmony export */   eventHashChange: () => (/* binding */ eventHashChange),
/* harmony export */   eventInput: () => (/* binding */ eventInput),
/* harmony export */   eventInvalid: () => (/* binding */ eventInvalid),
/* harmony export */   eventKeyDown: () => (/* binding */ eventKeyDown),
/* harmony export */   eventKeyUp: () => (/* binding */ eventKeyUp),
/* harmony export */   eventLevelChange: () => (/* binding */ eventLevelChange),
/* harmony export */   eventLoad: () => (/* binding */ eventLoad),
/* harmony export */   eventLoadEnd: () => (/* binding */ eventLoadEnd),
/* harmony export */   eventLoadStart: () => (/* binding */ eventLoadStart),
/* harmony export */   eventLoadedData: () => (/* binding */ eventLoadedData),
/* harmony export */   eventLoadedMetaData: () => (/* binding */ eventLoadedMetaData),
/* harmony export */   eventLostPointerCapture: () => (/* binding */ eventLostPointerCapture),
/* harmony export */   eventMessage: () => (/* binding */ eventMessage),
/* harmony export */   eventMessageError: () => (/* binding */ eventMessageError),
/* harmony export */   eventMouseDown: () => (/* binding */ eventMouseDown),
/* harmony export */   eventMouseEnter: () => (/* binding */ eventMouseEnter),
/* harmony export */   eventMouseLeave: () => (/* binding */ eventMouseLeave),
/* harmony export */   eventMouseMove: () => (/* binding */ eventMouseMove),
/* harmony export */   eventMouseOut: () => (/* binding */ eventMouseOut),
/* harmony export */   eventMouseOver: () => (/* binding */ eventMouseOver),
/* harmony export */   eventMouseUp: () => (/* binding */ eventMouseUp),
/* harmony export */   eventNotificationClick: () => (/* binding */ eventNotificationClick),
/* harmony export */   eventOffline: () => (/* binding */ eventOffline),
/* harmony export */   eventOnline: () => (/* binding */ eventOnline),
/* harmony export */   eventOpen: () => (/* binding */ eventOpen),
/* harmony export */   eventOrientationChange: () => (/* binding */ eventOrientationChange),
/* harmony export */   eventPageHide: () => (/* binding */ eventPageHide),
/* harmony export */   eventPageShow: () => (/* binding */ eventPageShow),
/* harmony export */   eventPaste: () => (/* binding */ eventPaste),
/* harmony export */   eventPause: () => (/* binding */ eventPause),
/* harmony export */   eventPlay: () => (/* binding */ eventPlay),
/* harmony export */   eventPlaying: () => (/* binding */ eventPlaying),
/* harmony export */   eventPointerCancel: () => (/* binding */ eventPointerCancel),
/* harmony export */   eventPointerDown: () => (/* binding */ eventPointerDown),
/* harmony export */   eventPointerEnter: () => (/* binding */ eventPointerEnter),
/* harmony export */   eventPointerLeave: () => (/* binding */ eventPointerLeave),
/* harmony export */   eventPointerLockChange: () => (/* binding */ eventPointerLockChange),
/* harmony export */   eventPointerLockError: () => (/* binding */ eventPointerLockError),
/* harmony export */   eventPointerMove: () => (/* binding */ eventPointerMove),
/* harmony export */   eventPointerOut: () => (/* binding */ eventPointerOut),
/* harmony export */   eventPointerOver: () => (/* binding */ eventPointerOver),
/* harmony export */   eventPointerUp: () => (/* binding */ eventPointerUp),
/* harmony export */   eventPopState: () => (/* binding */ eventPopState),
/* harmony export */   eventProgress: () => (/* binding */ eventProgress),
/* harmony export */   eventPush: () => (/* binding */ eventPush),
/* harmony export */   eventPushSubscriptionChange: () => (/* binding */ eventPushSubscriptionChange),
/* harmony export */   eventRateChange: () => (/* binding */ eventRateChange),
/* harmony export */   eventReadyStateChange: () => (/* binding */ eventReadyStateChange),
/* harmony export */   eventRepeatEvent: () => (/* binding */ eventRepeatEvent),
/* harmony export */   eventReset: () => (/* binding */ eventReset),
/* harmony export */   eventResize: () => (/* binding */ eventResize),
/* harmony export */   eventResourceTimingBufferFull: () => (/* binding */ eventResourceTimingBufferFull),
/* harmony export */   eventSVGAbort: () => (/* binding */ eventSVGAbort),
/* harmony export */   eventSVGError: () => (/* binding */ eventSVGError),
/* harmony export */   eventSVGLoad: () => (/* binding */ eventSVGLoad),
/* harmony export */   eventSVGResize: () => (/* binding */ eventSVGResize),
/* harmony export */   eventSVGScroll: () => (/* binding */ eventSVGScroll),
/* harmony export */   eventSVGUnload: () => (/* binding */ eventSVGUnload),
/* harmony export */   eventSVGZoom: () => (/* binding */ eventSVGZoom),
/* harmony export */   eventScroll: () => (/* binding */ eventScroll),
/* harmony export */   eventSeeked: () => (/* binding */ eventSeeked),
/* harmony export */   eventSeeking: () => (/* binding */ eventSeeking),
/* harmony export */   eventSelect: () => (/* binding */ eventSelect),
/* harmony export */   eventShow: () => (/* binding */ eventShow),
/* harmony export */   eventSlotChange: () => (/* binding */ eventSlotChange),
/* harmony export */   eventStalled: () => (/* binding */ eventStalled),
/* harmony export */   eventStart: () => (/* binding */ eventStart),
/* harmony export */   eventStorage: () => (/* binding */ eventStorage),
/* harmony export */   eventSubmit: () => (/* binding */ eventSubmit),
/* harmony export */   eventSuccess: () => (/* binding */ eventSuccess),
/* harmony export */   eventSuspend: () => (/* binding */ eventSuspend),
/* harmony export */   eventTimeOut: () => (/* binding */ eventTimeOut),
/* harmony export */   eventTimeUpdate: () => (/* binding */ eventTimeUpdate),
/* harmony export */   eventTouchCancel: () => (/* binding */ eventTouchCancel),
/* harmony export */   eventTouchEnd: () => (/* binding */ eventTouchEnd),
/* harmony export */   eventTouchMove: () => (/* binding */ eventTouchMove),
/* harmony export */   eventTouchStart: () => (/* binding */ eventTouchStart),
/* harmony export */   eventTransitionEnd: () => (/* binding */ eventTransitionEnd),
/* harmony export */   eventUnload: () => (/* binding */ eventUnload),
/* harmony export */   eventUpgradeNeeded: () => (/* binding */ eventUpgradeNeeded),
/* harmony export */   eventUserProximity: () => (/* binding */ eventUserProximity),
/* harmony export */   eventVersionChange: () => (/* binding */ eventVersionChange),
/* harmony export */   eventVisibilityChange: () => (/* binding */ eventVisibilityChange),
/* harmony export */   eventVolumeChange: () => (/* binding */ eventVolumeChange),
/* harmony export */   eventWaiting: () => (/* binding */ eventWaiting),
/* harmony export */   eventWheel: () => (/* binding */ eventWheel)
/* harmony export */ });
/**
 * This set of exported strings reference https://developer.mozilla.org/en-US/docs/Web/Events
 * and should include all non-deprecated and non-experimental Standard events
 */
const eventAbort = "abort";
const eventAfterPrint = "afterprint";
const eventAnimationCancel = "animationcancel";
const eventAnimationEnd = "animationend";
const eventAnimationIteration = "animationiteration";
const eventAnimationStart = "animationstart";
const eventAppInstalled = "appinstalled";
const eventBeforePrint = "beforeprint";
const eventBeforeUnload = "beforeunload";
const eventBeginEvent = "beginEvent";
const eventBlocked = "blocked";
const eventBlur = "blur";
const eventCanPlay = "canplay";
const eventCanPlayThrough = "canplaythrough";
const eventChange = "change";
const eventChargingChange = "chargingchange";
const eventChargingTimeChange = "chargingtimechange";
const eventClick = "click";
const eventClose = "close";
const eventComplete = "complete";
const eventCompositionEnd = "compositionend";
const eventCompositionStart = "compositionstart";
const eventCompositionUpdate = "compositionupdate";
const eventContextMenu = "contextmenu";
const eventCopy = "copy";
const eventCut = "cut";
const eventDblClick = "dblclick";
const eventDeviceChange = "devicechange";
const eventDeviceMotion = "devicemotion";
const eventDeviceOrientation = "deviceorientation";
const eventDischargingTimeChange = "dischargingtimechange";
const eventDrag = "drag";
const eventDragEnd = "dragend";
const eventDragEnter = "dragenter";
const eventDragLeave = "dragleave";
const eventDragOver = "dragover";
const eventDragStart = "dragstart";
const eventDrop = "drop";
const eventDurationChange = "durationchange";
const eventEmptied = "emptied";
const eventEnded = "ended";
const eventEndEvent = "endevent";
const eventError = "error";
const eventFocus = "focus";
const eventFocusIn = "focusin";
const eventFocusOut = "focusout";
const eventFullScreenChange = "fullscreenchange";
const eventFullScreenError = "fullscreenerror";
const eventGamePadConnected = "gamepadconnected";
const eventGamePadDisconnected = "gamepaddisconnected";
const eventGotPointerCapture = "gotpointercapture";
const eventHashChange = "hashchange";
const eventLostPointerCapture = "lostpointercapture";
const eventInput = "input";
const eventInvalid = "invalid";
const eventKeyDown = "keydown";
const eventKeyUp = "keyup";
const eventLevelChange = "levelchange";
const eventLoad = "load";
const eventLoadedData = "loadeddata";
const eventLoadedMetaData = "loadedmetadata";
const eventLoadEnd = "loadend";
const eventLoadStart = "loadstart";
const eventMessage = "message";
const eventMessageError = "messageerror";
const eventMouseDown = "mousedown";
const eventMouseEnter = "mouseenter";
const eventMouseLeave = "mouseleave";
const eventMouseMove = "mousemove";
const eventMouseOut = "mouseout";
const eventMouseOver = "mouseover";
const eventMouseUp = "mouseup";
const eventNotificationClick = "notificationclick";
const eventOffline = "offline";
const eventOnline = "online";
const eventOpen = "open";
const eventOrientationChange = "orientationchange";
const eventPageHide = "pagehide";
const eventPageShow = "pageshow";
const eventPaste = "paste";
const eventPause = "pause";
const eventPointerCancel = "pointercancel";
const eventPointerDown = "pointerdown";
const eventPointerEnter = "pointerenter";
const eventPointerLeave = "pointerleave";
const eventPointerLockChange = "pointerlockchange";
const eventPointerLockError = "pointerlockerror";
const eventPointerMove = "pointermove";
const eventPointerOut = "pointerout";
const eventPointerOver = "pointerover";
const eventPointerUp = "pointerup";
const eventPlay = "play";
const eventPlaying = "playing";
const eventPopState = "popstate";
const eventProgress = "progress";
const eventPush = "push";
const eventPushSubscriptionChange = "pushsubscriptionchange";
const eventRateChange = "ratechange";
const eventReadyStateChange = "readystatechange";
const eventRepeatEvent = "repeatevent";
const eventReset = "reset";
const eventResize = "resize";
const eventResourceTimingBufferFull = "resourcetimingbufferfull";
const eventScroll = "scroll";
const eventSeeked = "seeked";
const eventSeeking = "seeking";
const eventSelect = "select";
const eventShow = "show";
const eventSlotChange = "slotchange";
const eventStalled = "stalled";
const eventStart = "start";
const eventStorage = "storage";
const eventSubmit = "submit";
const eventSuccess = "success";
const eventSuspend = "suspend";
const eventSVGAbort = "SVGAbort";
const eventSVGError = "SVGError";
const eventSVGLoad = "SVGLoad";
const eventSVGResize = "SVGResize";
const eventSVGScroll = "SVGScroll";
const eventSVGUnload = "SVGUnload";
const eventSVGZoom = "SVGZoom";
const eventTimeOut = "timeout";
const eventTimeUpdate = "timeupdate";
const eventTouchCancel = "touchcancel";
const eventTouchEnd = "touchend";
const eventTouchMove = "touchmove";
const eventTouchStart = "touchstart";
const eventTransitionEnd = "transitionend";
const eventUnload = "unload";
const eventUpgradeNeeded = "upgradeneeded";
const eventUserProximity = "userproximity";
const eventVersionChange = "versionchange";
const eventVisibilityChange = "visibilitychange";
const eventVolumeChange = "volumechange";
const eventWaiting = "waiting";
const eventWheel = "wheel";


/***/ }),

/***/ "./node_modules/@microsoft/fast-web-utilities/dist/strings.js":
/*!********************************************************************!*\
  !*** ./node_modules/@microsoft/fast-web-utilities/dist/strings.js ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   format: () => (/* binding */ format),
/* harmony export */   isNullOrWhiteSpace: () => (/* binding */ isNullOrWhiteSpace),
/* harmony export */   pascalCase: () => (/* binding */ pascalCase),
/* harmony export */   spinalCase: () => (/* binding */ spinalCase),
/* harmony export */   startsWith: () => (/* binding */ startsWith),
/* harmony export */   uniqueId: () => (/* binding */ uniqueId)
/* harmony export */ });
let uniqueIdCounter = 0;
/**
 * Generates a unique ID based on incrementing a counter.
 */
function uniqueId(prefix = "") {
    return `${prefix}${uniqueIdCounter++}`;
}
/**
 * Builds a string from a format specifier and replacement parameters.
 */
function format(formatSpecifier, ...parameters) {
    return formatSpecifier.replace(/{(\d+)}/g, function (match, index) {
        if (index >= parameters.length) {
            return match;
        }
        const value = parameters[index];
        if (typeof value !== "number" && !value) {
            return "";
        }
        return value;
    });
}
/**
 * Check to see if one string starts with another
 */
function startsWith(stringToSearch, searchFor, position = 0) {
    if (!stringToSearch || !searchFor) {
        return false;
    }
    return stringToSearch.substr(position, searchFor.length) === searchFor;
}
/**
 * Determines if the specified string is undefined, null, empty, or whitespace.
 * True if the value is undefined, null, empty, or whitespace, otherwise false.
 */
function isNullOrWhiteSpace(value) {
    return !value || !value.trim();
}
/**
 * Converts a string to Pascal Case
 * where the first letter of each compound word is capitalized.
 */
function pascalCase(value) {
    let newValue = `${value}`
        .replace(new RegExp(/[-_]+/, "g"), " ")
        .replace(new RegExp(/[^\w\s]/, "g"), "")
        .replace(/^\s+|\s+$|\s+(?=\s)/g, "")
        .replace(new RegExp(/\s+(.)(\w*)/, "g"), ($1, $2, $3) => `${$2.toUpperCase() + $3.toLowerCase()}`)
        .replace(new RegExp(/\w/), s => s.toUpperCase());
    let firstLowerIdx = 0;
    for (let i = 0; i < newValue.length; i++) {
        const currChar = newValue.charAt(i);
        if (currChar == currChar.toLowerCase()) {
            firstLowerIdx = i;
            break;
        }
    }
    if (firstLowerIdx > 1) {
        newValue =
            `${newValue.charAt(0).toUpperCase()}${newValue
                .slice(1, firstLowerIdx - 1)
                .toLowerCase()}` + newValue.slice(firstLowerIdx - 1);
    }
    return newValue;
}
/**
 * converts a string from camelCase or pascalCase to spinal-case
 * which is an lowercase dash separated naming style.
 *
 * An example of spinal case: foo-bar-bat
 */
function spinalCase(value) {
    const valueWithLowerCaseFirstLetter = `${value
        .charAt(0)
        .toLowerCase()}${value.slice(1)}`;
    return valueWithLowerCaseFirstLetter.replace(/([A-Z]|[0-9])/g, function (match, group1) {
        return `-${group1.toLowerCase()}`;
    });
}


/***/ }),

/***/ "./node_modules/exenv-es6/dist/can-use-dom.js":
/*!****************************************************!*\
  !*** ./node_modules/exenv-es6/dist/can-use-dom.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   canUseDOM: () => (/* binding */ canUseDOM)
/* harmony export */ });
/**
 * Checks if the DOM is available to access and use
 */
function canUseDOM() {
    return !!(typeof window !== "undefined" && window.document && window.document.createElement);
}


/***/ })

}]);
//# sourceMappingURL=vendors-node_modules_microsoft_fast-foundation_dist_esm_index_js.e878ca763479e1373aaf.js.map